<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\EmailLog;
use App\Models\Transaction;
use App\Models\UserLogin;
use Illuminate\Http\Request;
use App\Models\Invest;
use App\Models\CommissionLog;
use App\Models\Deposit;
class ReportController extends Controller
{
    public function transaction()
    {
        $pageTitle = 'Transaction Logs';
       $transactions = Transaction::with(['user','crypto'])->orderBy('id','desc')->paginate(getPaginate());
        $emptyMessage = 'No transactions.';
        return view('admin.reports.transactions', compact('pageTitle', 'transactions', 'emptyMessage'));
    }
    
    public function accounting()
    {
        $pageTitle = 'Accounting Logs';
       $transactions = Transaction::with(['user','crypto'])->where('details', 'like',"%fees%")->orderBy('id','desc')->paginate(getPaginate());
         $totalcredits = Transaction::with(['user','crypto'])->where('details', 'like',"%fees%")->where('trx_type', '=',"+")->sum('amount');
         $totalcharged = Transaction::with(['user','crypto'])->where('details', 'like',"%fees%")->where('trx_type', '=',"-")->sum('amount');
         $payment['total_deposit_amount'] = Deposit::where('status',1)->sum('amount');
        $payment['total_deposit_charge'] = Deposit::where('status',1)->sum('charge');
         $emptyMessage = 'No transactions.';
        return view('admin.reports.accounting', compact('pageTitle', 'transactions', 'emptyMessage', 'totalcredits', 'totalcharged','payment'));
    }

    public function transactionSearch(Request $request)
    {
        $request->validate(['search' => 'required']);
        $search = $request->search;
        $pageTitle = 'Transactions Search - ' . $search;
        $emptyMessage = 'No transactions.';

        $transactions = Transaction::with('user')->whereHas('user', function ($user) use ($search) {
            $user->where('username', 'like',"%$search%");
        })->orWhere('trx', $search)->orderBy('id','desc')->paginate(getPaginate());

        return view('admin.reports.transactions', compact('pageTitle', 'transactions', 'emptyMessage','search'));
    }
    
        public function accountingSearch(Request $request)
    {
             $pageTitle = 'Accounting Logs';
        $request->validate(['search' => 'required']);
        $search = $request->search;
        $pageTitle = 'Transactions Search - ' . $search;
        $emptyMessage = 'No transactions.';

        $transactions = Transaction::with('user')->where('details', 'like',"%fees%")->whereHas('user', function ($user) use ($search) {
            $user->where('username', 'like',"%$search%");
        })->orWhere('trx', $search)->orderBy('id','desc')->paginate(getPaginate());
        
        $totalcredits = Transaction::with('user')->where('details', 'like',"%fees%")->where('trx_type', '=',"+")->whereHas('user', function ($user) use ($search) {
            $user->where('username', 'like',"%$search%");
        })->orWhere('trx', $search)->sum('amount');
        $totalcharged = Transaction::with('user')->where('details', 'like',"%fees%")->where('trx_type', '=',"-")->whereHas('user', function ($user) use ($search) {
            $user->where('username', 'like',"%$search%");
        })->orWhere('trx', $search)->sum('amount');
         $payment['total_deposit_amount'] = Deposit::with('user')->where('status',1)->whereHas('user', function ($user) use ($search) {
            $user->where('username', 'like',"%$search%");
        })->orWhere('trx', $search)->sum('amount');
        $payment['total_deposit_charge'] = Deposit::where('status',1)->whereHas('user', function ($user) use ($search) {
            $user->where('username', 'like',"%$search%");
        })->orWhere('trx', $search)->sum('charge');
        
        return view('admin.reports.accounting', compact('pageTitle', 'transactions', 'emptyMessage','search', 'totalcredits', 'totalcharged','payment'));
    }

    public function loginHistory(Request $request)
    {
        if ($request->search) {
            $search = $request->search;
            $pageTitle = 'User Login History Search - ' . $search;
            $emptyMessage = 'No search result found.';
            $login_logs = UserLogin::whereHas('user', function ($query) use ($search) {
                $query->where('username', $search);
            })->orderBy('id','desc')->with('user')->paginate(getPaginate());
            return view('admin.reports.logins', compact('pageTitle', 'emptyMessage', 'search', 'login_logs'));
        }
        $pageTitle = 'User Login History';
        $emptyMessage = 'No users login found.';
        $login_logs = UserLogin::orderBy('id','desc')->with('user')->paginate(getPaginate());
        return view('admin.reports.logins', compact('pageTitle', 'emptyMessage', 'login_logs'));
    }

    public function loginIpHistory($ip)
    {
        $pageTitle = 'Login By - ' . $ip;
        $login_logs = UserLogin::where('user_ip',$ip)->orderBy('id','desc')->with('user')->paginate(getPaginate());
        $emptyMessage = 'No users login found.';
        return view('admin.reports.logins', compact('pageTitle', 'emptyMessage', 'login_logs','ip'));

    }

    public function emailHistory(){
        $pageTitle = 'Email history';
        $logs = EmailLog::with('user')->orderBy('id','desc')->paginate(getPaginate());
        $emptyMessage = 'No data found';
        return view('admin.reports.email_history', compact('pageTitle', 'emptyMessage','logs'));
    }
    
     public function plan()
    {
        $pageTitle = 'Invest Plan Logs';
        $logs = Invest::latest()->paginate(getPaginate());
        $empty_message = 'No Data Found!';
        return view('admin.reports.plan-log', compact('pageTitle', 'logs', 'empty_message'));
    }

    public function planSearch(Request $request)
    {
        $request->validate(['search' => 'required']);
        $search = $request->search;
        $pageTitle = 'Invest Plan Search - ' . $search;
        $empty_message = 'No Data Found!';

        $logs = Invest::with('user','plan')->whereHas('user', function ($user) use ($search) {
            $user->where('username', 'like',"%$search%");
        })->orWhere('trx', $search)->paginate(getPaginate());

        return view('admin.reports.plan-log', compact('pageTitle', 'logs', 'empty_message'));
    }

    public function commissionsDeposit()
    {
        $pageTitle = 'Deposit Commission Log';
        $logs = CommissionLog::where('type','deposit')->with(['user','bywho'])->latest()->paginate(getPaginate());
        $empty_message = 'No log.';
        return view('admin.reports.commission-log', compact('pageTitle', 'logs', 'empty_message'));
    }

    public function commissionsInvest()
    {
        $pageTitle = 'Invest Commission Log';
        $logs = CommissionLog::where('type','invest')->with(['user','bywho'])->latest()->paginate(getPaginate());
        $empty_message = 'No log.';
        return view('admin.reports.commission-log', compact('pageTitle', 'logs', 'empty_message'));
    }

    public function commissionsInterest()
    {
        $pageTitle = 'Interest Commission Log';
        $logs = CommissionLog::where('type','interest')->with(['user','bywho'])->latest()->paginate(getPaginate());
        $empty_message = 'No log.';
        return view('admin.reports.commission-log', compact('pageTitle', 'logs', 'empty_message'));
    }

    public function commissionsSearch(Request $request)
    {
        $request->validate(['search' => 'required']);
        $search = $request->search;
        $pageTitle = 'Commission Log Search -'.$search;
        $logs = CommissionLog::whereHas('user', function ($user) use ($search) {
                $user->where('username', 'like',"%$search%");
            })->orWhere('trx', $search)->with(['user','bywho'])->latest()->paginate(getPaginate());
        $empty_message = 'No log.';
        return view('admin.reports.commission-log', compact('pageTitle', 'logs', 'empty_message','search'));
    }
}
