<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Crypto;
use App\Models\Fiat;
use App\Models\FiatGateway;
use App\Models\Vcurrency;
use App\Models\Vnplans;
use App\Models\Virtualnumber;
use App\Models\Window;
use App\Lib\Tatum;
use App\Rules\FileTypeValidate;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class VirtualnumberController extends Controller {

   public function virtualnumber(){
    $pageTitle = 'VirtualPhone Plans';
    $emptyMessage = 'No data found';

    $vnplans = Vnplans::latest()->paginate(getPaginate());

    return view('admin.virtualnumber.index',compact('pageTitle', 'emptyMessage', 'vnplans'));
   }

   public function virtualnumberlist(){
        $pageTitle = 'VirtualPhone Issued';
    $emptyMessage = 'No data found';

    $vnplans = Virtualnumber::latest()->with('plan')->paginate(getPaginate());

    return view('admin.virtualnumber.list',compact('pageTitle', 'emptyMessage', 'vnplans'));
   }
   
   public function vnplanadd(Request $request){
    $pageTitle = 'Add VirtualPhone Plans';
    $emptyMessage = 'No data found';



    return view('admin.virtualnumber.vnnew',compact('pageTitle', 'emptyMessage'));
   }

   public function vnplanaddnew(Request $request){

    $request->validate([
        'name'          => 'required',
        'messages'          => 'required|numeric',

        'country'          => 'required',
        'addmessages'          => 'required|numeric',
        'price'          => 'required|numeric',
    ]);

    $update = new Vnplans();
    $update->name = $request->name;
    $update->messages = $request->messages;
    $update->voice = $request->voice ? 1 : 0;
     $update->voicecalls = $request->voicecalls;
    $update->addvoicecalls = $request->addvoicecalls;
    $update->country = $request->country;
    $update->price = $request->price;
    $update->addmessages = $request->addmessages;
    $update->save();

    $notify[] = ['success', 'VirtualPhone Plan has been added'];
    return redirect()->route('admin.virtualnumber')->withNotify($notify);

   }

   public function vnplanedit($id){
    $pageTitle = 'VirtualPhone Plans';
    $emptyMessage = 'No data found';

    $vnplans = Vnplans::where('id',$id)->first();

    return view('admin.virtualnumber.vnedit',compact('pageTitle', 'emptyMessage', 'vnplans','id'));
   }

   public function vnplanupdate($id,Request $request){
    $request->validate([
        'name'          => 'required',
        'messages'          => 'required|numeric',

        'country'          => 'required',
        'addmessages'          => 'required|numeric',
        'price'          => 'required|numeric',
    ]);

    $update = Vnplans::where('id',$id)->first();
    $update->name = $request->name;
    $update->messages = $request->messages;
    $update->voice = $request->voice ? 1 : 0;
    $update->voicecalls = $request->voicecalls;
    $update->addvoicecalls = $request->addvoicecalls;
    $update->country = $request->country;
    $update->price = $request->price;
    $update->addmessages = $request->addmessages;
    $update->save();

    $notify[] = ['success', 'VirtualPhone Plan has been updated'];
    return redirect()->route('admin.virtualnumber')->withNotify($notify);

   }



}




?>
