<?php

namespace App\Http\Controllers;

use Carbon\Carbon;
use App\Models\SubCategory;
use App\Models\Cart;
use App\Models\Fluttercard;
use App\Models\User;
use App\Models\Fiat;
use App\Models\Countries;
use App\Models\Category;
use App\Models\Bank;
use App\Models\Banktrans;
use Illuminate\Support\Facades\Auth;
use App\Http\Helpers\Helper;
use App\Models\Card;
use App\Lib\GoogleAuthenticator;
use App\Models\AdminNotification;
use App\Models\GeneralSetting;
use App\Lib\Flutterwave;
use App\Models\Transaction;
use App\Models\WithdrawMethod;
use App\Models\Withdrawal;
use App\Rules\FileTypeValidate;
use Illuminate\Http\Request;

use Illuminate\Support\Facades\Hash;
use Illuminate\Validation\Rules\Password;
use Illuminate\Validation\Rule;

use App\Models\GatewayCurrency;
use App\Models\SupportTicket;

use Response;

class BankController extends Controller
{
    
    public function __construct(){
        $this->activeTemplate = activeTemplate();
    }
    
     public function index(){
        
         $pageTitle = "Virtual Bank Accounts";
        
      $user = auth()->user(); 
        $bank = Bank::where('user_id',Auth::user()->id)->get();
            
         return view($this->activeTemplate.'user.bank.index', compact('pageTitle','bank'));
        
    }
    
    public function request(Request $request){
       
          $user = auth()->user(); 
          
        $bank_ref_id = "va".rand(6530, 99999999999);
            $body = array(
    "email"=> $user->email,
    "tx_ref"=> $bank_ref_id,
    "amount" => $request['amount'],
    "is_permanent" => "false",
    "bvn" => "12345678901",
     "narration" => "Beneficiary Name ".$user->firstname." ".$user->lastname,
    );
     
           
             
              $newbanks = new Flutterwave;
         $newbank = $newbanks->createvirtualbank($body);
        
         if($newbank->status == "success"){
             
              $update = new Bank();
             $update->user_id = $user->id;
             $update->email_id = $user->email;
             $update->order_ref = $newbank->data->order_ref;
             $update->account_number = $newbank->data->account_number;
             $update->bank_name = $newbank->data->bank_name;
             $update->tx_ref = $bank_ref_id;
             $update->amount = $newbank->data->amount;
             $update->expiry = date_format(Carbon::now()->addHours(2),"YmdHis");
             $update->save();         
                $notify[]=['success','Bank Account Created Successfully'];
            return back()->withNotify($notify)->withInput(); 
             
         }else {
              $notify[]=['error','Sorry! There was an error issuing bank account contact support'];
            return back()->withNotify($notify)->withInput(); 
         }
         
            
            
    }
    
    public function banktransactions(Request $request){
      $pageTitle = "Virtual Bank Transactions";
      $user = auth()->user(); 
       $trxbanks = new Flutterwave;
       $trxbank = $trxbanks->getbanktrans($request['tx_ref']);
       $account = $request['account'];  
       return view($this->activeTemplate.'user.bank.trx', compact('pageTitle','trxbank', 'account'));  
    }
    
    public function redeemtransaction(Request $request){
      $user = auth()->user(); 
      $bank = Banktrans::where('transid',$request['transid'])->where('transid',"!=", null)->first();
      if(isset($bank) && $bank->transid){
          $notify[]=['error','Transaction Already Redeemed'];
            return back()->withNotify($notify)->withInput(); 
      }
      
      $verifytras = new Flutterwave;
      $verifytra = $verifytras->verifytrans($request['transid']);
      
      if($verifytra->status == "success"){
       $bank = Banktrans::where('transid',$request['transid'])->where('transid',"!=", null)->first();
      if(isset($bank) && $bank->transid){
          $notify[]=['error','Transaction Already Redeemed'];
            return back()->withNotify($notify)->withInput(); 
      } else {
          $update = new Banktrans();
          $update->transid = $request['transid'];
          $update->user_id = $user->id;
          $update->amount = $verifytra->data->amount_settled;
          $update->save();
          $trx = getTrx();
          $frate = Fiat::where('code',"NGN")->first();
         
        $rate = $frate->rate;
        $creditamount = showAmount($verifytra->data->amount_settled / $rate);     
     
    $user->balance += $creditamount;
    $user->save();
    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $creditamount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '+';
    $transaction->details = 'Virtual Bank Account Redemption for NGN '.$verifytra->data->amount_settled;
    $transaction->trx =  $trx;
    $transaction->save();
       $notify[]=['success','Transaction Redeemed'];
            return back()->withNotify($notify)->withInput();           
      }   
          
      } else {
          $notify[]=['error','Error Retrieving transaction'];
            return back()->withNotify($notify)->withInput(); 
      }
     
        
    }
    
    
}