<?php

namespace App\Http\Controllers;

use Carbon\Carbon;
use App\Models\SubCategory;
use App\Models\Cart;
use App\Models\Category;
use Illuminate\Support\Facades\Auth;
use App\Http\Helpers\Helper;
use App\Models\Card;
use App\Lib\GoogleAuthenticator;
use App\Models\AdminNotification;
use App\Models\GeneralSetting;

use App\Models\Transaction;
use App\Models\WithdrawMethod;
use App\Models\Withdrawal;
use App\Rules\FileTypeValidate;
use Illuminate\Http\Request;

use Illuminate\Support\Facades\Hash;
use Illuminate\Validation\Rules\Password;
use Illuminate\Validation\Rule;

use App\Models\GatewayCurrency;
use App\Models\SupportTicket;

use Response;

class CheckOutController extends Controller
{
    public function __construct(){
        $this->activeTemplate = activeTemplate();
    }

    public function getToken(){
        sleep(3);
        $url = env("api_url").env("token_url");
        $curl = curl_init($url);
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_POST, true);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        
        $headers = array(
           "Content-Type: application/json",
        );
        curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
        
        $arr = array('client_id' => env("client_id"), 
                    'secret_key' => env("client_secret")); 
                   
        
        $data = json_encode($arr);
        
        
        curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
        
        $resp = curl_exec($curl);
        $res = json_decode($resp);
        curl_close($curl);
        return $res->access;

}

public function createOrder($sku,$count,$price,$preorder){
        
    $token = $this->getToken();
    $url = "https://api.ezpaypin.com/vendors/v2/orders/";
    $curl = curl_init($url);
    curl_setopt($curl, CURLOPT_URL, $url);
    curl_setopt($curl, CURLOPT_POST, true);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
    

    $authorisation = "Bearer ".$token;
    $headers = array(
        "Content-Type: application/json",
        "Authorization: $authorisation"
    );

     curl_setopt($curl, CURLOPT_HTTPHEADER, $headers); 


    $code = $this->generateUUID();
    $arr = array('sku' => $sku, 
        'quantity' => $count,
        'price' => $price, 
        'pre_order' => $preorder,
        'reference_code' => $code
        ); 
       

    $data = json_encode($arr);

    curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
    $resp = curl_exec($curl);
    // if(curl_error($curl)){
    //     echo 'item Error:' . curl_error($ch);
    // }else{
    //     echo $resp;
    // }
    
    curl_close($curl);
    return $resp;



}



public function checkAvailability($sku,$count,$price){

    $ch = curl_init();
    $token = $this->getToken();
    
$url = "https://api.ezpaypin.com/vendors/v2/catalogs/".$sku."/availability/";
$dataArray = ['item_count' => $count,'price' => $price];

$data = http_build_query($dataArray);


$getUrl = $url."?".$data;
$authorisation = "Bearer ".$token;
$headers = array(
    "Content-Type: application/json",
    "Authorization: $authorisation"
 );
 curl_setopt($ch, CURLOPT_HTTPHEADER, $headers); 

curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
curl_setopt($ch, CURLOPT_URL, $getUrl);
curl_setopt($ch, CURLOPT_TIMEOUT, 80);
   
$response = curl_exec($ch);      
curl_close($ch);
return $response;

}
    public function generateUUID() {
     // Generate 16 bytes (128 bits) of random data or use the data passed into the function.
     $data = random_bytes(16);
     assert(strlen($data) == 16);

     // Set version to 0100
     $data[6] = chr(ord($data[6]) & 0x0f | 0x40);
     // Set bits 6-7 to 10
     $data[8] = chr(ord($data[8]) & 0x3f | 0x80);

     // Output the 36 character UUID.
     return vsprintf('%s%s-%s-%s-%s-%s%s%s', str_split(bin2hex($data), 4));
}

public function purchasecards(){

    $cartItems = Cart::all();
    foreach ($cartItems as $item){
        $result = $this->processCartItem($item);
        if($result == "success"){
        $delete = $this->deleteCartItem($item->id);
        $notify[] = ['success','Your cards were purchased successfully'];
        } else {
        $notify[] = $result;
        }
    }
    return redirect()->route('user.card')->withNotify($notify);
 
}

public function deleteCartItem($cartid){
        
        $cartItem = Cart::where(['user_id' => Auth::user()->id ,'id' => $cartid])->delete();
       
    }


public function processCartItem(Cart $item){

//    $item->validate([
//        'subcategory_id'=> 'required|exists:sub_categories,id',
//        'qty'=> 'required|gt:0|integer'
//    ]);

    $user = Auth::user();
    $quantity = $item->qty;
    $api = $item->api;
   
    
if(!$api){    
    $findSubCat = SubCategory::where('id', $item->subcategory_id)->whereHas('category', function($q){
                                    $q->where('status', 1);
                                })
                                ->whereHas('card', function($q){
                                    $q->where('user_id', 0);
                                })
                                ->first();

    if(!$findSubCat){
        $notify[] = ['error', 'Sorry, We Do Not Have The itemed Card.'];
        return $notify;
        
    }

    if($findSubCat->card()->count() < $quantity){
        $notify[] = ['error', 'Sorry, Please Check Stock Available, We Do Not Have Enough Cards Available to Process Your Order.'];
        return $notify;
    }
} else {
 //call API to check Availability if not available return back()->withNotify

 $subCat = SubCategory::where('id', $item->subcategory_id)->first();
 $response = $this->checkAvailability($subCat->sku,$quantity,$item->price);
 $res = json_decode($response);
 if(!$res->availability){
    $notify[] = ['error', 'Sorry, The card is not available'];
    return $notify;
 }
 
  $findSubCat = SubCategory::where('id', $item->subcategory_id)->whereHas('category', function($q){
                                    $q->where('status', 1);
                                })
                                ->first();
}
    
    $price = ($item->usdprice ? $item->usdprice : $findSubCat->price) * $quantity;
    

    if($price > $user->balance){
        $notify[] = ['error', 'Sorry, Insufficient Balance to process this order. Required Balance USD'.$price];
        return $notify;
    }
    
    

    $trx = getTrx();

    $user->balance -= $price;
    $user->save();

if(!$api){    
    $card = Card::where('sub_category_id', $item->subcategory_id)
                ->where('user_id', 0)
                ->orderBy('id', 'ASC')
                ->take($quantity)
                ->update([
                    'user_id' => $user->id,
                    'trx' => $trx,
                    'purchase_at' => Carbon::now()
                ]);
    
    notify($user, 'CARD_BUY', [
        'trx' => $trx,
        'price' => showAmount($price, 2),
        'currency' => $general->cur_text,
        'purchase_at' => $findSubCat->purchase_at,
        'category' => $findSubCat->category->name,
        'sub_category' => $findSubCat->name,
        'quantity' => $quantity,
        'post_balance' => showAmount($transaction->post_balance, 2),
    ]);
    $notify = "success";
    return $notify;
} 

else {
//call API for Order and pass in details response of success, incase of failuer $user->balance += $price; $user->save();

   $subCat = SubCategory::where('id', $item->subcategory_id)->first();
   
   $response = $this->createOrder($subCat->sku,$quantity,$item->price,$subCat->pre_order); 
   $decodedResponse = json_decode($response);
   $share_link = (isset($decodedResponse->share_link) ? $decodedResponse->share_link : null);
   if($share_link != null){

   $newCard = new Card();
   $newCard->sub_category_id = $findSubCat->id;
   $newCard->details = "You can find redemption for the ".$quantity." card purchased at this link: ".$decodedResponse->share_link ; // pass response of success
   $newCard->image = $findSubCat->image;
   $newCard->user_id = $user->id;
   $newCard->trx = $trx;
   $newCard->purchase_at = Carbon::now();
   $newCard->save();


    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $price;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '-';
    $transaction->details = 'Purchased '.$quantity.' '.$findSubCat->name.' successfully';
    $transaction->trx =  $trx;
    $transaction->save();

    $adminNotification = new AdminNotification();
    $adminNotification->user_id = $user->id;
    $adminNotification->title = $user->username.' has purchased '.$findSubCat->name;
    $adminNotification->click_url = urlPath('admin.users.card',$user->id);
    $adminNotification->save();

    $general = GeneralSetting::first();

    notify($user, 'CARD_BUY', [
        'trx' => $trx,
        'price' => showAmount($price, 2),
        'currency' => $general->cur_text,
        'purchase_at' => $findSubCat->purchase_at,
        'category' => $findSubCat->category->name,
        'sub_category' => $findSubCat->name,
        'quantity' => $quantity,
        'post_balance' => showAmount($transaction->post_balance, 2),
    ]);

    $notify = "success";
    return $notify;
   }else{
        $user->balance += $price;
        $user->save();
        $notify = 'error';
        return $notify;

   }
   
    }
}













}