<?php

namespace App\Http\Controllers;

use Carbon\Carbon;
use App\Models\SubCategory;
use App\Models\Cart;
use App\Models\Fluttercard;
use App\Models\Vcard;
use App\Models\Cryptocard;
use App\Models\User;
use App\Models\Prepaid;
use App\Models\Aptocard;
use App\Models\Fiat;
use App\Models\Countries;
use App\Models\Category;
use App\Models\Wallet;
use App\Models\WalletCrypto;
use App\Models\Crypto;
use Illuminate\Support\Facades\Auth;
use App\Http\Helpers\Helper;
use App\Models\Card;
use App\Lib\GoogleAuthenticator;
use App\Lib\Tremendous;
use App\Models\AdminNotification;
use App\Models\GeneralSetting;
use App\Lib\Flutterwave;
use App\Models\Transaction;
use App\Models\WithdrawMethod;
use App\Models\Withdrawal;
use App\Rules\FileTypeValidate;
use Illuminate\Http\Request;
use App\Lib\PHPJWT;
use App\Models\Livitcard;
use Illuminate\Support\Facades\Hash;
use Illuminate\Validation\Rules\Password;
use Illuminate\Validation\Rule;
use App\Lib\Aphelp;
use App\Models\GatewayCurrency;
use App\Models\SupportTicket;

use Response;

class DebitcardController extends Controller
{
    
    public function __construct(){
        $this->activeTemplate = activeTemplate();
    }
    public function index(){
        
           $pageTitle = "Debit Card";
        
      $user = auth()->user(); 
        $cards = vcard::where('user_id',Auth::user()->id)->first();
           if(isset($cards->card_id)){
          $transactions = Transaction::where('user_id', $user->id)->where('category', 'card')->get();     
               
           } else {
               $transactions = null;
           }
         return view($this->activeTemplate.'user.vcard.index', compact('pageTitle','cards', 'user', 'transactions'));
        
    }
     public function livitpayindex(){
        $general = GeneralSetting::first();
        $publickey = $general->livitpay_public; 
        $privatekey = $general->livitpay_private; 
        $uri = env("APP_URL");
      $pageTitle = "Mastercard Debit Card";
         $user = auth()->user(); 
         if(!$user->livit_card){
          $notify[]=['error','Please Apply For A Card First'];   
          return redirect()->route('user.debit.masternew')->withNotify($notify);
         }
         if($user->livit_card == "requested"){
              $notify[]=['error','You Card is pending approval'];
            return back()->withNotify($notify)->withInput(); 
         }
         if($user->livit_card == "reqcancel"){
              $notify[]=['error','You Card is pending cancellation'];
            return back()->withNotify($notify)->withInput(); 
         }
        $curl = curl_init();
$post = array(
    "email" => $user->email,
     "cardid" => $user->livit_card,
    "url" => $uri,
);
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://cards.livitpay.com/api/getcards',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>json_encode($post),
  CURLOPT_HTTPHEADER => array(
    'public-key: '.$publickey,
    'private-key: '.$privatekey,
    'url: '.env('APP_URL'),
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
$cards = json_decode($response);

     if(!isset($cards->weavrtoken)){
        $notify[]=['error','Unable To Retrieve card information at this time, please try again later.'];
            return back()->withNotify($notify)->withInput();  
     }

 return view($this->activeTemplate.'user.vcard.livitpayindex', compact('pageTitle','cards', 'user'));
        
    }
      public function livitpaycancel(Request $request){
        $general = GeneralSetting::first();
        $publickey = $general->livitpay_public; 
        $privatekey = $general->livitpay_private; 
        $uri = env("APP_URL");
        $user = auth()->user(); 
         
         if(!$user->livit_card){
          $notify[]=['error','Please Apply For A Card First'];   
          return redirect()->route('user.debit.masternew')->withNotify($notify);
         }
         if($user->livit_card == "requested"){
              $notify[]=['error','You Card is pending approval'];
            return back()->withNotify($notify)->withInput(); 
         }

	if($user->livit_card == "reqcancel"){
              $notify[]=['error','You Card is pending cancellation'];
            return back()->withNotify($notify)->withInput(); 
         }
         
    
        $curl = curl_init();
$post = array(
    "email" => $user->email,
    "cardid" => $user->livit_card,
    "url" => $uri,
    
    "requestid" => $trx    
);

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://cards.livitpay.com/api/cancelrequest',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>json_encode($post),
  CURLOPT_HTTPHEADER => array(
    'public-key: '.$publickey,
    'private-key: '.$privatekey,
    'url: '.env('APP_URL'),
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
$cards = json_decode($response);

if($cards->status == "success"){
    $user->livit_card == "reqcancel";
$user->save();
    $message = "Your request to Cancel your Mastercard is sent to admin";
         sendGeneralEmail($user->email, $subject, $message, $user->username);
    $notify[]=['success','Cancellation Request Sent to Admin. 24-48Hours'];
     $adminNotification = new AdminNotification();
        $adminNotification->user_id = $user->id;
        $adminNotification->title = "New Cancellation Request Request Received";
        $adminNotification->save();
            return redirect()->route('user.home')->withNotify($notify);
} else {
       
    $notify[]=['error','Cancellation Request Failed'.$cards->message];
            return back()->withNotify($notify)->withInput(); 
}
        
    }
       
      public function cryptolivitpaycancel(Request $request){
        $general = GeneralSetting::first();
        $publickey = $general->livitpay_public; 
        $privatekey = $general->livitpay_private; 
        $uri = env("APP_URL");
        $user = auth()->user(); 
         
         if(!$user->cryptolivit_card){
          $notify[]=['error','Please Apply For A Card First'];   
          return redirect()->route('user.debit.masternew')->withNotify($notify);
         }
         if($user->cryptolivit_card == "requested"){
              $notify[]=['error','You Card is pending approval'];
            return back()->withNotify($notify)->withInput(); 
         }

	if($user->cryptolivit_card == "reqcancel"){
              $notify[]=['error','You Card is pending cancellation'];
            return back()->withNotify($notify)->withInput(); 
         }
         
    
        $curl = curl_init();
$post = array(
    "email" => $user->email,
    "cardid" => $user->livit_card,
    "url" => $uri,
    
    "requestid" => $trx    
);

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://cards.livitpay.com/api/cryptocancelrequest',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>json_encode($post),
  CURLOPT_HTTPHEADER => array(
    'public-key: '.$publickey,
    'private-key: '.$privatekey,
    'url: '.env('APP_URL'),
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
$cards = json_decode($response);

if($cards->status == "success"){
    $user->cryptolivit_card == "reqcancel";
$user->save();
    $message = "Your request to Cancel your Crypto Mastercard is sent to admin";
         sendGeneralEmail($user->email, $subject, $message, $user->username);
    $notify[]=['success','Crypto Mastercard Cancellation Request Sent to Admin. 24-48Hours'];
     $adminNotification = new AdminNotification();
        $adminNotification->user_id = $user->id;
        $adminNotification->title = "New Crypto MasterCard Cancellation Request Request Received";
        $adminNotification->save();
            return redirect()->route('user.home')->withNotify($notify);
} else {
       
    $notify[]=['error','Crypto MasterCard Cancellation Request Failed'.$cards->message];
            return back()->withNotify($notify)->withInput(); 
}
        
    }
    public function livitpayfund(Request $request){
        $general = GeneralSetting::first();
        $publickey = $general->livitpay_public; 
        $privatekey = $general->livitpay_private; 
        $uri = env("APP_URL");
        $user = auth()->user(); 
         
         if(!$user->livit_card){
          $notify[]=['error','Please Apply For A Card First'];   
          return redirect()->route('user.debit.masternew')->withNotify($notify);
         }
         if($user->livit_card == "requested"){
              $notify[]=['error','You Card is pending approval'];
            return back()->withNotify($notify)->withInput(); 
         }
         if($user->livit_card == "reqcancel"){
              $notify[]=['error','You Card is pending cancellation'];
            return back()->withNotify($notify)->withInput(); 
         }
         $debitamount = $request->amount;
         $loadfee = $request->amount * $general->load_fee / 100;
         $totalAmount = round(($debitamount + $loadfee),2);
if($user->balance < $totalAmount){
        $notify[]=['error','Insufficient Balance To Issue Cards'];
return back()->withNotify($notify)->withInput(); 
    }
       $trx = getTrx();
     $user->balance -= $totalAmount;
    $user->save(); 
    
        $curl = curl_init();
$post = array(
    "email" => $user->email,
    "cardid" => $user->livit_card,
    "url" => $uri,
    "amount" => $debitamount,
    "requestid" => $trx    
);

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://cards.livitpay.com/api/fundcards',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>json_encode($post),
  CURLOPT_HTTPHEADER => array(
    'public-key: '.$publickey,
    'private-key: '.$privatekey,
    'url: '.env('APP_URL'),
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
$cards = json_decode($response);

if($cards->status == "success"){
    
    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $totalAmount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = $loadfee;
    $transaction->trx_type = '-';
    $transaction->details = 'Funds loaded to Mastercard';
    $transaction->trx =  $trx;
    $transaction->save();
    $subject = "Fund Load Request";
        $message = "Your request to load funds on your Mastercard is sent to admin. Expect the funds to be available in 24-48hours";
         sendGeneralEmail($user->email, $subject, $message, $user->username);
    $notify[]=['success','Funds Load Request Sent to Admin. 24-48Hours'];
     $adminNotification = new AdminNotification();
        $adminNotification->user_id = $user->id;
        $adminNotification->title = "New Load Fund Request Received";
        $adminNotification->save();
            return redirect()->route('user.home')->withNotify($notify);
} else {
     $user->balance += $totalAmount;
    $user->save();   
    $notify[]=['error','Fund Load Request Failed'.$cards->message];
            return back()->withNotify($notify)->withInput(); 
}
        
    }
    
    public function livitrequestnew(Request $request){
        $user = auth()->user(); 
         $general = GeneralSetting::first();
        $publickey = $general->livitpay_public; 
        $privatekey = $general->livitpay_private; 
        $totalAmount = $general->ngn_fee;
         if($user->balance < $totalAmount){
        $notify[]=['error','Insufficient Balance To Issue Cards'];
return back()->withNotify($notify)->withInput(); 
    }
     $trx = getTrx();
     $user->balance -= $totalAmount;
    $user->save();        
      $phone = str_replace("+", "", $user->mobile);       
        $requestid = getTrx();
        $post = array(
            "name_on_card" => $user->firstname." ".$user->lastname,
            "card_phone" => $phone,
            "user_id" => $user->id,
            "user_email" => $user->email,
            "line_1" => $request->line_1,
            "line_2" => $request->line_2,
            "city" => $request->city,
            "state" => $request->state,
            "zip" => $request->zip,
            "country" => $request->country,
            "user_email" => $user->email,
            
            "requestid" => $requestid
            
        );
           $curl = curl_init();
        curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://cards.livitpay.com/api/cardrequest',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>json_encode($post),
  CURLOPT_HTTPHEADER => array(
    'public-key: '.$publickey,
    'private-key: '.$privatekey,
    'url: '.env('APP_URL'),
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
$cards = json_decode($response);
if(isset($cards->status) && $cards->status == "success"){
    $user->livit_card = "requested";
    $user->save();
    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $totalAmount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '-';
    $transaction->details = 'Debit Card Issuance Fees';
    $transaction->trx =  $trx;
    $transaction->save();
    $subject = "New Card Request Received";
        $message = "You have applied for a new Master card Admin will review your request in 24-48hours";
         sendGeneralEmail($user->email, $subject, $message, $user->username);
    $notify[]=['success','Card Application Sent To Admin For Approval. 24-48Hours'];
    
        $adminNotification = new AdminNotification();
        $adminNotification->user_id = $user->id;
        $adminNotification->title = "New Mastercard Request Received";
        $adminNotification->save();
    
            return redirect()->route('user.home')->withNotify($notify);
} else {
     $user->balance += $totalAmount;
    $user->save();   
    $notify[]=['error','Card Application Failed'.$cards->message];
            return back()->withNotify($notify)->withInput(); 
}
    }
    
        public function visalivitpayindex(){
        $general = GeneralSetting::first();
        $publickey = $general->livitpay_public; 
        $privatekey = $general->livitpay_private; 
        $uri = env("APP_URL");
      $pageTitle = "Virtual Mastercard Prepaid Card";
         $user = auth()->user(); 
         
if(!$user->livit_visacard || $user->livit_visacard == null){
          $notify[]=['error','Sorry No New Cards Can BE applied Here, Use Main Mastercard'];   
          return back()->withNotify($notify)->withInput();
         }
         if($user->livit_visacard == "requested"){
              $notify[]=['error','Sorry No New Cards Can BE applied Here, Use Main Mastercard'];
            return back()->withNotify($notify)->withInput(); 
         }
         
        $curl = curl_init();
$post = array(
    "email" => $user->email,
     "cardid" => $user->livit_visacard,
    "url" => $uri,
);


curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://cards.livitpay.com/api/visagetcards',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>json_encode($post),
  CURLOPT_HTTPHEADER => array(
    'public-key: '.$publickey,
    'private-key: '.$privatekey,
    'url: '.env('APP_URL'),
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
$cards = json_decode($response);

     if(!isset($cards->weavrtoken)){
        $notify[]=['error','Unable To Retrieve card information at this time, please try again later.'];
            return back()->withNotify($notify)->withInput();  
     }
        
        
 return view($this->activeTemplate.'user.vcard.visalivitpayindex', compact('pageTitle','cards', 'user'));
        
    }
    
     public function visalivitpayfund(Request $request){
        $general = GeneralSetting::first();
        $publickey = $general->livitpay_public; 
        $privatekey = $general->livitpay_private; 
        $uri = env("APP_URL");
        $user = auth()->user(); 
        $request->validate([
            'amount' => 'required|integer|gt:4'
        ]); 
        if(!$user->livit_visacard || $user->livit_visacard == null){
          $notify[]=['error','Sorry No New Cards Can BE applied Here, Use Main Mastercard'];   
          return back()->withNotify($notify)->withInput();
         }
         if($user->livit_visacard == "requested"){
              $notify[]=['error','Sorry No New Cards Can BE applied Here, Use Main Mastercard'];
            return back()->withNotify($notify)->withInput(); 
         }
       
         $debitamount = $request->amount;
         $loadfee = $request->amount * $general->visa_loadfee / 100;
         $totalAmount = round(($debitamount + $loadfee),2);
if($user->balance < $totalAmount){
        $notify[]=['error','Insufficient Balance To Issue Cards'];
return back()->withNotify($notify)->withInput(); 
    }
       $trx = getTrx();
     $user->balance -= $totalAmount;
    $user->save(); 
    
        $curl = curl_init();
$post = array(
    "email" => $user->email,
    "cardid" => $user->livit_visacard,
    "url" => $uri,
    "amount" => $debitamount,
    "requestid" => $trx    
);

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://cards.livitpay.com/api/visafundcards',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>json_encode($post),
  CURLOPT_HTTPHEADER => array(
    'public-key: '.$publickey,
    'private-key: '.$privatekey,
    'url: '.env('APP_URL'),
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
$cards = json_decode($response);

if($cards->status == "success"){
    
    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $totalAmount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = $loadfee;
    $transaction->trx_type = '-';
    $transaction->details = 'Funds loaded to USD Master Card';
    $transaction->trx =  $trx;
    $transaction->save();
    $subject = "USD Mastercard Card Fund Load Request";
        $message = "Your request to load funds on your USD Master Card is sent to admin. Expect the funds to be available in 24-48hours";
         sendGeneralEmail($user->email, $subject, $message, $user->username);
    $notify[]=['success','Funds Load Request on USD Master Card Sent to Admin. 24-48Hours'];
     $adminNotification = new AdminNotification();
        $adminNotification->user_id = $user->id;
        $adminNotification->title = "New Load Fund Request Received on USD Master Card";
        $adminNotification->save();
            return redirect()->route('user.debit.visa')->withNotify($notify);
} else {
     $user->balance += $totalAmount;
    $user->save();   
    $notify[]=['error','Fund Load Request Failed'.$cards->message];
            return back()->withNotify($notify)->withInput(); 
}
        
    }
    
    
    
      public function masternew(){
         $pageTitle = "MasterCard Prepaid Card";
        
      $user = auth()->user();  
        return view($this->activeTemplate.'user.vcard.request-new-card', compact('pageTitle','user'));
    }
    
  
    
     public function cryptolivitpayindex(){
        $general = GeneralSetting::first();
        $publickey = $general->livitpay_public; 
        $privatekey = $general->livitpay_private; 
        $uri = env("APP_URL");
      $pageTitle = "Crypto MasterCard";
         $user = auth()->user(); 
         if(!$user->cryptolivit_card){
          $notify[]=['error','Please Apply For A Crypto MasterCard First'];   
          return redirect()->route('user.debit.cryptomasternew')->withNotify($notify);
         }
         if($user->cryptolivit_card == "requested"){
              $notify[]=['error','You Crypto MasterCard is pending approval'];
            return back()->withNotify($notify)->withInput(); 
         }
         if($user->cryptolivit_card == "reqcancel"){
              $notify[]=['error','You Card is pending cancellation'];
            return back()->withNotify($notify)->withInput(); 
         }
        $curl = curl_init();
$post = array(
    "email" => $user->email,
     "cardid" => $user->cryptolivit_card,
    "url" => $uri,
);

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://cards.livitpay.com/api/cryptogetcards',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>json_encode($post),
  CURLOPT_HTTPHEADER => array(
    'public-key: '.$publickey,
    'private-key: '.$privatekey,
    'url: '.env('APP_URL'),
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
$cards = json_decode($response);

     if(!isset($cards->weavrtoken)){
        $notify[]=['error','Unable To Retrieve card information at this time, please try again later.'];
            return back()->withNotify($notify)->withInput();  
     }

 return view($this->activeTemplate.'user.vcard.cryptolivitpayindex', compact('pageTitle','cards', 'user'));
        
    }
    
    
    public function cryptolivitpayfund(Request $request){
        $general = GeneralSetting::first();
        $publickey = $general->livitpay_public; 
        $privatekey = $general->livitpay_private; 
        $uri = env("APP_URL");
        $user = auth()->user(); 
         
         if(!$user->cryptolivit_card){
          $notify[]=['error','Please Apply For A Crypto MasterCard First'];   
          return redirect()->route('user.debit.cryptomasternew')->withNotify($notify);
         }
         if($user->cryptolivit_card == "requested"){
              $notify[]=['error','You Card is pending approval'];
            return back()->withNotify($notify)->withInput(); 
         }
         $fundamount = $request->amount;
         $crypto_id = $request->crypto_id;
         $loadfee = $request->amount * $general->crytpoload_fee / 100;
         $totalAmount = round(($loadfee),2);
if($user->balance < $totalAmount){
        $notify[]=['error','Insufficient USD Balance To Issue Cards'];
return back()->withNotify($notify)->withInput(); 
    }
       $trx = getTrx();
     $user->balance -= $totalAmount;
    $user->save(); 
    
        $curl = curl_init();
$post = array(
    "email" => $user->email,
    "cardid" => $user->cryptolivit_card,
    "url" => $uri,
    "amount" => $fundamount,
    "requestid" => $trx,    
    "crypto_id" => $crypto_id
);

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://cards.livitpay.com/api/cryptofundcards',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>json_encode($post),
  CURLOPT_HTTPHEADER => array(
    'public-key: '.$publickey,
    'private-key: '.$privatekey,
    'url: '.env('APP_URL'),
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
$cards = json_decode($response);


if($cards->status == "success"){
    
    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $totalAmount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = "0";
    $transaction->trx_type = '-';
    $transaction->details = 'Loading Fund Fee To Crypto Mastercard';
    $transaction->trx =  $trx;
    $transaction->save();
    $subject = "Fund Load Request";
        $message = "Your request to load funds on your Crypto Mastercard is sent to admin. Expect the funds to be available in 24-48hours";
         sendGeneralEmail($user->email, $subject, $message, $user->username);
    $notify[]=['success','Crypto Mastercard Funds Load Request Sent to Admin. 24-48Hours'];
     $adminNotification = new AdminNotification();
        $adminNotification->user_id = $user->id;
        $adminNotification->title = "New Crypto Mastercard Load Fund Request Received";
        $adminNotification->save();
            return redirect()->route('user.home')->withNotify($notify);
} else {
     $user->balance += $totalAmount;
    $user->save();   
    $notify[]=['error','Crypto Mastercard Fund Load Request Failed'.$cards->message];
            return back()->withNotify($notify)->withInput(); 
}
        
    }
    
    public function cryptolivitrequestnew(Request $request){
        $user = auth()->user(); 
         $general = GeneralSetting::first();
        $publickey = $general->livitpay_public; 
        $privatekey = $general->livitpay_private; 
        $totalAmount = $general->crypto_masterfee;
        if($user->cryptolivit_card == "requested"){
            $notify[]=['error','Your Crypto MasterCard Application Is Under Admin Approval'];
return back()->withNotify($notify)->withInput(); 
        }
         if($user->balance < $totalAmount){
        $notify[]=['error','Insufficient Balance To Issue Crypto MasterCard'];
return back()->withNotify($notify)->withInput(); 
    }
     $trx = getTrx();
     $user->balance -= $totalAmount;
    $user->save();        
      $phone = str_replace("+", "", $user->mobile);       
        $requestid = getTrx();
        $post = array(
            "name_on_card" => $user->firstname." ".$user->lastname,
            "card_phone" => $phone,
            "user_id" => $user->id,
            "user_email" => $user->email,
            "line_1" => $request->line_1,
            "line_2" => $request->line_2,
            "city" => $request->city,
            "state" => $request->state,
            "zip" => $request->zip,
            "country" => $request->country,
            "user_email" => $user->email,
            
            "requestid" => $requestid
            
        );
           $curl = curl_init();
        curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://cards.livitpay.com/api/cryptocardrequest',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>json_encode($post),
  CURLOPT_HTTPHEADER => array(
    'public-key: '.$publickey,
    'private-key: '.$privatekey,
    'url: '.env('APP_URL'),
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
$cards = json_decode($response);

if($cards->status == "success"){
    $user->cryptolivit_card = "requested";
    $user->save();
    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $totalAmount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '-';
    $transaction->details = 'Crypto MasterCard Issuance Fees';
    $transaction->trx =  $trx;
    $transaction->save();
    $subject = "New Crypto MasterCard Request Received";
        $message = "You have applied for a new Crypto MasterCard, Admin will review your request in 24-48hours";
         sendGeneralEmail($user->email, $subject, $message, $user->username);
    $notify[]=['success','Card Application Sent To Admin For Approval. 24-48Hours'];
    
        $adminNotification = new AdminNotification();
        $adminNotification->user_id = $user->id;
        $adminNotification->title = "New Crypto MasterCard Request Received";
        $adminNotification->save();
    
            return redirect()->route('user.home')->withNotify($notify);
} else {
     $user->balance += $totalAmount;
    $user->save();   
    $notify[]=['error','Card Application Failed'.$cards->message];
            return back()->withNotify($notify)->withInput(); 
}
    }
    
      public function cryptomasternew(){
         $pageTitle = "Crypto MasterCard";
        
      $user = auth()->user();  
      if($user->cryptolivit_card == "requested"){
            $notify[]=['error','Your Crypto MasterCard Application Is Under Admin Approval'];
  return redirect()->route('user.home')->withNotify($notify);
        }
        return view($this->activeTemplate.'user.vcard.request-new-crypto-card', compact('pageTitle','user'));
    }
    
    
    
     public function vindex(){
        
         $pageTitle = "Debit Card";
        
      $user = auth()->user(); 
        $cards = vcard::where('user_id',Auth::user()->id)->first();
           if(isset($cards->card_id)){
          $transactions = Transaction::where('user_id', $user->id)->where('category', 'card')->get();     
               
           } else {
               $transactions = null;
           }
         return view($this->activeTemplate.'user.vcard.index', compact('pageTitle','cards', 'user', 'transactions'));
        
    }
    
  
    
    public function vnewcard(Request $request){
        
          $user = auth()->user();
          $general = GeneralSetting::first();
          $totalAmount = $general->ngn_fee;
        
        if($totalAmount > $user->balance){
            $notify[]=['error','Sorry! insufficient balance in this wallet'];
            return back()->withNotify($notify)->withInput(); 
        }
      
     $trx = getTrx();
     $card_bin = isset($general->card_bin) ? $general->card_bin : "7249";
    $user->balance -= $totalAmount;
    $user->save();
    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $totalAmount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '-';
    $transaction->details = 'Debit Card Issuance Fees';
    $transaction->trx =  $trx;
    $transaction->save();
    
    $card_pan = $card_bin.rand(000000000000, 999999999999);
    $masked_pan = $this->maskpan($card_pan);
    
    $newcard = new Vcard();
    $newcard->user_id = $user->id;
    $newcard->card_id = base64_encode($card_pan);
    $newcard->card_status = "ACT";
    $newcard->account_id = $user->ewallet_id;
    $newcard->currency = $general->cur_text;
    $newcard->card_hash = base64_encode($card_pan);
    $newcard->card_pan = $card_pan;
    $newcard->masked_pan = $masked_pan;
    $newcard->cvv = rand(111,999);
    $newcard->expiration = date_format(Carbon::now()->addDays(365),"my");
    $newcard->card_type = $general->sitename;
    $newcard->name_on_card = $user->firstname. " ". $user->lastname;
    $newcard->is_active = "ACT";
    $newcard->save();
    
    if($newcard->save()){
             $notify[]=['Success','Card Issued Successfully'];
            return back()->withNotify($notify)->withInput(); 
                  
            
        $adminNotification = new AdminNotification();
        $adminNotification->user_id = $user->id;
        $adminNotification->title = "New Card Issued";
        $adminNotification->click_url = urlPath('admin.users.detail',$user->id);
        $adminNotification->save();
    } else {  
        
        $trx = getTrx();
     
    $user->balance += $totalAmount;
    $user->save();
    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $totalAmount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '+';
    $transaction->details = 'Reversal of Card Issuance Fees';
    $transaction->trx =  $trx;
    $transaction->save();
              $notify[]=['error','Sorry! There was an error issuing your card contact support'];
            return back()->withNotify($notify)->withInput(); 
    }
     
    }
    
      public function cryptocardindex(){
        
         $pageTitle = "Crypto Debit Card";
        
      $user = auth()->user(); 
      $walletId = Wallet::where('user_id', $user->id)->pluck('crypto_id');
        $cryptos = Crypto::latest()->where('status', 1)->whereNotIn('id', $walletId)->pluck('id');
        $data = [];

        foreach ($cryptos as $id) {
            $wallet['crypto_id']    = $id;
            $wallet['user_id']      = $user->id;
            $wallet['balance']      = 0;
            $data[] = $wallet;
        }

        if(!empty($data)){
            Wallet::insert($data);
        }
        $wallets = Wallet::where('user_id', $user->id)->where('crypto_id',"!=", null)->whereHas('crypto', function($q){
            $q->where('status', 1);
        })->with('crypto')->latest()->get();;
        $cards = Cryptocard::where('user_id',Auth::user()->id)->first();
           if(isset($cards->card_id)){
          $transactions = Transaction::where('user_id', $user->id)->where('crypto_id','!=', null)->get();     
               
           } else {
                 return redirect()->route('user.debit.cryptocardapply');
           }
       
   
        
         return view($this->activeTemplate.'user.vcard.cryptoindex', compact('pageTitle','cards', 'user','wallets', 'transactions'));
        
    }
    
    
     public function cryptocardapply(){
        
         $pageTitle = "Apply For Crypto Debit Card";
        
      $user = auth()->user(); 
        $cards = Cryptocard::where('user_id',Auth::user()->id)->first();
           if(isset($cards->card_id)){
           $notify[]=['error','Sorry! You Already Have a Crypto Issued For This Crypto'];
            return back()->withNotify($notify)->withInput();  
               
           } 
      
        
         return view($this->activeTemplate.'user.vcard.cryptoapply', compact('pageTitle','cards', 'user'));
        
    }
    
     public function changepin(Request $request){
        $user = auth()->user();
        
       $card_pan = base64_decode($request->card_id);
         $blockcard = Cryptocard::where('card_pan',$card_pan)->first();
	
         if($blockcard){
            
	$blockcard->pin = $request->pin;
	$blockcard->save();
            $notify[]=['success','Card Pin Changed'];
            return back()->withNotify($notify)->withInput(); 
             
         } else {
             
              $notify[]=['error','Error changing pin'];
            return back()->withNotify($notify)->withInput(); 
         }
        
    }
    public function cryptonewcard(Request $request){
        
          $user = auth()->user();
          $general = GeneralSetting::first();
           $this->validate($request, [
         
            'pin' => 'required|numeric|digits:4'
        ]);
          $totalAmount = $general->ccard_fee;
         $cards = Cryptocard::where('user_id',Auth::user()->id)->first();
        if(isset($cards->card_id)){
           $notify[]=['error','Sorry! You Already Have a Crypto Issued For This Crypto'];
            return back()->withNotify($notify)->withInput();
               
           } 
          
        if($totalAmount > $user->balance){
            $notify[]=['error','Sorry! insufficient balance in this wallet'];
            return back()->withNotify($notify)->withInput(); 
        }
     
     $trx = getTrx();
     $card_bin = isset($general->card_bin) ? $general->card_bin : "9111";
    $user->balance -= $totalAmount;
    $user->save();
    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $totalAmount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '-';
    $transaction->details = 'Crypto Debit Card Issuance Fees';
    $transaction->trx =  $trx;
    $transaction->save();
    
    $card_pan = $card_bin.rand(000000000000, 999999999999);
    $masked_pan = $this->maskpan($card_pan);
    
    $newcard = new Cryptocard();
    $newcard->user_id = $user->id;
   
    $newcard->card_id = base64_encode($card_pan);
    $newcard->card_status = "ACT";
    $newcard->account_id = $user->ewallet_id;
    $newcard->currency = $general->cur_text;
     $newcard->pin = $request->pin;
    $newcard->card_hash = base64_encode($card_pan);
    $newcard->card_pan = $card_pan;
    $newcard->masked_pan = $masked_pan;
    $newcard->cvv = rand(111,999);
    $newcard->expiration = date_format(Carbon::now()->addDays(365),"my");
    $newcard->card_type = $general->sitename;
    $newcard->name_on_card = $user->firstname. " ". $user->lastname;
    $newcard->is_active = "ACT";
    $newcard->save();
    
    if($newcard->save()){
           $notify[]=['Success','Crypto Card Issued Successfully'];
           return redirect()->route('user.debit.cryptocardindex')->withNotify($notify);
                  
            
        $adminNotification = new AdminNotification();
        $adminNotification->user_id = $user->id;
        $adminNotification->title = "New Crypto Card Issued";
        $adminNotification->click_url = urlPath('admin.users.detail',$user->id);
        $adminNotification->save();
    } else {  
        
        $trx = getTrx();
     
    $user->balance += $totalAmount;
    $user->save();
    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $totalAmount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '+';
    $transaction->details = 'Reversal of Crypto Card Issuance Fees';
    $transaction->trx =  $trx;
    $transaction->save();
              $notify[]=['error','Sorry! There was an error issuing your crypto card contact support'];
            return back()->withNotify($notify)->withInput(); 
    }
     
    }
    
    
    private function maskpan(string $string = NULL)
{
    if (!$string) {
        return NULL;
    }
    $length = strlen($string);
    $visibleCount = (int) round($length / 4);
    $hiddenCount = $length - ($visibleCount * 4);
    return substr($string, 0, $visibleCount) . str_repeat('*', 8) . substr($string, ($visibleCount * -1), $visibleCount);
}
    
    public function newcard(Request $request){
        
          $user = auth()->user();
          $general = GeneralSetting::first();
           
           
        
            $fee = $general->ngn_fee;
            $debitamount = showAmount($request["amount"]);

        
        $totalAmount = $debitamount + $fee;
        
        if($totalAmount > $user->balance){
            $notify[]=['error','Sorry! insufficient balance in this wallet'];
            return back()->withNotify($notify)->withInput(); 
        }
        
     $trx = getTrx();
     
    $user->balance -= $fee;
    $user->save();
    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $fee;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '-';
    $transaction->details = 'Debit Card Issuance Fees';
    $transaction->trx =  $trx;
    $transaction->save();
    
    
    $ntrx = getTrx();
     
   $user->balance -= $debitamount;
    $user->save();
    
    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $debitamount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '-';
    $transaction->details = 'Initial Debit Card Loading';
    $transaction->trx =  $ntrx;
    $transaction->save();
    
        
    $payment_request = array (
    "currency" => $request["currency"],
    "amount" => $request["amount"],
    "name" => $user->firstname." ".$user->lastname,
    
   );
         $newcards = new Flutterwave;
         $newcard = $newcards->fluttercard($payment_request);
         
         if($newcard->status == "success"){
              
             $update = new Fluttercard;
             $update->user_id = $user->id;
             $update->status = $newcard->status;
             $update->card_id = $newcard->data->id;
             $update->card_pan = $newcard->data->card_pan;
             $update->card_type = $newcard->data->card_type;
             $update->name_on_card = $newcard->data->name_on_card;
             $update->masked_pan = $newcard->data->masked_pan;
             $update->currency = $newcard->data->currency;
             $update->is_active = $newcard->data->is_active;
             $update->cvv = $newcard->data->cvv;
             $update->expiration = $newcard->data->expiration;
             $update->save();
             $notify[]=['Success','Card Issued Successfully'];
            return back()->withNotify($notify)->withInput(); 
         } else {
               $trx = getTrx();
     
    $user->balance += $fee;
    $user->save();
    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $fee;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '+';
    $transaction->details = 'Reversal of Debit Card Issuance Fees';
    $transaction->trx =  $trx;
    $transaction->save();
    
    
    $ntrx = getTrx();
     
   $user->balance += $debitamount;
    $user->save();
    
    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $debitamount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '+';
    $transaction->details = 'Reversal of Initial Debit Card Loading';
    $transaction->trx =  $ntrx;
    $transaction->save();
    $adminNotification = new AdminNotification();
        $adminNotification->user_id = $user->id;
        $adminNotification->title = json_encode($newcard);
        $adminNotification->click_url = urlPath('admin.users.detail',$user->id);
        $adminNotification->save();
        
              $notify[]=['error','Sorry! There was an error issuing your card contact support'];
            return back()->withNotify($notify)->withInput(); 
         }
   
    }
    
    
     public function loadfunds(Request $request){
           $user = auth()->user(); 
           $general = GeneralSetting::first();
           $card_id = $request["card_id"];
           $currency = $request["currency"];
           
            if($request["currency"] != "NGN" && $request["amount"] < 100){
                $notify[]=['error','Sorry! Minimum Load amount is 100'];
            return back()->withNotify($notify)->withInput(); 
            }
            
            if($request["currency"] == $general->cur_text && $request["amount"] < 10){
                $notify[]=['error','Sorry! Minimum Load amount is 10'];
            return back()->withNotify($notify)->withInput(); 
            }
           
            if($request["currency"] != $general->cur_text){
                
        $frate = Fiat::where('code',$request["currency"])->first();
         
        $rate = $frate->rate;
        $debitamount = showAmount($request["amount"] / $rate);
        
        } else {
            
            $debitamount = showAmount($request["amount"]);
        }
        
     
        
        if($debitamount > $user->balance){
            $notify[]=['error','Sorry! insufficient balance in this wallet'];
            return back()->withNotify($notify)->withInput(); 
        }
        
        $trx = getTrx();
     
    $user->balance -= $debitamount;
    $user->save();
    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $debitamount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '-';
    $transaction->details = 'Funds Loaded to Debit Card';
    $transaction->trx =  $trx;
    $transaction->save();

    
    $newcards = new Flutterwave;
    $newcard = $newcards->loadfunds($request["amount"],$currency,$card_id);
    if($newcard->status == "success"){
         $notify[]=['Success','Card Issued Successfully'];
            return back()->withNotify($notify)->withInput(); 
    } else {
        $trx = getTrx();
     
    $user->balance += $debitamount;
    $user->save();
    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $debitamount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '+';
    $transaction->details = 'Reversal of Debit Card load fund';
    $transaction->trx =  $trx;
    $transaction->save();
    
     $notify[]=['error','Sorry! your funds could not be loaded'];
            return back()->withNotify($notify)->withInput(); 
    }
    
           
     }
    
    public function blockcard(Request $request){
        $user = auth()->user();
        
         $newcards = new Flutterwave;
         $newcard = $newcards->blockcard($request->card_id);
         if($newcard->status == "success"){
             
              $notify[]=['success','Card Blocked'];
            return back()->withNotify($notify)->withInput(); 
             
         } else {
             
              $notify[]=['error','Error blocking Card'];
            return back()->withNotify($notify)->withInput(); 
         }
        
    }
    
    public function unblockcard(Request $request){
        $user = auth()->user();
        
         $newcards = new Flutterwave;
         $newcard = $newcards->unblockcard($request->card_id);
         if($newcard->status == "success"){
             
              $notify[]=['success','Card Unblocked'];
            return back()->withNotify($notify)->withInput(); 
             
         } else {
             
              $notify[]=['error','Error Unblocking Card'];
            return back()->withNotify($notify)->withInput(); 
         }
        
    }
    
      public function vblockcard(Request $request){
        $user = auth()->user();
        
       $card_pan = base64_decode($request->card_id);
         $blockcard = Vcard::where('card_pan',$card_pan)->first();
	
         if($blockcard){
             $blockcard->card_status = "BLCK";
	$blockcard->is_active = "BLCK";
	$blockcard->save();
            $notify[]=['success','Card Blocked'];
            return back()->withNotify($notify)->withInput(); 
             
         } else {
             
              $notify[]=['error','Error blocking Card'];
            return back()->withNotify($notify)->withInput(); 
         }
        
    }
     public function vunblockcard(Request $request){
        $user = auth()->user();
        
       $card_pan = base64_decode($request->card_id);
         $blockcard = Vcard::where('card_pan',$card_pan)->first();
	
         if($blockcard){
             $blockcard->card_status = "ACT";
	$blockcard->is_active = "ACT";
	$blockcard->save();
            $notify[]=['success','Card Unblocked'];
            return back()->withNotify($notify)->withInput(); 
             
         } else {
             
              $notify[]=['error','Error Unblocking Card'];
            return back()->withNotify($notify)->withInput(); 
         }
        
    }
    
    public function aptocard(){
        $pageTitle = "Debit Card";
        
      $user = auth()->user(); 
       
         return view($this->activeTemplate.'user.apto.request-new-card', compact('pageTitle', 'user'));
    }
    
    
      public function create_verification_process_request(Request $request_data) {
         $user = auth()->user(); 

		if (
			empty($request_data['country_code']) ||
			empty($request_data['phone_number'])
		) {
			$result_set = array(
				"status" => 'error',
				"code" => 400,
				"message" => 'Invalid Request. Missing Parameters',
				"data" => array()
			); 
			echo json_encode($result_set);
			return;
		}

        $country_dial_code = $this->get_country_dial_code($request_data['country_code']);
        $phone_number = explode('+'.$country_dial_code->phone_code, $request_data['phone_number']);
		$request_parameters = array(
			'datapoint_type' => "phone",
			'datapoint' => array(
                'data_type' => "phone",
                'country_code' => $country_dial_code->phone_code,
                'phone_number' => $phone_number[1]
            )
		);
                 $general = GeneralSetting::first();
        
               $body = json_encode($request_parameters, JSON_UNESCAPED_SLASHES);
                $apto_mobile_key = $general->apto_mobile_key;
                $apto_public_key = $general->apto_public_key;
                $apto_secretkey = $general->apto_secret_key;
                
                $curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.sbx.aptopayments.com/v1/verifications/start',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>$body,
  CURLOPT_HTTPHEADER => array(
    'Api-Key: Bearer '.$apto_mobile_key,
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);

                
                
		
		
		$start_verification_response = json_decode($response);
		
		if (!$start_verification_response->status && !$start_verification_response->verification_id && !$start_verification_response->type) {
			$result_set = array(
				"status" => 'error',
				"code" => 404,
				"message" => "Something went wrong while Verification. Unknown Result.",
				"data" => array()
			); 
			echo json_encode($result_set);
			return;
		}
               
               $carddata = Aptocard::where('user_id', $user->id)->first();
               if(!$carddata){
                 $insert_card_data = new Aptocard();
                 $insert_card_data->ewallet_id = $user->ewallet_id;
                 $insert_card_data->email_id = $user->email;
                 $insert_card_data->user_id = $user->id;
                 $insert_card_data->phone_verification_id = $start_verification_response->verification_id;
                 $insert_card_data->save();
                 $carddata = Aptocard::where('user_id', $user->id)->first();
                 $insert_response = $carddata->id;
               } else {
                   $insert_response = $carddata->id;
                   
               }
                  
             
              
		$result_set = array(
			"status" => 'success',
			"code" => 200,
			"message" => 'OTP sent to your registered mobile number successfully.',
			"data" => array(
				"status" => $start_verification_response->status,
				"verification_id" => $start_verification_response->verification_id,
				"type" => $start_verification_response->type,
				"apto_card_id" => $insert_response
			)                
		); 
		echo json_encode($result_set);
		return;
		
    }
    
    public function complete_verification_process_request(Request $request_data) {
		$user = auth()->user(); 
		if (empty($request_data)) {
			$result_set = array(
				"status" => 'error',
				"code" => 400,
				"message" => 'Bad Request',
				"data" => array()
			); 
			echo json_encode($result_set);
			return;
		}

		if (
			empty($request_data['secret']) ||
			empty($request_data['verification_id']) ||
			empty($request_data['apto_card_id'])
		) {
			$result_set = array(
				"status" => 'error',
				"code" => 400,
				"message" => 'Invalid Request. Missing Parameters',
				"data" => array()
			); 
			echo json_encode($result_set);
			return;
		}

		$request_parameters = array(
			'secret' => $request_data['secret']
		);

		// Complete Verification Process Started
		$complete_mobile_verification_api_response = $this->complete_mobile_verification($request_data['verification_id'], $request_parameters);
		$complete_mobile_verification_response = $complete_mobile_verification_api_response['data']['response'];
				
		if (
			!array_key_exists("status", $complete_mobile_verification_response) &&
			!array_key_exists("verification_id", $complete_mobile_verification_response) &&
			!array_key_exists("type", $complete_mobile_verification_response)
		) {
			$result_set = array(
				"status" => 'error',
				"code" => 404,
				"message" => "Something went wrong while Completing Verification. Unknown Result.",
				"data" => array()
			); 
			echo json_encode($result_set);
			return;
		}
		// Complete Verification Process Ended

		$apto_card_details = Aptocard::where('user_id',$user->id)->first();
		
		
		if (
			empty($apto_card_details) || 
			empty($apto_card_details->apto_user_id) ||
			empty($apto_card_details->apto_user_token)
		) {
			$user_id = $user->id;
			
			$user_data = auth()->user(); 

			$country_dial_code = $this->get_country_dial_code("US");
			$phone_number = explode('+1', $user_data->mobile);
                        $dob = strtotime($request_data['date_of_birth']);
                       
                        $dateofbirth =  date("Y-m-d", $dob);
                        $street_one = $request_data['street_one'];
                        $street_two = $request_data['street_two'];
                        $city = $request_data['city'];
                        $state_code = $request_data['state_code'];
                        $zip =  $request_data['zip'];
			$request_object = array(
				"metadata" => $user_data->ewallet_id,
				"verification" => $complete_mobile_verification_response,
				"country_code" => "+1",
				"phone_number" => $phone_number[1],
				"email" => $user_data->email,
				"birthdate" => $dateofbirth,
				"first_name" => $user_data->firstname,
				"last_name" => $user_data->lastname,
				"street_one" => $street_one,
				"street_two" => $street_two,
				"locality" => $city,
				"region" => $state_code,
				"postal_code" => $zip,
				"country" => "US",
                                "ssn" => $request_data['ssn']
			);

			$create_user_api_response = $this->create_user($request_object);
                      
			$create_user_response = $create_user_api_response['data']['response'];
			// Update user details to Database
			if (
				!array_key_exists("user_id", $create_user_response) &&
				!array_key_exists("user_token", $create_user_response) &&
				!array_key_exists("type", $create_user_response)
			) {
				$result_set = array(
					"status" => 'error',
					"code" => $create_user_api_response['data']['error_code'] ? $create_user_api_response['data']['error_code'] : 404,
					"message" => $create_user_api_response['data']['error_message'] ? $create_user_api_response['data']['error_message'] : "Something went wrong while Creating User. Unknown Result.",
					"data" => array()
				); 
				echo json_encode($result_set);
				return;
			}

			$update_user_data = array(
				"apto_user_id" => $create_user_response['user_id'],
				"apto_user_token" => $create_user_response['user_token'],
			);
                                $apto_card_details->apto_user_id = $create_user_response['user_id'];
                                $apto_card_details->apto_user_token = $create_user_response['user_token'];
                                $apto_card_details->save();
                        
                        
		} else {
			$update_user_data = array(
				"apto_user_id" => $apto_card_details->apto_user_id,
				"apto_user_token" => $apto_card_details->apto_user_token,
			);
				
             
		}
	

		if (!$apto_card_details->apto_user_id) {
			$result_set = array(
				"status" => 'error',
				"code" => 400,
				"message" => 'Something went wrong while updating User Details.',
				"data" => array()
			); 
			echo json_encode($result_set);
			return; 
		}
                
                
		// Create User Process Ends

		// Card Program Starts here.
		$update_card_program_data = array();
		if (
			empty($apto_card_details) || 
			empty($apto_card_details->apto_user_id) ||
			empty($apto_card_details->apto_user_token) ||
			empty($apto_card_details->card_program_id)
		) {
			$card_program_api_response = $this->show_card_programs($update_user_data['apto_user_token']);
			$card_program_response = $card_program_api_response['data']['response'];

			if (
				!array_key_exists("id", $card_program_response) &&
				!array_key_exists("name", $card_program_response) &&
				!array_key_exists("type", $card_program_response) &&
				!array_key_exists("allowed_countries", $card_program_response)
			) {
				$result_set = array(
					"status" => 'error',
					"code" => 404,
					"message" => "Something went wrong while Loading Card Program. Unknown Result.",
					"data" => array()
				); 
				echo json_encode($result_set);
				return;
			}
			$apto_card_details->card_program_id = $card_program_response['data'][0]['id'];
			
		} else {
                    $apto_card_details->card_program_id = $apto_card_details->card_program_id;
			
		}
		
		// Update Card Program details to Database
		$apto_card_details->save();

		if (!$apto_card_details->save()) {
			$result_set = array(
				"status" => 'error',
				"code" => 400,
				"message" => 'Something went wrong while updating Card Program Details.',
				"data" => array()
			); 
			echo json_encode($result_set);
			return; 
		}
		// Card Program Ends here.

		// Apply for Card starts here.
		if (
			empty($apto_card_details) || 
			empty($apto_card_details->apto_user_id) ||
			empty($apto_card_details->apto_user_token) ||
			empty($apto_card_details->card_program_id) ||
			empty($apto_card_details->workflow_object_id) ||
			empty($apto_card_details->next_action_id)
		) {
			$apply_card_request = array(
				"card_product_id" => $apto_card_details->card_program_id,
				"metadata" => $user->ewallet_id
			);

			$apply_card_api_response = $this->apply_card($update_user_data['apto_user_token'], $apply_card_request);
			$apply_card_response = $apply_card_api_response['data']['response'];

			if (
				!array_key_exists("id", $apply_card_response) &&
				!array_key_exists("application_type", $apply_card_response) &&
				!array_key_exists("type", $apply_card_response) &&
				!array_key_exists("status", $apply_card_response) &&
				!array_key_exists("workflow_object_id", $apply_card_response) &&
				!array_key_exists("next_action", $apply_card_response)
			) {
				$result_set = array(
					"status" => 'error',
					"code" => 404,
					"message" => "Something went wrong while Applying Card. Unknown Result.",
					"data" => array()
				); 
				echo json_encode($result_set);
				return;
			}
			
                       $apto_card_details->application_id = $apply_card_response['id'];
                       $apto_card_details->workflow_object_id = $apply_card_response['workflow_object_id'];
                       $apto_card_details->next_action_id = $apply_card_response['next_action']['action_id'];
                        
                        
		} else {
			$apply_card_data = array(
				"application_id" => $apto_card_details->application_id,
				"workflow_object_id" => $apto_card_details->workflow_object_id,
				"next_action_id" => $apto_card_details->next_action_id
			);
		}
		
		// Update Card Program details to Database
		$apto_card_details->save();

		if (!$apto_card_details->save()) {
			$result_set = array(
				"status" => 'error',
				"code" => 400,
				"message" => 'Something went wrong while updating User Details.',
				"data" => array()
			); 
			echo json_encode($result_set);
			return; 
		}
		// Apply for Card Ends here.
		
// CHECKED TILL HERE	
		// Issue a Card starts here
                
                $accept_agreement_response = $this->accept_user_agreement($update_user_data['apto_user_token'], "ACCEPTED");
		
		$issue_card_request = array(
			"application_id" => $apto_card_details->application_id,
		);
                
                $ap = new Aphelp();
                $request_parameters = array(
                "workflow_object_id" => $apto_card_details->workflow_object_id,
		"action_id" => $apto_card_details->next_action_id
                );
                $a = $ap->accept_card_agreement($update_user_data['apto_user_token'], $request_parameters); 

		$issue_card_api_response = $this->issue_card($update_user_data['apto_user_token'], $issue_card_request);
		$issue_card_response = $issue_card_api_response['data']['response'];

		if (
			!array_key_exists("type", $issue_card_response) &&
			!array_key_exists("account_id", $issue_card_response) &&
			!array_key_exists("card_network", $issue_card_response) &&
			!array_key_exists("last_four", $issue_card_response) &&
			!array_key_exists("state", $issue_card_response) &&
			!array_key_exists("features", $issue_card_response)
		) {
			$result_set = array(
				"status" => 'error',
				"code" => 404,
				"message" => "Something went wrong while Issuing a Card. Unknown Result.",
				"data" => array()
			); 
			echo json_encode($result_set);
			return;
		}

		
			$apto_card_details->card_account_id = $issue_card_response['account_id'];
			$apto_card_details->card_network = $issue_card_response['card_network'];
			$apto_card_details->card_last_four = $issue_card_response['last_four'];
                        $apto_card_details->save();
		

		// Update accept Issue Card details to Database
		

		if (!$apto_card_details->save()) {
			$result_set = array(
				"status" => 'error',
				"code" => 400,
				"message" => 'Something went wrong while updating Issue Card Details.',
				"data" => array()
			); 
			echo json_encode($result_set);
			return; 
		}
		// Issue a Card ends here.

		$result_set = array(
			"status" => 'success',
			"code" => 200,
			"message" => 'Card Issued Successfully',
			"data" => array(
				"status" => $response["status"],
				"verification_id" => $response["verification_id"],
				"type" => $response["type"],
				"user_token" => $update_user_data['apto_user_token'],
				"account_id" => $issue_card_response['account_id'],
				"agreement_url" => $issue_card_response['features']['ach']['disclaimer']['content']['value']
			)                
		); 
		echo json_encode($result_set);
		return;
		
		
	}

	public function process_new_card_request(Request $request_data) {
            $user = auth()->user(); 
		
		if (empty($request_data)) {
			$result_set = array(
				"status" => 'error',
				"code" => 400,
				"message" => 'Bad Request',
				"data" => array()
			); 
			echo json_encode($result_set);
			return;
		}

		if (
			empty($request_data['user_token']) ||
			empty($request_data['account_id']) ||
			empty($request_data['user_action'])
		) {
			$result_set = array(
				"status" => 'error',
				"code" => 400,
				"message" => 'Invalid Request. Missing Parameters',
				"data" => array()
			); 
			echo json_encode($result_set);
			return;
		}

		// Set Agreement Status Starts Here
		$accept_agreement_response = $this->accept_user_agreement($request_data['user_token'], $request_data['user_action']);
		// Set Agreement Status Starts Here
                
		if ($request_data['user_action'] == "ACCEPTED") {
			// Enable a Card starts here
			$enable_card_response = $this->enable_user_card($request_data['user_token'], $request_data['account_id']);
			// Enable a Card ends here.

			// Retreive Card Details starts here
			$retrieve_card_response = $this->retrieve_user_card($request_data['user_token'], $request_data['account_id']);

			if (
				empty($retrieve_card_response) ||
				$retrieve_card_response['status'] == 'error'
			) {
				$result_set = array(
					"status" => 'error',
					"code" => 400,
					"message" => 'Something went wrong in Retrieving Card details.',
					"data" => array( 
						"response" => $retrieve_card_response['data']
					)
				); 
				echo json_encode($result_set);
				return;
			}

			

			$update_response = Apto::where('user_id', $user->id)->first();
                        $update_response->card_account_id = $retrieve_card_response['data']['response']['account_id'];
                        $update_response->save();
                        
			if (!$update_response->save()) {
				$result_set = array(
					"status" => 'error',
					"code" => 400,
					"message" => 'Something went wrong while updating User Details.',
					"data" => array()
				); 
				echo json_encode($result_set);
				return; 
			}

			// Retreive Card Details ends here.

			$result_set = array(
				"status" => 'success',
				"code" => 200,
				"message" => 'Agreement accepted and Card Issued Successfully.',
				"data" => array(
					"name_on_card" => $retrieve_card_response['data']['response']['name_on_card'],
					"last_four" => $retrieve_card_response['data']['response']['last_four'],
					"card_network" => $retrieve_card_response['data']['response']['card_network'],
				)                
			);
			echo json_encode($result_set);
			return; 
		} else {
			$result_set = array(
				"status" => 'error',
				"code" => 422,
				"message" => 'You have declined the aggrement.',
				"data" => array()      
			);
			echo json_encode($result_set);
			return; 
		}
	}
      private function start_mobile_verification($request_parameters) {
             
                
		
                
                
                
		$start_verification_api_response = $start->start_verification_process($request_parameters);
              print_r($start_verification_api_response);
              exit;
		$start_verification_response = json_decode($start_verification_api_response, true);
               
	//	log_message('error', $start_verification_api_response);

		if (
			empty($start_verification_api_response) ||
			array_key_exists("code", $start_verification_response) ||
			array_key_exists("message", $start_verification_response)
		) {
			return array(
				"status" => 'error',
				"code" => 404,
				"message" => "Something went wrong while Verification",
				"data" => array(
					"error_code" => 400,
					"error_message" => $start_verification_response["message"]
				)
			);
		}

		return array(
			"status" => 'success',
			"code" => 200,
			"message" => 'Mobile Verification started successfully.',
			"data" => array(
			"response" => $start_verification_response,
			)                
		);
	}
        
     private function complete_mobile_verification($verification_id, $request_parameters) {
            $new = new Aphelp();
		$complete_verification_api_response = $new->complete_verification_process($verification_id, $request_parameters);
        $complete_verification_response = json_decode($complete_verification_api_response, true);
		
		
		if (
			empty($complete_verification_api_response) ||
			array_key_exists("code", $complete_verification_response) ||
			array_key_exists("message", $complete_verification_response)
		) {
			return array(
				"status" => 'error',
				"code" => 404,
				"message" => "Something went wrong while Completing Verification",
				"data" => array(
					"error_code" => $complete_verification_response->code,
					"error_message" => $complete_verification_response->message
				)
			);
		}

		return $result_set = array(
			"status" => 'success',
			"code" => 200,
			"message" => 'Mobile Verification Completed successfully.',
			"data" => array(
				"response" => $complete_verification_response,
			)                
		);
	}   
        
        private function get_country_dial_code($iso_alpha2_country_code) {
        
            $code = Countries::where('iso_alpha2',$iso_alpha2_country_code)->first();
            
		return $code;
    }
    
    private function show_card_programs($user_token) {
                $aphelp = new Aphelp();
		$card_program_api_response = $aphelp->list_all_card_programs($user_token);
		$card_program_response = json_decode($card_program_api_response, true);
		

		if (
			empty($card_program_api_response) ||
			array_key_exists("code", $card_program_response) ||
			array_key_exists("message", $card_program_response)
		) {
			return array(
				"status" => 'error',
				"code" => 404,
				"message" => "Something went wrong while updating Card Program",
				"data" => array(
					"error_code" => $card_program_response["code"],
					"error_message" => $card_program_response["message"]
				)
			);
		}

		return $result_set = array(
			"status" => 'success',
			"code" => 200,
			"message" => 'Card Program fetched successfully.',
			"data" => array(
				"response" => $card_program_response,
			)                
		);
	}
    
    private function apply_card($user_token, $apply_card_request) {
                $apply = new Aphelp();
		$apply_card_api_response = $apply->apply_for_card($user_token, $apply_card_request);
		$apply_card_response = json_decode($apply_card_api_response, true);
		

		if (
			empty($apply_card_api_response) ||
			array_key_exists("code", $apply_card_response) ||
			array_key_exists("message", $apply_card_response)
		) {
			return array(
				"status" => 'error',
				"code" => 404,
				"message" => "Something went wrong while Applying Card.",
				"data" => array(
					"error_code" => $apply_card_response["code"],
					"error_message" => $apply_card_response["message"]
				)
			); 
		}

		return array(
			"status" => 'success',
			"code" => 200,
			"message" => 'Card Applied successfully.',
			"data" => array(
				"response" => $apply_card_response,
			)                
		);
	}
        
        
        private function issue_card($user_token, $issue_card_request) {
                $issue = new Aphelp();
		$issue_card_api_response = $issue->issue_card($user_token, $issue_card_request);
		$issue_card_response = json_decode($issue_card_api_response, true);
		

		if (
			empty($issue_card_api_response) ||
			
			$issue_card_response['message']
		) {
			return array(
				"status" => 'error',
				"code" => 404,
				"message" => "Something went wrong while Issuing a Card.",
				"data" => array(
                                "response" => $issue_card_response,
                                "error_message" => $issue_card_response['message']
				)
			); 
		}

		return array(
			"status" => 'success',
			"code" => 200,
			"message" => 'Card Issued successfully.',
			"data" => array(
				"response" => $issue_card_response,
			)                
		); 
	}
        
        private function accept_user_agreement($user_token, $user_action) {
		$set_agreement_request = array(
			"agreements_keys" => array(
				"apto_cha",
				"apto_privacy",
				"evolve_eua", 
				"evolve_privacy"
			),
			"user_action" => $user_action
		);
                $new = new Aphelp();
		$accept_agreement_api_response = $new->set_agreement_status($user_token, $set_agreement_request);
		$accept_agreement_response = json_decode($accept_agreement_api_response, true);
		
		
		if (
			empty($accept_agreement_api_response) ||
			array_key_exists("code", $accept_agreement_response) ||
			array_key_exists("message", $accept_agreement_response)
		) {
			return array(
				"status" => 'error',
				"code" => 404,
				"message" => "Something went wrong while Accepting Agreement.",
				"data" => array(
					"error_code" => $accept_agreement_response["code"],
					"error_message" => $accept_agreement_response["message"]
				)
			);
		}

		return $result_set = array(
			"status" => 'success',
			"code" => 200,
			"message" => 'Agreement accepted successfully.',
			"data" => array(
				"response" => $accept_agreement_response,
			)                
		); 
	}
        
         private function create_user($user_request_object) {
		$create_user_request = $this->create_user_request_object($user_request_object);
                $jwt = new PHPJWT();
                $c = new Aphelp();
		$jwtPayload = $jwt->encodeJWT($create_user_request);
		$create_user_api_response = $c->create_user_jwt($jwtPayload);
		$create_user_response = json_decode($create_user_api_response, true);
		

		if (
			empty($create_user_api_response) ||
			array_key_exists("code", $create_user_response) ||
			array_key_exists("message", $create_user_response)
		) {
			return array(
				"status" => 'error',
				"code" => 404,
				"message" => "Something went wrong while Creating User",
				"data" => array(
					"error_code" => $create_user_response["code"],
					"error_message" => $create_user_response["message"]
				)
			);
		}

		return $result_set = array(
			"status" => 'success',
			"code" => 200,
			"message" => 'User created successfully.',
			"data" => array(
				"response" => $create_user_response,
			)                
		);
}

private function create_user_request_object($request_object) {
		$request_data = array(
			"metadata" => $request_object["metadata"],
			"data_points" => array(
				"type" => "list",
				"data" => array(
					array(
						"data_type" => "phone",
						"verified" => false,
						"verification" => $request_object["verification"],
						"not_specified" => false,
						"country_code" => $request_object["country_code"],
						"phone_number" => $request_object["phone_number"]
					),
					array(
						"type" => "email",
						"email" => $request_object["email"]
					),
					array(
						"type" => "birthdate",
						"date" => $request_object["birthdate"]
					),
					array(
						"type" => "name",
						"first_name" => $request_object["first_name"],
						"last_name" => $request_object["last_name"]
					),
					array(
						"type" => "address",
						"street_one" => $request_object["street_one"],
						"street_two" => $request_object["street_two"],
						"locality" => $request_object["locality"],
						"region" => $request_object["region"],
						"postal_code" => $request_object["postal_code"],
						"country" => $request_object["country"],
					),
                                    array(
						"type" => "id_document",
						"value" => $request_object["ssn"],
						"country" => "USA",
                                                "doc_type" => "SSN"
					)
				),
				"has_more" => false,
				"page" => 0,
				"rows" => 1,
				"total_count" => 1
			)
		);
		return $request_data;
	}

        public function tremendous(){
        $pageTitle = "Visa Prepaid Cards";
        
        $user = auth()->user(); 
        $cards = prepaid::where('user_id',Auth::user()->id)->get();
          
         return view($this->activeTemplate.'user.cards.pindex', compact('pageTitle','cards', 'user'));
            
        }
        
        public function orderprepaid(Request $request){
            $user = auth()->user();
$general = GeneralSetting::first();

$totalAmount = $request["amount"];


if($totalAmount > $user->balance){
            $notify[]=['error','Sorry! insufficient balance in this wallet'];
            return back()->withNotify($notify)->withInput(); 
        }


$trx = getTrx();
     
    $user->balance -= $totalAmount;
    $user->save();
    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $totalAmount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '-';
    $transaction->details = 'Prepaid Card Purchase ';
    $transaction->trx =  $trx;
    $transaction->save();
	
$order = new Tremendous();
$funding = $order->fundingsource();

if($request["type"] == "row"){
$type = $order->getrowcampaign();
} else {
$type = $order->getuscampaign();
}


$body = array (
 "payment"=> array(
          "funding_source_id"=> $funding
     ),
  'rewards' => 
  array (
    0 => 
    array (
      'products' => 
      array (
        0 => $type,
      ),
      'value' => 
      array (
        'denomination' => $totalAmount,
          'currency_code' => "USD",
      ),
      'delivery' => 
      array (
        'method' => 'LINK',
      ),
      'recipient' => 
      array (
        'name' => $user->firstname,
        'email' => $user->email,
      ),
  ),      
  ),
  'external_id' => $trx,
);

$placeorder = $order->order($body);

$prepaid = new Prepaid();
$prepaid->user_id = $user->id;
$prepaid->trx = $trx;
$prepaid->amount = $totalAmount;
$prepaid->order_id = $placeorder->order->id;
$prepaid->link = $placeorder->order->rewards[0]->delivery->link;
$prepaid->save();

$notify[]=['success','Prepaid card issued, click on the link to see the card'];
return back()->withNotify($notify)->withInput(); 

}
            
//Livitpay Visa Cards

    
    
    public function usdvisalivitpayindex(){
        $general = GeneralSetting::first();
        $publickey = $general->livitpay_public; 
        $privatekey = $general->livitpay_private; 
        $uri = env("APP_URL");
      $pageTitle = "Virtual Visa Prepaid Card";
         $user = auth()->user(); 
         
if(!$user->livit_usdvisacard || $user->livit_usdvisacard == null){
          $notify[]=['error','Sorry No New Cards Can BE applied Here, Use Main Mastercard'];   
          return back()->withNotify($notify)->withInput();
         }
         if($user->livit_usdvisacard == "requested"){
              $notify[]=['error','Sorry No New Cards Can BE applied Here, Use Main Mastercard'];
            return back()->withNotify($notify)->withInput(); 
         }
         
        $curl = curl_init();
$post = array(
    "email" => $user->email,
     "cardid" => $user->livit_usdvisacard,
    "url" => $uri,
);


curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://cards.livitpay.com/api/usdvisagetcards',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>json_encode($post),
  CURLOPT_HTTPHEADER => array(
    'public-key: '.$publickey,
    'private-key: '.$privatekey,
    'url: '.env('APP_URL'),
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
$cards = json_decode($response);

     if(!isset($cards->weavrtoken)){
        $notify[]=['error','Unable To Retrieve card information at this time, please try again later.'];
            return back()->withNotify($notify)->withInput();  
     }
        
        
 return view($this->activeTemplate.'user.vcard.usdvisalivitpayindex', compact('pageTitle','cards', 'user'));
        
    }
    
     public function usdvisalivitpayfund(Request $request){
        $general = GeneralSetting::first();
        $publickey = $general->livitpay_public; 
        $privatekey = $general->livitpay_private; 
        $uri = env("APP_URL");
        $user = auth()->user(); 
        $request->validate([
            'amount' => 'required|integer|gt:4'
        ]); 
        if(!$user->livit_usdvisacard || $user->livit_usdvisacard == null){
          $notify[]=['error','Sorry No New Cards Can BE applied Here, Use Main Mastercard'];   
          return back()->withNotify($notify)->withInput();
         }
         if($user->livit_usdvisacard == "requested"){
              $notify[]=['error','Sorry No New Cards Can BE applied Here, Use Main Mastercard'];
            return back()->withNotify($notify)->withInput(); 
         }
       
         $debitamount = $request->amount;
         $loadfee = $request->amount * $general->usdvisa_loadfee / 100;
         $totalAmount = round(($debitamount + $loadfee),2);
if($user->balance < $totalAmount){
        $notify[]=['error','Insufficient Balance To Issue Cards'];
return back()->withNotify($notify)->withInput(); 
    }
       $trx = getTrx();
     $user->balance -= $totalAmount;
    $user->save(); 
    
        $curl = curl_init();
$post = array(
    "email" => $user->email,
    "cardid" => $user->livit_usdvisacard,
    "url" => $uri,
    "amount" => $debitamount,
    "requestid" => $trx    
);

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://cards.livitpay.com/api/usdvisafundcards',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>json_encode($post),
  CURLOPT_HTTPHEADER => array(
    'public-key: '.$publickey,
    'private-key: '.$privatekey,
    'url: '.env('APP_URL'),
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
$cards = json_decode($response);

if($cards->status == "success"){
    
    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $totalAmount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = $loadfee;
    $transaction->trx_type = '-';
    $transaction->details = 'Funds loaded to USD Visa Card';
    $transaction->trx =  $trx;
    $transaction->save();
    $subject = "USD Mastercard Card Fund Load Request";
        $message = "Your request to load funds on your USD Master Card is sent to admin. Expect the funds to be available in 24-48hours";
         sendGeneralEmail($user->email, $subject, $message, $user->username);
    $notify[]=['success','Funds Load Request on USD Master Card Sent to Admin. 24-48Hours'];
     $adminNotification = new AdminNotification();
        $adminNotification->user_id = $user->id;
        $adminNotification->title = "New Load Fund Request Received on USD Master Card";
        $adminNotification->save();
            return redirect()->route('user.debit.usdvisa')->withNotify($notify);
} else {
     $user->balance += $totalAmount;
    $user->save();   
    $notify[]=['error','Fund Load Request Failed'.$cards->message];
            return back()->withNotify($notify)->withInput(); 
}
        
    }



        
        
        
}

