<?php

namespace App\Http\Controllers\Gateway\Easypaisa;

use App\Models\Deposit;
use App\Models\GatewayCurrency;
use App\Http\Controllers\Controller;
use App\Http\Controllers\Gateway\PaymentController;
use Auth;
use Illuminate\Http\Request;
use Carbon\Carbon;
use App\Models\User;

class ProcessController extends Controller
{
    /*
     * Cashmaal
     */

    public static function process($deposit)
    {
        date_default_timezone_set("Asia/Karachi");
    	$easypaisa = json_decode($deposit->gatewayCurrency());
    	$param = json_decode($easypaisa->gateway_parameter);
        $url = route('ipn.'.$deposit->gateway->alias);
         $amount = getAmount($deposit->final_amo);
         $newDateTime = date_format(Carbon::now()->addDays(1),"YmdHis");
         $dates = date_format(Carbon::now(),"Y-m-d");
         $times = date_format(Carbon::now()->addMinutes(-5),"H:m:s");
         $timestamps = $dates.'T'.$times;

         $hashdata = array(
            "amount"=>round(getAmount($deposit->final_amo),1),
             "orderRefNum"=>$deposit->trx,
             "paymentMethod"=>"InitialRequest",
             "storeId"=>$param->public_key,
             "postBackURL" => $url,
             "timeStamp"=>$timestamps
         );

            $hashkey = $param->hash_key;
        $sortedArray = $hashdata;
ksort($sortedArray);
$sorted_string = '';
$i = 1;

foreach($sortedArray as $key => $value){
	if(!empty($value))
	{
		if($i == 1)
		{
			$sorted_string = $key. '=' .$value;
		}
		else
		{
			$sorted_string = $sorted_string . '&' . $key. '=' .$value;
		}
	}
	$i++;
}
// AES/ECB/PKCS5Padding algorithm
$cipher = "aes-128-ecb";
$crypttext = openssl_encrypt($sorted_string, $cipher, $hashkey, OPENSSL_RAW_DATA);
$HashedRequest = base64_encode($crypttext);
   $post_data =  array(
            "storeId" => $param->public_key,
            "orderId" => $deposit->trx,
            "transactionAmount" => round(getAmount($deposit->final_amo),1),
            "mobileAccountNo" => "",
            "emailAddress=" => "",
            "transactionType" => "InitialRequest",
            "tokenExpiry" => "",
            "bankIdentificationNumber" => "",
            'encryptedHashRequest' => $HashedRequest,
            "merchantPaymentMethod" => "",
            "postBackURL" => $url,
            "signature" => ""
        );


         $post_data['encryptedHashRequest'] = $HashedRequest;


        $send['url'] = 'https://easypay.easypaisa.com.pk/tpg/';
        $send['method'] = 'GET';
        $send['view'] = 'user.payment.redirect';
        $send['val'] = $post_data;

        return json_encode($send,JSON_UNESCAPED_SLASHES);
    }

public static function newprocess($deposit)
    {
        date_default_timezone_set("Asia/Karachi");
    	$easypaisa = json_decode($deposit->gatewayCurrency());
    	$param = json_decode($easypaisa->gateway_parameter);
        $url = route('ipn.'.$deposit->gateway->alias);
         $amount = getAmount($deposit->final_amo);
         $newDateTime = date_format(Carbon::now()->addDays(1),"YmdHis");
         $dates = date_format(Carbon::now(),"Y-m-d");
         $times = date_format(Carbon::now()->addMinutes(-5),"H:m:s");
         $timestamps = $dates.'T'.$times;

         $hashdata = array(
            "amount"=>round(getAmount($deposit->final_amo),1),
             "orderRefNum"=>$deposit->trx,
             "paymentMethod"=>"InitialRequest",
             "storeId"=>$param->public_key,
             "postBackURL" => $url,
             "timeStamp"=>$timestamps
         );

            $hashkey = $param->hash_key;
        $sortedArray = $hashdata;
ksort($sortedArray);
$sorted_string = '';
$i = 1;

foreach($sortedArray as $key => $value){
	if(!empty($value))
	{
		if($i == 1)
		{
			$sorted_string = $key. '=' .$value;
		}
		else
		{
			$sorted_string = $sorted_string . '&' . $key. '=' .$value;
		}
	}
	$i++;
}
// AES/ECB/PKCS5Padding algorithm
$cipher = "aes-128-ecb";
$crypttext = openssl_encrypt($sorted_string, $cipher, $hashkey, OPENSSL_RAW_DATA);
$HashedRequest = base64_encode($crypttext);
   $post_data =  array(
            "storeId" => $param->public_key,
            "orderId" => $deposit->trx,
            "transactionAmount" => round(getAmount($deposit->final_amo),1),
            "mobileAccountNo" => "",
            "emailAddress=" => "",
            "transactionType" => "InitialRequest",
            "tokenExpiry" => "",
            "bankIdentificationNumber" => "",
            'encryptedHashRequest' => $HashedRequest,
            "merchantPaymentMethod" => "",
            "postBackURL" => $url,
            "signature" => ""
        );


         $post_data['encryptedHashRequest'] = $HashedRequest;


        $send['url'] = 'https://easypay.easypaisa.com.pk/tpg/';
        $send['method'] = 'GET';
        $send['view'] = 'user.payment.redirect';
        $send['val'] = $post_data;

        return json_encode($send,JSON_UNESCAPED_SLASHES);
    }

    public function ipn(Request $request)
    {





       if(isset($_GET['orderRefNumber'])){
        $deposit = Deposit::where('trx', $_GET['orderRefNumber'])->orderBy('id', 'DESC')->first();

        if ($request->status != 0000) {
        	$notify[] = ['error','Error Processing Payment'];

       	return redirect()->route(gatewayRedirectUrl())->withNotify($notify);
        }

        if($request->orderRefNumber == $deposit->trx && $request->status == 0000){
			PaymentController::userDataUpdate($deposit->trx);
            $notify[] = ['success', 'Transaction is successful, you can proceed with purchase'];

           return redirect()->route('user.checkout')->withNotify($notify);
		}else{
			$notify[] = ['error','Payment failed'];
     	return redirect()->route(gatewayRedirectUrl())->withNotify($notify);
		}

    } else {
        $notify[] = ['error','Payment failed'];
       return redirect()->route(gatewayRedirectUrl(true))->withNotify($notify);
    }
    $notify[] = ['error','Payment failed'];
    return redirect()->route(gatewayRedirectUrl(true))->withNotify($notify);
    }
}
