<?php

namespace App\Http\Controllers\Gateway\Instamojo;

use App\Models\Deposit;
use App\Models\GeneralSetting;
use App\Http\Controllers\Gateway\PaymentController;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\User;
class ProcessController extends Controller
{

    /*
     * Instamojo Gateway
     */
    public static function process($deposit)
    {
        $basic = GeneralSetting::first();
        $instaMojoAcc = json_decode($deposit->gatewayCurrency()->gateway_parameter);
        $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api.instamojo.com/oauth2/token/');     
curl_setopt($ch, CURLOPT_HEADER, FALSE);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);

$payload = Array(
    'grant_type' => 'client_credentials',
    'client_id' => $instaMojoAcc->client_id,
    'client_secret' => $instaMojoAcc->client_secret
  );

curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($payload));
$response = curl_exec($ch);
curl_close($ch); 

$response = json_decode($response);

$token = $response->access_token;

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, 'https://api.instamojo.com/v2/payment_requests/');
        curl_setopt($ch, CURLOPT_HEADER, FALSE);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);
        curl_setopt(
            $ch,
            CURLOPT_HTTPHEADER,
            array(
                "Authorization: Bearer $token",
                
            )
        );
        $payload = array(
            'purpose' => 'Payment to ' . $basic->sitename,
            'amount' => round($deposit->final_amo,2),
            'buyer_name' => $deposit->user->username,
            'redirect_url' => route(gatewayRedirectUrl()),
            'webhook' => route('ipn.'.$deposit->gateway->alias),
            'email' => $deposit->user->email,
            'send_email' => true,
            'allow_repeated_payments' => false
        );
        
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($payload));
        $response = curl_exec($ch);
        curl_close($ch);
        $res = json_decode($response);
      
         if ($res->id) {
            if(!@$res->id){
                $send['error'] = true;
                $send['message'] = "Response not given from API. Please re-check the API credentilas.";
            }else{
                $deposit->btc_wallet = $res->id;
                $deposit->save();
                $send['redirect'] = true;
                $send['redirect_url'] = $res->longurl;
            }
        } else {
            $send['error'] = true;
            $send['message'] = "Credentials mismatch. Please contact with admin";
        }
        return json_encode($send);
    }
    
     public static function newprocess($deposit)
    {
        $basic = GeneralSetting::first();
        $instaMojoAcc = json_decode($deposit->gatewayCurrency()->gateway_parameter);


        $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api.instamojo.com/oauth2/token/');     
curl_setopt($ch, CURLOPT_HEADER, FALSE);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);

$payload = Array(
    'grant_type' => 'client_credentials',
    'client_id' => $instaMojoAcc->client_id,
    'client_secret' => $instaMojoAcc->client_secret
  );

curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($payload));
$response = curl_exec($ch);
curl_close($ch); 

$response = json_decode($response);

$token = $response->access_token;

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, 'https://api.instamojo.com/v2/payment_requests/');
        curl_setopt($ch, CURLOPT_HEADER, FALSE);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);
        curl_setopt(
            $ch,
            CURLOPT_HTTPHEADER,
            array(
                "Authorization: Bearer $token",
                
            )
        );
        $payload = array(
            'purpose' => 'Payment to ' . $basic->sitename,
            'amount' => round($deposit->final_amo,2),
            'buyer_name' => $deposit->user->username,
            'redirect_url' => route(gatewayRedirectUrl()),
            'webhook' => route('ipn.'.$deposit->gateway->alias),
            'email' => $deposit->user->email,
            'send_email' => true,
            'allow_repeated_payments' => false
        );
        
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($payload));
        $response = curl_exec($ch);
        curl_close($ch);
        $res = json_decode($response);
      
         if ($res->id) {
            if(!@$res->id){
                $send['error'] = true;
                $send['message'] = "Response not given from API. Please re-check the API credentilas.";
            }else{
                $deposit->btc_wallet = $res->id;
                $deposit->save();
                $send['redirect'] = true;
                $send['redirect_url'] = $res->longurl;
            }
        } else {
            $send['error'] = true;
            $send['message'] = "Credentials mismatch. Please contact with admin";
        }
        return json_encode($send);
    }

    public function ipn(Request $request)
    {
        $deposit = Deposit::where('btc_wallet', $_GET['payment_request_id'])->orderBy('id', 'DESC')->first();
        $instaMojoAcc = json_decode($deposit->gatewayCurrency()->gateway_parameter);
        if($deposit){
        $deposit->detail = $request->all();
        $deposit->save();
        

        if ($_GET['payment_request_id'] && $_GET['payment_status'] == "Credit") {
            PaymentController::userDataUpdate($deposit->trx);
        }else{
			$notify[] = ['error','Payment failed'];
     	return redirect()->route(gatewayRedirectUrl())->withNotify($notify);
		}
        } else {
            $notify[] = ['error','Payment failed'];
     	return redirect()->route(gatewayRedirectUrl())->withNotify($notify);
        }
    }
}
