<?php

namespace App\Http\Controllers;

use Carbon\Carbon;
use App\Models\SubCategory;
use App\Models\Cart;
use App\Models\Fluttercard;
use App\Models\Vcard;
use App\Models\User;
use App\Models\Prepaid;
use App\Models\Aptocard;
use App\Models\Fiat;
use App\Models\Countries;
use App\Models\Category;
use Illuminate\Support\Facades\Auth;
use App\Http\Helpers\Helper;
use App\Models\Card;
use App\Lib\GoogleAuthenticator;
use App\Lib\Tremendous;
use App\Models\AdminNotification;
use App\Models\GeneralSetting;
use App\Lib\Flutterwave;
use App\Models\Transaction;
use App\Models\WithdrawMethod;
use App\Models\Withdrawal;
use App\Models\Kyc;
use App\Rules\FileTypeValidate;
use Illuminate\Http\Request;
use App\Lib\PHPJWT;
use App\Models\Livitcard;
use Illuminate\Support\Facades\Hash;
use Illuminate\Validation\Rules\Password;
use Illuminate\Validation\Rule;
use App\Lib\Aphelp;
use App\Models\GatewayCurrency;
use App\Models\SupportTicket;

use Response;

class KycController extends Controller
{
    
    public function __construct(){
        $this->activeTemplate = activeTemplate();
    }
    public function index(){
        
           $pageTitle = "USER KYC";
        
          $user = auth()->user(); 
        $kyc = Kyc::where('user_id',$user->id)->first();
        
         return view($this->activeTemplate.'user.kyc.index', compact('pageTitle','user','kyc'));
        
    }
     
    public function updatekyc(Request $request){
        $request->validate([
            'national_id' => 'required|string',
            'employee_id' => 'required|string',
            'address' => 'sometimes|required|max:80',
            'state' => 'sometimes|required|max:80',
            'zip' => 'sometimes|required|max:40',
            'city' => 'sometimes|required|max:50',
            'national_image' => ['image',new FileTypeValidate(['jpg','jpeg','png'])],
            'employee_image' => ['image',new FileTypeValidate(['jpg','jpeg','png'])],
            'image' => ['image',new FileTypeValidate(['jpg','jpeg','png'])]
        ]);
        $user = auth()->user(); 
        $general = GeneralSetting::first();
        if ($request->hasFile('image')) {
            $location = imagePath()['profile']['user']['path'];
            $size = imagePath()['profile']['user']['size'];
            $filename = uploadImage($request->image, $location, $size, $user->image);
            $in['image'] = $filename;
        }
        if ($request->hasFile('national_image')) {
            $location = imagePath()['kyc']['path'];
            $filename = uploadImage($request->national_image, $location);
            
        } else {
             $notify[] = ['error', 'National ID / Passport Image required'];
         return back()->withNotify($notify)->withInput(); 
        }
        if ($request->hasFile('employee_image')) {
            $location = imagePath()['kyc']['path'];
            $filenameemployee = uploadImage($request->employee_image, $location);
            
        }else {
             $notify[] = ['error', 'Address Proof Image required'];
         return back()->withNotify($notify)->withInput(); 
        }
        $in['address'] = [
            'address' => $request->address,
            'state' => $request->state,
            'zip' => $request->zip,
            'country' => @$user->address->country,
            'city' => $request->city,
        ];
        $user->fill($in)->save();
        
        $kycupdate = KYC::where('user_id',$user->id)->firstOrNew();
        $kycupdate->status = "submitted";
        $kycupdate->user_id = $user->id;
        $kycupdate->national_id = $request->national_id;
        $kycupdate->employee_id = $request->employee_id;
        $kycupdate->national_image = $filename;
        $kycupdate->employee_image = $filenameemployee;
        $kycupdate->save();
        
        $adminNotification = new AdminNotification();
        $adminNotification->user_id = $user->id;
        $adminNotification->title = "New KYC Request Submitted";
        $adminNotification->save();
        
         $notify[] = ['success', 'KYC Details updated successfully. Proceed for Verification'];
         return back()->withNotify($notify)->withInput(); 
    }
    
  

        
        
        
}

