<?php

namespace App\Http\Controllers;

use App\Lib\GoogleAuthenticator;
use App\Models\AdminNotification;
use App\Models\GeneralSetting;
use App\Models\SubCategory;
use App\Models\Transaction;
use App\Models\Points;
use App\Models\Cart;
use App\Models\Plan;
use App\Models\Fluttercard;
use App\Lib\Flutterwave;
use App\Models\WithdrawMethod;
use App\Models\Withdrawal;
use App\Models\Advertisement;
use App\Models\Holiday;
use App\Models\PromotionTool;
use App\Models\Invest;
use App\Models\Crypto;
use App\Models\TimeSetting;
use App\Models\TradeRequest;
use App\Models\Fiat;
use App\Models\User;
use App\Models\Wallet;
use App\Models\Vcard;
use App\Rules\FileTypeValidate;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Validation\Rules\Password;
use Illuminate\Validation\Rule;
use App\Models\Card;
use App\Models\GatewayCurrency;
use App\Models\SupportTicket;
use Carbon\Carbon;

use Response;
 
class PointsController extends Controller
{
    public function __construct()
    {
        $this->activeTemplate = activeTemplate();
    }

  
    public function ptrxLog(){
        $pageTitle = 'Points Transaction Logs';
         $user = auth()->user();
          $general = GeneralSetting::first();
        $logs  = Points::where('user_id', Auth::user()->id)->latest()->paginate(getPaginate());
        $emptyMessage = 'Data Not Found';
        return view($this->activeTemplate.'user.ptrx_log', compact('pageTitle', 'logs', 'emptyMessage','user','general'));
    }
    public function redeempoints(){
        $user = auth()->user();
        $general = GeneralSetting::first();
        $redeem = $user->point_balance * $general->redeem_perpoints / 100;
        $pointsr = $user->point_balance;
        
        if($general->redeem_minpoints > $user->point_balance){
          $notify[] = ['error', 'Not Enough Points To Redeem'];
        return back()->withNotify($notify);         
        }
        
        $user->balance += $redeem;
        $user->point_balance -= $pointsr;
        $user->save();
        $trx = getTrx();
        
        $points = new Points();
        $points->user_id = $user->id;
        $points->amount = $pointsr;
        $points->post_balance = $user->point_balance;
        $points->charge = "0";
        $points->trx_type = '-';
        $points->details = 'Points Redeemed';
        $points->trx = $trx;
        $points->save();
       
        $transaction = new Transaction();
        $transaction->user_id = $user->id;
        $transaction->amount = $redeem;
        $transaction->post_balance = $user->balance;
        $transaction->charge = "0";
        $transaction->trx_type = '+';
        $transaction->details = 'Points Redeemed';
        $transaction->trx =  $trx;
        $transaction->save();
        $notify[] = ['success', 'Points Redeemed successfully'];
        return back()->withNotify($notify);        
    }
    
    
}





