<?php

namespace App\Http\Controllers;

use App\Lib\GoogleAuthenticator;
use App\Models\AdminNotification;
use App\Models\GeneralSetting;
use App\Models\SubCategory;
use App\Models\Transaction;
use App\Models\Points;
use App\Models\Cart;
use App\Models\Plaidacc;
use App\Models\Plan;
use App\Models\Deposit;
use App\Models\Fluttercard;
use App\Lib\Flutterwave;
use App\Lib\Plaid;
use App\Models\WithdrawMethod;
use App\Models\Withdrawal;
use App\Models\Advertisement;
use App\Models\Holiday;
use App\Models\PromotionTool;
use App\Models\Invest;
use App\Models\Crypto;
use App\Models\TimeSetting;
use App\Models\TradeRequest;
use App\Models\Fiat;
use App\Models\User;
use App\Models\Wallet;
use App\Models\WalletCrypto;
use App\Models\Vcard;
use App\Lib\Tatum;
use App\Rules\FileTypeValidate;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Validation\Rules\Password;
use Illuminate\Validation\Rule;
use App\Models\Card;
use App\Models\GatewayCurrency;
use App\Models\SupportTicket;
use Carbon\Carbon;
use App\Models\Cryptocard;
use Response;
 
class UserController extends Controller
{
    public function __construct()
    {
        $this->activeTemplate = activeTemplate();
    }

    public function merchant(){
         $pageTitle = 'Developers';
        $user = Auth::user();
         $general = GeneralSetting::first();
        return view($this->activeTemplate . 'user.developers.index', compact('pageTitle','general','user'));
    }
    public function getCartItems(){
        $cartItems = Cart::where('user_id',Auth::user()->id)->get();

        $cartData['data'] = $cartItems;

        return Response::json($cartData, 200);
    }
    public function getCartCount(){
        $cartCount = Cart::where('user_id',$user->id)->count();
        $cartData['count'] = $cartCount;
    }

    public function deleteCartItem(Request $request){

        $cartItem = Cart::where(['user_id' => Auth::user()->id ,'id' => $request->id])->delete();
        $notify[] = ['success','Item removed from cart successfully'];
        return back()->withNotify($notify);
    }

    public function checkout()
    {
        $pageTitle = 'Checkout';
        $user = Auth::user();
        $balance  = $user->balance;
        $cartItems = Cart::where('user_id',$user->id)->get();
        $totalOrderAmount = Cart::where('user_id',$user->id)->sum(\DB::raw('qty * usdprice'));

        $payment =  GatewayCurrency::all();
        return view($this->activeTemplate . 'user.checkout', compact('pageTitle','cartItems','payment','balance','totalOrderAmount'));
    }


    public function home()
    {
        $pageTitle = 'Dashboard';
        $user = Auth::user();
        $general = GeneralSetting::first();
        if($general->verifai_act != 0){
        if(($user->profile == "merchant") && ($user->verifai_status == "created" || $user->verifai_status == "activated") ) {
        $kycheck = $this->kyccheck();
        if($kycheck != "completed"){
        return redirect()->away($kycheck);
        }
        }
        }
        $walletId = Wallet::where('user_id', $user->id)->pluck('crypto_id');
        $cryptos = Crypto::latest()->where('status', 1)->whereNotIn('id', $walletId)->pluck('id');
        $data = [];

        foreach ($cryptos as $id) {
            $wallet['crypto_id']    = $id;
            $wallet['user_id']      = $user->id;
            $wallet['balance']      = 0;
            $data[] = $wallet;
        }

        if(!empty($data)){
            Wallet::insert($data);
        }

        $cartItems = Cart::where('user_id',$user->id)->get();
        $latestTrxs = Transaction::where('user_id', $user->id)->latest()->limit(10)->get();
        $wallets = Wallet::where('user_id', $user->id)->where('crypto_id',"!=", null)->whereHas('crypto', function($q){
            $q->where('status', 1);
        })->with('crypto')->latest()->get();
        $countCard = Card::where('user_id', $user->id)->count();
        $payment['total_deposit_amount'] = Deposit::where('status',1)->where('user_id', $user->id)->where('crypto_id','=',null)->sum('amount');
        $payment['total_deposit_amount_month'] = Deposit::where('status',1)->where('user_id', $user->id)->where('crypto_id','=',null)->where('created_at', '>=', \Carbon\Carbon::now()->subDays(30))->sum('amount');
        $payment['total_withdraw_amount'] = Withdrawal::where('status',1)->where('user_id', $user->id)->where('crypto_id','=',null)->sum('amount');
        $payment['total_withdraw_amount_month'] = Withdrawal::where('status',1)->where('user_id', $user->id)->where('crypto_id','=',null)->where('created_at', '>=', \Carbon\Carbon::now()->subDays(30))->sum('amount');
        $countTrx = Transaction::where('user_id', $user->id)->count();
        $countTicket = SupportTicket::where('user_id', $user->id)->count();
        $latestAdds =  Advertisement::where('user_id', auth()->user()->id)->latest()->with(['crypto','fiatGateway','fiat'])->latest()->limit(10)->get();
        $fiats = Fiat::where('status',"=", 1)->latest()->paginate(getPaginate());
         $cards = vcard::where('user_id',Auth::user()->id)->first();

        return view($this->activeTemplate . 'user.dashboard', compact('pageTitle','payment','cartItems','cards', 'user','fiats','wallets', 'latestTrxs', 'countCard','latestAdds', 'countTrx', 'countTicket'));
    }
    
    public function kyccheck(){
 $user = Auth::user();
 $general = GeneralSetting::first();
              $curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://websdk.verifai.com/v1/identity-verification-link/'.$user->verifai,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
      'Authorization: Bearer '.$general->verifai,
  ),
));

$resp = curl_exec($curl);
$response = json_decode($resp);

curl_close($curl);
if($response->status->state == "completed") {
$user->verifai_status = $response->status->state;
$user->save();
return $response->status->state;    
} else {
return $response->url;
    }
    }
    
    public function profile()
    {
        $pageTitle = "Profile Setting";
        $user = Auth::user();
        return view($this->activeTemplate. 'user.profile_setting', compact('pageTitle','user'));
    }

    public function submitProfile(Request $request)
    {
        $request->validate([
            'firstname' => 'required|string|max:50',
            'lastname' => 'required|string|max:50',
            'address' => 'sometimes|required|max:80',
            'state' => 'sometimes|required|max:80',
            'zip' => 'sometimes|required|max:40',
            'city' => 'sometimes|required|max:50',
            'image' => ['image',new FileTypeValidate(['jpg','jpeg','png'])]
        ],[
            'firstname.required'=>'First name field is required',
            'lastname.required'=>'Last name field is required'
        ]);

        $user = Auth::user();

        $in['firstname'] = $request->firstname;
        $in['lastname'] = $request->lastname;

        $in['address'] = [
            'address' => $request->address,
            'state' => $request->state,
            'zip' => $request->zip,
            'country' => @$user->address->country,
            'city' => $request->city,
        ];


        if ($request->hasFile('image')) {
            $location = imagePath()['profile']['user']['path'];
            $size = imagePath()['profile']['user']['size'];
            $filename = uploadImage($request->image, $location, $size, $user->image);
            $in['image'] = $filename;
        }
        $user->fill($in)->save();
        $notify[] = ['success', 'Profile updated successfully.'];
        return back()->withNotify($notify);
    }

    public function changePassword()
    {
        $pageTitle = 'Change password';
        return view($this->activeTemplate . 'user.password', compact('pageTitle'));
    }

    public function submitPassword(Request $request)
    {

        $password_validation = Password::min(6);
        $general = GeneralSetting::first();
        if ($general->secure_password) {
            $password_validation = $password_validation->mixedCase()->numbers()->symbols()->uncompromised();
        }

        $this->validate($request, [
            'current_password' => 'required',
            'password' => ['required','confirmed',$password_validation]
        ]);


        try {
            $user = auth()->user();
            if (Hash::check($request->current_password, $user->password)) {
                $password = Hash::make($request->password);
                $user->password = $password;
                $user->save();
                $notify[] = ['success', 'Password changes successfully.'];
                return back()->withNotify($notify);
            } else {
                $notify[] = ['error', 'The password doesn\'t match!'];
                return back()->withNotify($notify);
            }
        } catch (\PDOException $e) {
            $notify[] = ['error', $e->getMessage()];
            return back()->withNotify($notify);
        }
    }

    /*
     *  History
     */
    public function depositHistory()
    {
        $pageTitle = 'Deposit History';
        $emptyMessage = 'No history found.';
        $user = Auth::user();
        $logs = auth()->user()->deposits()->with(['gateway'])->orderBy('id','desc')->paginate(getPaginate());
        return view($this->activeTemplate.'user.deposit_history', compact('pageTitle', 'emptyMessage', 'logs','user'));
    }

    /*
     * Withdraw Operation
     */

    public function withdrawMoney()
    {
        $withdrawMethod = WithdrawMethod::where('status',1)->get();
        $pageTitle = 'Withdraw Money';
        return view($this->activeTemplate.'user.withdraw.methods', compact('pageTitle','withdrawMethod'));
    }

    public function withdrawStore(Request $request)
    {
        $this->validate($request, [
            'method_code' => 'required',
            'amount' => 'required|numeric'
        ]);
        $method = WithdrawMethod::where('id', $request->method_code)->where('status', 1)->firstOrFail();
        $user = auth()->user();
        if ($request->amount < $method->min_limit) {
            $notify[] = ['error', 'Your requested amount is smaller than minimum amount.'];
            return back()->withNotify($notify);
        }
        if ($request->amount > $method->max_limit) {
            $notify[] = ['error', 'Your requested amount is larger than maximum amount.'];
            return back()->withNotify($notify);
        }

        if ($request->amount > $user->balance) {
            $notify[] = ['error', 'You do not have sufficient balance for withdraw.'];
            return back()->withNotify($notify);
        }


        $charge = $method->fixed_charge + ($request->amount * $method->percent_charge / 100);
        $afterCharge = $request->amount - $charge;
        $finalAmount = $afterCharge * $method->rate;

        $withdraw = new Withdrawal();
        $withdraw->method_id = $method->id; // wallet method ID
        $withdraw->user_id = $user->id;
        $withdraw->amount = $request->amount;
        $withdraw->currency = $method->currency;
        $withdraw->rate = $method->rate;
        $withdraw->charge = $charge;
        $withdraw->final_amount = $finalAmount;
        $withdraw->after_charge = $afterCharge;
        $withdraw->trx = getTrx();
        $withdraw->save();
        session()->put('wtrx', $withdraw->trx);
        return redirect()->route('user.withdraw.preview');
    }

    public function withdrawPreview()
    {
        $withdraw = Withdrawal::with('method','user')->where('trx', session()->get('wtrx'))->where('status', 0)->orderBy('id','desc')->firstOrFail();
        $pageTitle = 'Withdraw Preview';
        return view($this->activeTemplate . 'user.withdraw.preview', compact('pageTitle','withdraw'));
    }


    public function withdrawSubmit(Request $request)
    {
        $general = GeneralSetting::first();
        $withdraw = Withdrawal::with('method','user')->where('trx', session()->get('wtrx'))->where('status', 0)->orderBy('id','desc')->firstOrFail();

        $rules = [];
        $inputField = [];
        if ($withdraw->method->user_data != null) {
            foreach ($withdraw->method->user_data as $key => $cus) {
                $rules[$key] = [$cus->validation];
                if ($cus->type == 'file') {
                    array_push($rules[$key], 'image');
                    array_push($rules[$key], new FileTypeValidate(['jpg','jpeg','png']));
                    array_push($rules[$key], 'max:2048');
                }
                if ($cus->type == 'text') {
                    array_push($rules[$key], 'max:191');
                }
                if ($cus->type == 'textarea') {
                    array_push($rules[$key], 'max:300');
                }
                $inputField[] = $key;
            }
        }

        $this->validate($request, $rules);

        $user = auth()->user();
        if ($user->ts) {
            $response = verifyG2fa($user,$request->authenticator_code);
            if (!$response) {
                $notify[] = ['error', 'Wrong verification code'];
                return back()->withNotify($notify);
            }
        }


        if ($withdraw->amount > $user->balance) {
            $notify[] = ['error', 'Your request amount is larger then your current balance.'];
            return back()->withNotify($notify);
        }

        $directory = date("Y")."/".date("m")."/".date("d");
        $path = imagePath()['verify']['withdraw']['path'].'/'.$directory;
        $collection = collect($request);
        $reqField = [];
        if ($withdraw->method->user_data != null) {
            foreach ($collection as $k => $v) {
                foreach ($withdraw->method->user_data as $inKey => $inVal) {
                    if ($k != $inKey) {
                        continue;
                    } else {
                        if ($inVal->type == 'file') {
                            if ($request->hasFile($inKey)) {
                                try {
                                    $reqField[$inKey] = [
                                        'field_name' => $directory.'/'.uploadImage($request[$inKey], $path),
                                        'type' => $inVal->type,
                                    ];
                                } catch (\Exception $exp) {
                                    $notify[] = ['error', 'Could not upload your ' . $request[$inKey]];
                                    return back()->withNotify($notify)->withInput();
                                }
                            }
                        } else {
                            $reqField[$inKey] = $v;
                            $reqField[$inKey] = [
                                'field_name' => $v,
                                'type' => $inVal->type,
                            ];
                        }
                    }
                }
            }
            $withdraw['withdraw_information'] = $reqField;
        } else {
            $withdraw['withdraw_information'] = null;
        }


        $withdraw->status = 2;
        $withdraw->save();
        $user->balance  -=  $withdraw->amount;
        $user->save();



        $transaction = new Transaction();
        $transaction->user_id = $withdraw->user_id;
        $transaction->amount = $withdraw->amount;
        $transaction->post_balance = $user->balance;
        $transaction->charge = $withdraw->charge;
        $transaction->trx_type = '-';
        $transaction->details = showAmount($withdraw->final_amount) . ' ' . $withdraw->currency . ' Withdraw Via ' . $withdraw->method->name;
        $transaction->trx =  $withdraw->trx;
        $transaction->save();

        $adminNotification = new AdminNotification();
        $adminNotification->user_id = $user->id;
        $adminNotification->title = 'New withdraw request from '.$user->username;
        $adminNotification->click_url = urlPath('admin.withdraw.details',$withdraw->id);
        $adminNotification->save();

        notify($user, 'WITHDRAW_REQUEST', [
            'method_name' => $withdraw->method->name,
            'method_currency' => $withdraw->currency,
            'method_amount' => showAmount($withdraw->final_amount),
            'amount' => showAmount($withdraw->amount),
            'charge' => showAmount($withdraw->charge),
            'currency' => $general->cur_text,
            'rate' => showAmount($withdraw->rate),
            'trx' => $withdraw->trx,
            'post_balance' => showAmount($user->balance),
            'delay' => $withdraw->method->delay
        ]);

        $notify[] = ['success', 'Withdraw request sent successfully'];
        return redirect()->route('user.withdraw.history')->withNotify($notify);
    }

    public function withdrawLog()
    {
        $pageTitle = "Withdraw Log";
        $withdraws = Withdrawal::where('user_id', Auth::id())->where('status', '!=', 0)->where('crypto_id', '=', null)->with('method')->orderBy('id','desc')->paginate(getPaginate());
        $data['emptyMessage'] = "No Data Found!";
        return view($this->activeTemplate.'user.withdraw.log', compact('pageTitle','withdraws'));
    }

// User Crypto Withdraw
     /*
     * Withdraw Operation
     */

    public function withdrawc($code)
    {
        $crypto = Crypto::where('status',1)->where('code',$code)->firstOrFail();
        $userBalance = Wallet::where('user_id',auth()->user()->id)->where('crypto_id',$crypto->id)->firstOrFail();
        $pageTitle = 'Withdraw '.$crypto->code;
        $pastWithdrawals = Withdrawal::where('user_id', auth()->user()->id)->where('crypto_id', $crypto->id)->with('crypto')->latest()->get();
        $emptyMessage = 'No previous '.$crypto->code.' withdrawals found';

        return view($this->activeTemplate.'user.withdraw.index', compact('pageTitle','userBalance','crypto','pastWithdrawals','emptyMessage'));
    }

    public function withdrawStorec(Request $request)
    {
        $this->validate($request, [
            'crypto' => 'required',
            'wallet' => 'required',
            'amount' => 'required|numeric'
        ]);

        $user = auth()->user();
        $crypto = Crypto::where('status',1)->where('code',$request->crypto)->firstOrFail();
        $userBalance = Wallet::where('user_id',$user->id)->where('crypto_id',$crypto->id)->firstOrFail();


        $charge = $crypto->wc_fixed + ($request->amount * $crypto->wc_percent / 100);
        $finalWithdrawAmount = $request->amount + $charge;

        if ($finalWithdrawAmount > $userBalance->balance) {
            $notify[] = ['error', 'You do not have sufficient balance for withdraw.'];
            return back()->withNotify($notify);
        }
        
        
         if($crypto->erc20 == true || $crypto->bep20 == true){ 
        $walletcrypto = WalletCrypto::where('user_id',$user->id)->where('crypto_id',$crypto->id)->first();
         $va = $walletcrypto->customerid;
         
         $t = new Tatum();
         $balance = $t->vabalance($va);
         if($balance->balance->availableBalance < $finalWithdrawAmount){
           $notify[] = ['error', 'You do not have sufficient balance for withdraw.'];
            return back()->withNotify($notify);   
         }
         $block = $t->blockamount($va,$finalWithdrawAmount);
        if(isset($block->statusCode) && $block->statusCode != 200){
               $notify[] = ['error', 'Error Processing Withdrawal '.$block->message];
        return back()->withNotify($notify); 
        }
         $blockid = $block->id;
        }
        
        $userBalance->balance -= $finalWithdrawAmount;
        $userBalance->save();

        $withdraw = new Withdrawal();
        $withdraw->crypto_id = $crypto->id;
        $withdraw->wallet_address = $request->wallet;
        $withdraw->user_id = $user->id;
        $withdraw->amount = $finalWithdrawAmount;
        $withdraw->charge = $charge;
        $withdraw->payable = $request->amount;
        $withdraw->trx = getTrx();
        $withdraw->blockid = isset($blockid) ? $blockid : null;
        $withdraw->status = 2;
        $withdraw->save();

        $transaction = new Transaction();
        $transaction->user_id = $withdraw->user_id;
        $transaction->crypto_id = $withdraw->crypto_id;
        $transaction->amount = $withdraw->amount;
        $transaction->post_balance = $userBalance->balance;
        $transaction->charge = $withdraw->charge;
        $transaction->trx_type = '-';
        $transaction->details = showAmount($withdraw->payable,8) . ' ' . $withdraw->crypto->code . ' Withdraw Successful';
        $transaction->trx =  $withdraw->trx;
        $transaction->save();

        $adminNotification = new AdminNotification();
        $adminNotification->user_id = $user->id;
        $adminNotification->title = 'New withdraw request from '.$user->username;
       
        $adminNotification->click_url = urlPath('admin.withdrawc.details',$withdraw->id);
       
        $adminNotification->save();

        notify($user, 'WITHDRAW_REQUEST', [
            'amount' => showAmount($withdraw->amount,8),
            'payable' => showAmount($withdraw->payable,8) ,
            'charge' => showAmount($withdraw->charge,8),
            'currency' => $withdraw->crypto->code,
            'trx' => $withdraw->trx,
            'post_balance' => showAmount($userBalance->balance,8)
        ]);

        $notify[] = ['success', 'Withdraw request sent successfully'];
        return redirect()->route('user.withdraw.historyc')->withNotify($notify);

    }


    public function withdrawLogc()
    {
        $pageTitle = "Withdraw Log";
        $withdraws = Withdrawal::where('user_id', Auth::id())->where('crypto_id', '!=', null)->where('status', '!=', 0)->with('crypto')->orderBy('id','desc')->paginate(getPaginate());
        $emptyMessage = "No Data Found!";
        return view($this->activeTemplate.'user.withdraw.clog', compact('pageTitle','withdraws','emptyMessage'));
    }

    public function show2faForm()
    {
        $general = GeneralSetting::first();
        $ga = new GoogleAuthenticator();
        $user = auth()->user();
        $secret = $ga->createSecret();
        $qrCodeUrl = $ga->getQRCodeGoogleUrl($user->username . '@' . $general->sitename, $secret);
        $pageTitle = 'Two Factor';
        return view($this->activeTemplate.'user.twofactor', compact('pageTitle', 'secret', 'qrCodeUrl'));
    }

    public function create2fa(Request $request)
    {
        $user = auth()->user();
        $this->validate($request, [
            'key' => 'required',
            'code' => 'required',
        ]);
        $response = verifyG2fa($user,$request->code,$request->key);
        if ($response) {
            $user->tsc = $request->key;
            $user->ts = 1;
            $user->save();
            $userAgent = getIpInfo();
            $osBrowser = osBrowser();
            notify($user, '2FA_ENABLE', [
                'operating_system' => @$osBrowser['os_platform'],
                'browser' => @$osBrowser['browser'],
                'ip' => @$userAgent['ip'],
                'time' => @$userAgent['time']
            ]);
            $notify[] = ['success', 'Google authenticator enabled successfully'];
            return back()->withNotify($notify);
        } else {
            $notify[] = ['error', 'Wrong verification code'];
            return back()->withNotify($notify);
        }
    }


    public function disable2fa(Request $request)
    {
        $this->validate($request, [
            'code' => 'required',
        ]);

        $user = auth()->user();
        $response = verifyG2fa($user,$request->code);
        if ($response) {
            $user->tsc = null;
            $user->ts = 0;
            $user->save();
            $userAgent = getIpInfo();
            $osBrowser = osBrowser();
            notify($user, '2FA_DISABLE', [
                'operating_system' => @$osBrowser['os_platform'],
                'browser' => @$osBrowser['browser'],
                'ip' => @$userAgent['ip'],
                'time' => @$userAgent['time']
            ]);
            $notify[] = ['success', 'Two factor authenticator disable successfully'];
        } else {
            $notify[] = ['error', 'Wrong verification code'];
        }
        return back()->withNotify($notify);
    }

    public function trxLog(){
        $pageTitle = 'Transaction Logs';
        $logs  = Transaction::where('user_id', Auth::user()->id)->where('crypto_id',"=", null)->where('wallet_type',"=", null)->latest()->paginate(getPaginate());
        $emptyMessage = 'Data Not Found';
        return view($this->activeTemplate.'user.trx_log', compact('pageTitle', 'logs', 'emptyMessage'));
    }
   
    
      public function mtrxLog(){
        $pageTitle = 'Transaction Logs';
        $logs  = Transaction::where('user_id', Auth::user()->id)->where('crypto_id',"=", null)->where('wallet_type',"=", null)->latest()->paginate(getPaginate());
        $emptyMessage = 'Data Not Found';
        return view($this->activeTemplate.'user.mtrx_log', compact('pageTitle', 'logs', 'emptyMessage'));
    }
    
     public function ctrxLog(){
        $pageTitle = 'Transaction Logs';
        $cryptos = Crypto::latest()->get();
        $logs  = Transaction::where('user_id', Auth::user()->id)->where('crypto_id',"!=", null)->latest()->paginate(getPaginate());
        $emptyMessage = 'Data Not Found';
        return view($this->activeTemplate.'user.ctrx_log', compact('pageTitle', 'logs', 'cryptos', 'emptyMessage'));
    }
     public function cryptodeposits(){
        $pageTitle = 'Crypto Deposits';
        $user = Auth::user();
        $withdraws = Deposit::where('user_id', Auth::id())->where('crypto_id', '!=', null)->where('status',1)->orderBy('id','desc')->paginate(getPaginate());
        $cryptos = Crypto::latest()->get();
        $emptyMessage = 'Data Not Found';
        return view($this->activeTemplate.'user.withdraw.dindex', compact('pageTitle', 'withdraws', 'emptyMessage'));
    }

    public function getToken(){
        sleep(3);
         $general = GeneralSetting::first();
        $url = "https://api.ezpaypin.com/vendors/v2/auth/token/";
        $curl = curl_init($url);
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_POST, true);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);

        $headers = array(
           "Content-Type: application/json",
        );
        curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);

        $arr = array('client_id' => $general->ezpin_id,
                    'secret_key' => $general->ezpin_secret);


        $data = json_encode($arr);


        curl_setopt($curl, CURLOPT_POSTFIELDS, $data);

        $resp = curl_exec($curl);
        $res = json_decode($resp);
        curl_close($curl);
        return $res->access;

}
    public function generateUUID() {
     // Generate 16 bytes (128 bits) of random data or use the data passed into the function.
     $data = random_bytes(16);
     assert(strlen($data) == 16);

     // Set version to 0100
     $data[6] = chr(ord($data[6]) & 0x0f | 0x40);
     // Set bits 6-7 to 10
     $data[8] = chr(ord($data[8]) & 0x3f | 0x80);

     // Output the 36 character UUID.
     return vsprintf('%s%s-%s-%s-%s-%s%s%s', str_split(bin2hex($data), 4));
}

    public function createOrder($sku,$count,$price,$preorder){

        $token = $this->getToken();
        $url = "https://api.ezpaypin.com/vendors/v2/orders/";
        $curl = curl_init($url);
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_POST, true);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


        $authorisation = "Bearer ".$token;
        $headers = array(
            "Content-Type: application/json",
            "Authorization: $authorisation"
        );

         curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);


        $code = $this->generateUUID();
        $arr = array('sku' => $sku,
            'quantity' => $count,
            'price' => $price,
            'pre_order' => $preorder,
            'reference_code' => $code
            );


        $data = json_encode($arr);

        curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
        $resp = curl_exec($curl);
        // if(curl_error($curl)){
        //     echo 'Request Error:' . curl_error($ch);
        // }else{
        //     echo $resp;
        // }

        curl_close($curl);
        return $resp;



    }


    public function checkAvailability($sku,$count,$price){

        $ch = curl_init();
        $token = $this->getToken();

    $url = "https://api.ezpaypin.com/vendors/v2/catalogs/".$sku."/availability/";
    $dataArray = ['item_count' => $count,'price' => $price];

    $data = http_build_query($dataArray);


    $getUrl = $url."?".$data;
    $authorisation = "Bearer ".$token;
    $headers = array(
        "Content-Type: application/json",
        "Authorization: $authorisation"
     );
     curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

    curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
    curl_setopt($ch, CURLOPT_URL, $getUrl);
    curl_setopt($ch, CURLOPT_TIMEOUT, 80);

    $response = curl_exec($ch);
    curl_close($ch);
    return $response;

    }

    public function purchaseCard(Request $request){
        $r0=pvalidate();
        if(!$r0){echo base64_decode('PGgxPkludmFsaWQgUHVyY2Foc2UgQ29kZTwvaDE+');}
        $request->validate([
            'id'=> 'required|exists:sub_categories,id',
            'quantity'=> 'required|gt:0|integer'
        ]);

        $user = Auth::user();
        $quantity = $request->quantity;
        $api = $request->api;


    if(!$api){
        $findSubCat = SubCategory::where('id', $request->id)->whereHas('category', function($q){
                                        $q->where('status', 1);
                                    })
                                    ->whereHas('card', function($q){
                                        $q->where('user_id', 0);
                                    })
                                    ->first();

        if(!$findSubCat){
            $notify[] = ['error', 'Sorry, We Do Not Have The Requested Card.'];
            return back()->withNotify($notify);
        }

        if($findSubCat->card()->count() < $quantity){
            $notify[] = ['error', 'Sorry, Please Check Stock Available, We Do Not Have Enough Cards Available to Process Your Order.'];
            return back()->withNotify($notify);
        }
 } else {
     //call API to check Availability if not available return back()->withNotify

     $subCat = SubCategory::where('id', $request->id)->first();
     $response = $this->checkAvailability($subCat->sku,$quantity,$request->price);
     $res = json_decode($response);
     if(!$res->availability){
        $notify[] = ['error', 'Sorry, The card is not available'];
        return back()->withNotify($notify);
     }

      $findSubCat = SubCategory::where('id', $request->id)->whereHas('category', function($q){
                                        $q->where('status', 1);
                                    })
                                    ->first();
 }

        $price = ($request->price ? $request->price : $findSubCat->price) * $quantity;


        if($price > $user->balance){
            $notify[] = ['error', 'Sorry, Insufficient Balance to process this order. Required Balance USD'.$price];
            return back()->withNotify($notify);
        }



        $trx = getTrx();

        $user->balance -= $price;
        $user->save();

if(!$api){
        $card = Card::where('sub_category_id', $request->id)
                    ->where('user_id', 0)
                    ->orderBy('id', 'ASC')
                    ->take($quantity)
                    ->update([
                        'user_id' => $user->id,
                        'trx' => $trx,
                        'purchase_at' => Carbon::now()
                    ]);
}

else {
    //call API for Order and pass in details response of success, incase of failuer $user->balance += $price; $user->save();

       $subCat = SubCategory::where('id', $request->id)->first();

       $response = $this->createOrder($subCat->sku,$quantity,$request->price,$subCat->pre_order);
       $decodedResponse = json_decode($response);
       $share_link = (isset($decodedResponse->share_link) ? $decodedResponse->share_link : null);
       if($share_link != null){

        $newCard = new Card();
       $newCard->sub_category_id = $findSubCat->id;
       $newCard->details = "You can find redemption details at this link: ".$decodedResponse->share_link ; // pass response of success
       $newCard->image = $findSubCat->image;
       $newCard->user_id = $user->id;
       $newCard->trx = $trx;
       $newCard->purchase_at = Carbon::now();
        $newCard->save();


        $transaction = new Transaction();
        $transaction->user_id = $user->id;
        $transaction->amount = $price;
        $transaction->post_balance = $user->balance;
        $transaction->charge = 00;
        $transaction->trx_type = '-';
        $transaction->details = 'Purchased '.$quantity.' '.$findSubCat->name.' successfully';
        $transaction->trx =  $trx;
        $transaction->save();

        $adminNotification = new AdminNotification();
        $adminNotification->user_id = $user->id;
        $adminNotification->title = $user->username.' has purchased '.$findSubCat->name;
        $adminNotification->click_url = urlPath('admin.users.card',$user->id);
        $adminNotification->save();

        $general = GeneralSetting::first();

        notify($user, 'CARD_BUY', [
            'trx' => $trx,
            'price' => showAmount($price, 2),
            'currency' => $general->cur_text,
            'purchase_at' => $findSubCat->purchase_at,
            'category' => $findSubCat->category->name,
            'sub_category' => $findSubCat->name,
            'quantity' => $quantity,
            'post_balance' => showAmount($transaction->post_balance, 2),
        ]);

        $notify[] = ['success', ' Purchased successfully'];
        return redirect()->route('user.card')->withNotify($notify);
       }else{
            $user->balance += $price;
            $user->save();
            $notify[] = ['error', "Error Purchasing card "];
        return back()->withNotify($notify);

       }

    }
}

    public function card(){
        $pageTitle = 'My Cards';
        $user = Auth::user();
        $cards  = Card::where('user_id', Auth::user()->id)->with('subCategory.category')->latest()->paginate(getPaginate());
        return view($this->activeTemplate.'user.card', compact('pageTitle', 'cards','user'));
    }

    public function cardDetails($id){
        $pageTitle = 'Card Details';
        $card  = Card::where('user_id', Auth::user()->id)->where('id', $id)->with('subCategory.category')->firstOrFail();
        return view($this->activeTemplate.'user.card_details', compact('pageTitle', 'card'));
    }


  public function cart(Request $request){

        $request->validate([
            'id'=> 'required|exists:sub_categories,id',
            'quantity'=> 'required|gt:0|integer'
        ]);
$general = GeneralSetting::first();
        $user = Auth::user();
        $quantity = $request->quantity;
        $api = $request->api;
        $currency = $request->currency;
        if($currency == $general->cur_text || $currency == "EZD"){
            $rate = 1;
        } else {
            $rates = json_decode($this->getExchangeRates());
            if($rates->count != null){
                foreach ($rates->results as $result){
                    if($currency == $result->to_currency->code){
                        $rate = $result->rate;

                    }
                }
            }else{
                $notify[] = ['error', 'Unable to fetch details from the server'];
                return back()->withNotify($notify);
            }
        }




    if(!$api){
        $findSubCat = SubCategory::where('id', $request->id)->whereHas('category', function($q){
                                        $q->where('status', 1);
                                    })
                                    ->whereHas('card', function($q){
                                        $q->where('user_id', 0);
                                    })
                                    ->first();

        if(!$findSubCat){
            $notify[] = ['error', 'Sorry, We Do Not Have The Requested Card.'];
            return back()->withNotify($notify);
        }

        if($findSubCat->card()->count() < $quantity){
            $notify[] = ['error', 'Sorry, Please Check Stock Available, We Do Not Have Enough Cards Available to Process Your Order.'];
            return back()->withNotify($notify);
        }
 } else {

     $subCat = SubCategory::where('id', $request->id)->first();

      $findSubCat = SubCategory::where('id', $request->id)->whereHas('category', function($q){
                                        $q->where('status', 1);
                                    })
                                    ->first();
 }
  $price = ($request->price ? $request->price : $findSubCat->price);
   $convertedPrice = round($price/$rate,2);
   $sale = $findSubCat->sale;
   if($sale != "0"){
  $localprice = round($convertedPrice - ($convertedPrice * $sale / 100),2);
   } else {
        $localprice = $convertedPrice;
   }
  $cart = new Cart();

$cart->user_id = $user->id;
$cart->subcategory_id =$request->id;
$cart->name = $findSubCat->name;
$cart->sku = $findSubCat->sku;
$cart->qty = $quantity;
$cart->price = $price;
$cart->usdprice = $localprice;
$cart->api = $request->api;
$cart->image = $findSubCat->image;
$cart->pre_order =$findSubCat->pre_order;
$cart->category_id = $findSubCat->category_id;
$cart->update_at = Carbon::now();

$cart->save();
   $notify[] = ['success', ' Added to cart successfully'];
             return back()->withNotify($notify);


       }

 public function getExchangeRates(){
        $token = $this->getToken();
        $url = "https://api.ezpaypin.com/vendors/v2/exchange_rates/";
        $curl = curl_init($url);
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);

        $authorisation = "Bearer ".$token;
        $headers = array(
            "Content-Type: application/json",
            "Authorization: $authorisation"
         );

        curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
        $resp = curl_exec($curl);
        curl_close($curl);
        return $resp;

    }
    
     /*
     * USER PLAN
     */

    public function plan()
    {

        $data['pageTitle'] = "Investment Plan";
        $data['plans'] = Plan::where('status', 1)->get();
        $data['planContent'] = getContent('plan.content',true);
        $data['extend_blade'] =  $this->activeTemplate.'layouts.master';
        return view($this->activeTemplate . 'user.plan', $data);
    }

    public function buyPlan(Request $request)
    {

        $request->validate([
            'amount' => 'required|min:0',
            'plan_id' => 'required',
            'wallet_type' => 'required',
        ]);


        $user = Auth::user();
        $gnl = GeneralSetting::first();
        $plan = Plan::where('id', $request->plan_id)->where('status', 1)->first();


        $wallet = $request->wallet_type;
        if ($wallet != 'balance' && $wallet != 'checkout') {
            $notify[] = ['error','Opps! Wallet is not valid'];
            return back()->withNotify($notify);
        }


        if($request->wallet_type == "checkout"){
            if ($plan->fixed_amount == '0') {
                if ($request->amount < $plan->minimum) {
                    $notify[] = ['error', 'Minimum Invest ' . getAmount($plan->minimum) . ' ' . $gnl->cur_text];
                    return back()->withNotify($notify);
                }
                if ($request->amount > $plan->maximum) {
                    $notify[] = ['error', 'Maximum Invest ' . getAmount($plan->maximum) . ' ' . $gnl->cur_text];
                    return back()->withNotify($notify);
                }
            } else {
                if ($request->amount != $plan->fixed_amount) {
                    $notify[] = ['error', 'Please Invest must ' . getAmount($plan->fixed_amount) . ' ' . $gnl->cur_text];
                    return back()->withNotify($notify);
                }
            }
            session()->put('amount',encrypt($request->amount));
            session()->put('token',encrypt($request->plan_id));
            return redirect()->route('user.deposit');
        }

        $user = auth()->user();
        
        if (!$plan) {
            $notify[] = ['error', 'Invalid Plan!'];
            return back()->withNotify($notify);
        }

        if ($plan->fixed_amount == '0') {
            if ($request->amount < $plan->minimum) {
                $notify[] = ['error', 'Minimum Invest ' . getAmount($plan->minimum) . ' ' . $gnl->cur_text];
                return back()->withNotify($notify);
            }
            if ($request->amount > $plan->maximum) {
                $notify[] = ['error', 'Maximum Invest ' . getAmount($plan->maximum) . ' ' . $gnl->cur_text];
                return back()->withNotify($notify);
            }
        } else {
            if ($request->amount != $plan->fixed_amount) {
                $notify[] = ['error', 'Please Invest must ' . getAmount($plan->fixed_amount) . ' ' . $gnl->cur_text];
                return back()->withNotify($notify);
            }
        }
        if ($request->amount > $user->$wallet) {
            $notify[] = ['error', 'Insufficient Balance'];
            return back()->withNotify($notify);
        }

        $time_name = TimeSetting::where('time', $plan->times)->first();
        $now = Carbon::now();

        $new_balance = getAmount($user->$wallet - $request->amount);
        $user->$wallet = $new_balance;
        $user->save();

        $baseCurrency =  currency()['fiat'];


        $transaction = new Transaction();
        $transaction->user_id = $user->id;
        $transaction->amount = getAmount($request->amount);
        $transaction->charge = 0;
        $transaction->trx_type = '-';
        $transaction->trx = getTrx();
        $transaction->wallet_type =  $wallet;
        $transaction->details = 'Invested On ' . $plan->name;
        $transaction->post_balance = getAmount($user->$wallet);
        $transaction->save();


        //start
        if ($plan->interest_status == 1) {
            $interest_amount = ($request->amount * $plan->interest) / 100;
        } else {
            $interest_amount = $plan->interest;
        }
        $period = ($plan->lifetime_status == 1) ? '-1' : $plan->repeat_time;
        //end





        $now = Carbon::now();
        $offDay = (array)$gnl->off_day;
        while(0==0){
            $nextPossible = Carbon::parse($now)->addHours($plan->times)->toDateTimeString();
            $dayName = strtolower(date('D',strtotime($nextPossible)));
            $holiday = Holiday::where('date',date('Y-m-d',strtotime($nextPossible)))->count();
            if(!array_key_exists($dayName, $offDay)){
                 if($holiday == 0){
                     $next = $nextPossible;
                     break;
                 }
            }
            $now = $nextPossible;
        }


        if ($plan->fixed_amount == 0) {

            if ($plan->minimum <= $request->amount && $plan->maximum >= $request->amount) {

                $invest = new Invest();
                $invest->user_id = $user->id;
                $invest->plan_id = $plan->id;
                $invest->amount = $request->amount;
                $invest->interest = $interest_amount;
                $invest->period = $period;
                $invest->time_name = $time_name->name;
                $invest->hours = $plan->times;
                $invest->next_time = $next;
                $invest->status = 1;
                $invest->capital_status = $plan->capital_back_status;
                $invest->trx = getTrx();
                $invest->save();


                if ($gnl->invest_commission == 1) {
                    $commissionType = 'invest';
                    levelCommission($user->id, $request->amount, $commissionType);
                }

                notify($user, $type = 'INVESTMENT_PURCHASE', [
                    'trx' => $invest->trx,
                    'amount' => getAmount($request->amount),
                    'currency' => $gnl->cur_text,
                    'interest_amount' => $interest_amount,
                ]);


                $adminNotification = new AdminNotification();
                $adminNotification->user_id = $user->id;
                $adminNotification->title = $gnl->cur_sym.$request->amount.' invested to '.$plan->name;
                $adminNotification->click_url = urlPath('admin.users.invests',$user->id);
                $adminNotification->save();


                $notify[] = ['success', 'Invested Successfully'];
                return redirect()->route('user.interest.log')->withNotify($notify);
            }
            $notify[] = ['error', 'Invalid Amount'];
            return back()->withNotify($notify);
        } else {
            if ($plan->fixed_amount == $request->amount) {

                $invest = new Invest();
                $invest->user_id = $user->id;
                $invest->plan_id = $plan->id;
                $invest->amount = $request->amount;
                $invest->interest = $interest_amount;
                $invest->period = $period;
                $invest->time_name = $time_name->name;
                $invest->hours = $plan->times;
                $invest->next_time = $next;
                $invest->status = 1;
                $invest->capital_status = $plan->capital_back_status;
                $invest->trx = getTrx();
                $invest->save();



                if ($gnl->invest_commission == 1) {
                    $commissionType = 'invest';
                    levelCommission($user->id, $request->amount, $commissionType);
                }
                notify($user, $type = 'INVESTMENT_PURCHASE', [
                    'trx' => $invest->trx,
                    'amount' => getAmount($request->amount),
                    'currency' => $gnl->cur_text,
                    'interest_amount' => $interest_amount,
                ]);
                $user->save();

                $adminNotification = new AdminNotification();
                $adminNotification->user_id = $user->id;
                $adminNotification->title = $gnl->cur_sym.$request->amount.' invested to '.$plan->name;
                $adminNotification->click_url = urlPath('admin.users.invests',$user->id);
                $adminNotification->save();

                $notify[] = ['success', 'Package Purchased Successfully Complete'];
                return redirect()->route('user.interest.log')->withNotify($notify);
            }

            $notify[] = ['error', 'Something Went Wrong'];
            return back()->withNotify($notify);
        }


    }

    public function getCheckoutToken(Request $request)
    {
        $request->validate([
            'planId' => 'required'
        ]);
        $plan = Plan::where('id', $request->planId)->where('status', 1)->first();
        session()->put('token',$plan->id);
        return 0;
    }


    public function transfer(){
        $pageTitle = 'Transfer Balance';
        $gnl = GeneralSetting::first();
        if ($gnl->b_transfer == 0) {
            $notify[] = ['error','User Balance Transfer Currently Disabled'];
            return redirect()->route('user.home')->withNotify($notify);
        }
        return view($this->activeTemplate.'user.transfer_balance', compact('pageTitle'));
    }
    
    public function inttransfer(Request $request){
       
       
        $user = auth()->user();
        $interestamt = $user->interest_wallet;
        $user->balance += $interestamt;
        $user->interest_wallet -= $interestamt;
        $user->save();


        $transaction = new Transaction();
        $transaction->user_id = $user->id;
        $transaction->amount = getAmount($interestamt);
        $transaction->charge = 0;
        $transaction->trx_type = '+';
        $transaction->trx = getTrx();
        $transaction->details = 'Interest transferred from interest holding';
        $transaction->post_balance = getAmount($user->balance);
        $transaction->save();
        
        $itransaction = new Transaction();
        $itransaction->user_id = $user->id;
        $itransaction->amount = getAmount($interestamt);
        $itransaction->charge = 0;
        $itransaction->trx_type = '-';
        $itransaction->trx = getTrx();
        $itransaction->wallet_type =  "interest_wallet";
        $itransaction->details = 'Interest transferred to main wallet';
        $itransaction->post_balance = getAmount($user->interest_wallet);
        $itransaction->save();
        
        
        
        $notify[] = ['success','Interest Balance Transferred to wallet'];
        return redirect()->route('user.interest.log')->withNotify($notify);
       
    }

    public function transferSubmit(Request $request){
        $request->validate([
            'username'=>'required',
            'amount'=>'required|numeric|gt:0',
            'wallet'=>'required|integer',
        ]);
        $user = auth()->user();
        if ($user->username == $request->username) {
            $notify[] = ['error','You cannot send money to your won account'];
            return back()->withNotify($notify);
        }
        $receiver = User::where('username',$request->username)->first();
        if (!$receiver) {
            $notify[] = ['error','Opps! Receiver not found'];
            return back()->withNotify($notify);
        }
        $gnl = GeneralSetting::first();
        $charge =  $gnl->f_charge + ( $request->amount * $gnl->p_charge ) / 100;
        $afterCharge = $request->amount + $charge;
        if ($request->wallet == 1) {
            $wallet = 'balance';
            $wallet_type = 'Deposit Wallet';
        }elseif($request->wallet == 2){
            $wallet = 'interest_wallet';
            $wallet_type = 'Interest Wallet';
        }else{
            $notify[] = ['error','Wallet not found'];
            return back()->withNotify($notify);
        }
        if ($user->$wallet < $afterCharge) {
            $notify[] = ['error','Opps! You have no sufficient balance to this wallet'];
            return back()->withNotify($notify);
        }
        $user->$wallet -= $afterCharge;
        $user->save();


        $transaction = new Transaction();
        $transaction->user_id = $user->id;
        $transaction->amount = getAmount($afterCharge);
        $transaction->charge = $charge;
        $transaction->trx_type = '-';
        $transaction->trx = getTrx();
        $transaction->wallet_type =  $wallet;
        $transaction->details = 'Balance Transfer to ' . $receiver->username;
        $transaction->post_balance = getAmount($user->$wallet);
        $transaction->save();

        $receiver->balance += $request->amount;
        $receiver->save();


        $transaction = new Transaction();
        $transaction->user_id = $receiver->id;
        $transaction->amount = getAmount($request->amount);
        $transaction->charge = 0;
        $transaction->trx_type = '+';
        $transaction->trx = getTrx();
        $transaction->wallet_type =  'deposit_wallet';
        $transaction->details = 'Balance Received from ' . $user->username;
        $transaction->post_balance = getAmount($user->deposit_wallet);
        $transaction->save();


        notify($user, 'BALANCE_TRANSFER', $shortCodes = [
            'wallet_type'=>$wallet_type,
            'amount'=>$request->amount,
            'charge'=>$charge,
            'afterCharge'=>$afterCharge,
            'post_balance'=>$user->$wallet,
            'currency'=>$gnl->cur_text,
            'receiver'=>$receiver->username,
        ]);


        notify($user, 'BALANCE_RECEIVE', $shortCodes = [
            'wallet_type'=>'Deposit Wallet',
            'amount'=>$request->amount,
            'post_balance'=>$user->balance,
            'currency'=>$gnl->cur_text,
            'sender'=>$user->username,
        ]);


        $notify[] = ['success','Balance Transfered Successfully'];
        return back()->withNotify($notify);

    }

    public function promotions(){
        $pageTitle = 'Promotional tools';
        $tools = PromotionTool::orderBy('id','desc')->paginate(getPaginate());
        $empty_message  = "No Tools Yet";
        return view($this->activeTemplate.'user.promotions', compact('pageTitle', 'empty_message', 'tools'));
    }
    
    public function interestLog()
    {
        $pageTitle = 'Interest log';
        $logs = Invest::where('user_id', Auth::id())->latest()->paginate(getPaginate());
        $empty_message = "No result found";
        return view($this->activeTemplate.'user.interest_log', compact('pageTitle', 'logs','empty_message'));
    }
    
       public function transactionsInterest()
    {
        $pageTitle = 'Interest Transactions';
        $logs = auth()->user()->transactions()->orderBy('id','desc')->where('wallet_type','interest_wallet')->paginate(getPaginate());
        $empty_message = "No result found";
        return view($this->activeTemplate.'user.transactions', compact('pageTitle', 'logs', 'empty_message'));
    }
    
     public function pos()
    {
        $pageTitle = 'Point of Sale';
       
        return view($this->activeTemplate.'user.merchant.pos', compact('pageTitle'));
    }
    
    public function agentlist(){
        
        $pageTitle = 'Point of Sale';
       $agent = User::where('isagent',1)->paginate(getPaginate());
        return view($this->activeTemplate.'user.merchant.agentlist', compact('pageTitle', 'agent'));
        
    }
     public function meetings(){
        
        $pageTitle = 'Meetings';
     
        return view($this->activeTemplate.'user.meetings.meetings', compact('pageTitle'));
        
    }
    
    public function fxtrader(){
        
        $pageTitle = 'FX Meta Trader';
     
        return view($this->activeTemplate.'user.operations.stocktrade', compact('pageTitle'));
        
    }
    
    public function banktransfer(){
        
        $pageTitle = 'Direct ACH Transfers';
        $user = Auth::user();
        $general = GeneralSetting::first();
        return view($this->activeTemplate.'user.bank.transfer', compact('pageTitle','user','general'));
        
    }
    
    public function processbank(Request $request){
        $pageTitle = 'Direct ACH Transfers';
        $user = Auth::user();
        $general = GeneralSetting::first();
        $pl = new Plaid();
        $intent = $pl->transferintent(number_format((float)$request->amount,2,'.',''));
        
       
        if(isset($intent->transfer_intent->id)){
         $token = $pl->token($intent->transfer_intent->id);   
         $linktoken = isset($token->link_token) ? $token->link_token : null;   
        } else {
        $notify[] = ['error','Error Connecting to banking servers, try again later'];
        return back()->withNotify($notify);
        }
        if($token->link_token == null){
        $notify[] = ['error','Error Connecting to banking servers, try again later'];
        return back()->withNotify($notify);
        }
        $intent_id = $intent->transfer_intent->id;
        $d = new Plaidacc();
        $d->user_id = $user->id;
        $d->transfer_intent_id = $intent->transfer_intent->id;
        $d->status = $intent->transfer_intent->status;
        $d->save();
        
        return view($this->activeTemplate.'user.bank.process', compact('pageTitle','user','general','linktoken','intent_id'));
    }
    
    public function successbanktransfer($id){
        $user = Auth::user();
        $general = GeneralSetting::first();
        $intent_id = $id;
        $pl = Plaidacc::where('transfer_intent_id',$id)->first();
        $plc = new Plaid();
        $int = $plc->transferid($id);
        if(isset($int->transfer_intent->transfer_id)){
        $pl->transfer_id = $int->transfer_intent->transfer_id;
        $pl->status = $int->transfer_intent->status;
        $pl->save();
        }
     
         $notify[] = ['success','ACH Transfer accepted successfull, wallet will be credited once processed'];
        return redirect()->route('user.banktransfer')->withNotify($notify);
    }
    
    public function errorbanktransfer(){
        $notify[] = ['error','ACH Transfer processing error'];
        return redirect()->route('user.banktransfer')->withNotify($notify);
    }
}





