<?php

namespace App\Http\Controllers;

use Carbon\Carbon;
use App\Models\SubCategory;
use App\Models\Cart;
use App\Models\Fluttercard;
use App\Models\User;
use App\Models\Fiat;
use App\Models\Kuda;
use App\Models\Purchasedata;
use App\Models\Banklist;
use App\Lib\Kudalib;
use App\Models\Vouchers;
use App\Models\Countries;
use App\Models\Category;
use App\Models\Vcurrency;
use App\Models\Currencywallet;
use App\Lib\Tatum;
use Illuminate\Support\Facades\Auth;
use App\Http\Helpers\Helper;
use App\Models\Card;
use App\Lib\GoogleAuthenticator;
use App\Models\AdminNotification;
use App\Models\GeneralSetting;
use App\Lib\Flutterwave;
use App\Models\Transaction;
use App\Models\WithdrawMethod;
use App\Models\Withdrawal;
use App\Rules\FileTypeValidate;
use Illuminate\Http\Request;

use Illuminate\Support\Facades\Hash;
use Illuminate\Validation\Rules\Password;
use Illuminate\Validation\Rule;

use App\Models\GatewayCurrency;
use App\Models\SupportTicket;

use Response;

class VirtualController extends Controller
{
    
    public function __construct(){
        $this->activeTemplate = activeTemplate();
    }
    
    public function index(){
         $pageTitle = "Currency Balances";
        $general = GeneralSetting::first();
      $user = auth()->user(); 
      $walletId =  Currencywallet::where('user_id', $user->id)->pluck('currency_name');
      $posts = Vcurrency::latest()->whereNotIn('name', $walletId)->get();
      
      
      $currency = Currencywallet::where('user_id',$user->id)->get();
      
     $tatum = Vcurrency::get();
      foreach($currency as $balance){
        $va = new Tatum();
        $balc[] = array(
            'name' => $balance->currency_name,
            'id' => $balance->id,
            'image'=> Vcurrency::where('name', $balance->currency_name)->first(['image']),
            'basePair' => $balance->basePair,
            'symbol' => $balance->symbol,
            'tatumid' => $balance->tatumid,
            'balance' => $va->vabalance($balance->tatumid)
        );
        
         
      }
      if(empty($balc)){
          $balc = null;
          
      }
      
      
     
      
         return view($this->activeTemplate.'user.currency.index', compact('pageTitle','balc', 'general','user','tatum','posts'));
    }
    
    public function addwallet(Request $request){
        $user = auth()->user(); 
        $general = GeneralSetting::first();
        $tatum = Vcurrency::where('id', $request->id)->first();
         $newva = new Tatum();
         $create = $newva->createva($tatum->name,null);
       
        
        $update = new Currencywallet();
        $update->user_id = $user->id;
        $update->tatumid = $create->id;
        $update->basePair = $tatum->basePair;
        $update->currency_name = $tatum->name;
        $update->symbol = $tatum->symbol;
        $update->save();
        
     $notify[] = ['success', 'New Currency Added'];
    return back()->withNotify($notify)->withInput();
        
    }
    
    public function transfer($id){
      $pageTitle = "Transfer Money";
      $general      = GeneralSetting::first();
       $tatum = Currencywallet::where('id', $id)->first();
       return view($this->activeTemplate.'user.currency.transfer_money',compact('pageTitle', 'general','tatum'));     
    }
    
    public function transferconfirm(Request $request){
        $user = auth()->user();
       $general      = GeneralSetting::first();
       
      if($user->username == $request->user || $user->email == $request->user){
            $notify[] = ['error', 'Can\'t transfer balance to your own'];
            return back()->withNotify($notify)->withInput();
       }
      $receiver = User::where('username',$request->user)->orWhere('email',$request->user)->first();
       if(!$receiver){
           $notify[]=['error','Sorry! Receiver Not Found'];
           return back()->withNotify($notify)->withInput();
       } 
       
        $totalAmount = $request->amount;
       $fee = $general->tx_fee;
       $feeamount = $totalAmount * $fee / 100;
       
        $ftotalAmount = $request->amount + $feeamount;
        
        $va = new Tatum();
        $balance = $va->vabalance($request->tatumid);
        if($balance->availableBalance < $ftotalAmount){
           $notify[]=['error','Sorry! Insufficient Balance'];
           return back()->withNotify($notify)->withInput();
       } 
       
       $walletinfo = Currencywallet::where('tatumid',$request->tatumid)->first();
       
       $findwallet = Currencywallet::where('user_id',$receiver->id)->where('currency_name',$walletinfo->currency_name)->first(); 
        if(!$findwallet){
            $notify[]=['error','User does not have same currency enabled'];
           return back()->withNotify($notify)->withInput();
        }
        $masterwallet = Vcurrency::where('name', $walletinfo->currency_name)->first();
        
        
        $trans = new Tatum();
        $transferfees = $trans->sendva($walletinfo->tatumid, $masterwallet->tatumid, round($feeamount), "Fees for Transfer of Currencies ".$walletinfo->currency_name);
       
       $transfer = $trans->sendva($walletinfo->tatumid, $findwallet->tatumid, round($totalAmount), "Transfer of Currencies ".$walletinfo->currency_name." from ".$user->email);
       if(isset($transfer->statusCode)){
            $notify[]=['error','Error Sending Amount to user'];
           return back()->withNotify($notify)->withInput();
           
       } else {
          $notify[]=['success','Amount sent to user'];
           return back()->withNotify($notify)->withInput();
       }
    }
    
     public function exchange($id){
        $pageTitle = "Exchange Currency";
      $general      = GeneralSetting::first();
       $tatum = Currencywallet::where('id', $id)->first();
       $rate = new Tatum();
       $fx = $rate->getrateusd($tatum->basePair);
       $fxrate = $fx->value;
       return view($this->activeTemplate.'user.currency.exchange',compact('pageTitle', 'general','tatum','fxrate'));     
    }
    
     public function usdexchange($id){
        $pageTitle = "Exchange Currency";
      $general      = GeneralSetting::first();
       $tatum = Currencywallet::where('id', $id)->first();
       $rate = new Tatum();
       $fx = $rate->getrateusd($tatum->basePair);
       $fxrate = $fx->value;
       return view($this->activeTemplate.'user.currency.usdexchange',compact('pageTitle', 'general','tatum','fxrate'));     
    }
    
    public function exchangeconfirm(Request $request){
       
     $user = auth()->user();
       $general      = GeneralSetting::first();
       $tatum = Currencywallet::where('tatumid', $request->tatumid)->first();
        $masterwallet = Vcurrency::where('name', $tatum->currency_name)->first();
       $rate = new Tatum();
       $fx = $rate->getrateusd($tatum->basePair);
       $fxrate = $fx->value;
       $amount = $request->amount;
       $fxamount = round($amount * $fxrate,2);
       if($fxamount < 2){
           $notify[]=['error','Minimum Amount should be above $2'];
           return back()->withNotify($notify)->withInput();
       }
       $fee = $general->tx_fee;
       $feeamount = $fxamount * $fee / 100;
       
        $va = new Tatum();
        $balance = $va->vabalance($request->tatumid);
        if($balance->availableBalance < $request->amount){
           $notify[]=['error','Sorry! Insufficient Balance'];
           return back()->withNotify($notify)->withInput();
       } 
       
        $trans = new Tatum();
       $transfer = $trans->sendva($request->tatumid, $masterwallet->tatumid, round($amount), "Transfer to USD");
       if(isset($transfer->statusCode)){
            $notify[]=['error','Error Sending Amount to user'];
           return back()->withNotify($notify)->withInput();
           
       } else {
            $ftrx = getTrx();
          $user->balance -= $feeamount;
    $user->save();

    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $feeamount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '-';
    $transaction->details = 'Fees for USD Transfer';
    $transaction->trx =  $ftrx;
    $transaction->save();
    
    $trx = getTrx();
          $user->balance += $fxamount;
    $user->save();

    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $fxamount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '+';
    $transaction->details = 'Transfer to USD';
    $transaction->trx =  $trx;
    $transaction->save();
       
           
          $notify[]=['success','Amount Transfered to USD'];
           return back()->withNotify($notify)->withInput();
       }
       
      
       
       
       
       
    
    }
    
    
     public function usdexchangeconfirm(Request $request){
       
     $user = auth()->user();
       $general      = GeneralSetting::first();
       $tatum = Currencywallet::where('tatumid', $request->tatumid)->first();
        $masterwallet = Vcurrency::where('name', $tatum->currency_name)->first();
       $rate = new Tatum();
       $fx = $rate->getrateusd($tatum->basePair);
       $fxrate = $fx->value;
       $amount = $request->amount;
       $fxamount = round($amount * $fxrate,2);
        
       if($fxamount < 2){
           $notify[]=['error','Minimum Amount should be above $2'];
           return back()->withNotify($notify)->withInput();
       }
       $fee = $general->tx_fee;
       $feeamount = $fxamount * $fee / 100;
       
       
        
        if($user->balance < ($fxamount + $feeamount)){
           $notify[]=['error','Sorry! Insufficient Balance'];
           return back()->withNotify($notify)->withInput();
       } 
       
      
        
       
            $ftrx = getTrx();
          $user->balance -= $feeamount;
    $user->save();

    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $feeamount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '-';
    $transaction->details = 'Fees for USD Transfer';
    $transaction->trx =  $ftrx;
    $transaction->save();
    
    $trx = getTrx();
          $user->balance -= $fxamount;
    $user->save();

    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $fxamount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '-';
    $transaction->details = 'Transfer from USD';
    $transaction->trx =  $trx;
    $transaction->save();
       $trans = new Tatum();
      $transfer = $trans->sendva($masterwallet->tatumid, $request->tatumid, round($amount), "Transfer from USD");
       if(isset($transfer->statusCode)){
                    $ftrx = getTrx();
          $user->balance += $feeamount;
    $user->save();

    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $feeamount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '+';
    $transaction->details = 'Reversal Fees for USD Transfer';
    $transaction->trx =  $ftrx;
    $transaction->save();
    
    $trx = getTrx();
          $user->balance += $fxamount;
    $user->save();

    $transaction = new Transaction();
    $transaction->user_id = $user->id;
    $transaction->amount = $fxamount;
    $transaction->post_balance = $user->balance;
    $transaction->charge = 00;
    $transaction->trx_type = '+';
    $transaction->details = 'Reversal Transfer from USD';
    $transaction->trx =  $trx;
    $transaction->save();
            $notify[]=['error','Error Converting Amount'];
           return back()->withNotify($notify)->withInput();
           
       } else {     
          $notify[]=['success','Amount Converted'];
           return back()->withNotify($notify)->withInput();
       }
       
     
    
    }
    
     public function ngncreateva(Request $request){
           $user = auth()->user();
       $general      = GeneralSetting::first();
       $check = Kuda::where('user_id',$user->id)->first();
         
       if(isset($check->id)){
           $notify[]=['error','Your Alreay Have A Bank Account'];
            return redirect()->route('user.bankaccounts')->withNotify($notify);  
       }
         $this->validate($request, [
            'mobile' => 'required|min:11|max:12',
            
        ]);
       $ku = new Kudalib();
       $kudata = new Kuda();
       $reference = getTrx();
       $data = array(
         
		"ServiceType"=>"ADMIN_CREATE_VIRTUAL_ACCOUNT",
		"RequestRef"=> getTrx(),
		"Data"=>
			[
				"email"=> $user->email,
				"phoneNumber"=> $request->mobile,
				"lastName"=> "Wick",
				"firstName"=> "John",
				"trackingReference" => $reference
			]
  
           
       );
       
       $vaccount = $ku->kudapost($data);
       
       if(isset($vaccount->status) && $vaccount->status == true ){
           $kudata->user_id = $user->id;
           $kudata->user_email = $user->email;
           $kudata->trackingReference = $reference;
           $kudata->accountNumber = $vaccount->data->accountNumber;
           $kudata->save();
           $enable = array(
             "servicetype"=>"ADMIN_ENABLE_VIRTUAL_ACCOUNT",
        "requestref" => getTrx(),
			  "data"=> [
				"trackingReference" => $reference,
           ]  
               
           );
           
           
           $notify[]=['success','Bank Account Created'];
            return redirect()->route('user.bankaccounts')->withNotify($notify); 
       } else {
           $notify[]=['error','Error Creating Account Check Details '.$vaccount->message];
            return redirect()->route('user.bankaccounts')->withNotify($notify);  
       }
       
      }
      
     public function bankaccounts(){
          $user = auth()->user();
       $general      = GeneralSetting::first();
       $pageTitle = "NGN Bank Account";
       $check = Kuda::where('user_id',$user->id)->first();  
       if(isset($check->id)){
          $ku = new Kudalib();
          $data = array(
             
	 "servicetype"=> "RETRIEVE_VIRTUAL_ACCOUNT_BALANCE",
	 "requestref"=> getTrx(),
	 "Data"=> [
			"trackingReference"=> $check->trackingReference
	]
 );
          $balance = $ku->kudapost($data);
          
          
           return view($this->activeTemplate.'user.kuda.index', compact('pageTitle','balance','check','user'));
          
       }
       else {
            return view($this->activeTemplate.'user.kuda.newaccount', compact('pageTitle','user'));
       }
       
      }
      
     public function transactionhistory(){
          $user = auth()->user();
       $general      = GeneralSetting::first();
         $pageTitle = "NGN Bank Account Transactions";
       $check = Kuda::where('user_id',$user->id)->first();
       if(!isset($check->id)){
            $notify[] = ['error', 'You Do not Have An Account'];
        return redirect()->route('user.bankaccounts')->withNotify($notify);
       }
          $data = array(
                 
    "servicetype"=> "ADMIN_VIRTUAL_ACCOUNT_TRANSACTIONS",
    "requestref"=> getTrx(),
    "Data"=> [
			"trackingReference"=> $check->trackingReference,
      
    ]
          );
           $ku = new Kudalib();
          $transactions = $ku->kudapost($data);
           return view($this->activeTemplate.'user.kuda.trx_log', compact('pageTitle','user','transactions','check'));
          
      }
      
     public function ngnfundtransfer(){
          $user = auth()->user();
       $general      = GeneralSetting::first();
       $pageTitle = "NGN Bank Account";
       $check = Kuda::where('user_id',$user->id)->first();
       $banklist = Banklist::get();
        if(!isset($check->id)){
            $notify[] = ['error', 'You Do not Have An Account'];
        return redirect()->route('user.bankaccounts')->withNotify($notify);
       }
      
            return view($this->activeTemplate.'user.kuda.fundtransfer', compact('pageTitle','user','banklist'));
       
       
      }
       
     public function nameenquiry(Request $request){
            $user = auth()->user();
       $general      = GeneralSetting::first();
       $check = Kuda::where('user_id',$user->id)->first();
         $this->validate($request, [
            'beneficiaryAccountNumber' => 'required',
             'beneficiaryBankCode' => 'required',
             'description' => 'required',
             'amount' => 'required|numeric|gt:0',
            
        ]);
       
       if(!isset($check->id)){
            $notify[] = ['error', 'You Do not Have An Account'];
        return redirect()->route('user.bankaccounts')->withNotify($notify);
       }
          $data = array(
              
	 "servicetype"=> "NAME_ENQUIRY",
	 "requestref"=> "",
	 "Data"=> [
		 "beneficiaryAccountNumber"=> $request->beneficiaryAccountNumber,
		 "beneficiaryBankCode"=> $request->beneficiaryBankCode,
		 "SenderTrackingReference"=> $check->trackingReference, 
		 "isRequestFromVirtualAccount"=>true 
		],

          );
          $ku = new Kudalib();
           $name = $ku->kudapost($data);
         
          
           if(isset($name) && $name->status == true){
               $transferdata = array(
              "servicetype"=> "VIRTUAL_ACCOUNT_FUND_TRANSFER",
    "requestref"=> getTrx(),
    "Data"=> [
      "trackingReference"=> $check->trackingReference, 
      "beneficiaryAccount"=> $request->beneficiaryAccountNumber,
      "amount"=> $request->amount * 100,
      "narration"=> $request->description,
      "beneficiaryBankCode"=> $request->beneficiaryBankCode,
      "beneficiaryName"=> $name->data->beneficiaryName,
      "senderName"=> $user->firstname." ".$user->lastname,
      "nameEnquiryId"=> $name->data->sessionID,
	    
    ],     
                   
               ); 
        $transfer = $ku->kudapost($transferdata);
        if(isset($transfer) && $transfer->status == true){
            $notify[] = ['success', 'Transaction Successful'];
            return redirect()->route('user.transactionhistory')->withNotify($notify);  
               
           } else {
                $notify[] = ['error', 'Error Processing Transaction '.$transfer->message];
            return back()->withNotify($notify);
           }
             }
           else {
               $notify[] = ['error', 'Beneficiary Account could not be fetched, check details'];
            return back()->withNotify($notify);
           }
          
    
      }
      
      
      public function betbillpayment(){
        $user = auth()->user();
       $general      = GeneralSetting::first();
       $check = Kuda::where('user_id',$user->id)->first();   
        if(!isset($check->id)){
            $notify[] = ['error', 'You Do not Have An Account'];
        return redirect()->route('user.bankaccounts')->withNotify($notify);
       }
       $data = array(
           "servicetype"=> "GET_BILLERS_BY_TYPE",
	"requestref"=> getTrx(),
	"Data"=>[
		"BillTypeName"=> "betting"
	]
       );
       $ku = new Kudalib();
       $billers = $ku->kudapost($data);
       $pageTitle = "NGN Bank Bill Payment";
       return view($this->activeTemplate.'user.kuda.billpayment', compact('pageTitle','user','billers'));
      }
      
      
      public function airtimebillpayment(){
        $user = auth()->user();
       $general      = GeneralSetting::first();
       $check = Kuda::where('user_id',$user->id)->first();   
        if(!isset($check->id)){
            $notify[] = ['error', 'You Do not Have An Account'];
        return redirect()->route('user.bankaccounts')->withNotify($notify);
       }
       $data = array(
           "servicetype"=> "GET_BILLERS_BY_TYPE",
	"requestref"=> getTrx(),
	"Data"=>[
		"BillTypeName"=> "airtime"
	]
       );
       $ku = new Kudalib();
       $billers = $ku->kudapost($data);
       $pageTitle = "NGN Bank Bill Payment";
       return view($this->activeTemplate.'user.kuda.billpayment', compact('pageTitle','user','billers'));
      }
      
      public function electricitybillpayment(){
        $user = auth()->user();
       $general      = GeneralSetting::first();
       $check = Kuda::where('user_id',$user->id)->first();   
        if(!isset($check->id)){
            $notify[] = ['error', 'You Do not Have An Account'];
        return redirect()->route('user.bankaccounts')->withNotify($notify);
       }
       $data = array(
           "servicetype"=> "GET_BILLERS_BY_TYPE",
	"requestref"=> getTrx(),
	"Data"=>[
		"BillTypeName"=> "electricity"
	]
       );
       $ku = new Kudalib();
       $billers = $ku->kudapost($data);
       $pageTitle = "NGN Bank Bill Payment";
       return view($this->activeTemplate.'user.kuda.billpayment', compact('pageTitle','user','billers'));
      }
      
       public function cabletvbillpayment(){
        $user = auth()->user();
       $general      = GeneralSetting::first();
       $check = Kuda::where('user_id',$user->id)->first();   
        if(!isset($check->id)){
            $notify[] = ['error', 'You Do not Have An Account'];
        return redirect()->route('user.bankaccounts')->withNotify($notify);
       }
       $data = array(
           "servicetype"=> "GET_BILLERS_BY_TYPE",
	"requestref"=> getTrx(),
	"Data"=>[
		"BillTypeName"=> "cableTv"
	]
       );
       $ku = new Kudalib();
       $billers = $ku->kudapost($data);
       $pageTitle = "NGN Bank Bill Payment";
       return view($this->activeTemplate.'user.kuda.billpayment', compact('pageTitle','user','billers'));
      }
      
      
       public function databillpayment(){
        $user = auth()->user();
       $general      = GeneralSetting::first();
       $check = Kuda::where('user_id',$user->id)->first();   
        if(!isset($check->id)){
            $notify[] = ['error', 'You Do not Have An Account'];
        return redirect()->route('user.bankaccounts')->withNotify($notify);
       }
       $data = array(
           "servicetype"=> "GET_BILLERS_BY_TYPE",
	"requestref"=> getTrx(),
	"Data"=>[
		"BillTypeName"=> "internet Data"
	]
       );
       $ku = new Kudalib();
       $billers = $ku->kudapost($data);
        $pageTitle = "NGN Bank Bill Payment";
       return view($this->activeTemplate.'user.kuda.billpayment', compact('pageTitle','user','billers'));
      }
      
      
      public function purchasebill(Request $request){
         $user = auth()->user();
       $general      = GeneralSetting::first();
       $check = Kuda::where('user_id',$user->id)->first();   
        if(!isset($check->id)){
            $notify[] = ['error', 'You Do not Have An Account'];
        return redirect()->route('user.bankaccounts')->withNotify($notify);
       }
       $customerIdentification = $request->customerIdentification;
       $amount = $request->amount * 100;
       $KudaBillItemIdentifier = $request->kudaIdentifier;
               
       $ku = new Kudalib();
       $data = array(
           "servicetype"=> "VERIFY_BILL_CUSTOMER",
    "requestref"=> getTrx(),
		"Data"=>[
      "KudaBillItemIdentifier"=>$KudaBillItemIdentifier,
      "CustomerIdentification"=>$customerIdentification
    ]
       );
       
       $verify = $ku->kudapost($data);
       if(isset($verify->status) && $verify->status == true){
          $purchasedata = array(
              "servicetype"=> "PURCHASE_BILL",
  "requestref"=> getTrx(),
	"Data"=>[
	  "TrackingReference"=> $check->trackingReference,
    "Amount"=>$amount,
    "BillItemIdentifier"=>$KudaBillItemIdentifier,
    "PhoneNumber"=>$customerIdentification,
    "CustomerIdentifier"=>$customerIdentification
	 ]
              
          ); 
          
          $bill = $ku->kudapost($purchasedata);
          if(isset($bill->status) && $bill->status != true){
             $notify[] = ['error', 'Error Processing Bill Payment '.$bill->message];
            return back()->withNotify($notify);  
          }
          $ud = new Purchasedata();
          $ud->name = $request->name;
          $ud->kudaidentifier = $KudaBillItemIdentifier;
          $ud->customerid = $customerIdentification;
          $ud->purchasedata = json_encode($bill);
          $ud->save();
          $notify[] = ['success', 'Bill Payment Sucessful'];
            return back()->withNotify($notify);
       } else {
            $notify[] = ['error', 'Incorrect Customer ID / Phone' . $verify->message];
            return back()->withNotify($notify);
       }
               
      }
}