@extends('admin.layouts.app')

@section('panel')
<div class="row">
    <div class="col-lg-12">
        <div class="card b-radius--10 ">
            <div class="card-body p-0">
                <div class="table-responsive--md  table-responsive">
                    <table class="table table--light style--two">
                        <thead>
                            <tr>
                                <th scope="col">@lang('User ID')</th>
                                <th scope="col">@lang('Username')</th>
                                <th scope="col">@lang('Email')</th>
                                <th scope="col">@lang('Phone Number')</th>
                                <th scope="col">@lang('Transaction ID')</th>
                                <th scope="col">@lang('Transaction Time')</th>
                                <th scope="col">@lang('Product ID')</th>
                                <th scope="col">@lang('Product Name')</th>
                                <th scope="col">@lang('Currency Code')</th>
                                <th scope="col">@lang('Country Code')</th>
                                <th scope="col">@lang('Quantity')</th>
                                <th scope="col">@lang('Unit Price')</th>
                                <th scope="col">@lang('Total Price')</th>
                                <th scope="col">@lang('Brand Name')</th>
                                <!-- <th scope="col">@lang('Status')</th> -->
                                
                                
                            </tr>
                        </thead>
                        <tbody>
                            @forelse($purchasedDetails as $details)
                            <tr>
                                <td data-label="@lang('User ID')">{{ $details->user_id }}</td>
                                <td data-label="@lang('Username')">{{ $details->user->username  }}</td>
                                <td data-label="@lang('Email')">{{ $details->recipient_email }}</td>
                                <td data-label="@lang('Phone Number')">{{ $details->recipient_phone }}</td>
                                <td data-label="@lang('Transaction ID')">{{ $details->transaction_id }}</td>
                                <td data-label="@lang('Transaction Created Time')">{{ $details->transaction_created_time }}</td>
                                <td data-label="@lang('Product ID')">{{ $details->product_id }}</td>
                                <td data-label="@lang('Product Name')">{{ $details->product_name }}</td>
                                <td data-label="@lang('Currency Code')">{{ $details->currency_code }}</td>
                                <td data-label="@lang('Country Code')">{{ $details->country_code }}</td>
                                <td data-label="@lang('Quantity')">{{ $details->quantity }}</td>
                                <td data-label="@lang('Unit Price')">{{ $details->unit_price }}</td>
                                <td data-label="@lang('Total Price')">{{ $details->total_price}}</td>
                                <td data-label="@lang('Brand Name')">{{ $details->brand_name}}</td>
                                <!-- <td data-label="@lang('Status')">{{ $details->status }}</td> -->
                               
                            </tr>
                            @empty
                            <tr>
                                <td class="text-muted text-center" colspan="100%">{{$emptyMessage}}</td>
                            </tr>
                            @endforelse


                        </tbody>
                    </table><!-- table end -->
                </div>
            </div>
        </div><!-- card end -->
    </div>


</div>
@endsection