@extends('admin.layouts.app')
@section('panel')
<style>
    .toggle.ios, .toggle-on.ios, .toggle-off.ios { border-radius: 20px; }
    .toggle.ios .toggle-handle { border-radius: 20px; }
  </style>
    <div class="row mb-none-30">
        <div class="col-lg-12 col-md-12 mb-30">
            <div class="card">
                <div class="card-body">
                    <form action="" method="POST">
                        @csrf
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group ">
                                    <label class="form-control-label font-weight-bold"> @lang('Fiat Minimum $ Deposit Required For Points ') </label>
                                    <input class="form-control form-control-lg" type="number" step="1" name="fiat_minpoints" value="{{$general->fiat_minpoints}}">
                                </div>
                            </div>
                              <div class="col-md-4">
                                <div class="form-group ">
                                    <label class="form-control-label font-weight-bold"> @lang('Fiat Deposit Points % Earning') </label>
                                    <input class="form-control form-control-lg" type="number" step="1" name="fiat_perpoints" value="{{$general->fiat_perpoints}}">
                                </div>
                            </div>
                             <div class="col-md-4">
                                <div class="form-group ">
                                    <label class="form-control-label font-weight-bold"> @lang('Crypto Deposit Points % Earning') </label>
                                    <input class="form-control form-control-lg" type="number" step="1" name="crypto_perpoints" value="{{$general->crypto_perpoints}}">
                                </div>
                            </div>

                          <div class="col-md-4">
                                <div class="form-group ">
                                    <label class="form-control-label font-weight-bold"> @lang('Redemption Minimum Point Balance') </label>
                                    <input class="form-control form-control-lg" type="number" step="1" name="redeem_minpoints" value="{{$general->redeem_minpoints}}">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group ">
                                    <label class="form-control-label font-weight-bold"> @lang('Redemption % $') (e.g 1% would be 100points = $1) </label>
                                    <input class="form-control form-control-lg" type="number" step="1" name="redeem_perpoints" value="{{$general->redeem_perpoints}}">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group ">
                                    <label class="form-control-label font-weight-bold"> @lang('Points For Referring') </label>
                                    <input class="form-control form-control-lg" type="number" step="1" name="referred_by" value="{{$general->referred_by}}">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group ">
                                    <label class="form-control-label font-weight-bold"> @lang('Points For Referral Joining') </label>
                                    <input class="form-control form-control-lg" type="number" step="1" name="referred_to" value="{{$general->referred_to}}">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group ">
                                    <label class="form-control-label font-weight-bold"> @lang('Signup Bonus Points')</label>
                                    <input class="form-control form-control-lg" type="number" step="1" name="signup_bonus" value="{{$general->signup_bonus}}">
                                </div>
                            </div>
                             <div class="form-group col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Enable/Disable Points')</label>
                                <input type="checkbox"  data-style="ios"  data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="points" @if($general->points) checked @endif>
                            </div>
                             
                            
                        </div>

                        <div class="form-group">
                            <button type="submit" class="btn btn--primary btn-block btn-lg">@lang('Update')</button>
                        </div>
                        <p class="mt-4">Note: Points are rounded off to lower value</p>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('script-lib')
    <script src="{{ asset('assets/admin/js/spectrum.js') }}"></script>
@endpush

@push('style-lib')
    <link rel="stylesheet" href="{{ asset('assets/admin/css/spectrum.css') }}">
@endpush


@push('style')
    <style>
        .sp-replacer {
            padding: 0;
            border: 1px solid rgba(0, 0, 0, .125);
            border-radius: 5px 0 0 5px;
            border-right: none;
        }

        .sp-preview {
            width: 100px;
            height: 46px;
            border: 0;
        }

        .sp-preview-inner {
            width: 110px;
        }

        .sp-dd {
            display: none;
        }
        .select2-container .select2-selection--single {
            height: 44px;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 43px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 43px;
        }
    </style>
@endpush

@push('script')
    <script>
        (function ($) {
            "use strict";
            $('.colorPicker').spectrum({
                color: $(this).data('color'),
                change: function (color) {
                    $(this).parent().siblings('.colorCode').val(color.toHexString().replace(/^#?/, ''));
                }
            });

            $('.colorCode').on('input', function () {
                var clr = $(this).val();
                $(this).parents('.input-group').find('.colorPicker').spectrum({
                    color: clr,
                });
            });

            $('.select2-basic').select2({
                dropdownParent: $('.card-body')
            });

            $('select[name=timezone]').val();
        })(jQuery);

    </script>
@endpush

