@extends('admin.layouts.app')
@section('panel')
    <div class="row">
        <div class="col-lg-12">
           <div class="card">
                <div class="card-body">
                     <div class="table-responsive table-desi">
                                        <table class="table list-digital all-package table-category" id="editableTable">
                            <thead>
                            <tr>
                                <th>@lang('User')</th>
                                <th>@lang('National/Passport')</th>
                                <th>@lang('Address')</th>
                                <th>@lang('Date')</th>
                                <th>@lang('KYC Status')</th>
                                
                                 <th>@lang('Action')</th>
                                
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($kyc as $kycs)
                            
                            <tr>
                                <td data-label="@lang('User')">
                                    <span class="font-weight-bold">{{$kycs->user($kycs->user_id)->fullname}}</span>
                                    <br>
                                    <span class="small">
                                    <a href="{{ route('admin.users.detail', $kycs->user($kycs->user_id)->id) }}"><span>@</span>{{ $kycs->user($kycs->user_id)->username }}</a>
                                    </span>
                                </td>
                                <td>
                                    <span class="small">{{ $kycs->national_id }}</span>
                                </td><!-- comment -->
                                <td>
                                    <span class="small">{{ $kycs->employee_id }}</span>
                                </td>
                                <td>
                                    {{ showDateTime($kycs->created_at) }} <br>  {{ diffForHumans($kycs->created_at) }}
                                </td>
                                <td>
                                    <span class="small">{{ $kycs->status }}</span>
                                </td>
                                   <td>
                                <a href="{{ route('admin.users.detail', $kycs->user_id) }}" class="icon-btn" data-toggle="tooltip" title="" data-original-title="@lang('Details')">
                                        <i class="las la-desktop text--shadow"></i>
                                    </a>
                                          </td>
                            </tr>
                            
                            @empty
                                <tr>
                                    <td class="text-muted text-center" colspan="100%">{{ __($emptyMessage) }}</td>
                                </tr>
                            @endforelse

                            </tbody>
                        </table><!-- table end -->
                    </div>
                </div>
                <div class="card-footer py-4">
                    {{ paginateLinks($kyc) }}
                </div>
            </div>
        </div>


    </div>
@endsection



@push('breadcrumb-plugins')
  
@endpush
