@extends('admin.layouts.app')

@section('panel')

    <div class="row">
        <div class="col-lg-12 col-md-12 mb-30">
            <div class="card">
                <div class="card-body p-0">
                    <div class="table-responsive--sm table-responsive">
                        <table class="table table--light style--two">
                            <thead>
                                <tr>
                                    <th scope="col">@lang('SL')</th>
                                    <th scope="col">@lang('Logo')</th>
                                    <th scope="col">@lang('Name')</th>
                                    <th scope="col">@lang('BasePair')</th>
                                    <th scope="col">@lang('Supply')</th>
                                    <th scope="col">@lang('Tatumid')</th>
                                 
                                </tr>
                            </thead>
                            <tbody class="list">
                                @forelse ($vcurrency as $item)
                                    <tr>
                                        <td data-label="@lang('SL')">{{ $vcurrency->firstItem() + $loop->index }}</td>
                                        <td><img height="35px;" src="{{ getImage(imagePath()['tatum']['path'].'/'. $item->image,imagePath()['tatum']['size'])}}" alt="@lang('image')"></td>
                                          <td data-label="@lang('Name')">{{ __($item->name) }}</td>
                                        <td data-label="@lang('Name')">{{ __($item->basePair) }}</td>
                                        <td data-label="@lang('Code')">{{__($item->supply)}}</td>
                                        <td data-label="@lang('Symbol')">{{$item->tatumid}}</td>
                                        
                                        
                                    </tr>
                                @empty
                                    <tr>
                                        <td class="text-muted text-center" colspan="100%">{{ __($emptyMessage) }}</td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
                @if($vcurrency->hasPages())
                    <div class="card-footer py-4">
                        {{ $vcurrency->links('admin.partials.paginate') }}
                    </div>
                @endif
            </div>
        </div>
    </div>

    {{-- Add METHOD MODAL --}}
    <div id="addModal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"> @lang('Add New Virtual Currency')</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form action="{{route('admin.vcurrency.addvcurrency')}}" method="POST" enctype="multipart/form-data">
                    @csrf
                    <div class="modal-body">
                         <div class="thumb">
                                  
                                    <div class="avatar-edit">
                                         <label class="form-control-label font-weight-bold">@lang('Logo') <span class="text-danger"></span></label>
                                        <input type="file" name="image" required class="profilePicUpload" id="image" accept=".png, .jpg, .jpeg"/>
                                       
                                    </div>
                                </div>
                        <div class="form-group">
                            <label class="form-control-label font-weight-bold">@lang('Name') <span class="text-danger">*Must start with VC_</span></label>
                            <input type="text" class="form-control check-length" data-length="40" placeholder="@lang('VC_name')" value="{{ old('name') }}" name="name" required>
                            <span class="remaining float-right"></span>
                        </div>
                        <div class="form-group">
                            <label class="form-control-label font-weight-bold">@lang('Symbol') <span class="text-danger">*</span></label>
                            <input type="text" class="form-control check-length" data-length="1" placeholder="@lang('Symbol $')" value="{{ old('symbol') }}" name="symbol" required>
                            <span class="remaining float-right"></span>
                        </div>

                        <div class="form-group">
                            <label class="form-control-label font-weight-bold">@lang('Initial Supply') <span class="text-danger">*</span></label>
                            <input type="number" class="form-control" placeholder="@lang('1000')" step="1" min="1" value="{{ old('supply') }}" name="supply" required>
                           
                        </div>

                        <div class="form-group">
                            <label class="form-control-label font-weight-bold">@lang('Base Pair') <span class="text-danger">*</span></label>
                            <select class="form-control" required name="basePair">
                                <option value="">--- Please Select ---</option>
                                <option value="AED">AED</option><!-- comment -->
                                <option value="AFN">AFN</option><!-- comment -->
                                <option value="ALL">ALL</option>
                                 <option value="AMD">AMD</option><!-- comment -->
                                <option value="ANG">ANG</option><!-- comment -->
                                <option value="AOA">AOA</option><!-- comment -->
                                 <option value="ARS">ARS</option><!-- comment -->
                                <option value="AUD">AUD</option><!-- comment -->
                                <option value="AWG">AWG</option><!-- comment -->
                                 <option value="AZN">AZN</option><!-- comment -->
                                <option value="BAM">BAM</option><!-- comment -->
                                <option value="BAT">BAT</option><!-- comment -->
                                 <option value="BBD">BBD</option><!-- comment -->
                                <option value="BCH">BCH</option><!-- comment -->
                                <option value="BDT">BDT</option><!-- comment -->
                                 <option value="BGN">BGN</option><!-- comment -->
                                <option value="BHD">BHD</option><!-- comment -->
                                <option value="BIF">BIF</option><!-- comment -->
                                 <option value="BMD">BMD</option><!-- comment -->
                                <option value="BND">BND</option><!-- comment -->
                                <option value="BOB">BOB</option><!-- comment -->
                                 <option value="BRL">BRL</option><!-- comment -->
                                <option value="USD">USD</option><!-- comment -->
                                <option value="USDT_TRON">USDT_TRON</option>
                                <option value="ZAR">ZAR</option><!-- comment -->
                                <option value="ZMW">ZMW</option><!-- comment -->
                                <option value="XOF">XOF</option>
                                <option value="XLM">XLM</option><!-- comment -->
                                <option value="EUR">EUR</option><!-- comment -->
                                <option value="BTC">BTC</option>
                                 <option value="GBP">GBP</option>
                                  <option value="CAD">CAD</option>
                                   <option value="USDC">USDC</option>
                                   <option value="LTC">LTC</option>
                                 <option value="DOGE">DOGE</option>
                                  <option value="RUB">RUB</option>
                                   <option value="RWF">RWF</option>
                                
                                
                            </select>
                            
                        </div>

                     
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn--dark" data-dismiss="modal">@lang('Close')</button>
                        <button type="submit" class="btn btn--primary">@lang('Save')</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    {{-- Update METHOD MODAL --}}
    <div id="updateBtn" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"> @lang('Update Fiat Currency')</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form action="" class="edit-route" method="POST">
                    @csrf

                    <div class="modal-body">
                        <div class="form-group">
                            <label class="form-control-label font-weight-bold">@lang('Name') <span class="text-danger">*</span></label>
                            <input type="text" class="form-control check-length name" data-length="40" placeholder="@lang('Great Britain Pound')" name="name" required>
                            <span class="remaining float-right"></span>
                        </div>

                        <div class="form-group">
                            <label class="form-control-label font-weight-bold">@lang('Code') <span class="text-danger">*</span></label>
                            <input type="text" class="form-control check-length code" data-length="10" placeholder="@lang('GBP')" name="code" required>
                            <span class="remaining float-right"></span>
                        </div>

                        <div class="form-group">
                            <label class="form-control-label font-weight-bold">@lang('Symbol') <span class="text-danger">*</span></label>
                            <input type="text"class="form-control check-length symbol" data-length="5" placeholder="@lang('£')" value="{{ old('symbol') }}" name="symbol" required>
                            <span class="remaining float-right"></span>
                        </div>

                        <div class="form-group">
                            <label class="form-control-label font-weight-bold">@lang('Rate') <span class="text-danger">*</span></label>
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <div class="input-group-text">1 @lang('USD') = </div>
                                </div>
                                <input type="number" step="any" class="form-control rate" placeholder="0" name="rate" required/>
                                <div class="input-group-append">
                                    <div class="input-group-text"><span
                                        class="currency-symbol"></span>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="form-control-label font-weight-bold">@lang('Status')</label>
                            <input id="edit-status" type="checkbox" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('Active')" data-off="@lang('Disabled')" name="status">
                        </div>
                    </div>

                    <div class="modal-footer">
                        <button type="button" class="btn btn--dark" data-dismiss="modal">@lang('Close')</button>
                        <button type="submit" class="btn btn--primary">@lang('Update')</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    @push('breadcrumb-plugins')
        <a href="javascript:void(0)" class="btn btn--primary mr-3 mt-2 addBtn"><i class="fa fa-fw fa-plus"></i>@lang('Add New')</a>
        
    @endpush
@endsection

@push('script')
<script>
    'use strict';

    $('.check-length').on('input', function(){
        let maxLength = $(this).data('length');
        let currentLength = $(this).val().length;

        let remain = maxLength - currentLength;
        let result =  `${remain} @lang('characters remaining')`;
        let remainElement = $(this).parent('.form-group').find('.remaining');

        remainElement.css({
            fontWeight: 'bold',
            fontSize: '14px',
            display: 'block',
            textAlign: 'end',
        });

        if(remain <= 5){
            remainElement.css('color', 'red');
        }else if(remain <= 20){
            remainElement.css('color', 'green');
        }else{
            remainElement.css('color', 'black');
        }

        remainElement.html(`${remain} @lang('characters remaining')`);
    });

    $('.check-length').on('keypress', function(){
        let maxLength = $(this).data('length');
        let currentLength = $(this).val().length;

        if(currentLength >= maxLength){
            return false;
        }
    });

    (function ($) {
        $('.addBtn').on('click', function () {
            var modal = $('#addModal');

            modal.find('input[name=code]').on('input', function () {
                modal.find('.currency-symbol').text($(this).val());
            });

            modal.modal('show');
        });

        $('.updateBtn').on('click', function () {
            var modal = $('#updateBtn');

            var resourse = $(this).data('resourse');

            modal.find('.currency-symbol').text(resourse.code);

            modal.find('input[name=code]').on('input', function () {
                modal.find('.currency-symbol').text($(this).val());
            });

            var route = $(this).data('route');
            $('.name').val(resourse.name);
            $('.code').val(resourse.code);
            $('.symbol').val(resourse.symbol);
            $('.rate').val(parseFloat(resourse.rate).toFixed(8));

            if(resourse.status == 1){
                modal.find('input[name=status]').bootstrapToggle('on');
            }else{
                modal.find('input[name=status]').bootstrapToggle('off');
            }

            $('.edit-route').attr('action',route);



        });

    })(jQuery);
</script>
@endpush
