@extends('admin.layouts.app')

@section('panel')

    <div class="row">
        <div class="col-lg-12 col-md-12 mb-30">
            <div class="card">
                <div class="card-body p-0">
                   
                    <p class="p-2"><strong class='text-danger'>Configure cron jobs as mentioned under API settings<br><!-- comment -->
                    Ensure sufficient balance in your Vonage account to receive SMS</strong></p>
                   
                    <div class="table-responsive--sm table-responsive">
                        <table class="table table--light style--two">
                            <thead>
                                <tr>
                                    <th>@lang('Plan Name')</th>
                                    <th>@lang('Price')</th>
                                    <th>@lang('Messages')</th>
                                    <th>@lang('Voice')</th>
                                   
                                    <th>@lang('Country')</th>
                                    <th>@lang('+Message')</th>
                                    <th>@lang('+Voice')</th>
                                    <th>@lang('Action')</th>
                                </tr>
                            </thead>
                            <tbody class="list">
                                @forelse ($vnplans as $item)
                                    <tr>
                                        <td data-label="@lang('Name')">{{ ucfirst($item->name)}}

                                        </td>
                                        <td data-label="@lang('Image')">{{showAmount($item->price)}}

                                        </td>
                                        <td data-label="@lang('Code')">{{__($item->messages)}} / @lang('30days')</td>
                                        <td data-label="@lang('Code')">{{__($item->voicecalls ?? "NA")}} / @lang('Seconds')</td>
                                        
                                        <td data-label="@lang('Rate')">{{__($item->country)}}</td>

                                        <td data-label="@lang('Status')">
                                           {{ __($general->cur_text) }} {{__($item->addmessages)}}
                                        </td>
                                         <td data-label="@lang('Status')">
                                           {{ __($general->cur_text) }} {{__($item->addvoicecalls ?? "NA")}}
                                        </td>
                                        <td data-label="@lang('Action')">
                                            <a href="{{route('admin.vnplanedit',$item->id)}}" class="icon-btn" ><i class="la la-pencil-alt"></i></a>
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td class="text-muted text-center" colspan="100%">{{ __($emptyMessage) }}</td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
                @if($vnplans->hasPages())
                <div class="card-footer py-4">
                    {{ $vnplans->links('admin.partials.paginate') }}
                </div>
                @endif
            </div>
        </div>
    </div>

    @push('breadcrumb-plugins')
        <a href="{{route('admin.vnplanadd')}}" class="btn btn--primary mr-3 mt-2"><i class="fa fa-fw fa-plus"></i>@lang('Add New')</a>
      


    @endpush
@endsection
