@extends('admin.layouts.app')
@section('panel')

    <div class="row">
        <div class="col-lg-12">

            <div class="card">
                
                <form method="POST" action="{{route('admin.vnplanaddnew')}}" onSubmit="return confirm('Ensure Your Pricing Considers Retrieval Records Cost of Vonage');">
                    @csrf
                    <div class="card-body">
                        <div class="form-row">

                            <div class="col-lg-12 col-xl-12">
                                <div class="row">
                                    <div class="col-xl-6">
                                        <div class="form-group">
                                            <label class="form-control-label font-weight-bold">@lang('Plan Name') <span class="text-danger">*</span></label>
                                            <input type="text"class="form-control"  placeholder="@lang('Plan Name')" value="{{ old('name') }}" name="name" required>

                                        </div>
                                    </div>
                                    <div class="col-xl-6">
                                        <div class="form-group">
                                            <label class="form-control-label font-weight-bold">@lang('Messages Per 30 Days') <span class="text-danger">*</span></label>
                                            <input type="number" step="1" min="1" class="form-control"  placeholder="@lang('Enter No Of Messages')" value="{{ old('messages') }}" name="messages" required>

                                        </div>
                                    </div>
                                    <div class="col-xl-6">
                                        <div class="form-group">
                                            <label class="form-control-label font-weight-bold">@lang('Voice Seconds Per 30 Days') <span class="text-danger">*</span></label>
                                            <input type="number" step="1" min="1" class="form-control"  placeholder="@lang('Enter No Of seconds')" value="{{ old('voicecalls') }}" name="voicecalls">

                                        </div>
                                    </div>
                                    <div class="col-xl-6">
                                        <div class="input-group">
                                            <label class=" w-100 form-control-label font-weight-bold">@lang('Plan Price') <span class="text-danger">*</span></label>
                                            <input type="number" step="1" min="1" class="form-control"  placeholder="@lang('Enter Price')" value="{{ old('price') }}" name="price" required>
                                            <div class="input-group-append">

                                                <div class="input-group-text"><span class="currency_symbol">{{ __($general->cur_text) }}</span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-6">
                                        <div class="input-group">
                                            <label class="w-100 form-control-label font-weight-bold">@lang('Additional Messages Price Per Message') <span class="text-danger">*</span></label>
                                            <input type="number" step="0.01" min="0.01" class="form-control"  placeholder="@lang('Addon Price')" value="{{ old('addmessages') }}" name="addmessages" required>
                                            <div class="input-group-append">

                                                <div class="input-group-text"><span class="currency_symbol">{{ __($general->cur_text) }}</span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-6">
                                        <div class="input-group">
                                            <label class="w-100 form-control-label font-weight-bold">@lang('Additional Voice per minute Price') <span class="text-danger">*</span></label>
                                            <input type="number" step="0.01" min="0.01" class="form-control"  placeholder="@lang('Addon Price')" value="{{ old('addvoicecalls') }}" name="addvoicecalls" >
                                            <div class="input-group-append">

                                                <div class="input-group-text"><span class="currency_symbol">{{ __($general->cur_text) }}</span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                     <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('Call Forwarding')</label>
                                <input type="checkbox" data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="voice">
                            </div>
                                    <div class="col-xl-6">
                                        <div class="form-group">
                                            <label class="form-control-label font-weight-bold">@lang('Country') <span class="text-danger">*</span></label>
                                            <select class="form-control" name="country" required>
                                                <option value="">Please Select</option>
                                                <option value="AU">Australia</option>
<option value="AT">Austria</option>
<option value="BE">Belgium</option>
<option value="BR">Brazil</option>
<option value="CA">Canada</option>
<option value="CL">Chile</option>
<option value="CO">Colombia</option>
<option value="CZ">Czechia</option>
<option value="DK">Denmark</option>
<option value="EE">Estonia</option>
<option value="FI">Finland</option>
<option value="FR">France</option>
<option value="DE">Germany</option>
<option value="GT">Guatemala</option>
<option value="HN">Honduras</option>
<option value="HK">Hong Kong</option>
<option value="HU">Hungary</option>
<option value="IN">India</option>
<option value="ID">Indonesia</option>
<option value="IE">Ireland</option>
<option value="IL">Israel</option>
<option value="IT">Italy</option>
<option value="LV">Latvia</option>
<option value="LT">Lithuania</option>
<option value="LU">Luxembourg</option>
<option value="MW">Malawi</option>
<option value="MY">Malaysia</option>
<option value="MX">Mexico</option>
<option value="NL">Netherlands</option>
<option value="NO">Norway</option>
<option value="PK">Pakistan</option>
<option value="PH">Philippines</option>
<option value="PL">Poland</option>
<option value="PT">Portugal</option>
<option value="PR">Puerto Rico</option>
<option value="RO">Romania</option>
<option value="RU">Russia</option>
<option value="SA">Saudi Arabia</option>
<option value="SG">Singapore</option>
<option value="SK">Slovakia</option>
<option value="SI">Slovenia</option>
<option value="ZA">South Africa</option>
<option value="KR">South Korea</option>
<option value="ES">Spain</option>
<option value="SE">Sweden</option>
<option value="CH">Switzerland</option>
<option value="TH">Thailand</option>
<option value="TR">Turkey</option>
<option value="UA">Ukraine</option>
<option value="GB">United Kingdom</option>
<option value="US">United States</option>
<option value="VN">Vietnam</option>

                                            </select>

                                        </div>
                                    </div>

                                    </div>



                    <div class="card-footer">
                        <button type="submit" class="btn btn--primary btn-block">@lang('Submit')</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
            </div>
@endsection

@push('breadcrumb-plugins')
    <a href="{{route('admin.virtualnumber')}}" class="btn btn-sm btn--primary box--shadow1 text--small"><i class="la la-fw la-backward"></i> @lang('Go Back') </a>
@endpush

@push('script')


@endpush

