 @extends($activeTemplate.'layouts.master')
@section('content')
   <!-- breadcrumb start -->
    <div class="breadcrumb-section">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="page-title">
                        <h2>Crypto p2p Adverts</h2>
                    </div>
                </div>
                <div class="col-sm-6">
                    <nav aria-label="breadcrumb" class="theme-breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Advertisements</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </div>
    <!-- breadcrumb End -->

    <section class="pt-120 pb-120">
        <div class="container">
          <div class="row">
            <div class="col-xl-12 col-lg-12 col-sm-12">
                <div class="btn-group justify-content-end">
                    <a href="{{route('user.advertisement.new')}}" class="btn btn-primary">@lang('New Advertisement')</a>
                </div>
            </div>
          </div>

        <div class="container mt-4">
    <div class="row justify-content-center mt-2">
        <div class="col-md-12">
                 <div class="table-responsive-sm">
 <table class="table mb-0 order-table-vendor">
                      <thead class="bg-dark text-white">
                        <tr>
                          <th>@lang('Type')</th>
                          <th>@lang('Currency')</th>
                          <th>@lang('Payment Method')</th>
                          <th>@lang('Margin')</th>
                          <th>@lang('Rate')</th>
                          <th>@lang('Payment Window')</th>
                          <th>@lang('Status')</th>
                          <th>@lang('Action')</th>
                        </tr>
                      </thead>
                      <tbody>
                          @forelse ($advertisements as $item)
                            <tr>
                                <td data-label="@lang('Type')">
                                    @if ($item->type == 1)
                                        <span class="badge badge--released">@lang('Buy')</span>
                                    @elseif($item->type == 2)
                                        <span class="badge badge--fund">@lang('Sell')</span>
                                    @else
                                    @endif
                                </td>
                                <td data-label="@lang('Currency')">{{__($item->fiat->code)}}</td>
                                <td data-label="@lang('Payment Method')">{{__($item->fiatGateway->name)}}</b></td>
                                <td data-label="@lang('Margin')">{{$item->margin}} %</td>
                                <td data-label="@lang('Rate')">{{rate($item->type, $item->crypto->rate, $item->fiat->rate, $item->margin)}} {{__($item->fiat->code)}}/ {{__($item->crypto->code)}}</td>
                                <td data-label="@lang('Payment Window')">{{$item->window}} @lang('Minutes')</td>
                                <td data-label="@lang('Status')">
                                    @if ($item->status == 1)
                                        <span class="badge badge--released">@lang('Active')</span>
                                    @else
                                        <span class="badge badge--cancel">@lang('Deactive')</span>
                                    @endif
                                </td>
                                <td data-label="@lang('Action')"><a href="{{route('user.advertisement.edit',$item->id)}}" class="btn btn-primary btn-sm"><i class="las la-edit"></i></a></td>
                            </tr>
                          @empty
                            <tr>
                                <td colspan="100%" class="text-center">{{__($emptyMessage)}}</td>
                            </tr>
                          @endforelse

                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              {{$advertisements->links()}}
            </div>
          </div>
        
    </section>
@endsection
