@extends($activeTemplate.'layouts.master')
@section('content')


 <div class="breadcrumb-section">
            <div class="container">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="page-title">
                            <h2>@lang('Gift Cards Cart')</h2>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <nav aria-label="breadcrumb" class="theme-breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{ route('home') }}">@lang('Home')</a></li>
                                <li class="breadcrumb-item active">@lang('checkout')</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    <!-- breadcrumb start -->


<div class="container mt-4">
     <table id="checkout" class="table table-condensed">
    <thead>
      <tr>
        <th style="width:40%" class="text-center">@lang('Product')</th>
        <th style="width:10%">@lang('USD Price')</th>
        <th style="width:8%">@lang('Quantity')</th>
        <th style="width:15%">@lang('Subtotal')</th>
         <th style="width:15%">@lang('Action')</th>
      </tr>
    </thead>
    <tbody>
    @forelse($cartItems as $cart)
    <tr>
        <td data-th="Product">
             <div class="row">
                <div class="col-sm-4 hidden-xs">
                    @if((strpos($cart->image, "https://") !== false) || (strpos($cart->image, "http://")) !== false)
                    <img src="{{ $cart->image }}" alt="" class="img-responsive" style="height:50px;" />
                    @else
                       <img src="{{ asset('assets/images/sub_categories') }}/{{ $cart->image }}" alt="" class="img-responsive" style="height:50px;" />
                    @endif
                </div>
                <div class="col-sm-8">
                    <h5 class="mt-2" style="font-size:20px !important; color:black;"> 
                    {{$cart->name}}
                    </h5>
                </div>
            </div>
        </td>
        <td data-th='USD Price'>{{$cart->usdprice}}</td>
        <td data-th='Quantity'>{{$cart->qty}}</td>
        <td data-th='Subtotal'>{{$cart->usdprice * $cart->qty }}</td>
        <td><form action="{{ route('user.card.cart.delete')}}" method="POST" enctype="multipart/form-data" ><input type="hidden" name="id" value="{{ $cart->id }}"/><input type="hidden" name="_token" id="csrf-token" value="{{ Session::token() }}" /><button type ="submit" class="btn" style="background:transparent;border:0px"><i class="fa fa-trash-o" style="color:red;"></i></button></form></td>
        </tr>
        @empty
            <tr>
                <td colspan="100%">@lang('Data Not Found')</td>
            </tr>
        @endforelse

        <tfoot>
            <tr>
                    <td class="hidden-xs text-center">
                        <strong>@lang('Total Order Amount'): {{ $totalOrderAmount }}</strong>
                    </td>
                    <td colspan="3" class="hidden-xs"></td>
                    
                    

            </tr>
        </tfoot>
              

          </tbody>
         
  </table>
            @if($balance >= $totalOrderAmount)
            <div class="row justify-content-center">
            <div class="col-lg-6">
                
                    <br>
                    
            </div> 
            </div>  
            <div class="row justify-content-center">
            <div class="col-lg-6">
                <div class="mt-4 mb-4">
                    <a type="submit" href="{{ route('purchasecards') }}" class="btn btn-primary">
                        @lang('Buy Now')
                    </a>
                </div>
            </div>
        </div>
            @endif

            @if($balance < $totalOrderAmount)

            <div class="payment-section ptb-80">
    <div class="container">

        <div class="row justify-content-center">
            <div class="col-lg-6">
                <div class="select-item">
                    <br>
                    <h5 class="text-primary">Existing Balance: {{ __($general->cur_text) }} {{ showAmount($balance, 2) }} </h5>
                    <br>
                    <h5 class="text-primary">Pay Now: {{ __($general->cur_text) }} {{ showAmount(($totalOrderAmount - $balance) ,2 )  }} </h5>
                    <br>
                    <select class="method form--control m-0">
                        <option value="">
                            @lang('Select Payment Gateway')
                        </option>
                        <option value="">
                            @lang('Current Balance') - {{ showAmount(Auth::user()->balance, 2) }} {{ __($general->cur_text) }}
                        </option>
                        @foreach($payment as $data)
                            <option
                                value="{{$loop->index + 1}}"
                                data-name="{{$data->name}}"
                                data-currency="{{$data->currency}}"
                                data-method_code="{{$data->method_code}}"
                                data-min_amount="{{showAmount($data->min_amount)}}"
                                data-max_amount="{{showAmount($data->max_amount)}}"
                                data-base_symbol="{{$data->baseSymbol()}}"
                                data-fix_charge="{{showAmount($data->fixed_charge)}}"
                                data-percent_charge="{{showAmount($data->percent_charge)}}"
                            >
                                {{__($data->name)}}
                            </option>
                        @endforeach
                    </select>
                </div>
            </div>
        </div>

        <div class="row justify-content-center">
            <div class="col-lg-6">
                <div class="mt-4 mb-4">
                    <button type="submit" class="btn btn-primary">
                        @lang('Pay Now')
                    </button>
                </div>
            </div>
        </div>

    </div>
</div>
         @endif
</div> 

<div class="modal fade cmn--modal" id="depositModal">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <strong class="modal-title method-name" id="depositModalLabel"></strong>
                <button type="button" class="btn-close" data-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="{{route('user.deposit.insert')}}" method="post">
                @csrf
                <div class="modal-body">
                    <p class="text--base depositLimit"></p>
                    <p class="text--base depositCharge"></p>

                    <div class="form-group">
                        <input type="hidden" name="currency" class="edit-currency">
                        <input type="hidden" name="method_code" class="edit-method-code">
                        <input type="hidden" name="amount" class="amount">
                          <input type="hidden" name="dp" class="" id="dp" value="nodp">
                    </div>
                    <div class="form-group">
                        <label class="text--base">@lang('Paying Amount'):</label>
                        <div class="input-group">
                            <input id="amount" type="text" class="form-control form--control" name="amount" required readonly value="{!! $totalOrderAmount - $balance !!}">
                            <span class="input-group-text bg--base">{{__($general->cur_text)}}</span>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn--md btn--danger" data-dismiss="modal">@lang('Close')</button>
                    <div class="prevent-double-click">
                        <button type="submit" class="btn btn--md btn--success">@lang('Confirm')</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>


@endsection

@push('script')
<script>

    (function ($) {
        "use strict";

        $('.pay').on('click', function () {

            var selected =  $(".method option:selected");

            if(!selected.val()){
                return false;
            }

            var name = selected.data('name');
            var currency = selected.data('currency');
            var method_code = selected.data('method_code');
            var minAmount = selected.data('min_amount');
            var maxAmount = selected.data('max_amount');
            var baseSymbol = "{{$general->cur_text}}";
            var fixCharge = selected.data('fix_charge');
            var percentCharge = selected.data('percent_charge');

            var depositLimit = `@lang('Deposit Limit'): ${minAmount} - ${maxAmount}  ${baseSymbol}`;
            $('.depositLimit').text(depositLimit);
            var depositCharge = `@lang('Charge'): ${fixCharge} ${baseSymbol}  ${(0 < percentCharge) ? ' + ' +percentCharge + ' % ' : ''}`;
            $('.depositCharge').text(depositCharge);
            $('.method-name').text(`@lang('Payment By ') ${name}`);
            $('.currency-addon').text(baseSymbol);
            $('.edit-currency').val(currency);
            $('.edit-method-code').val(method_code);        

            $('#depositModal').modal('show');

        });

    })(jQuery);

</script>
@endpush