@extends($activeTemplate.'layouts.master')
@section('content')
 <div class="breadcrumb-section">
            <div class="container">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="page-title">
                            <h2>@lang('Crypto Transactions')</h2>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <nav aria-label="breadcrumb" class="theme-breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{ route('home') }}">@lang('Home')</a></li>
                                <li class="breadcrumb-item active">@lang('Crypto Transactions')</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
<div class="container mt-4">
    <div class="row justify-content-center mt-2">
        <div class="col-md-12">
          <div class="table-responsive-sm">
 <table class="table mb-0 order-table-vendor">
            <thead class="bg-dark text-white">
              <tr>
                <th>@lang('Date')</th>
                <th>@lang('Trx')</th>
                <th>@lang('Amount')</th>
                <th>@lang('Charge')</th>
                <th>@lang('Post Balance')</th>
                <th>@lang('Details')</th>
              </tr>
            </thead>
            <tbody>
 
            @forelse($logs as $index => $data)
            <tr>
                <td data-label="@lang('Date')">
                    {{ showDateTime($data->created_at) }}
                </td>
                <td data-label="@lang('Trx')">{{ $data->trx }}</td>
                <td data-label="@lang('Amount')">
                    <strong>
                        {{ $data->trx_type }}
                        {{ showAmount($data->amount) }}
                        {{__($data->crypto->code)}}
                    </strong>
                    
                </td>
                <td data-label="@lang('Charge')">{{ showAmount($data->charge) }} {{__($data->crypto->code)}}</td>
                <td data-label="@lang('Post Balance')">
                    <strong>
                        {{ showAmount($data->post_balance) }}
                        {{__($data->crypto->code)}}
                    </strong>
                </td>
                <td data-label="@lang('Details')">{{ __($data->details) }}</td>
            </tr>
            @empty
                <tr>
                    <td colspan="100%">{{ __($emptyMessage) }}</td>
                </tr>
            @endforelse

            </tbody>
          </table>
        </div>

        {{$logs->links()}}

      </div>
    </div>
  </div>

@endsection

