 @extends($activeTemplate.'layouts.master')

@section('content')
<div class="breadcrumb-section">
            <div class="container">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="page-title">
                            <h2>Money Exchange</h2>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <nav aria-label="breadcrumb" class="theme-breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                                <li class="breadcrumb-item active">Money Exchange</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
<div class="row mt-4">
  
        <div class="card-body p-4">
            <div class="row justify-content-center">
                <div class="col-lg-8">
                    <form action="{{ route('user.currencies.exchangeconfirm') }}" method="POST" id="form">
                        @csrf
                       
                        <div class="d-widget">
                            <div class="d-widget__header">
                                <h4>@lang('Exchange '){{ __($tatum->symbol) }}@lang(' To USD')</h4>
                            </div>
                            <div class="d-widget__content px-5">

                               

                                <div class="p-4 border mb-4">
                                    <div class="row">
                                        <div class="col-lg-6 form-group">
                                              <div class="input-group mb-3">
                                              <label class="w-100">@lang('Amount') <span class="text-danger">*</span></label>
                                            <div class="input-group-prepend">
                                                                <div class="input-group-text"> {{ __($tatum->symbol) }}</div>
                                                            </div>
                                            <input type="text" class="form-control style--two amount" name="amount" placeholder="0.00" required value="{{old('amount')}}">
                                            <input type='hidden' name='tatumid' value='{{ __($tatum->tatumid) }}'>
                                             </div>
                                            <p class='text-primary'><strong>Fx Rate: {{ $fxrate }}</strong> | * {{ showAmount($general->tx_fee) }}% Exchange fees Apply</p>
                                          
                                        </div>
                                       

                                    </div><!-- row end -->
                                </div>



                                @if($general->otp_verification && ($general->en || $general->sn || agent()->ts))
                                <div class="p-4 border mb-4">
                                    <div class="row">
                                        <div class="col-lg-12 form-group">
                                            @include($activeTemplate.'partials.otp_select')
                                        </div>

                                    </div><!-- row end -->
                                </div>
                                @endif
                            </div>
                        </div>
                        <div class="text-center">
                            <button type="button" class="btn btn-primary btn--base mt-4 transfer">@lang('Transfer Now')</button>
                             
                        </div>

                        <div class="modal fade" id="confirm" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered " role="document">
                            <div class="modal-content">
                                  <div class="modal-header">
                                    <h6 class="modal-title">@lang('Transfer Money Preview')</h6>
                                    
                                  </div>
                                    <div class="modal-body text-center p-0">
                                        <div class="d-widget border-start-0 shadow-sm">
                                            <div class="d-widget__content">
                                                <ul class="cmn-list-two text-center mt-4">
                                                    
                                                    <li class="list-group-item">@lang('Transfer Amount'): <strong class="req_amount"></strong></li>
                                                     <li class="list-group-item">@lang('Credit Amount'): $ <strong class="req_cramount"></strong></li>
                                                    
                                                </ul>
                                            </div>
                                            <div class="d-widget__footer text-center border-0 pb-3 m-5">
                                                <button type="submit" class="btn btn-primary d-block btn--base req_confirm">@lang('Confirm') <i class="las la-long-arrow-alt-right"></i></button>
                                            </div>
                                            <p>Fx Rate: {{ $fxrate }}</p>
                                            <p>* {{ showAmount($general->tx_fee) }}% Exchange fees Apply</p>
                                        </div>
                                    </div>

                               </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

         <div class="modal fade" id="scanModal" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
              <div class="modal-content">
                    <div class="modal-body text-center">
                        <video id="preview" class="p-1 border" style="width:300px;"></video>
                    </div>
                    <div class="modal-footer justify-content-center">
                      <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">@lang('close')</button>
                    </div>
              </div>
            </div>
        </div>
@endsection



@push('script')
  <script src="https://rawgit.com/schmich/instascan-builds/master/instascan.min.js"></script>

     <script>
        //  'use strict'
            (function ($) {
                $('.scan').click(function(){
                    var scanner = new Instascan.Scanner({ video: document.getElementById('preview'), scanPeriod: 5, mirror: false });
                    scanner.addListener('scan',function(content){
                        var route = '{{url('qr/scan/')}}'+'/'+content
                        $.get(route, function( data ) {
                            if(data.error){
                                alert(data.error)
                            } else {
                                $("#username").val(data);
                                $("#username").focus()
                            }
                            $('#scanModal').modal('hide')
                        });
                    });

                    Instascan.Camera.getCameras().then(function (cameras){
                        if(cameras.length>0){
                            $('#scanModal').modal('show')
                             scanner.start(cameras[0]);
                        } else{
                           alert('No cameras found.');
                        }
                    }).catch(function(e){
                        alert('No cameras found.');
                    });
                });

$('.transfer').on('click',function () {

                 
                  var amount = parseFloat($('.amount').val())
                  var fx = {{ showAmount($fxrate,4) }}
                  var cramount = amount * fx
                  var user = $('#username').val()
                  $('#confirm').find('.req_amount').text(amount)
                  $('#confirm').find('.req_cramount').text(cramount)
                  $('#confirm').find('.req_user').text(user)
                  $('#confirm').modal('show')
                  
               });
               
 $('.req_confirm').on('click',function () {
                    $('#form').submit()
                    $(this).attr('disabled',true)
                });

                $('.checkUser').on('focusout',function(e){
                    var url = '{{ route('user.check.exist') }}';
                    var value = $(this).val();
                    var token = '{{ csrf_token() }}';

                    if ($(this).attr('name') == 'user') {
                        var data = {user:value,_token:token}
                    }
                    $.post(url,data,function(response) {
                        if(response.own){
                            if($('.exist').hasClass('text--success')){
                               $('.exist').removeClass('text--success');
                            }
                            $('.exist').addClass('text--danger').text(response.own);
                            $('.transfer').attr('disabled',true)
                            return false
                        }
                        if(response['data'] != null){
                            if($('.exist').hasClass('text--danger')){
                               $('.exist').removeClass('text--danger');
                            }
                            $('.exist').text(`Valid user for transaction.`).addClass('text--success');
                            $('.transfer').attr('disabled',false)
                        } else {
                            if($('.exist').hasClass('text--success')){
                               $('.exist').removeClass('text--success');
                            }
                            $('.exist').text('User doesn\'t  exists.').addClass('text--danger');

                        }
                    });
                });
            })(jQuery);
     </script>
@endpush







