@extends($activeTemplate.'layouts.master')
@php
$user = auth()->user(); 

@endphp
@section('content')
<div class="breadcrumb-section">
    <div class="container">
        <div class="row">
            <div class="col-sm-6">
                <div class="page-title">
                    <h2>{{$currency}} Bank Account</h2>
                </div>
            </div>
            <div class="col-sm-6">
                <nav aria-label="breadcrumb" class="theme-breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">{{$currency}} Bank Account</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>

@if(!isset($create['accounts']))
      <div class="row mt-4">
            <div class="col-xl-12 col-xxl-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">@lang('Request a Card')</h4>
                    </div>
                    <div class="card-body">
                        <div>
                          
                            <div >
                                <div >
                                    <form action="{{route('user.createaccountusd')}}" method="POST" enctype="multipart/form-data">
                                        @csrf
                                        <div class="row">
                                            <div class="col-lg-10 offset-1">
                                                <div class="profile-personal-info">
                                                    <h4 class="text-primary mb-4 mt-4">@lang('Personal Information')</h4>
                                                    <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">@lang('Account Name') <span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span><?php echo $user->firstname; ?> <?php echo $user->lastname; ?></span>
                                                        </div>
                                                    </div>
                                                    
                                                    <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">@lang('Email') <span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span><?php echo $user->email; ?></span>
                                                        </div>
                                                    </div>
                                                    <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">@lang('Phone') <span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span><?php echo $user->mobile; ?></span>
                                                        </div>
                                                    </div>
                                                    <div class='row'>
                                                         <div class="col-md-6 mb-2">
<div class="form-group"> 
<label class="mb-1 text-black" for="secret"><strong>@lang('Address Line 1')</strong><span class="text-danger">*</span> </label>
<select class="form-control" name="currency" required>
    <option value="">Please Select</option>
    <option value="GBP">GBP</option>
    <option value="EUR">EUR</option>
</select>
</div>
</div>
                                                    <div class="col-md-6 mb-2">
<div class="form-group"> 
<label class="mb-1 text-black" for="secret"><strong>@lang('Address Line 1')</strong><span class="text-danger">*</span> </label>
<input class="form-control" type="text" name="line_1" id="line_1" required>
</div>
</div>

<div class="col-md-6 mb-2">
<div class="form-group"> 
<label class="mb-1 text-black" for="secret"><strong>@lang('Number')</strong><span class="text-danger">*</span> </label>
<input class="form-control" type="text" name="line_2" id="line_2" required>
</div>
</div>

<div class="col-md-6 mb-2">
<div class="form-group"> 
<label class="mb-1 text-black" for="secret"><strong>@lang('City')</strong><span class="text-danger">*</span> </label>
<input class="form-control" type="text" name="city" id="city" required>
</div>
</div>
                                                    <div class="col-md-6 mb-2">
<div class="form-group"> 
<label class="mb-1 text-black" for="secret"><strong>@lang('State')</strong><span class="text-danger">*</span> </label>
<input class="form-control" type="text" name="state" id="state" required>
</div>
</div>
                                                     <div class="col-md-6 mb-2">
<div class="form-group"> 
    <label class="mb-1 text-black" for="secret"><strong>@lang('Country')</strong><span class="text-danger">*</span> </label>
                                                        <select class="form-control" name="country">
      
    <option value="NG">Nigeria</option>
    
</select>
                                                    </div>
                                                          </div>
 <div class="col-md-6 mb-2">
<div class="form-group"> 
<label class="mb-1 text-black" for="secret"><strong>@lang('Zip')</strong><span class="text-danger">*</span> </label>
<input class="form-control" type="text" name="zip" id="zip" required>
</div>
</div>
                                                    <div class="col-md-6 mb-2">
<div class="form-group"> 
<label class="mb-1 text-black" for="secret"><strong>@lang('Passport Number')</strong><span class="text-danger">*</span> </label>
<input class="form-control" type="text" name="passportnumber" id="passportnumber" required>
</div>
</div>
                                                    
                                                    <div class="col-md-6 mb-2">
<div class="form-group"> 
<label class="mb-1 text-black" for="secret"><strong>@lang('Passport Issue Date')</strong><span class="text-danger">*</span> </label>
<input class="form-control" type="date" name="issuedate" id="issuedate" required>
</div>
</div>
                                                    
                                                    <div class="col-md-6 mb-2">
<div class="form-group"> 
<label class="mb-1 text-black" for="secret"><strong>@lang('Passport Expiration Date')</strong><span class="text-danger">*</span> </label>
<input class="form-control" type="date" name="expiration" id="expiration" required>
</div>
</div>
                                                    <div class="col-md-6 mb-2">
<div class="form-group"> 
<label class="mb-1 text-black" for="secret"><strong>@lang('Occupation')</strong><span class="text-danger">*</span> </label>
<input class="form-control" type="text" name="occupation" id="occupation" required>
</div>
</div>
                                                    
                                                     <div class="col-md-6 mb-2">
<div class="form-group"> 
<label class="mb-1 text-black" for="secret"><strong>@lang('Source of Income')</strong><span class="text-danger">*</span> </label>
<input class="form-control" type="text" name="soi" id="soi" required>
</div>
</div>
  <div class="col-md-6 mb-2">
<div class="form-group"> 
<label class="mb-1 text-black" for="secret"><strong>@lang('Date of Birth')</strong><span class="text-danger">*</span> </label>
<input class="form-control" type="date" name="dob" id="dob" required>
</div>
</div>
                                                    
                                                    
                                                     <div class="form--group col-md-6">
                    <label class="form--label" for="profile-image">@lang('International Passport')</label>
                    <input type="file" class="form-control form--control" name="passport" id="passport" accept="image/*" required>
                </div>
                                   
                       <div class="form--group col-md-6">
                    <label class="form--label" for="profile-image">@lang('Utility Bill')</label>
                    <input type="file" class="form-control form--control" name="utilityBill" id="utilityBill" accept="image/*" required>
                </div>                                



                                                    </div>                                           
                                                 
                                                    
  <div class="col mb-2">
                                                <div class="form-group"> 
                                                    <div class="text-center mt-4">
                                                        <button type="submit" class="btn btn-primary"> @lang('Proceed')</button>
                                                    </div>
                                                </div>
<!--      <p class="text-danger">* @lang('An Issuance fee of') {{ $general->cur_text }} {{ showAmount($general->ngn_fee) }} @lang('applies.')</p>-->
                                            </div>
                                     
                                              </div>      
                                                </div>
                                            </div>
                                        
                                    </form>                                                 
                                
</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
@else
<div class="row mt-4">
          <div class="col-md-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">@lang('Bank Details')</h4>
                                <p class="">{{$currency}} @lang('Account Details')</p>
                            </div>
                        </div>						
									
              <div class='row'>
									 
                            @if(isset($create['accounts']))
                            @foreach($create['accounts'] as $d)
                            <div class='col-md-6'>  
                                <div class="card-body">
                                        <ul class="list-group list-group-flush">
              <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Account Status :</span><strong>{{$d->satus ?? 'pending'}}</strong></li>  
            <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Account Name :</span><strong>{{$d->info->accountName  ?? 'pending'}}</strong></li>  
              <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Account Number :</span><strong>{{$d->info->accountNumber  ?? 'pending'}}</strong></li>  
              <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Bank Name :</span><strong>{{$d->info->bankName ?? 'pending'}}</strong></li>  
            </ul>
                                    </div>
                                </div>
                            @endforeach
                            
                            @else
                                                                              
<!--            <ul class="list-group list-group-flush">
              <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Account Name :</span><strong>{{$fincra->accountName}}</strong></li>  
              <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Account Number :</span><strong>{{$fincra->accountNumber}}</strong></li>  
              <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Bank Name :</span><strong>{{$fincra->bankName}}</strong></li>  
            </ul>-->

@endif
              </div>                                      
              </div>
                            </div>
              </div>
    </div>

@endif

@endsection