@extends($activeTemplate.'layouts.master')
@section('content')
 <div class="breadcrumb-section">
            <div class="container">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="page-title">
                            <h2>@lang('NGN Account Transactions')</h2>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <nav aria-label="breadcrumb" class="theme-breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{ route('home') }}">@lang('Home')</a></li>
                                <li class="breadcrumb-item active">@lang('NGN Account Transactions')</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
<div class="container mt-4">
    <div class="row justify-content-center mt-2">
        <div class="col-md-12">
          <div class="table-responsive-sm">
 <table class="table mb-0 order-table-vendor">
            <thead class="bg-dark text-white">
              <tr>
                <th>@lang('Date')</th>
                <th>@lang('Trx')</th>
                <th>@lang('Amount')</th>
                <th>@lang('Charge')</th>
                <th>@lang('Post Balance')</th>
                <th>@lang('Details')</th>
              </tr>
            </thead>
            <tbody>
                
              
            @forelse($transactions->data->postingsHistory as $data)
          
            <tr>
                <td data-label="@lang('Date')">
                    {{ showDateTime($data->realDate) }}
                </td>
                <td data-label="@lang('Trx')">{{ $data->referenceNumber }}</td>
                <td data-label="@lang('Amount')">
                    @if($data->postingRecordType == 1)
                    <span class="text-danger">
                     @else
                     <span class="text-success">
                         @endif
                    <strong>
                        ₦ {{ showAmount($data->amount / 100) }}
                        
                    </strong>
                     </span>
                </td>
                  <td data-label="@lang('Amount')">
                    <strong>
                        ₦ {{ showAmount($data->charge / 100) }}
                        
                    </strong>
                </td>
               
                <td data-label="@lang('Post Balance')">
                    <strong>
                       ₦ {{ showAmount($data->balanceAfter / 100) }}
                        
                    </strong>
                </td>
                <td data-label="@lang('Details')">{{ __($data->narration) }}</td>
            </tr>
            @empty
                <tr>
                    <td colspan="100%">{{ __($emptyMessage) }}</td>
                </tr>
            @endforelse

            </tbody>
          </table>
        </div>

       

      </div>
    </div>
  </div>

@endsection

