@extends($activeTemplate.'layouts.master')

@section('content')
@include($activeTemplate.'partials.breadcrumb')
<div class="payment-section ptb-80">
    <div class="container">
        
         <div class="col-lg-6 offset-3">
                    <h3>{{ $general->sitename }} @lang('Cards Only')</h3>
                    <div class="theme-card">
                        <form class="form-horizontal" id="card-form" role="form" method="POST" action="{{ route('user.pg.remitposcard')}}">
                             @csrf
                              
      <fieldset>
       
          <div class="form-group">
          <label class="col-sm-3 control-label" for="card-holder-name">@lang('Transaction / MTCN NO.')</label>
          <div class="col-md-12">
            <input type="number" class="form-control" name="mtcn" id="mtcn" required>
          </div>
        </div>
          
      
      
        <div class="form-group">
          <div class="col-sm-12">
              <button type="button" onclick="sendotp()" class="btn btn-primary" id="pay-now">DETAILS</button>
          </div>
            <div class="col-md-12 mt-2">
                <div id="error"></div>
            </div>
            <div class="col-md-12 mt-2" id="trans" style='display:none;'>
                <h4>Remittance Details</h4>
                <p class="mb-0 font-size-20" id='trx'></p>
                <p class="mb-0 font-size-20" id='name'></p>
                <p class="mb-0 font-size-20" id='email'></p>
                <p class="mb-0 font-size-20" id='address'></p>
                <p class="mb-0 font-size-20" id='mobile'></p>
               
                <p class="mb-2 font-size-20" id='currency'></p>
                <p class="text-danger">*Verify User ID and address proof before proceeding</p>
            </div>
            
            <div class="col-md-12 mt-2">
                <div id="otp"></div>
            </div>
        </div>
      </fieldset>
    </form>
                    </div>
                </div>

    </div>
</div>
 

@stop

@push('script')

<script src="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/js/lightbox.min.js" integrity="sha512-k2GFCTbp9rQU412BStrcD/rlwv1PYec9SNrkbQlo6RZCf75l6KcC3UwDY8H5n5hl4v77IDtIPwOk9Dqjs/mMBQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/css/lightbox.min.css" integrity="sha512-ZKX+BvQihRJPA8CROKBhDNvoc2aDMOdAlcm7TUQY+35XYtrd3yh95QOOhsPDQY9QnKE0Wqag9y38OIgEvb88cA==" crossorigin="anonymous" referrerpolicy="no-referrer" />


    <script>
        "use strict";
        function submitUserForm() {
            var response = grecaptcha.getResponse();
            if (response.length == 0) {
                document.getElementById('g-recaptcha-error').innerHTML = '<span class="text-danger">@lang("Captcha field is required.")</span>';
                return false;
            }
            return true;
        }

        $('#rc-anchor-container').css({
            width: '100% !important'
        });
        
        function sendotp(){
        var mtcn = $('#mtcn').val()
       
   if (mtcn == "") {
    alert("Transaction / MTCN No Must Be Filled");
    return false;
  }
         
        
        var result_object = "";
         $.ajax({
            url :'{{ route('user.pg.remitsendotp') }}',
            type:'GET',
            dataType:'html',
            data :{
                
                'mtcn':mtcn,

            },
            success:function(data){
                result_object = jQuery.parseJSON(data);
               
                if(result_object.status === "success"){
                    console.log(result_object.data); 
                    
                    $('#otp').html('<label class="col-sm-3 control-label" for="card-holder-name">Enter OTP</label><input class="form-control" type="text" name="ver_code" id="ver_code" required><div class="col-sm-12 mt-2"><button type="button" onclick="verifyotp()" class="btn btn-primary" id="pay-now">Verify OTP</button></div>');
                    $('#trans').toggle();
                    $('#trx').html('<span><strong>Transaction:</strong> ' + mtcn + '</span>');
                    $('#name').html('<span><strong>Name:</strong> ' + result_object.data.name + '</span>');
                    $('#email').html('<span><strong>Email:</strong> ' + result_object.data.email + '</span>');
                    $('#mobile').html('<span><strong>Mobile:</strong> ' + result_object.data.mobile + '</span>');
                    $('#address').html('<span><strong>Address:</strong> ' + result_object.data.address + '</span>');
                    $('#currency').html('<span><strong>Currency:</strong> ' + result_object.data.currency + ' ' + result_object.data.amount + '</span>');
    //$('#myform')[0].reset();
                }
                else{
                      console.log("error");    
                    $('#error').html('<p class="text-danger">Sorry! Invalid Transaction No / MTCN</p>');
                   setTimeout(function () {
            window.location.reload();
        }, 500);
                    
                }
            }
        });
        
        }
        
         function verifyotp(){
        var ver_code = $('#ver_code').val()
        var mtcn = $('#mtcn').val()
         
        if (ver_code == "") {
    alert("OTP Must Be Filled");
    return false;
  }
  
  var result_object = "";
         $.ajax({
            url :'{{ route('user.pg.remitverifyotp') }}',
            type:'GET',
            dataType:'html',
            data :{
                'mtcn':mtcn,
                'ver_code':ver_code,

            },
            success:function(data){
                result_object = jQuery.parseJSON(data);
                
                if(result_object.status === "success"){
                    console.log("received"); 
                    $('#error').html('<p class="text-success font-size-20 bold">OTP is valid, Please pay amount to customer</p>');
                }
                else{
                      console.log("error");    
                     $('#error').html('<p class="text-danger font-size-20 bold">Invalid OTP or Transaction Already Paid</p>');
                  
                     setTimeout(function () {
            window.location.reload();
        }, 1500);
                }
            }
        });
  
    }
    </script>
@endpush 

