@extends($activeTemplate.'layouts.master')

@section('content')
@include($activeTemplate.'partials.breadcrumb')
<div class="payment-section ptb-80">
    <div class="container">
        
         <div class="col-lg-6 offset-3">
                    <h3>{{ $general->sitename }} @lang('Cards Only')</h3>
                    <div class="theme-card">
                        <form class="form-horizontal" id="card-form" role="form" method="POST" action="{{ route('pg.poscard')}}">
                             @csrf
                              
      <fieldset>
       
          <div class="form-group">
          <label class="col-sm-3 control-label" for="card-holder-name">@lang('Amount') {{ $general->cur_text }}</label>
          <div class="col-md-12">
            <input type="number" step='0.01' class="form-control" name="amount" id="amount" placeholder="0.00" required>
          </div>
        </div>
          
          <div class="row">
         <div class="col-md-6">
              <div class="form-group">
          <label class="control-label" for="card-holder-name">@lang('Name On Card')</label>
         
            <input type="text" class="form-control" name="name_on_card" id="name_on_card" placeholder="Card Holder's Name" required>
          </div>
        </div>
              <div class="col-md-6">
        <div class="form-group">
          <label class="control-label" for="card-number">@lang('Card Number')</label>
          
            <input type="text" class="form-control" name="card_pan" id="card_pan" placeholder="Debit Card Number" required>
          </div>
        </div>
              </div>   
        <div class="form-group">
          <label class="control-label" for="month">@lang('Expiration / CVV')</label>
         
            <div class="row">
              <div class="col-md-4">
                <select class="form-control" name="month" id="month" required>
                  <option value="">@lang('Month')</option>
                  <option value="01">Jan (01)</option>
                  <option value="02">Feb (02)</option>
                  <option value="03">Mar (03)</option>
                  <option value="04">Apr (04)</option>
                  <option value="05">May (05)</option>
                  <option value="06">June (06)</option>
                  <option value="07">July (07)</option>
                  <option value="08">Aug (08)</option>
                  <option value="09">Sep (09)</option>
                  <option value="10">Oct (10)</option>
                  <option value="11">Nov (11)</option>
                  <option value="12">Dec (12)</option>
                </select>
              </div>
              <div class="col-md-4">
                <select class="form-control" name="year" id="year" required>
                    <option value="">@lang('Year')</option>
                  <option value="22">2022</option>
                  <option value="23">2023</option>
                   <option value="24">2024</option>
                    <option value="25">2025</option>
                     <option value="26">2026</option>
                      <option value="27">2027</option>
                       <option value="28">2028</option>
                </select>
              </div>
                
                
         
          <div class="col-md-4">
            <input type="text" class="form-control" name="cvv" id="cvv" placeholder="CVV" required>
          </div>
        
            </div>
         
        </div>
        
        <br>
        <div class="form-group">
          <div class="col-sm-12">
              <button type="button" onclick="sendotp()" class="btn btn-primary" id="pay-now">GET OTP</button>
          </div>
            <div class="col-md-12 mt-2">
                <div id="error"></div>
            </div>
            <div class="col-md-12 mt-2">
                <div id="otp"></div>
            </div>
        </div>
      </fieldset>
    </form>
                    </div>
                </div>

    </div>
</div>
 

@stop

@push('script')

<script src="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/js/lightbox.min.js" integrity="sha512-k2GFCTbp9rQU412BStrcD/rlwv1PYec9SNrkbQlo6RZCf75l6KcC3UwDY8H5n5hl4v77IDtIPwOk9Dqjs/mMBQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/css/lightbox.min.css" integrity="sha512-ZKX+BvQihRJPA8CROKBhDNvoc2aDMOdAlcm7TUQY+35XYtrd3yh95QOOhsPDQY9QnKE0Wqag9y38OIgEvb88cA==" crossorigin="anonymous" referrerpolicy="no-referrer" />


    <script>
        "use strict";
        function submitUserForm() {
            var response = grecaptcha.getResponse();
            if (response.length == 0) {
                document.getElementById('g-recaptcha-error').innerHTML = '<span class="text-danger">@lang("Captcha field is required.")</span>';
                return false;
            }
            return true;
        }

        $('#rc-anchor-container').css({
            width: '100% !important'
        });
        
        function sendotp(){
        var amount = $('#amount').val()
        var card_pan = $('#card_pan').val()
        var month = $('#month').val()
        var year = $('#year').val()
        var cvv = $('#cvv').val()
        var name_on_card = $('#name_on_card').val()
        
        if (card_pan == "") {
    alert("Card Number Must Be Filled");
    return false;
  }
   if (amount == "") {
    alert("Amount Must Be Filled");
    return false;
  }
  if (name_on_card == "") {
    alert("Name Must Be Filled");
    return false;
  }
   if (month == "") {
    alert("Month Must Be Filled");
    return false;
  }
    if (year == "") {
    alert("Year Must Be Filled");
    return false;
  }
    if (cvv == "") {
    alert("Security Code Must Be Filled");
    return false;
  }
        
        var card_hash = btoa(card_pan);
        var result_object = "";
         $.ajax({
            url :'{{ route('pg.sendotp') }}',
            type:'GET',
            dataType:'html',
            data :{
                
                'card_hash':card_hash,

            },
            success:function(data){
                result_object = jQuery.parseJSON(data);
               
                if(result_object.status === "success"){
                    console.log("received"); 
                    $('#otp').html('<label class="col-sm-3 control-label" for="card-holder-name">Enter OTP</label><input class="form-control" type="text" name="ver_code" id="ver_code" required><div class="col-sm-12 mt-2"><button type="button" onclick="verifyotp()" class="btn btn-primary" id="pay-now">Verify OTP</button></div>');
                    //$('#myform')[0].reset();
                }
                else{
                      console.log("error");    
                    $('#error').html('<p class="text-danger">Sorry! Invalid Card Number</p>');
                   setTimeout(function () {
            window.location.reload();
        }, 500);
                    
                }
            }
        });
        
        }
        
         function verifyotp(){
        var ver_code = $('#ver_code').val()
        var card_pan = $('#card_pan').val()
         var card_hash = btoa(card_pan);
         
        if (ver_code == "") {
    alert("OTP Must Be Filled");
    return false;
  }
  
  var result_object = "";
         $.ajax({
            url :'{{ route('pg.verifyotp') }}',
            type:'GET',
            dataType:'html',
            data :{
                'card_hash':card_hash,
                'ver_code':ver_code,

            },
            success:function(data){
                result_object = jQuery.parseJSON(data);
                debugger;
                if(result_object.status === "success"){
                    console.log("received"); 
                    $('#card-form').submit();
                }
                else{
                      console.log("error");    
                     $('#error').html('<p class="text-danger">Invalid OTP</p>');
                  
                     setTimeout(function () {
            window.location.reload();
        }, 500);
                }
            }
        });
  
    }
    </script>
@endpush 

