@extends($activeTemplate.'layouts.master')

@section('content')
@include($activeTemplate.'partials.breadcrumb')
<div class="payment-section ptb-80">
    <div class="container">

        <div class="row justify-content-center">
            <div class="col-lg-6">

                    <select class="method form-control" required>
                        <option value="">
                            @lang('Select Payment Gateway')
                        </option>
                    
                        @foreach($gatewayCurrency as $data)
                            <option
                                value="{{$loop->index + 1}}"
                                data-name="{{$data->name}}"
                                data-currency="{{$data->currency}}"
                                data-method_code="{{$data->method_code}}"
                                data-min_amount="{{showAmount($data->min_amount)}}"
                                data-max_amount="{{showAmount($data->max_amount)}}"
                                data-base_symbol="{{$data->baseSymbol()}}"
                                data-fix_charge="{{showAmount($data->fixed_charge)}}"
                                data-percent_charge="{{showAmount($data->percent_charge)}}"
                            >
                                {{__($data->name)}}
                            </option>
                        @endforeach
                    </select>

            </div>
        </div>

        <div class="row justify-content-center">
            <div class="col-lg-6">
                <div class="mt-4 mb-4">
                    <button type="submit" class="btn btn-primary deposit">
                        @lang('Create Link')
                    </button>
                </div>
            </div>
        </div>

    </div>
</div>
 <div class="row mt-4">
          <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">@lang('List of Donation Request')</h4>
                                <p class="text-info">@lang('Based on the currency available gateway will be presented to the donor')</p>
                            </div>
										
									
                                                                    
									   <div class="card-body">
										
											<div class="table-responsive--lg">
                                <table class="table custom--table">
                                                                                                    <thead class="bg-dark text-white">
                                                                                                        <tr>
                                                                                                            <th>@lang('Paylink')</th>
                                                                                                             <th>@lang('Amount')</th>
                                                                                                             <th>@lang('Link')</th>
                                                                                                             <th>@lang('Description')</th>
                                                                                                             <th>@lang('Image')</th>
                                                                                                             <th>@lang('Action')</th>
                                                                                                              
                                                                                                    </tr>
                                                                                                    </thead>	
                                                                                                    <tbody>
                                                                                                            
                                                                                                            <?php
                                                                                                            
                                                                 
   
   foreach($link as $buser){
        
                                                                                                            
                                                 
                                                    ?>
														<tr>
                                                                                                                    <td>
																<p class="fs-16 font-w600 mb-0">{{ $buser->paylink}}</p>
																
															</td>
                                                                                                                       <td>
																<p class="fs-16 font-w600 mb-0">{{ $buser->currency}} {{ showAmount($buser->amount) }}</p>
																
															</td>
                                                                                                                        
                                                                                                                    <td>
																<p class="fs-16 font-w600 mb-0">{{ route('pg.linkpay') }}?paylink={{ $buser->paylink}}</p>
																
															</td>
                                                                                                                        <td>{{ $buser->description}}</td>
                                                                                                                          <td>
                                                                                                                               <a href="{{ getImage(imagePath()['donation']['path'].'/'. @$buser->image,imagePath()['donation']['size']) }}" data-lightbox="{{ $buser->paylink}}">
                                                                                                                               <img src="{{ getImage(imagePath()['donation']['path'].'/'. @$buser->image,imagePath()['donation']['size']) }}" height="100px"></a>
																
															</td>
                                                                                                                        
                                                                                                                        <td>
                                                                                                                            <a href="{{ route('user.transfer.deletelink') }}?linkid={{ $buser->paylink }}"> <i class="fa fa-trash"></i></a>
                                                                                                                        </td>
                                                                                                                   
                                                                                                                                                                                                                                 
														</tr>
       <?php } ?>
   
													<tbody>
												</table>
											</div>
										</div>
										
									</div>
								</div>
    </div>
<div class="modal fade cmn--modal" id="depositModal">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <strong class="modal-title method-name" id="depositModalLabel"></strong>
                <button type="button" class="btn-close" data-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="{{route('user.transfer.adddonatelink')}}" method="post" enctype="multipart/form-data">
                @csrf
                <div class="modal-body">
                    <p class="text--base depositLimit"></p>
                    <p class="text--base depositCharge"></p>
                    <div class="form-group">
                        <input type="hidden" name="currency" class="edit-currency">
                        <input type="hidden" name="method_code" class="edit-method-code">
                         
                    </div>
                    <div class="form-group">
                        <label class="text--base">@lang('Amount'):</label>
                        <div class="input-group">
                            <input id="amount" type="text" class="form-control form--control" name="amount" required>
                            <span class="input-group-text bg--base text-white rc-currency"></span>
                        </div>
                    </div>
                    <div class="form--group col-md-6">
                    <label class="form--label" for="profile-image">Donate Image (Size: 350x300px)</label>
                    <input type="file" class="form-control form--control" name="image" id="donate-image" accept="image/*">
                </div>
                    <div class="form-group">
                        <label class="text--base">@lang('Description'):</label>
                        <div class="input-group">
                            <textarea class="form-control form--control" name="description" required rows="4" cols="50"></textarea>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn--md btn--danger" data-dismiss="modal">@lang('Close')</button>
                    <div class="prevent-double-click">
                        <button type="submit" class="btn btn-primary">@lang('Confirm')</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

@stop

@push('script')

<script src="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/js/lightbox.min.js" integrity="sha512-k2GFCTbp9rQU412BStrcD/rlwv1PYec9SNrkbQlo6RZCf75l6KcC3UwDY8H5n5hl4v77IDtIPwOk9Dqjs/mMBQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/css/lightbox.min.css" integrity="sha512-ZKX+BvQihRJPA8CROKBhDNvoc2aDMOdAlcm7TUQY+35XYtrd3yh95QOOhsPDQY9QnKE0Wqag9y38OIgEvb88cA==" crossorigin="anonymous" referrerpolicy="no-referrer" />

<script>

    (function ($) {
        "use strict";

        $('.deposit').on('click', function () {

            var selected =  $(".method option:selected");

            if(!selected.val()){
                return false;
            }

            var name = selected.data('name');
            var currency = selected.data('currency');
            var method_code = selected.data('method_code');
            var minAmount = selected.data('min_amount');
            var maxAmount = selected.data('max_amount');
            var baseSymbol = "{{$general->cur_text}}";
            var fixCharge = selected.data('fix_charge');
            var percentCharge = selected.data('percent_charge');

            var depositLimit = `@lang('Deposit Limit'): ${minAmount} - ${maxAmount}  ${baseSymbol}`;
            $('.depositLimit').text(depositLimit);
            var depositCharge = `@lang('Charge'): ${fixCharge} ${baseSymbol}  ${(0 < percentCharge) ? ' + ' +percentCharge + ' % ' : ''}`;
            $('.depositCharge').text(depositCharge);
            $('.method-name').text(`@lang('Payment By ') ${name}`);
            $('.currency-addon').text(baseSymbol);
            $('.edit-currency').val(currency);
            $('.edit-method-code').val(method_code);
             $('.rc-currency').text(currency);
            $('#depositModal').modal('show');

        });

    })(jQuery);

</script>
@endpush

