@extends($activeTemplate.'layouts.master')

@section('content')
    @include($activeTemplate.'partials.breadcrumb')



    <!-- dashboard-section start -->
    <section class="dashboard-section pt-150 pb-150">
        <div class="container">
            
            <div class="row mb-none-50">
                <div class="col-md-12">
                    <div class="text-right mb-5">
                        <a href="{{ route('user.interest.log') }}" class="btn btn-primary">@lang('My Investments')</a>
                    </div>
                </div>
                @foreach($plans as $k => $data)
            @php
            $time_name = \App\Models\TimeSetting::where('time', $data->times)->first();
            @endphp
              <div class="col-lg-3 col-md-6 col-sm-12">
                     <div class="iq-card">
                        <div class="iq-card-body border text-center rounded">
                           <span class="font-size-16 text-uppercase">{{@$data->name}}</span>
                           <h3 class="mb-4 font-weight-bolder" style='font-size:2.0rem;'> @if($data->fixed_amount == 0)
                            {{__($general->cur_sym)}}{{__($data->minimum)}}  - {{__($general->cur_sym)}}{{__($data->maximum)}}
                            @else
                            {{__($general->cur_sym)}}{{__($data->maximum)}}
                            @endif</h3>
                           <ul class="list-unstyled line-height-4 mb-0">
                               <li> @lang('Return') {{__($data->interest)}}{{($data->interest_status == 1) ? '%': __($general->cur_text)}} </li>



                            <li>@lang('Every') {{__($time_name->name)}}</p>


                            <li> @lang('For')  @if($data->lifetime_status == 0) {{__($data->repeat_time)}} {{__($time_name->name)}} @else @lang('Lifetime') @endif </li>
                            <li>@if($data->lifetime_status == 0) 
                                @lang('Total')   {{__($data->interest*$data->repeat_time)}}{{($data->interest_status == 1) ? '%': __($general->cur_text)}}

                                @if($data->capital_back_status == 1)
                                + <span class="badge bg-success"> @lang('Capital')</span> 
                                @endif
                                @else
                                @lang('Lifetime Earning') 
                            @endif </li>
                           </ul>
                           <a href="javascript:void(0)" data-toggle="modal" data-target="#depoModal" data-resource="{{$data}}"
                        class="btn btn-primary btn-small mt-4 investButton">@lang('Invest now')</a>
                          
                        </div>
                     </div>
                  </div>
        
            @endforeach


            </div>
        </div>
    </section>
    <!-- pricing-section end -->





    <!-- Modal -->
    <div class="modal fade" id="depoModal" tabindex="-1" role="dialog" aria-hidden="true">

        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content modal-content-bg">
                <div class="modal-header">
                    <strong class="modal-title" id="ModalLabel">
                        @guest
                            @lang('At first sign in your account')
                        @else
                            @lang('Confirm to invest on') <span class="planName"></span>
                        @endguest
                    </strong>
                    <a href="javascript:void(0)" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </a>
                </div>
                <form action="{{route('user.buy.plan')}}" method="post" class="register">
                    @csrf
                    @auth
                        <div class="modal-body">

                            <div class="form-group">
                                <h6 class="investAmountRenge" style='font-size:2.0rem;'></h6>

                                <p class="mt-1 interestDetails mb-0" style='font-size:1.5rem;'></p>
                                <p class="interestValidaty mt-0" style='font-size:1.5rem;'></p>

                                <div class="form-group ">
                                    <strong class="mb-2 d-block">@lang('Select wallet')</strong>
                                    <select class="form-control" name="wallet_type">
                                        <option value="balance">@lang('Deposit Wallet - '.$general->cur_sym.showAmount(auth()->user()->balance))</option>
                                        <option value="interest_wallet">@lang('Interest Wallet -'.$general->cur_sym.showAmount(auth()->user()->interest_wallet))</option>
                                        <option value="checkout">@lang('Checkout')</option>
                                    </select>
                                </div>
                                <input type="hidden" name="plan_id" class="plan_id">

                                <div class="form-group">
                                    <strong class="mb-2 d-block">@lang('Invest Amount')</strong>
                                    <input type="text" class="form-control fixedAmount" id="fixedAmount" name="amount"
                                           value="{{old('amount')}}"
                                           onkeyup="this.value = this.value.replace (/^\.|[^\d\.]/g, '')"
                                           autocomplete="off">
                                </div>
                            </div>
                        </div>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger action-btn"
                                    data-dismiss="modal">@lang('No')</button>
                            <button type="submit" class="btn btn-primary action-btn">@lang('Yes')</button>
                        </div>
                    @endauth

                    @guest
                        <div class="modal-footer">
                            <a href="{{route('user.login')}}" type="button"
                               class="btn btn-success custom-success w-100">@lang('At first sign in your account')</a>
                        </div>
                    @endguest
                </form>
            </div>
        </div>
    </div>
@endsection




@push('script')
    <script>
        (function ($) {
            "use strict";
            
             
            $('.investButton').on('click',function () {
                console.log('ran');
                
                var data = $(this).data('resource');
                var symbol = "{{__($general->cur_sym)}}";
                var currency = "{{__($general->cur_text)}}";

                $('#mySelect').empty();

                if (data.fixed_amount == '0') {
                    $('.investAmountRenge').text(`@lang('Invest'): ${symbol}${data.minimum} - ${symbol}${data.maximum}`);
                    $('.fixedAmount').val('');
                    $('#fixedAmount').attr('readonly', false);

                } else {
                    $('.investAmountRenge').text(`@lang('Invest'): ${symbol}${data.fixed_amount}`);
                    $('.fixedAmount').val(data.fixed_amount);
                    $('#fixedAmount').attr('readonly', true);
                }

                if (data.interest_status == '1') {
                    $('.interestDetails').html(`<strong> @lang('Interest'): ${data.interest} % </strong>`);
                } else {
                    $('.interestDetails').html(`<strong> @lang('Interest'): ${data.interest} ${currency}  </strong>`);
                }
                if (data.lifetime_status == '0') {
                    $('.interestValidaty').html(`<strong>  @lang('per') ${data.times} @lang('hours') ,  ${data.repeat_time} @lang('times')</strong>`);
                } else {
                    $('.interestValidaty').html(`<strong>  @lang('per') ${data.times} @lang('hours'),  @lang('life time') </strong>`);
                }

                $('.planName').text(data.name);
                $('.plan_id').val(data.id);
                
            });



        })(jQuery);

    </script>
@endpush
