 @extends($activeTemplate.'layouts.master')
@section('content')
<!-- Dashboard -->

 <div class="breadcrumb-section">
            <div class="container">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="page-title">
                            <h2>Dashboard</h2>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <nav aria-label="breadcrumb" class="theme-breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                                <li class="breadcrumb-item active">dashboard</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    <!-- breadcrumb start -->

    <!-- breadcrumb End -->

                <div class="col-lg-12 mt-4">
                    <div class="faq-content tab-content" id="top-tabContent">
                        <div class="tab-pane fade show active" id="info">
                            <div class="counter-section">
                                <div class="welcome-msg">

                                    <h4><img src="{{ getImage(imagePath()['profile']['user']['path'].'/'. @$user->image,imagePath()['profile']['user']['size']) }}" style="height: 40px;border: 1px solid;border-radius: 50%;padding: 2px;"> Hello, {{$user->firstname}} !</h4>
                                    <p>From your Account Dashboard you have the ability to view a snapshot of your
                                        recent
                                        account activity and update your account information. Select a link from the menu.</p>
                                </div>
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="counter-box">
                                              <i class="las la-money-bill-wave" style="font-size:24px;padding:30px"></i>
                                            <div>
                                                <h3 class="title rafcounter" data-counter-end="{{ getAmount($user->balance, 0) }}">0</h3>
                                                <a href="{{ route('user.trx.log') }}">@lang('Balance')</a>
                                            </div>
                                        </div>
                                    </div>
                                      <div class="col-md-3">
                                        <div class="counter-box">
                                              <i class="las la-credit-card" style="font-size:24px;padding:30px"></i>
                                            <div>
                                                <h3 class="title rafcounter" data-counter-end="{{ $countCard }}">0</h3>
                                                <a href="{{ route('user.card') }}">@lang('Card')</a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="counter-box">
                                              <i class="las la-exchange-alt" style="font-size:24px;padding:30px"></i>
                                            <div>
                                                 <h3 class="title rafcounter" data-counter-end="{{ $countTrx }}">0</h3>
                                                <a href="{{ route('user.trx.log') }}">@lang('Transaction')</a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="counter-box">
                                            <i class="las la-ticket-alt" style="font-size:24px;padding:30px"></i>
                                            <div>
                                                 <h3 class="title rafcounter" data-counter-end="{{ $countTicket }}">0</h3>
                                                <a href="{{ route('ticket') }}">@lang('Ticket')</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>

                    </div>
                </div>
    <div class="card dashboard-table mt-4">
                                        <div class="card-body">
                                            <div class="top-sec">
                                                <h3>@lang('Transactions')</h3>

                                            </div>

<div class="table-responsive-sm">
 <table class="table mb-0 order-table-vendor">
        <thead>
            <tr>
                <th>@lang('Date')</th>
                <th>@lang('Txn')</th>
                <th>@lang('Amount')</th>
                <th>@lang('Balance')</th>
                <th>@lang('Description')</th>
            </tr>
        </thead>
        <tbody>
        @forelse($latestTrxs as $trx)
            <tr>
                <td data-label="@lang('Date')">
                   {{ showDateTime($trx->created_at) }}
                </td>
                <td data-label="@lang('Trx')">
                   {{ $trx->trx }}
                </td>
                <td data-label="@lang('Amount')">
                    <strong>
                        {{ showAmount($trx->amount, 2) }}
                        {{ __($general->cur_text) }}
                    </strong>
                </td>
                <td data-label="@lang('Post Balance')">
                    <strong>
                        {{ showAmount($trx->post_balance, 2) }}
                        {{ __($general->cur_text) }}
                    </strong>
                </td>
                <td data-label="@lang('Details')">
                    {{ __($trx->details) }}
                </td>
            </tr>
        @empty
            <tr>
                <td colspan="100%">@lang('Data Not Found')</td>
            </tr>
        @endforelse

        </tbody>
    </table>
 </div>
                                        </div>
</div>
<!-- Dashboard -->
@endsection
