@extends($activeTemplate . 'layouts.master')
@section('content')
@include($activeTemplate.'partials.breadcrumb')
    <section class="section section--sm">
        <div class="container">
            <div class="card custom--card">
                <div class="card-header">
                    <h5 class="card-title">@lang('Global Money Transfer')</h5>
                </div>
                <form action="{{ route('user.send.money.save') }}" method="post" class="card-body container-fluid register">
                    @csrf
                    <div class="row g-4">
                        <div class="col-lg-6">
                            <div class="exchange-form">
                                <div class="exchange-form__body p-0">

                                    <div class="mb-3">
                                        <label for="you-send" class="text--accent sm-text d-block fw-md mb-2">@lang('You Send')</label>
                                        <div class="input-group">
                                            <input id="from" type="number" step="any" class="form-control form--control text--right sending-amount" value="{{ $sendingAmount }}" placeholder="0.00" name="sending_amount" required>
                                            <span class="sending-parent">
                                                <select name="sending_country" id="sending-country" class="form-control form--control country-picker sending-countries">
                                                    @foreach ($countries as $country)
                                                        <option 
                                                            value="{{ $country->id }}"
                                                            data-id="{{ $country->id }}"
                                                            data-rate="{{ $country->rate }}"
                                                            data-currency="{{ $country->currency }}"
                                                            data-image="{{ asset(getFilePath('country') . '/' . $country->image) }}"
                                                            data-name="{{ $country->name }}">
                                                            {{ $country->currency }}
                                                        </option>
                                                    @endforeach
                                                </select>
                                            </span>
                                        </div>
                                    </div>
                                    <div class="mb-3">
                                        <label for="you-send" class="text--accent sm-text d-block fw-md mb-2">@lang('Recipient Gets')</label>
                                        <div class="input-group">
                                            <input id="to" type="number" step="any" class="form-control form--control text--right recipient-amount" placeholder="0.00" value="{{ $recipientAmount }}" name="recipient_amount" required>

                                            <span class="recipient-parent">
                                                <select name="recipient_country" id="recipient-country" class="form-control form--control country-picker recipient-countries">
                                                    @foreach ($countries as $country)
                                                        <option 
                                                            value="{{ $country->id }}"
                                                            data-id="{{ $country->id }}"
                                                            data-currency="{{ $country->currency }}"
                                                            data-rate="{{ $country->rate }}"
                                                            data-dial_code="{{ $country->dial_code }}"
                                                            data-fixed_charge="{{ $country->fixed_charge }}"
                                                            data-percent_charge="{{ $country->percent_charge }}"
                                                            data-image="{{ asset(getFilePath('country') . '/' . $country->image) }}"
                                                            data-name="{{ $country->name }}">
                                                            {{ $country->currency }}
                                                        </option>
                                                    @endforeach
                                                </select>
                                            </span>
                                        </div>
                                    </div>

                                </div>
                            </div>

                            <div class="mb-3">
                                <div class="col-12 error-section d-none text-center">
                                    <small class="text-danger fw-bold error-text"></small>
                                </div>
                            </div>
 <div class="recipient-info">
                                    <div class="mb-3">
                                        <label for="source_of_funds" class="text--accent sm-text d-block fw-md mb-2">@lang('Source of Funds')</label>
                                        <div class="form--select-light">
                                            <select class="form-control form--select" name="source_of_funds" id="source_of_funds" required>
                                                <option value="">@lang('Select One')</option>
                                                @foreach ($sources as $source)
                                                    <option value="{{ $source->id }}">{{ __($source->name) }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="mb-3">
                                        <label for="source_purpose" class="text--accent sm-text d-block fw-md mb-2">@lang('Sending Purpose')</label>
                                        <div class="form--select-light">
                                            <select class="form-control form--select" name="sending_purpose" id="source_purpose">
                                                <option value="">@lang('Select One')</option>
                                                @foreach ($purposes as $purpose)
                                                    <option value="{{ $purpose->id }}">{{ __($purpose->name) }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
  <div class="mb-4 mt-4">
                                <div class="border-line-area mt-3">
                                    <h3 class="border-line-title fw-bold">@lang('Recipient Information')</h3>
                                </div>
                                <div class="mb-3">
                                    <label for="recipient_name" class="text--accent sm-text d-block fw-md mb-2">@lang('Recipient Name')</label>
                                    <input id="recipient_name" type="text" class="form-control form--control" value="{{ old('recipient')['name'] ?? null }}" name="recipient[name]" required>
                                </div>
       <div class="mb-3">
                                    <label for="recipient_email" class="text--accent sm-text d-block fw-md mb-2">@lang('Recipient Email')</label>
                                    <input id="recipient_name" type="email" class="form-control form--control" value="{{ old('recipient')['email'] ?? null }}" name="recipient[email]" required>
                                </div>
                                <div class="mb-3">
                                    <label for="recipient_mobile" class="text--accent sm-text d-block fw-md mb-2">@lang('Recipient Mobile No.')</label>
                                    <div class="input-group">
                                        <span class="input-group-text dial-code">
                                        </span>

                                        <input id="recipient_mobile" type="number" class="form-control form--control" value="{{ old('recipient')['mobile'] ?? null }}" name="recipient[mobile]" required>
                                    </div>
                                </div>
                                <div class="mb-3">
                                    <label for="recipient_address" class="text--accent sm-text d-block fw-md mb-2">@lang('Recipient Address')</label>
                                    <input name="recipient[address]" value="{{ old('recipient')['address'] ?? null }}" id="recipient_address" class="form-control form--control-textarea">
                                </div>
                                       
                            </div>
                                </div>
                        
                        </div>
                        <div class="col-lg-6">
                            <div class="ms-xxl-5">
                                 
                                 
                                  <div class="mb-4 mt-4">
                                <div class="border-line-area mt-3">
                                    <h3 class="border-line-title fw-bold">@lang('Recipient Information')</h3>
                                </div>
                                      <div class="mb-3">
                                          <label for="recipient_bank" class="text--accent sm-text d-block fw-md mb-2">@lang('Select Agent or Bank Transfer')</label>
                                          <select id="select_id" name="type" class="form-control" required>
                                              <option value="">Please Select</option>
                                              <option value="agent">Agent</option>
                                              <option value="banktransfer">Bank Transfer</option>
                                          </select>
                                          
                                      </div> 
                                      
                                      
                                <div class="mb-3">
                                    <label for="recipient_bank" class="text--accent sm-text d-block fw-md mb-2">@lang('Recipient Bank')</label>
                                    <input name="recipient[bank]" value="{{ old('recipient')['bank'] ?? null }}" id="recipient_bank" class="form-control form--control-textarea" placeholder="Type Agent or Bank Name" required>
                                </div>
                                 <div class="mb-3">
                                    <label for="recipient_account" class="text--accent sm-text d-block fw-md mb-2">@lang('Recipient IBAN/AC/ACH Number')</label>
                                    <input name="recipient[account]" value="{{ old('recipient')['account'] ?? null }}" id="recipient_account" class="form-control form--control-textarea" placeholder="Type Agent or IBAN Number" required>
                                </div>
                                <div class="mb-3">
                                    <label for="recipient_routing" class="text--accent sm-text d-block fw-md mb-2">@lang('Recipient Routing/IFSC/BIC/SwiftCode')</label>
                                    <input name="recipient[routing]" value="{{ old('recipient')['routing'] ?? null }}" id="recipient_routing" class="form-control form--control-textarea" placeholder="Type Agent or Routing No" required>
                                </div>
                                <div class="mb-3">
                                    <label for="recipient_additional" class="text--accent sm-text d-block fw-md mb-2">@lang('Recipient Additional Info')</label>
                                    <input name="recipient[additional]" value="{{ old('recipient')['additional'] ?? null }}" id="recipient_additional" class="form-control form--control-textarea" placeholder="Any Additional Information" required>
                                </div>      
                            </div>
                                  <hr>
                                <div class="mb-3 mt-4">
                                    <div class="row payment-table">
                                        <div class="col-md-4">
                                            <div class="d-flex align-items-center justify-content-between">
                                                <span class="d-block">
                                                    @lang('Charge')
                                                </span>
                                                <h6 class="fw-md heading-clr t-heading-font sm-text m-0">
                                                    <span class="charge-amount-text"></span>
                                                    <span class="sending-currency"></span>
                                                </h6>
                                            </div>
                                       </div>
                                          <div class="col-md-4">
                                            <div class="d-flex align-items-center justify-content-between">
                                                <span class="d-block t-heading-font heading-clr sm-text">
                                                    @lang('Final Amount')
                                                </span>
                                                <h5 class="sm-text m-0">
                                                    <span class="final-amount-text"></span>
                                                    <span class="sending-currency"></span>
                                                </h5>
                                            </div>
                                      </div>
                                          <div class="col-md-4">
                                            <div class="d-flex align-items-center justify-content-between">
                                                <span class="d-block sm-text">
                                                    @lang('In '){{ __($general->cur_text) }}
                                                </span>
                                                <h5 class="text--base sm-text m-0">
                                                    <span class="base-amount-text"></span>
                                                    <span>{{ __($general->cur_text) }}</span>
                                                </h5>
                                            </div>
                                        </div>
                                    </ul>
                                </div>
                                    <hr>
                                <div class="mb-3 mt-4">
                                    <h5 class="">@lang('Payment Via')</h5>
                                    <div class="d-flex flex-wrap gap-3">
                                        <label for="walletBtn" class="btn-selected__label flex-grow-1" data-value="1">
                                            <input type="radio" name="payment_type" value="1" id="walletBtn" data-balance="{{ auth()->user()->balance }}" class="btn-selected__input walletPayment" required>
                                            <span class="btn-selected btn-selected--primary">
                                                <span class="btn-selected__icon">
                                                    <img src="{{ getImage($activeTemplateTrue . 'images/wallet-icon.png') }}" alt="" class="mr-2" height="35px" style="
    height: 35px !important;
">
                                                </span>
                                                <span class="btn-selected__text ">
                                                    {{ __($general->cur_text) }} @lang('Wallet')
                                                </span>
                                            </span>
                                        </label>
                                       
                                    </div>
                                    <small class="text-danger insufficientBalanceError d-none">@lang('You don\'t have sufficient balance. Your current balance is') {{ showAmount(auth()->user()->balance) }} {{ $general->cur_text }}</small>
                                </div>

                                <div class="col-12">
                                    <button type="submit" class="btn btn-primary btn-sm formSubmitButton">@lang('Continue')</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </section>
@endsection
@push('script')
    <script>
        (function($) {
            "use strict";
            
            $('#select_id').on('change', function()
{
    var type = this.value;
    if(type == "agent"){
        $("#recipient_bank").val('Agent Collection');
        $("#recipient_account").val('Agent Collection');
        $("#recipient_routing").val('Agent Collection');
        $("#recipient_additional").val('Agent Collection');
        
        $("#recipient_bank").prop('readonly', true);
        $("#recipient_account").prop('readonly', true);
        $("#recipient_routing").prop('readonly', true);
        $("#recipient_additional").prop('readonly', true);
        
        
        
    }
     if(type == "banktransfer"){
         $("#recipient_bank").prop('readonly', false);
        $("#recipient_account").prop('readonly', false);
        $("#recipient_routing").prop('readonly', false);
        $("#recipient_additional").prop('readonly', false);
         $("#recipient_bank").val('');
        $("#recipient_account").val('');
        $("#recipient_routing").val('');
        $("#recipient_additional").val('');
    }
    
});
            
            let sender = $('.sending-parent').find('select');
            let receiver = $('.recipient-parent').find('select');

            let sendingAmount = `{{ $sendingAmount }}`;
            let recipientAmount = `{{ $recipientAmount }}`;

            var sendingCountry = sender.find(":selected");
            var recipientCountry = receiver.find(":selected");
            let displayError = false;
            let senderInput = false;
            let recipientInput = false;

            let charge = 0;
            var finalAmount = 0;
            var baseCurrencyAmount = 0;

            resetValues();
            seDialCode();

            function seDialCode() {
                console.log(receiver.find(':selected'));
                $('.dial-code').text('+' + receiver.find(':selected').data('dial_code'))
            }

            displayError = true;

            sender.on('change', function() {
                sendingCountry = $(this).find(":selected");
                resetValues();
            });

            receiver.on('change', function() {
                seDialCode();
                recipientCountry = $(this).find(":selected");
                resetValues();
            });

            $(".sending-amount").on('input', function() {
                sendingAmount = $(this).val();
                recipientAmount = 0;
                senderInput = true;
                recipientInput = false;
                resetValues();
            });

            $(".recipient-amount").on('input', function() {
                recipientAmount = $(this).val();
                sendingAmount = 0;
                senderInput = false;
                recipientInput = true;
                resetValues();
            });

            function getCharge() {
                var fixedCharge = recipientCountry.data('fixed_charge');
                var percentCharge = recipientCountry.data('percent_charge');

                var sendingRate = sendingCountry.data('rate');
                var recipientRate = recipientCountry.data('rate');
                var conversionRate = recipientRate / sendingRate;

                if (sendingAmount) {
                    recipientAmount = (conversionRate * sendingAmount).toFixed(2);
                } else if (recipientAmount) {
                    sendingAmount = (recipientAmount / conversionRate).toFixed(2);
                } else {
                    sendingAmount = 0;
                    recipientAmount = 0;
                    return 0
                }
                return (((fixedCharge * 1) + ((recipientAmount * percentCharge) / 100)) * (sendingRate / recipientRate)).toFixed(2);
            }

            function resetValues() {
                charge = getCharge() * 1;
                finalAmount = charge + parseFloat(sendingAmount);
                baseCurrencyAmount = finalAmount / sendingCountry.data('rate');
                updateDom();

                if (!sendingAmount && !recipientAmount) {
                    $('.sending-amount').val('');
                    $('.recipient-amount').val('');

                    if (displayError) {
                        showError();
                    }

                    sendingAmount = 0;
                    recipientAmount = 0;
                }
            }

            function updateDom() {
                $('.error-section').addClass('d-none');
                if (recipientInput) {
                    $('.sending-amount').val(sendingAmount ? sendingAmount : null);
                } else if (senderInput) {
                    $('.recipient-amount').val(recipientAmount ? recipientAmount : null);
                }
                $('.sending-currency').text(sendingCountry.data('currency'));
                $('.recipient-currency').text(recipientCountry.data('currency'));
                $('.charge-amount-text').text(charge);
                $('.base-amount-text').text(baseCurrencyAmount.toFixed(2));
                $('.final-amount-text').text(finalAmount.toFixed(2));
            }

            function showError() {
                $('.error-text').text('Please Enter an amount');
                $('.error-section').removeClass('d-none');
            }

            disableSelectedCountry();

            $('.sending-currency').text(sender.find(":selected").data('currency'));
            $('.recipient-currency').text(receiver.find(":selected").data('currency'));

            function disableSelectedCountry() {
                sender.find(':disabled').removeAttr('disabled')
                receiver.find(':disabled').removeAttr('disabled')
                let selectedSenderID = sender.find(':selected').data('id');
                let selectedReceiverID = receiver.find(':selected').data('id');
                sender.find(`[data-id=${selectedReceiverID}]`).attr('disabled', 'disabled');
                receiver.find(`[data-id=${selectedSenderID}]`).attr('disabled', 'disabled');
            }

            // Change Flags on load
            function formatState(state) {
                if (!state.id) return state.text;
                return $('<img  src="' + $(state.element).data('image') + '"/> <span >' + state.text + '</span>');
            }

            $('.country-picker').select2({
                templateResult: formatState
            });

            $('.country-picker').on('change', function() {
                disableSelectedCountry();
                changeSelectedCountryFlag();
            });

            // Change Flags on load
            changeSelectedCountryFlag();

            function changeSelectedCountryFlag() {
                $('.sending-parent .select2-selection__rendered').html(flagImageHtml(sender.find(':selected')));
                $('.recipient-parent .select2-selection__rendered').html(flagImageHtml(receiver.find(':selected')));
            }

            function flagImageHtml(data) {
                return `<img style="height:15px !important;width:15px !important;" class="exchange-form__flags" src="${data.data('image')}" class="state-flags"/> ${data.text()}`
            }

            $('.walletPayment').on('click', function() {
                var balance = $(this).data('balance');
                console.log(balance);
                var finalAmount = parseInt($('.final-amount-text').text());
                if (finalAmount > balance) {
                    $('.insufficientBalanceError').removeClass('d-none').fadeIn();
                } else {
                    $('.insufficientBalanceError').fadeOut().addClass('d-none');
                }
            });
            $('.directPayment').on('click', function() {
                $('.insufficientBalanceError').fadeOut().addClass('d-none');
            });
            $('.formSubmitButton').on('click', function() {
                var paymentType = $('[name=payment_type]:checked').val();
                console.log(paymentType);
                if (!paymentType) {
                    notify('error', 'Please select a payment type')
                }
            });

        })(jQuery);
    </script>
@endpush
@push('style')
    <style>
        .exchange-form {
            box-shadow: none;
        }

        .select2-container--default .select2-results__option[aria-disabled=true] {
            display: none;
        }
    </style>
@endpush
