@extends($activeTemplate.'layouts.master')

@section('content')
 <!-- breadcrumb start -->
    <div class="breadcrumb-section">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="page-title">
                        <h2>Support Tickets</h2>
                    </div>
                </div>
                <div class="col-sm-6">
                    <nav aria-label="breadcrumb" class="theme-breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Tickets</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </div>
    <!-- breadcrumb End -->
<div class="container mt-4">
    <div class="row justify-content-center mt-2">
        <div class="col-md-12">
           <div class="table-responsive-sm">
 <table class="table mb-0 order-table-vendor">
                    <thead>
                        <tr>
                            <th>@lang('Subject')</th>
                            <th>@lang('Status')</th>
                            <th>@lang('Priority')</th>
                            <th>@lang('Last Reply')</th>
                            <th>@lang('Action')</th>
                        </tr>
                    </thead>
                        <tbody>
                            @foreach($supports as $key => $support)
                                <tr>
                                    <td data-label="@lang('Subject')"> <a href="{{ route('ticket.view', $support->ticket) }}" class="font-weight-bold text--base"> [@lang('Ticket')#{{ $support->ticket }}] {{ __($support->subject) }} </a></td>
                                    <td data-label="@lang('Status')">
                                        @if($support->status == 0)
                                            <span class="text-danger">@lang('Open')</span>
                                        @elseif($support->status == 1)
                                            <span class="text-primary">@lang('Answered')</span>
                                        @elseif($support->status == 2)
                                            <span class="text-info">@lang('Customer Reply')</span>
                                        @elseif($support->status == 3)
                                            <span class="text-success">@lang('Closed')</span>
                                        @endif
                                    </td>
                                    <td data-label="@lang('Priority')">
                                        @if($support->priority == 1)
                                            <span class="text-info">@lang('Low')</span>
                                        @elseif($support->priority == 2)
                                            <span class="text-primary">@lang('Medium')</span>
                                        @elseif($support->priority == 3)
                                            <span class="text-danger">@lang('High')</span>
                                        @endif
                                    </td>
                                    <td data-label="@lang('Last Reply')">{{ \Carbon\Carbon::parse($support->last_reply)->diffForHumans() }} </td>

                                    <td data-label="@lang('Action')">
                                        <a href="{{ route('ticket.view', $support->ticket) }}" class="bg--primary btn-sm">
                                            <i class="fa fa-desktop"></i>
                                        </a>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                    {{$supports->links()}}
                </div>
            </div>
        </div>
    </div>
@endsection
