@extends($extends)

@section('content')
 <!-- breadcrumb start -->
    <div class="breadcrumb-section">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="page-title">
                        <h2>Ticket Details</h2>
                    </div>
                </div>
                <div class="col-sm-6">
                    <nav aria-label="breadcrumb" class="theme-breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Ticket Details</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </div>
    <!-- breadcrumb End -->

<div class="container {{ Auth::user() ? '' : 'pt-80 pb-80' }} mt-4">
    <div class="">
        <div class="message__chatbox__header">
            <h5 class="title">
                @if($my_ticket->status == 0)
                    <span class="text-danger">@lang('Open')</span>
                @elseif($my_ticket->status == 1)
                    <span class="text-primary">@lang('Answered')</span>
                @elseif($my_ticket->status == 2)
                    <span class="text-info">@lang('Replied')</span>
                @elseif($my_ticket->status == 3)
                    <span class="text-success">@lang('Closed')</span>
                @endif
                <span class="text--base">#{{ $my_ticket->ticket }}</span>
            </h5>
            @if($my_ticket->status != 3)
                <a href="#0" class="btn btn-primary mb-2" data-bs-toggle="modal" data-bs-target="#DelModal">@lang('Close')</a>
            @endif
        </div>
        <div class="message__chatbox__body">
            <form class="message__chatbox__form row" method="post" action="{{ route('ticket.reply', $my_ticket->id) }}" enctype="multipart/form-data">
                @csrf
                <input type="hidden" name="replayTicket" value="1">
                <div class="form--group col-sm-12">
                    <textarea class="form-control form--control" name="message"></textarea>
                </div>
                <div class="form--group col-sm-12">
                    <div class="d-flex">
                        <div class="left-group col p-0">
                            <label for="file" class="form--label">@lang('Attachments')</label>
                            <input type="file" class="overflow-hidden form-control form--control mb-2" name="attachments[]" id="inputAttachments">
                            <span class="info fs--14">
                                @lang('Allowed File Extensions'): .@lang('jpg'), .@lang('jpeg'), .@lang('png'), .@lang('pdf'), .@lang('doc'), .@lang('docx')
                            </span>
                        </div>
                        <div class="add-area">
                            <label class="form--label d-block">&nbsp;</label>
                            <button class="btn btn-primary form--control ms-2 ms-md-4 addFile" type="button"><i class="las la-plus"></i></button>
                        </div>
                    </div>
                </div>

                <div id="fileUploadsContainer"></div>

                <div class="form--group col-sm-12 mt-2 mb-0">
                    <button type="submit" class="btn btn-primary">@lang('Reply')</button>
                </div>
            </form>
        </div>
    </div>

    <div class="mt-5">
        <div class="order-table table-responsive-sm">
                        <table class="table mb-0 table-striped table-borderless">
                            <thead class="">
                                
                                <tr>
                                    <th scope="col">Date</th>
                                    <th scope="col">name</th>
                                    <th scope="col">Message</th>
                                    <th scope="col">Attachment</th>
                                </tr>
                            </thead>
                            <tbody>
                                  @foreach($messages as $message)
                        @if($message->admin_id == 0)
                                <tr>
                                    <td>{{ $message->created_at->format('l, dS F Y @ H:i') }}</td>
                                    <td>{{ $message->ticket->name }}</td>
                                    <td>{{$message->message}}</td>
                                    @if($message->attachments()->count() > 0)
                                    <td><div class="mt-2">
                                                @foreach($message->attachments as $k=> $image)
                                                    <a href="{{route('ticket.download',encrypt($image->id))}}" class="mr-3"><i class="fa fa-file"></i>  @lang('Attachment') {{++$k}} </a>
                                                @endforeach</td>
                                    @endif
                                </tr>
                                 @else
                                 <tr>
                                     <td>{{ $message->created_at->format('l, dS F Y @ H:i') }}</td>
                                    <td>{{ $message->admin->name }}</td>
                                    <td>{{$message->message}}</td>
                                    @if($message->attachments()->count() > 0)
                                    <td><div class="mt-2">
                                                @foreach($message->attachments as $k=> $image)
                                                    <a href="{{route('ticket.download',encrypt($image->id))}}" class="mr-3"><i class="fa fa-file"></i>  @lang('Attachment') {{++$k}} </a>
                                                @endforeach</td>
                                    @endif
                                 </tr>
                                
                            @endif
                    @endforeach     
                            </tbody>
                        </table>
                    </div>
        
<!--        <div class="message__chatbox__header">
            <h5 class="title">@lang('Conversation')</h5>
        </div>
        <div class="message__chatbox__body">
            <ul class="reply-message-area">
                <li>
                    @foreach($messages as $message)
                        @if($message->admin_id == 0)
                            <li>
                                <div class="reply-item">
                                    <div class="name-area">
                                        <h6 class="title">{{ $message->ticket->name }}</h6>
                                    </div>
                                    <div class="content-area">
                                        <span class="meta-date">
                                            @lang('Posted on') <span class="cl-theme">{{ $message->created_at->format('l, dS F Y @ H:i') }}</span>
                                        </span>
                                        <p>{{$message->message}}</p>
                                        @if($message->attachments()->count() > 0)
                                            <div class="mt-2">
                                                @foreach($message->attachments as $k=> $image)
                                                    <a href="{{route('ticket.download',encrypt($image->id))}}" class="mr-3"><i class="fa fa-file"></i>  @lang('Attachment') {{++$k}} </a>
                                                @endforeach
                                            </div>
                                        @endif
                                    </div>
                                </div>
                            </li>
                        @else
                            <ul>
                                <li>
                                    <div class="reply-item">
                                        <div class="name-area">
                                            <h6 class="title">{{ $message->admin->name }}</h6>
                                        </div>
                                        <div class="content-area">
                                            <span class="meta-date">
                                                @lang('Posted on'), <span class="cl-theme">{{ $message->created_at->format('l, dS F Y @ H:i') }}</span>
                                            </span>
                                            <p>{{$message->message}}</p>
                                            @if($message->attachments()->count() > 0)
                                                <div class="mt-2">
                                                    @foreach($message->attachments as $k=> $image)
                                                        <a href="{{route('ticket.download',encrypt($image->id))}}" class="mr-3"><i class="fa fa-file"></i>  @lang('Attachment') {{++$k}} </a>
                                                    @endforeach
                                                </div>
                                            @endif
                                        </div>
                                    </div>
                                </li>
                            </ul>
                        @endif
                    @endforeach
                </li>
            </ul>
        </div>-->
    </div>
</div>

<div class="modal fade cmn--modal" id="DelModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <form method="post" action="{{ route('ticket.reply', $my_ticket->id) }}">
                @csrf
                <input type="hidden" name="replayTicket" value="2">
                <div class="modal-header">
                    <h5 class="modal-title"> @lang('Confirmation')!</h5>
                    <button type="button" class="btn-close" data-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <strong >@lang('Are you sure you want to close this support ticket')?</strong>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn--md btn--danger" data-dismiss="modal">@lang('Close')</button>
                    <button type="submit" class="btn btn-primary">@lang("Confirm")
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection

@push('script')
    <script>
        (function ($) {
            "use strict";
            $('.delete-message').on('click', function (e) {
                $('.message_id').val($(this).data('id'));
            });

            $('.addFile').on('click',function(){
                $("#fileUploadsContainer").append(
                    `<div class="form--group col-sm-12">
                    <div class="d-flex">
                        <div class="left-group col p-0">
                            <input type="file" class="overflow-hidden form-control form--control mb-2" name="attachments[]" id="inputAttachments">
                        </div>
                        <div class="add-area">
                            <button class="btn btn-primary btn--sm bg-danger form--control ms-2 ms-md-4 remove-btn" type="button"><i class="las la-times"></i></button>
                        </div>
                    </div>
                </div>`
                )
            });

            $(document).on('click','.remove-btn',function(){
                $(this).closest('.form--group').remove();
            });
        })(jQuery);

    </script>
@endpush
