@extends($activeTemplate.'layouts.auth_master')
@php
$carddesign = getContent('carddesign.content', true);
@endphp
@section('content')
<style>
  @import url("https://fonts.googleapis.com/css?family=Space+Mono:400,400i,700,700i");


  .title {
    margin-bottom: 30px;
    color: #162969;
  }

  .cards {
    width: 320px;
    height: 190px;
    -webkit-perspective: 600px;
    -moz-perspective: 600px;
    perspective: 600px;
  }
</style>

<style>
  .cards__part {
    box-shadow: 1px 1px #aaa3a3;
    top: 0;
    position: absolute;
    z-index: 1000;
    left: 0;
    display: inline-block;
    width: 320px;
    height: 190px;
    background-image: url("{{ getImage('assets/images/frontend/carddesign/' .@$carddesign->data_values->mastercarddesign, '527x350') }}"),
    linear-gradient(to right bottom,
      #fd696b,
      #fa616e,
      #f65871,
      #f15075,
      #ec4879);
    /*linear-gradient(to right bottom, #fd8369, #fc7870, #f96e78, #f56581, #ee5d8a)*/
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    border-radius: 8px;

    -webkit-transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    -moz-transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    -ms-transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    -o-transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    -webkit-transform-style: preserve-3d;
    -moz-transform-style: preserve-3d;
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
  }
</style>
<style>
  .cards__front {
    padding: 18px;
    -webkit-transform: rotateY(0);
    -moz-transform: rotateY(0);
  }

  .cards__back {
    padding: 18px 0;
    -webkit-transform: rotateY(-180deg);
    -moz-transform: rotateY(-180deg);
  }

  .cards__black-line {
    margin-top: 5px;
    height: 38px;
    background-color: transparent;
  }

  .cards__logo {
    height: 16px;
  }

  .cards__front-logo {
    position: absolute;
    top: 18px;
    right: 18px;
  }

  .cards__square {
    border-radius: 5px;
    height: 30px;
  }

  .cards_numer {
    display: block;
    width: 100%;
    word-spacing: 4px;
    font-size: 20px;
    letter-spacing: 2px;
    color: #fff;
    text-align: center;
    margin-bottom: 20px;
    margin-top: 20px;
  }

  .cards__space-75 {
    width: 75%;
    float: left;
  }

  .cards__space-25 {
    width: 25%;
    float: left;
  }

  .cards__label {
    font-size: 10px;
    text-transform: uppercase;
    color: rgba(255, 255, 255, 0.8);
    letter-spacing: 1px;
  }

  .cards__info {
    margin-bottom: 0;
    margin-top: 5px;
    font-size: 16px;
    line-height: 18px;
    color: #fff;
    letter-spacing: 1px;
    text-transform: uppercase;
  }

  .cards__back-content {
    padding: 15px 15px 0;
  }

  .cards__secret--last {
    color: #303030;
    text-align: right;
    margin: 0;
    font-size: 14px;
  }

  .cards__secret {
    padding: 5px 12px;

    position: relative;
  }

  .cards__secret:before {
    content: "";
    position: absolute;
    top: -3px;
    left: -3px;
    height: calc(100% + 6px);
    width: calc(100% - 42px);
    border-radius: 4px;
    background: repeating-linear-gradient(45deg,
        #ededed,
        #ededed 5px,
        #f9f9f9 5px,
        #f9f9f9 10px);
  }

  .cards__back-logo {
    position: absolute;
    bottom: 15px;
    right: 15px;
  }

  .cards__back-square {
    position: absolute;
    bottom: 15px;
    left: 15px;
  }

  .cards:hover .cards__front {
    -webkit-transform: rotateY(180deg);
    -moz-transform: rotateY(180deg);
  }

  .cards:hover .cards__back {
    -webkit-transform: rotateY(0deg);
    -moz-transform: rotateY(0deg);
  }
</style>
<div class="container main-container" id="main-container">
  <div class="card mb-4">
    <div class="card-header">
      <div class="row">
        <div class="col-12 col-sm">
          <h5 class="card-title">MasterCard Virtual Cards</h5>
        </div>

      </div>
    </div>

    <script src="https://secure.weavr.io/app/secure/static/client.1.js"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>

    <script type="text/javascript">
      window.OpcUxSecureClient.init('<?php echo $cards->uikey; ?>');


      window.OpcUxSecureClient.associate('Bearer <?php echo $cards->weavrtoken; ?>',
        function() {
          console.log('associate success');


          var span = window.OpcUxSecureClient.span("cardNumber", "<?php echo $cards->balance->response->cardNumber->value; ?>", {
              style: {
                fontSize: '25px',
                color: 'white'
              }
            }

          );


          span.mount(document.getElementById('cardNumber'));
          var span = window.OpcUxSecureClient.span("cvv", "<?php echo $cards->balance->response->cvv->value; ?>", {
              style: {
                fontSize: '16px',
                color: 'black'
              }
            }

          );


          span.mount(document.getElementById('cvv'));
        },
        function(e) {
          console.error('associate failed ' + e);
        }
      );
    </script>
    <div class="row mt-4 mb-4" style="clear:both">
      <div class="col-xl-4 col-md-6  m-4">

        <div class="cards">
          <div class="cards__front cards__part">

            <p class="cards_numer"><span id="cardNumber"></span></p>
            <div class="cards__space-75">
              <span class="cards__label">Card holder</span>
              <p class="cards__info">{{ $cards->balance->response->nameOnCard}}</p>
            </div>
            <div class="cards__space-25">
              <span class="cards__label">Expires</span>
              <p class="cards__info">{{ $cards->balance->response->expiryMmyy}}</p>
            </div>
          </div>

          <div class="cards__back cards__part">
            <div class="cards__black-line"></div>
            <div class="cards__back-content">
              <div class="cards__secret">
                <p class="cards__secret--last"><span id="cvv"></span></p>
              </div>



            </div>
          </div>

        </div>


      </div>
      <div class=" col-xl-6 mt-4">

        <div class="card text-black-50">
          <ul class="list-group list-group-flush">
            <?php if ($cards->balance->response->state->state == "ACTIVE") { ?>
              <li class="list-group-item d-flex justify-content-between"><span class="mb-0">@lang('Status') :</span><strong>@lang('Active')</strong></li>
            <?php } else { ?>
              <li class="list-group-item d-flex justify-content-between"><span class="mb-0">@lang('Status') :</span><strong>@lang('Blocked')</strong></li>
            <?php } ?>
            <li class="list-group-item d-flex justify-content-between"><span class="mb-0">@lang('Network') :</span><strong>{{ __(@$cards->balance->response->cardBrand) }}</strong></li>

            <li class="list-group-item d-flex justify-content-between"><span class="mb-0">@lang('Total Balance') :</span><strong><?php echo $cards->balance->response->currency; ?> {{ showAmount($cards->balance->response->balances->availableBalance / 100) }}</strong></li>

          </ul>
          <div class="row m-2">



            <div class="">

              <?php if ($cards->balance->response->state->state == "ACTIVE") { ?>
                <div class="col-md-12">
                  <form method="POST" action="{{ route('user.debit.visalivitpayfund')}}">
                    @csrf
                    <div class="row">
                      <div class="form-group col-md-6">
                        <label class="mb-1 text-black" for="secret"><strong>Enter Amount</strong><span class="text-danger">*</span> </label>
                        <input class="form-control" type="number" step="0.01" name="amount" id="amount" required>
                      </div>

                      <div class="form-group  col-md-6">
                        <div class="text-center mt-4">
                          <button type="submit" class="btn btn-primary"> Fund</button>
                        </div>
                      </div>
                    </div>
                    <p class="text-danger">* {{ $general->visa_loadfee }}% @lang('load fee applicable. Fund request are sent to admin and may take 24-48hours to reflect on your cards balance').</p>
                      
                  </form>
                </div>
              <?php } else { ?>

              <?php } ?>
            </div>


          </div>
        </div>
      </div>


    </div>
</div>

        <div class="card mt-4">
          <div class="card-header">
            <h5 class="card-title">@lang('Card Transaction History')</h5>
          </div>



          <div class="card-body">

            <div class="table-responsive">
            <table class="table mx-0 datatable2" id="datatable2">
                <thead class="">
                  <tr>
                    <th class="desktop tablet mobile" data-priority="2" >@lang('Type')</th>
                    <th class="desktop tablet mobile" data-priority="2" >@lang('Description')</th>

                    <th class="desktop tablet mobile" data-priority="2" >@lang('Amount')</th>
                    <th class="desktop tablet mobile" data-priority="2" >@lang('Trans ID')</th>
                    <th class="desktop tablet " data-priority="2" >@lang('Status')</th>
                  </tr>
                </thead>
                <tbody>

                  <?php
                  if (isset($cards->statement->response->entry)) {
                    foreach ($cards->statement->response->entry as $t) {
                       // print_r(json_encode($cards->statement->response->entry));
                       // exit;
                      //print_r("---------</br>");
                      $amount = $t->transactionAmount->amount / 100;
                      $currency = $t->transactionAmount->currency;
                      $dates = $t->processedTimestamp / 1000;
                      $date = date('F j, Y h:m:i', $dates);
                      $transactionid = $t->transactionId->id;
                      $type = $t->entryState;
                      $typep = $t->transactionId->type;
                      if (isset($t->additionalFields->forexFeeAmount)) {
                        $exchangeRate = isset($t->additionalFields->exchangeRate) ? $t->additionalFields->exchangeRate : 0;
                        $forexFeeAmount = isset($t->additionalFields->forexFeeAmount) / 100 ? $t->additionalFields->forexFeeAmount / 100 : 0;
                      }
                      $merchant = isset($t->additionalFields->merchantName) ? $t->additionalFields->merchantName : null;
                      $source = isset($t->additionalFields->sourceInstrumentFriendlyName) ? $t->additionalFields->sourceInstrumentFriendlyName : null;
                      $created_at_time = $date;
                  ?>
                      <tr style="border-top:1px solid grey; margin-bottom:15px;">
                        <td>
                          <?php if ($amount > 0) { ?>
                            <svg width="35" height="35" viewBox="0 0 63 63" fill="none" xmlns="http://www.w3.org/2000/svg">
                              <rect x="1.00002" y="1" width="61" height="61" rx="29" stroke="#2BC155" stroke-width="2" />
                              <g clip-path="url(#clip0)">
                                <path d="M35.2219 42.9875C34.8938 42.3094 35.1836 41.4891 35.8617 41.1609C37.7484 40.2531 39.3453 38.8422 40.4828 37.0758C41.6477 35.2656 42.2656 33.1656 42.2656 31C42.2656 24.7875 37.2125 19.7344 31 19.7344C24.7875 19.7344 19.7344 24.7875 19.7344 31C19.7344 33.1656 20.3523 35.2656 21.5117 37.0813C22.6437 38.8477 24.2461 40.2586 26.1328 41.1664C26.8109 41.4945 27.1008 42.3094 26.7727 42.993C26.4445 43.6711 25.6297 43.9609 24.9461 43.6328C22.6 42.5063 20.6148 40.7563 19.2094 38.5578C17.7656 36.3047 17 33.6906 17 31C17 27.2594 18.4547 23.743 21.1016 21.1016C23.743 18.4547 27.2594 17 31 17C34.7406 17 38.257 18.4547 40.8984 21.1016C43.5453 23.7484 45 27.2594 45 31C45 33.6906 44.2344 36.3047 42.7852 38.5578C41.3742 40.7508 39.3891 42.5063 37.0484 43.6328C36.3648 43.9555 35.55 43.6711 35.2219 42.9875Z" fill="#2BC155" />
                                <path d="M36.3211 31.7274C36.5891 31.9953 36.7203 32.3453 36.7203 32.6953C36.7203 33.0453 36.5891 33.3953 36.3211 33.6633L32.8812 37.1031C32.3781 37.6063 31.7109 37.8797 31.0055 37.8797C30.3 37.8797 29.6273 37.6008 29.1297 37.1031L25.6898 33.6633C25.1539 33.1274 25.1539 32.2633 25.6898 31.7274C26.2258 31.1914 27.0898 31.1914 27.6258 31.7274L29.6437 33.7453L29.6437 25.9742C29.6437 25.2196 30.2562 24.6071 31.0109 24.6071C31.7656 24.6071 32.3781 25.2196 32.3781 25.9742L32.3781 33.7508L34.3961 31.7328C34.9211 31.1969 35.7852 31.1969 36.3211 31.7274Z" fill="#2BC155" />
                              </g>
                              <defs>
                                <clipPath id="clip0">
                                  <rect width="28" height="28" fill="white" transform="matrix(-4.37114e-08 1 1 4.37114e-08 17 17)" />
                                </clipPath>
                              </defs>
                            </svg>
                          <?php } else { ?>
                            <svg width="35" height="35" viewBox="0 0 63 63" fill="none" xmlns="http://www.w3.org/2000/svg">
                              <rect x="1" y="1" width="61" height="61" rx="29" stroke="#FF2E2E" stroke-width="2" />
                              <g clip-path="url(#clip1)">
                                <path d="M35.2219 19.0125C34.8937 19.6906 35.1836 20.5109 35.8617 20.8391C37.7484 21.7469 39.3453 23.1578 40.4828 24.9242C41.6476 26.7344 42.2656 28.8344 42.2656 31C42.2656 37.2125 37.2125 42.2656 31 42.2656C24.7875 42.2656 19.7344 37.2125 19.7344 31C19.7344 28.8344 20.3523 26.7344 21.5117 24.9187C22.6437 23.1523 24.2461 21.7414 26.1328 20.8336C26.8109 20.5055 27.1008 19.6906 26.7726 19.007C26.4445 18.3289 25.6297 18.0391 24.9461 18.3672C22.6 19.4937 20.6148 21.2437 19.2094 23.4422C17.7656 25.6953 17 28.3094 17 31C17 34.7406 18.4547 38.257 21.1015 40.8984C23.743 43.5453 27.2594 45 31 45C34.7406 45 38.257 43.5453 40.8984 40.8984C43.5453 38.2516 45 34.7406 45 31C45 28.3094 44.2344 25.6953 42.7851 23.4422C41.3742 21.2492 39.389 19.4937 37.0484 18.3672C36.3648 18.0445 35.55 18.3289 35.2219 19.0125Z" fill="#FF2E2E" />
                                <path d="M36.3211 30.2726C36.589 30.0047 36.7203 29.6547 36.7203 29.3047C36.7203 28.9547 36.589 28.6047 36.3211 28.3367L32.8812 24.8969C32.3781 24.3937 31.7109 24.1203 31.0055 24.1203C30.3 24.1203 29.6273 24.3992 29.1297 24.8969L25.6898 28.3367C25.1539 28.8726 25.1539 29.7367 25.6898 30.2726C26.2258 30.8086 27.0898 30.8086 27.6258 30.2726L29.6437 28.2547L29.6437 36.0258C29.6437 36.7804 30.2562 37.3929 31.0109 37.3929C31.7656 37.3929 32.3781 36.7804 32.3781 36.0258L32.3781 28.2492L34.3961 30.2672C34.9211 30.8031 35.7851 30.8031 36.3211 30.2726Z" fill="#FF2E2E" />
                              </g>
                              <defs>
                                <clipPath id="clip1">
                                  <rect width="28" height="28" fill="white" transform="translate(17 45) rotate(-90)" />
                                </clipPath>
                              </defs>
                            </svg>
                          <?php } ?>
                        </td>
                        <td>

                          <h6 class="fs-16 font-w600 mb-0"><a href="#" class="text-black"><?php
                                                                                          if (!empty($merchant)) {
                                                                                            echo $merchant;
                                                                                          }
                                                                                          if (!empty($source) && $type != "TRANSFER") {
                                                                                            echo $source;
                                                                                          }
                                                                                          ?></a></h6>
                          <span><?php
                                if (!empty($typep)) {
                                  echo $typep . "</br>";
                                }
                                if (isset($t->additionalFields->exchangeRate)) {
                                  echo "Exchange Rate: " . $exchangeRate . " | ";
                                  echo "Forex Fee: " . $forexFeeAmount;
                                }
                                ?></span><br>
                          <span class="fs-14"><?php echo $created_at_time; ?></span>
                        </td>

                        <?php if ($amount > 0) { ?>
                          <td><span class="fs-16 text-green font-w500"><?php echo $currency; ?> <?php echo $amount; ?></span></td>
                        <?php } else { ?>
                          <td><span class="fs-16 text-red font-w500"><?php echo $currency; ?> <?php echo $amount; ?></span></td>
                        <?php } ?>
                        <td><span class="fs-16 font-w400 mb-0"><?php echo $transactionid; ?></span></td>
                        <td><span class="btn btn-rounded btn-primary"><?php echo ucfirst($type); ?></span></td>



                      </tr>

                    <?php }
                  } else { ?>

<td colspan="100%">No Data Found</td>
                  <?php } ?>

                </tbody>
              </table>
            </div>
          </div>

        </div>

  </div>

    @endsection
