@extends($activeTemplate.'layouts.auth_master')
@section('content')

<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">@lang('Virtual Phone Number Plans')</h5>
                </div>
            </div>
        </div>
<div class="container main-container" id="main-container">
    <div class="row justify-content-center mt-4">
        <div class="col-12 col-md-12 col-lg-7 col-xl-8">

            <div class="row text-center">
            @foreach($vnplans as $v)
            <div class="col-6 col-sm-4 col-md-4 col-lg-4 col-xl-4 mb-4">
                <div class="card shadow-sm selectable h-100" id="payselectable" data-id="{{$v->id}}" data-country="{{$v->country}}" data-name="{{$v->name}}"
                    data-price="{{$v->price}}" data-messages="{{$v->messages}}" data-addmessages="{{$v->addmessages}}">
                    <div class="card-body">
                        <div class="avatar mb-2 bg-white p-2">
                            <span class="fi fi-{{strtolower($v->country)}}" style="height:50px;width:50px;"></span>
                        </div>
 <div class="row justify-content-center">
                            <div class="border rounded border-white col-lg-2 col-md-3 col-sm-3 col-xs-3 p-2">
                                <i class="fa fa-commenting-o"></i>
                            </div>
                             @if($v->voice)
                             <div class="col-auto border rounded border-white col-lg-2 col-md-3 col-sm-3 col-xs-3 p-2">
                                <i class="fa fa-phone"></i>
                            </div>
                             @endif
                        </div>
                        <p>{{__($v->name)}}<br><small class="text-mute">{{ __($general->cur_text) }} {{$v->price}} / @lang('30days')</small><br>
                        <small class="text-mute">@lang('Incoming SMS') {{$v->messages}}</small><br>
                        <small class="text-mute">@lang('Addon') {{ __($general->cur_text) }} {{$v->addmessages}} / @lang('SMS')</small><br>
                        @if($v->voice)
                        <small class="text-mute">@lang('Call Forwarding') {{$v->voicecalls /60 }} Mins</small><br>
                        <small class="text-mute">@lang('Addon') {{ __($general->cur_text) }} {{$v->addvoicecalls}} / @lang('Minute')</small><br>
                        @endif
                        </p>
                       
                    </div>
                </div>
            </div>

            @endforeach
            <p class="p-4">All plans renew automatically and cannot be changed, change of plans would need change of number. You can cancel at anytime.</p>
            </div>
        </div>
        <div class="col-12 col-md-12 col-lg-5 col-xl-4">
            <form action="{{route('user.vpbuy')}}" method="post" onSubmit="return confirm('Plans renew automatically until cancelled');">
                @csrf

                <input type="hidden" name="id" id="id">
                <input type="hidden" name="country" id="country">

                <div class="card shadow-sm border-0 mb-3">
                    <div class="card-header">
                        <h5 class="text-center method-name"></h5>
                        <p class="text-center text-mute">Select Phone Number</p>
                    </div>
                    <div class="card-body">

                            <div class="col-12 mb-3">
                                <div class="form-group">
                                    <select class="form-control" name="msisdn" id="msisdn" required>
                                        <option value="" selected>Please Select</option>
                                    </select>
                                </div>
                            </div>

                            <div class="row text-center">
                                <div class="col-12">
                                    <button class="btn btn-primary">Confirm</button>
                                 </div>
                                 <p class="text-danger" id="error"></p>
                                 <p class="text-success" id="success"></p>
                            </div>
                    </div>
                </div>






            </form>
        </div>
    </div>
</div>
</div>
</div>
@endsection
@push('script')
<script>
    'use strict'
    $(document).ready(function() {
        $('.selectable').on('click', function() {
            $('.loader').toggle();
            $('#error').text('');
             $('#success').text('');
            var selected = $(this);
            var id = selected.data('id');
            var country = selected.data('country');
            $('#id').val(id);
            $('#country').val(country);
            $.ajax({
    url: "{{route('user.vpchoose')}}" ,
    data: {
        "country": country,

    },
    type: "GET",
    success: function(response) {
    $('#success').text('Numbers Available');
       $('#msisdn').html('<option value="" selected>Please Select</option>');
      $.each(response, function( key, value ) {

      $('#msisdn').append('<option value="'+ value.msisdn + '">'+ '+' + value.msisdn + '</option>');
      });

      $('.loader').toggle();
    },
    error: function(xhr) {
        $('#success').text('');
        $('#error').text('Sorry No Numbers Available');
        console.log(xhr);
         $('.loader').toggle();
    }
});

            $('.selectable').removeClass('active')
            selected.addClass('active')
        })
    });
</script>

@endpush
