@extends($activeTemplate.'layouts.auth_master')
@section('content')

<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">@lang('Manage Virtual Phone Numbers')</h5>
                </div>
            </div>
        </div>
        <div class="container pt-0 main-container" id="main-container">


            <div class="row mail-row-height mt-2 mb-2">
                <!-- Emails list  --->
                <div class="col-12 col-md-5 col-xl-5 px-0 scroll-y h-100">
                    <ul class="nav nav-tabs flex-column justify-content-center" role="tablist">

                        @foreach($vnplans as $v)
                        <li class="nav-item border-bottom mb-2">
                            <a class="nav-link" id="tab-{{ $v->msisdn }}" data-toggle="tab" href="#tabhome{{ $v->msisdn }}" role="tab" aria-controls="tabhome{{ $v->msisdn }}" aria-selected="false">
                                <div class="avatar avatar-50 mb-2">
                                    <span class="fi fi-{{strtolower($v->country)}}"></span>
                                </div>
                                +{{ $v->msisdn }}                               
                                <button class="btn text-white copy-address" data-clipboard-text="+{{$v->msisdn}}"><i class="las la-copy"></i></button>
                                
                            </a>
                            
                        </li>

                        @endforeach

                    </ul>
                </div>
                <!-- Emails list ends --->

                <!-- email content -->
                <div class="col h-100">
                    <div class="row">
                        <div class="col-12 mb-4  py-3">
                    <div class="tab-content">
                        <div class="tab-pane fade show active" id="tabhome" role="tabpanel" aria-labelledby="tab-active">
                            <div class='col-lg-12 mt-4 text-center'>
                                <p>Click on number to view SMS</p>
                            </div>
                        </div>
                        @foreach($vnplans as $v)
                        <div class="tab-pane fade show" id="tabhome{{ $v->msisdn }}" role="tabpanel" aria-labelledby="tab-{{ $v->msisdn }}">
                            <div class="card border-0" style="max-height:500px;min-height:500px;">
                                <div class="card-header ">
                                    <div class="row">
                                        <div class="col-auto align-self-center view-profile">
                                            <span class="counter-small bg-success"></span>
                                            <figure class="avatar avatar-40">

                                                <span class="fi fi-{{strtolower($v->country)}}"></span>
                                            </figure>
                                        </div>
                                        <div class="col pl-0 view-profile">
                                            <p class="mb-1"><span>+{{ $v->msisdn }}</span>
                                                <small class="text-template-primary-light "><span class="status online"></span>{{ $v->plan->name }}</small>
                                            </p>
                                            <p class="small text-mute">Expiry: {{ $v->created_at->diffForHumans() }}</p>
                                        </div>
                                        <div class=" col-auto">
                                            <div class="">
                                                <a class="btn btn-sm btn-link" href="">
                                                    <i class="fa fa-refresh"></i>
                                                </a>
                                                <button class="btn dropdown-toggle btn-sm btn-link" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                    <i class="fa fa-ellipsis-h"></i>
                                                </button>
                                                <div class="dropdown-menu dropdown-menu-right">
                                                    <a href="" class="dropdown-item">Refresh</a>
                                                    <a href="{{route('user.vprenew',$v->msisdn)}}" class="dropdown-item">Renew</a>
                                                    <a href="{{route('user.vpcancel',$v->msisdn)}}" class="dropdown-item text-danger">Cancel</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <div class="card-body scroll-y bg-template-opacity chat-window-screen" style="overflow:scroll;">
                                <h5 class="title">@lang('Received SMS')</h5>
                            <div class="chat-list">
                                @foreach($sms as $s)
                                @if($s->tonumber == $v->msisdn)
                                <div class="row left-chat mb-2">
                                    <div class="col-auto">

                                    </div>
                                    <div class="col pl-0">
                                        <div class="chat-block">
                                            <div class="row">
                                                <div class="col">
                                                    <h6>From: {{$s->fromnumber}}</h6>
                                                    <small>Message: </small>{!! $s->text !!}
                                                    <p class="text-mute small mt-2"> {{ showDateTime($s->created_at, 'h:i A - d M Y ') }}</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                @endif

                                @endforeach
                            </div>
                        </div>
                                @if($v->voice == true)
                                <div class="card-footer bg-template-opacity mt-4">
                                    <form class="" action="{{route('user.callforward')}}" method="POST">
                                        @csrf
                                        <input type="hidden" name="id" value="{{$v->msisdn}}">
                                        <input type="hidden" name="country" value="{{$v->country}}">
                                        <div class="form-group">
                        <label for="firstname">Call Forwarding Number: (International Format +12051232212)</label>
                        <input id="voicenumber" type="text" class="form-control" name="voicenumber" value="{{$v->voicenumber}}" required placeholder="Enter No +12051232212">
                    </div>
                                        <div class="text-left mb-4 col-12 col-lg-12">
                <button type="submit" class="btn btn-primary">Forward <i class="material-icons md-18">arrow_forward</i></button>
            </div>
                                    </form>
                                </div>
                                @endif
                    </div>


                        </div>
                        @endforeach


                    </div>
                </div>
            </div>
                </div>
                <!-- email content ends -->

            </div>

        </div>

</div>
</div>
@endsection
@push('script-lib')
<script src="{{asset($activeTemplateTrue.'vendor/swiper/js/swiper.min.js')}}"></script>
<script src="{{asset($activeTemplateTrue.'js/clipboard.min.js')}}"></script>
@endpush

@push('script')
<script>


    (function($) {
        "use strict";

        $('.copy-address').on('click', function() {
            var clipboard = new ClipboardJS('.copy-address');
            notify('success', 'Copied : ' + $(this).data('clipboard-text'))
        })
    })(jQuery);
</script>
@endpush
