@extends($activeTemplate.'layouts.frontend')

@php
    $contact = getContent('contact_us.content', true);
@endphp

@section('content')

   <section class="blog-page-one">
            <div class="container">
                <div class="row">
               
                <div class="col-lg-7 map">
                                     <form class="contact-form theme-form" method="post" action="">
                        @csrf
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label for="name" class="form--label">@lang('Name')</label>
                                <input name="name" id="name" type="text" class="form--control form-control" value="@if(auth()->user()) {{ auth()->user()->fullname }} @else {{ old('name') }} @endif" @if(auth()->user()) readonly @endif required>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label for="email" class="form--label">@lang('Email')</label>
                                <input name="email" id="email" type="text" class="form-control form--control" value="@if(auth()->user()) {{ auth()->user()->email }} @else {{old('email')}} @endif" @if(auth()->user()) readonly @endif required>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label for="subject" class="form--label">@lang('Subject')</label>
                                <input name="subject" id="subject" type="text" class="form-control form--control" value="{{old('subject')}}" required>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label for="message" class="form--label">@lang('Message')</label>
                                <textarea name="message" id="message" wrap="off" class="form-control form--control">{{old('message')}}</textarea>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group m-0 pt-3">
                                <button type="submit" class="btn btn-primary">@lang('Send Message')</button>
                            </div>
                        </div>
                    </form>
                </div>
              <div class="col-lg-5">
                 <div class="maps rounded"></div>
                 </div>
            </div>
    
        </div>
    </section>
<!-- Contact Section Starts Here -->

<!-- Contact Section Ends Here -->


@endsection

@push('script')
<script src="https://maps.google.com/maps/api/js?key=AIzaSyCo_pcAdFNbTDCAvMwAD19oRTuEmb9M50c"></script>
<script src="{{ asset($activeTemplateTrue.'js/map.js') }}"></script>

<script>

    "use strict";

    var mapOptions = {
        center: new google.maps.LatLng({{ @$contact->data_values->map_latitude }}, {{ @$contact->data_values->map_longitude }}),
        zoom: 10,
        styles: styleArray,
        scrollwheel: false,
        backgroundColor: '#e5ecff',
        mapTypeControl: false,
        mapTypeId: google.maps.MapTypeId.ROADMAP
    };

    var map = new google.maps.Map(document.getElementsByClassName("maps")[0],
        mapOptions);
        var myLatlng = new google.maps.LatLng({{ @$contact->data_values->map_latitude }}, {{ @$contact->data_values->map_longitude }});
        var focusplace = {lat: 55.864237, lng: -4.251806};
        var marker = new google.maps.Marker({
        position: myLatlng,
        map: map,
        icon: {
            url: "{{ asset($activeTemplateTrue.'images/map-marker.png') }}"
        }
    })
</script>

@endpush
