@php
    $deal = getContent('deals.content', true);
    $header = getContent('header.content', true);
    $socialMedias = getContent('social_icon.element');
    $socialIcons = getContent('social_icon.element');
@endphp
<!-- contact us -->
<div class="container py-4 py-lg-5" id="contactus">
    <div class="text-center">
        <p class="page-subtitle center">Contact us</p>
        <h1 class="font-weight-light mb-2">{{ __(@$deal->data_values->heading) }}</h1>
        <p class="mb-4 mb-lg-5 lead text-mute">{{ __(@$deal->data_values->subheading) }}</p>
    </div>


    <div class="row no-gutters align-items-center">
        <div class="col-12 col-md-6 col-lg-6 position-relative py-4 py-lg-5">
            <div class="row align-items-center mb-4">
                <div class="col-auto">
                    <div class="avatar avatar-60" style="padding:18px;"><i class="bi bi-geo-alt h4 vm"></i></div>
                </div>
                <div class="col">
                    <p class="text-mute mb-2">Corporate Office</p>
                    <p class="lead">{{ __(@$deal->data_values->address) }}</p>
                </div>
            </div>
            <div class="row align-items-center mb-4">
                <div class="col-auto">
                    <div class="avatar avatar-60" style="padding:18px;"><i class="bi bi-clock h4 vm"></i></div>
                </div>
                <div class="col">
                    <p class="text-mute mb-2">Office Hours</p>
                    <p class="lead">{{ __(@$deal->data_values->hours) }}</p>
                </div>
            </div>
            <div class="row align-items-center mb-4">
                <div class="col-auto">
                    <div class="avatar avatar-60" style="padding:18px;"><i class="bi bi-telephone h4 vm"></i></div>
                </div>
                <div class="col">
                    <p class="text-mute mb-2">Front Desk</p>
                    <p class="lead"><a href="tel:{{ @$header->data_values->phone }}">{{ @$header->data_values->phone }}</a></p>
                </div>
            </div>
            <div class="row align-items-center">
                <div class="col-auto">
                    <div class="avatar avatar-60" style="padding:18px;"><i class="bi bi-envelope h4 vm"></i></div>
                </div>
                <div class="col">
                    <p class="text-mute mb-2">Email us</p>
                    <p class="lead"><a href="mailto:{{ @$header->data_values->email }}">{{ @$header->data_values->email }}</a></p>
                </div>
            </div>
        </div>
        <div class="col-12 col-md-6 col-lg-6 p-4 align-self-center">
            <div class="card shadow-sm border-0 mb-4">
                <div class="card-body">
                    <form class="default-form2" method="post" action="{{ route('contactform') }}">
                        @csrf
                        <label class="sr-only">Your Name</label>
                        <div class="form-group">
                            <input name="name" type="text" class="form-control form-control-lg" placeholder="Your name" required>
                        </div>
                        <br>
                        <label class="sr-only">Email address</label>
                        <div class="form-group">
                            <input name="email" type="email" class="form-control form-control-lg" placeholder="Email address" required>
                        </div>
                        <br>
                        <label class="sr-only">Subject</label>
                        <div class="form-group">
                            <input name="subject" type="text" class="form-control form-control-lg" placeholder="Subject" required>
                        </div>
                        <br>
                        <label class="sr-only">Message</label>
                        <div class="form-group">
                            <textarea name="message" rows="3" class="form-control form-control-lg" placeholder="Message" required></textarea>
                        </div>
                        <br>
                        <button type="submit" class="btn btn-lg btn-primary btn-block text-uppercase px-3">Submit <i class="material-icons md-18">arrow_forward</i></button>
                    </form>
                </div>
            </div>
        </div>
    </div>


    <div class="row ">
        <div class="col-12 col-md-6 text-md-right text-center p-4">
            <h5>Technical problem</h5>
            <p class="text-mute">If you have any type of technical challenges and
                <br> would like to get help from us please drop an email
                <br> at <a href="mailto:{{ @$header->data_values->email }}">{{ @$header->data_values->email }}</a>
            </p>
        </div>
        <div class="col-12 col-md-6 text-md-left text-center p-4 border-left">
            <h5>General Support</h5>
            <p class="text-mute">If you have any type of challenges regarding products and
                <br> would like to get help from us please drop an email
                <br> at <a href="mailto:{{ @$header->data_values->email }}">{{ @$header->data_values->email }}</a>
            </p>
        </div>
    </div>
</div>
<!-- contact us ends -->


