@php
    $top = getContent('topSell.content', true);
    $topSells = App\Models\Card::with('subCategory.category')
                                  ->whereHas('subCategory.category', function($q){
                                      $q->where('status', 1);
                                   })
                                  ->where('user_id', '!=', 0)
                                  ->groupBy('sub_category_id')
                                  ->selectRaw('sub_category_id, count(sub_category_id) as sold, id')
                                  ->orderBy('sold', 'DESC')
                                  ->take(12)
                                  ->get();
@endphp
<!-- Top Sell Card Section -->
 <div class="title1 section-t-space">
        <h2>{{ __(@$top->data_values->title) }}</h2>
        <h4 class="title-inner1">{{ __(@$top->data_values->sub_heading) }}</h4>
    </div>

 <!-- Product slider -->
    <section class="section-b-space pt-0 ratio_asos">
        <div class="container">
            <div class="row">
                <div class="col">
                     
                    <div class="product-5 product-m no-arrow">
                        @foreach($topSells as $topSell)
                            <div class="product-box">
                                                         <div class="sub-section" style="
    position: absolute;
    z-index: 1;
    margin-right: auto;
    margin-left: auto;
    width: 100%;
    text-align: center;
    top: 12px;
   
    padding: 5px;
"><img src="{{ pinimage() }}" class="" alt="" srcset="" style="
    text-align: center;
    margin-right: auto;
    margin-left: auto;
"></div>
                                                        <div class="img-wrapper sub-section" style="box-shadow: 2px 0px 9px 0px gray;border-radius: 10px;">
                                                            <img src="{{getImage(imagePath()['logoIcon']['path'] .'/logo.png')}}" class="img-fluid blur-up lazyloaded" alt="" style="max-height: 45px;position: absolute;z-index: 999999;bottom: 1px;text-align: center;margin-right: auto;margin-left: auto;opacity: .7;">
                                <div class="front">
                                    <a href="{{ route('card.details', ['name'=>slug($topSell->subCategory->name), 'id'=>$topSell->subCategory->id]) }}">
                                           @if((strpos($topSell->subCategory->image, "https://") !== false) || (strpos($topSell->subCategory->image, "http://") !== false)) 
                                        <img src="{{ $topSell->subCategory->image }}"
                                            class="img-fluid blur-up lazyload bg-img" alt="">
                                     @else
                                       <img src="{{ getImage(imagePath()['sub_category']['path'].'/'.$topSell->subCategory->image) }}"
                                            class="img-fluid blur-up lazyload bg-img" alt="">
                                     @endif
                                    </a>
                                </div>
                                <div class="back">
                                    <a href="{{ route('card.details', ['name'=>slug($topSell->subCategory->name), 'id'=>$topSell->subCategory->id]) }}">
                                           @if((strpos($topSell->subCategory->image, "https://") !== false) || (strpos($topSell->subCategory->image, "http://") !== false)) 
                                        <img src="{{ $topSell->subCategory->image }}"
                                            class="img-fluid blur-up lazyload bg-img" alt="">
                                     @else
                                       <img src="{{ getImage(imagePath()['sub_category']['path'].'/'.$topSell->subCategory->image) }}"
                                            class="img-fluid blur-up lazyload bg-img" alt="">
                                     @endif
                                    </a>
                                </div>
                                <div class="cart-info cart-wrap">
                                   
                                    <a href="{{ route('card.details', ['name'=>slug($topSell->subCategory->name), 'id'=>$topSell->subCategory->id]) }}" title="Quick View">
                                        <i class="ti-search" aria-hidden="true"></i>
                                    </a>
                                   
                                </div>
                            </div>
                            <div class="product-detail">
                               <div class="rating-section">
                                                            <div class="rating">
                                                                 @php $p = rand(3,5) @endphp
                                    @for ($i = 0; $i < $p; $i++)
                                    <i class="fa fa-star"></i> 
                                    @endfor
                                                            </div>
                                                             <h6>@php echo rand(10,599) @endphp ratings</h6>
                                                              </div>
                                <a href="{{ route('card.details', ['name'=>slug($topSell->subCategory->name), 'id'=>$topSell->subCategory->id]) }}">
                                    <h6> {{ __($topSell->subCategory->name) }}</h6>
                                </a>
                               
                            </div>
                        </div>
                          @endforeach 
                    </div>
                   
                </div>
            </div>
        </div>
    </section>
    <!-- Product slider end -->

