@extends($activeTemplate.'layouts.auth_master')
@section('content')
<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">Crypto p2p Adverts</h5>
                </div>
            </div>
        </div>
        <section class="pt-120 pb-120 mt-4">
            <div class="container">
                <div class="row mx-4">
                    <div class="card-header">
                        <div class="col-xl-12 col-lg-12 col-sm-12">

                            <div class="btn-group justify-content-end ">
                                <a href="{{route('user.advertisement.new')}}" class="btn btn-primary">@lang('New Advertisement')</a>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="container mt-4">
                    <div class="row justify-content-center mt-2">
                        <div class="col-md-12">
                            <div class="card-body">
                                <div class="table-responsive-sm">
                                    <table class="table mx-0 datatable1" id="datatable1">
                                        <thead class="">
                                            <tr>
                                                <th class="desktop tablet mobile" data-priority="2">@lang('Type')</th>
                                                <th class="desktop tablet mobile" data-priority="2">@lang('Currency')</th>
                                                <th class="desktop tablet mobile" data-priority="2">@lang('Payment Method')</th>
                                                <th class="desktop tablet mobile" data-priority="2">@lang('Margin')</th>
                                                <th class="desktop tablet " data-priority="2">@lang('Rate')</th>
                                                <th class="desktop tablet " data-priority="2">@lang('Payment Window')</th>
                                                <th class="desktop tablet " data-priority="2">@lang('Status')</th>
                                                <th class="desktop tablet " data-priority="2">@lang('Action')</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @forelse ($advertisements as $item)
                                            <tr>
                                                <td data-label="@lang('Type')">
                                                    @if ($item->type == 1)
                                                    <span class="badge badge--released">@lang('Buy')</span>
                                                    @elseif($item->type == 2)
                                                    <span class="badge badge--fund">@lang('Sell')</span>
                                                    @else
                                                    @endif
                                                </td>
                                                <td data-label="@lang('Currency')">{{__($item->fiat->code)}}</td>
                                                <td data-label="@lang('Payment Method')">{{__($item->fiatGateway->name)}}</b></td>
                                                <td data-label="@lang('Margin')">{{$item->margin}} %</td>
                                                <td data-label="@lang('Rate')">{{rate($item->type, $item->crypto->rate, $item->fiat->rate, $item->margin)}} {{__($item->fiat->code)}}/ {{__($item->crypto->code)}}</td>
                                                <td data-label="@lang('Payment Window')">{{$item->window}} @lang('Minutes')</td>
                                                <td data-label="@lang('Status')">
                                                    @if ($item->status == 1)
                                                    <span class="badge badge--released">@lang('Active')</span>
                                                    @else
                                                    <span class="badge badge--cancel">@lang('Deactive')</span>
                                                    @endif
                                                </td>
                                                <td data-label="@lang('Action')"><a href="{{route('user.advertisement.edit',$item->id)}}" class="btn btn-primary btn-sm"><i class="las la-edit"></i></a></td>
                                            </tr>
                                            @empty
                                            <tr>
                                                <td colspan="100%" class="text-center">{{__($emptyMessage)}}</td>
                                            </tr>
                                            @endforelse

                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>


                </div>

            </div>

        </section>
    </div>
</div>
@endsection
