@extends($activeTemplate.'layouts.auth_master')
@section('content')

<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">@lang('Create New Advertisement')</h5>
                </div>
            </div>
        </div>


        <section class="pt-120 pb-120 mt-4 mb-4">
            <div class="container">

                <div class="row justify-content-center">
                <div class="col-8 mb-30">

                        <div class="card">
                            <div class="card-header">
                                <div class="btn-group justify-content-end">
                                    <a href="{{route('user.advertisement.index')}}" class="btn btn-primary">@lang('My
                                        Advertisements')</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-8 mt-4 ">

                        <div class="card">
                            <div class="card-body">
                                @if($isPermitted)
                                <form class="create-trade-form" action="{{route('user.advertisement.store')}}" method="POST">
                                    @csrf

                                    <div class="create-trade-form__block">
                                        <h5 class="title">@lang('Trade')</h5>
                                        <div class="row">

                                            <div class="col-lg-6">
                                                <div class="form-group">
                                                    <label>
                                                        @lang('I Want To') ...
                                                        <i class="fa fa-info-circle ml-2" data-toggle="tooltip" data-placement="top" title="@lang('What kind of trade advertisement do you wish to create? If you wish to sell bitcoins make sure you have bitcoins in your ') {{$general->sitename}} @lang('wallet')"></i>
                                                    </label>
                                                    <select class="form-control" name="type" required>
                                                        <option value="1">@lang('Buy')</option>
                                                        <option value="2">@lang('Sell')</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-lg-6">
                                                <div class="form-group">
                                                    <label>
                                                        @lang('Crypto Currency') <i class="fa fa-info-circle ml-2" data-toggle="tooltip" data-placement="top" title="@lang('For online trade you need to specify the payment method.')"></i>
                                                    </label>
                                                    <select class="form-control" name="crypto_id" required>
                                                        @foreach ($cryptos as $item)
                                                        <option value="{{$item->id}}" data-crypto="{{$item->rate}}" data-currency="{{$item->code}}">{{__($item->name)}}</option>
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </div>
                                        </div>

                                    </div><!-- create-trade-form__block end -->
                                    <div class="create-trade-form__block">
                                        <h5 class="title">@lang('Payment Information')</h5>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>@lang('Fiat Payment Method') <i class="fa fa-info-circle ml-2" data-toggle="tooltip" data-placement="top" title="@lang('For online trade you need to specify the payment method.')"></i></label>

                                                    <select class="form-control" id="fiat-gateway" name="fiat_gateway_id" required>

                                                        @foreach ($fiatGateways as $item)
                                                        <option value="{{$item->id}}" data-id="{{$item->id}}">{{__($item->name)}}
                                                        </option>
                                                        @endforeach

                                                    </select>

                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>@lang('Currency') <i class="fa fa-info-circle ml-2" data-toggle="tooltip" data-placement="top" title="@lang('For online trade you need to specify the currency.')"></i></label>

                                                    <select class="form-control" id="fiat-currency" name="fiat_id" required>

                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <label>@lang('Margin') <i class="fa fa-info-circle ml-2" data-toggle="tooltip" data-placement="top" title="@lang('Margin you want over the bitcoin market price. Use a negative value for buying or selling under the market price to attract more contacts. For more complex pricing edit the price equation directly.')"></i></label>
                                                <div class="input-group mb-3">
                                                    <input type="number" step="0.01" class="form-control" name="margin" value="0" placeholder="@lang('Margin rate')" aria-describedby="basic-addon1" required>
                                                    <div class="input-group-append">
                                                        <span class="input-group-text" id="basic-addon1">%</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>
                                                        @lang('Payment Window')
                                                        <i class="fa fa-info-circle ml-2" data-toggle="tooltip" data-placement="top" title="@lang('For Buyer: Within how many minutes do you promise to initiate the payment. For Seller: Within how many minutes you want to get payment.')"></i>
                                                    </label>

                                                    <select class="form-control" name="window" required>
                                                        @foreach ($paymentWindows as $item)
                                                        <option value="{{$item->minute}}">{{$item->minute}} @lang('Minutes')</option>
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </div>


                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>@lang('Minimum Limit') <i class="fa fa-info-circle ml-2" data-toggle="tooltip" data-placement="top" title="@lang('Minimum transaction limit in one trade.')"></i></label>
                                                    <input type="number" step="any" name="min" value="0" placeholder="@lang('Minimum amount')" class="form-control" required>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>@lang('Maximum Limit') <i class="fa fa-info-circle ml-2" data-toggle="tooltip" data-placement="top" title="@lang('Maximum transaction limit in one trade. For online sells, your BITCCA wallet balance may limit the maximum fundable trade also.')"></i></label>
                                                    <input type="number" step="any" name="max" value="0" placeholder="@lang('Max amount')" class="form-control" required>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <label> @lang('Price Equation') <i class="fa fa-info-circle ml-2" data-toggle="tooltip" data-placement="top" title="@lang('Please note that the advertiser is always responsible for all payment processing fees')."></i></label>
                                                <div class="input-group mb-3">
                                                    <p id="priceEquationt" class="text-success font-weight-bolder">0.00</p>
                                                </div>
                                            </div>
                                            <div class="col-lg-12">
                                                <div class="form-group">
                                                    <label>@lang('Payment Details') <i class="fa fa-info-circle ml-2" data-toggle="tooltip" data-placement="top" title="@lang('If necessary, please provide details how to transfer money. This is either bank account number for wire transfers or user account for money transfer websites.')"></i></label>
                                                    <textarea placeholder="@lang('Payment details')" class="form-control" name="details" required>{{old('details')}}</textarea>
                                                </div>
                                            </div>
                                            <div class="col-lg-12">
                                                <div class="form-group">
                                                    <label>@lang('Terms of Trade') <i class="fa fa-info-circle ml-2" data-toggle="tooltip" data-placement="top" title="@lang('If necessary, please provide details how to transfer money. This is either bank account number for wire transfers or user account for money transfer websites.')"></i></label>
                                                    <textarea placeholder="@lang('Terms of Trade')" class="form-control" name="terms" required>{{old('terms')}}</textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div><!-- create-trade-form__block end -->
                                    <div class=" d-md-flex justify-content-md-center">
                                        <button type="submit" class="btn btn-outline-success ">@lang('Publish')</button>
                                    </div>
                                </form><!-- create-trade-wrapper end -->
                            </div>
                        </div>
                        @else
                        <div class="bitcoin-form-wrapper text-center">
                            <p class="text-white"><i class="fa fa-info-circle text--base"></i> @lang('You have reached the
                                maximum limit for advertising. Complete more trade to publish more advertisement.')</p>
                        </div>
                        @endif
                    </div>

                </div>

            </div>

        </section>
    </div>
</div>
@endsection

@push('script')
<script>
    (function($) {
        "use strict";

        $('#fiat-gateway').on('change', function() {
            var methodId = $(this).find('option:selected').val();

            $.ajax({
                type: "get",
                url: "{{route('advertisement.supported.currency')}}",
                data: {
                    id: methodId
                },
                dataType: "json",

                success: function(response) {
                    if (response.success) {
                        var html = `<option data-fiat="" value="">@lang('Select One')</option>`;

                        if (response.supportedCurrencies.length > 0) {

                            $.each(response.supportedCurrencies, function(index, value) {
                                html += `<option value="${value.id}" data-fiat="${parseFloat(value.rate)}" data-currency="${value.code}">${value.code}</option>`;
                            });

                            $('#fiat-currency').html(html);
                        }

                    } else {
                        notify('error', response.error);
                    }
                }
            });
        }).change();


        var type = $('select[name="type"]').find('option:selected').val();
        var cryptoRate = $('select[name="crypto_id"]').find('option:selected').data('crypto');
        var margin = $('input[name="margin"]').val();
        var cryptoCurrency = $('select[name="crypto_id"]').find('option:selected').data('currency');
        var fiatRate = null;
        var fiatCurrency = null;

        $('select[name="type"]').on('change', function() {
            type = $(this).find('option:selected').val();
            priceEquation();
        });

        $('select[name="crypto_id"]').on('change', function() {
            cryptoRate = $(this).find('option:selected').data('crypto');
            cryptoCurrency = $(this).find('option:selected').data('currency');
            priceEquation();
        });

        $('select[name="fiat_id"]').on('change', function() {
            fiatRate = $(this).find('option:selected').data('fiat');
            fiatCurrency = $(this).find('option:selected').data('currency');
            priceEquation();
        });

        $('input[name="margin"]').on('input', function() {
            margin = $(this).val();
            priceEquation();
        });


        function priceEquation() {
            if (!fiatRate) {
                $('#priceEquationt').text('0.00');
            } else {
                var amount = parseFloat(cryptoRate) * parseFloat(fiatRate);
                var rate;
                if (!margin) {
                    $('#priceEquationt').text(parseFloat(amount).toFixed(2) + ' ' + fiatCurrency + '/' + cryptoCurrency);
                } else {
                    if (parseInt(type) == 1) {
                        rate = parseFloat(amount) - ((amount * parseFloat(margin)) / 100);
                    } else if (parseInt(type) == 2) {
                        rate = parseFloat(amount) + ((amount * parseFloat(margin)) / 100);
                    }
                    $('#priceEquationt').text(parseFloat(rate).toFixed(2) + ' ' + fiatCurrency + '/' + cryptoCurrency);
                }
            }
        }
    })(jQuery)
</script>
@endpush
