@extends($activeTemplate.'layouts.auth_master')
@section('content')

<!-- Dashboard -->
<style>
    .hidden {
        display: none;
    }
</style>


<div class="container main-container" id="main-container">

    <div class="card mb-4 ">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="card-title">@lang('Phone Topup')</h5>
                </div>
            </div>
        </div>
        <div class="card-body">
            <div class="row recharge_initiate">
                <div class="col-lg-12 mb-4">
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <label class="mb-1 text-black" for="country"><strong>Country</strong></label>
                            <select class="form-control country_list" name="country" id="country" required>
                                <option value="" selected>--@lang('Please Select')--</option>
                                <?php
                                if (!empty($countries)) {
                                    foreach ($countries as $country) {
                                ?>
                                        <option value="{{ $country->iso_alpha2 }}" data-currency="{{ $country->currency_code }}">{{ $country->name }}</option>
                                <?php
                                    }
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    <div class="form-row hidden">
                        <div class="form-group col-md-6">
                            <label class="mb-1 text-black" for="operator"><strong>@lang('Operators')</strong></label>
                            <select class="form-control bind_operators" name="operator" id="operator"></select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row show_recharge_options hidden">
                <div class="col-lg-8 mb-4">
                    <div class="table-responsive">
                        <table class="table table-hover table-fixed">
                            <thead class="table_recharge_options_head"></thead>
                            <tbody class="table_recharge_options_body"></tbody>
                        </table>
                    </div>
                </div>
                <div class="col-lg-4 mb-4 process_recharge hidden">
                    <div class="iq-card iq-card-block iq-card-stretch iq-card-height">
                        <div class="iq-card-header d-flex justify-content-between">
                            <div class="iq-header-title">
                                <h5 class="card-title">@lang('Recharge')</h5>
                            </div><!-- comment -->
                        </div>
                        <form class="" action="{{ route('airtime.process-recharge-request') }}" method="post" id="process_recharge" name="process_recharge">
                            @csrf
                            <div class="iq-card-body mb-0">
                                <span class="card-text fs-14">@lang('Select from Plans or enter Recharge Value')</span>
                                <h4 class="card-title">
                                    <p class="card-text recharge_amount_label"></p>
                                </h4>
                                <span class="card-text fs-12 recharge_description_label"></span>

                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label class="mb-1" for="phone_number"><strong>@lang('Phone Number') ( Without Country Code )<span class="text-danger">*</span></strong></label>
                                        <input type="text" class="form-control phone_number" name="phone_number" id="phone_number" required data-bv-notempty-message="* Required Field" pattern="^[0-9]+$" data-bv-regexp-message="Invalid Phone Number">
                                    </div>
                                </div>
                                <div class="range_amount"></div>
                                <!-- <div class="form-row">
                                                <div class="form-group col-md-12">
                                                    <label class="mb-1 text-black" for="recharge_amount"><strong>Recharge Amount<span class="text-danger">*</span></strong></label>
                                                    <input type="text" class="form-control" name="recharge_amount" id="recharge_amount" required>
                                                </div>
                                            </div> -->
                                <div class="row">
                                    <div class="col-lg-12">
                                        <div class="form-group">
                                            <input type="hidden" class="operator_id" name="operator_id" />
                                            <input type="hidden" class="selected_country" name="country" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <hr />
                            <div class="card-footer bg-transparent border-0 text-white">
                                <button type="button" class="btn btn-danger light clear_recharge">Cancel</button>
                                <button type="submit" class="btn btn-primary btn-card">Recharge</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="pindetail"></div>
        </div>
    </div>


</div>
@endsection