@extends($activeTemplate.'layouts.auth_master')
@section('content')

<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">Virtual Cards</h5>
                </div>

            </div>
        </div>

        <div class="row mt-4">
            <div class="col-xl-8 offset-2">
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-title">Request a Card</h5>
                    </div>
                    <div class="card-body">
                        <div id="apto_card_request_wizard" class="form-wizard order-create">
                            <ul class="nav nav-wizard">
                                <li><a class="nav-link" href="#wizard_verify_user_Details">
                                        <span>1</span>
                                        <small>Verify your Details</small>
                                    </a></li>
                                <li><a class="nav-link" href="#wizard_complete_verification">
                                        <span>2</span>
                                        <small>Complete Verification</small>
                                    </a></li>
                                <li><a class="nav-link" href="#wizard_accept_agreement">
                                        <span>3</span>
                                        <small>Agreement</small>
                                    </a></li>
                                <li><a class="nav-link" href="#wizard_card_issued">
                                        <span>4</span>
                                        <small>Completed</small>
                                    </a></li>
                            </ul>
                            <div class="tab-content">
                                <div id="wizard_verify_user_Details" class="tab-pane" role="tabpanel">
                                    <form action="{{route('user.debit.createveri')}}" method="POST" id="create_verification_process" name="create_verification_process">
                                        @csrf
                                        <div class="row">
                                            <div class="col-lg-10 offset-1">
                                                <div class="profile-personal-info">
                                                    <h4 class="text-primary mb-4 mt-4">Personal Information</h4>
                                                    <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">Name <span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span><?php echo $user->firstname; ?> <?php echo $user->lastname; ?></span>
                                                        </div>
                                                    </div>

                                                    <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">Email <span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span><?php echo $user->email; ?></span>
                                                        </div>
                                                    </div>
                                                    <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">Phone <span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span><?php echo $user->mobile; ?></span>
                                                        </div>
                                                    </div>


                                                    <div class="row">
                                                        <div class="col-lg-8 mb-2 offset-2">
                                                            <div class="form-group">

                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-8 mb-2 offset-2">
                                                            <div class="form-group">
                                                                <input type="hidden" class="phone_number" name="phone_number" value="<?php echo $user->mobile; ?>" />
                                                                <input type="hidden" class="phone_number" name="country_code" value="US" />
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-4 mb-2 offset-4">
                                                <div class="form-group">
                                                    <div class="text-center mt-4">
                                                        <button type="submit" class="btn bg-primary text-white btn-block validate_sender"> Proceed</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                                <div id="wizard_complete_verification" class="tab-pane" role="tabpanel">
                                    <form action="{{route('user.debit.completeveri')}}" method="POST" id="complete_verification_process" name="complete_verification_process">
                                        @csrf
                                        <div class="row">
                                            <div class="col-lg-8 mb-2 offset-2">
                                                <div class="form-group">
                                                    <input type="hidden" class="apto_card_id" name="apto_card_id" value="" />
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-8 mb-2 offset-2">
                                                <div class="form-group">
                                                    <input type="hidden" class="verification_id" name="verification_id" value="" />
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6 mb-2 offset-3">
                                                <div class="form-group">
                                                    <label class="mb-1 text-black" for="secret"><strong>SSN Number</strong><span class="text-danger">*</span> </label>
                                                    <input class="form-control" type="text" name="ssn" id="ssn" required>
                                                </div>
                                            </div>
                                            <div class="col-md-6 mb-2 offset-3">

                                                <div class="form-group">
                                                    <label class="mb-1 text-black" for="secret"><strong>Date of Birth</strong><span class="text-danger">*</span> </label>
                                                    <input class="form-control" type="date" name="date_of_birth" id="date_of_birth" required>
                                                </div>
                                            </div>

                                            <div class="col-md-6 mb-2 offset-3">
                                                <div class="form-group">
                                                    <label class="mb-1 text-black" for="secret"><strong>Address Line 1</strong><span class="text-danger">*</span> </label>
                                                    <input class="form-control" type="text" name="street_one" id="street_one" required>
                                                </div>
                                            </div>

                                            <div class="col-md-6 mb-2 offset-3">
                                                <div class="form-group">
                                                    <label class="mb-1 text-black" for="secret"><strong>Address Line 2</strong><span class="text-danger">*</span> </label>
                                                    <input class="form-control" type="text" name="street_two" id="street_two" required>
                                                </div>
                                            </div>

                                            <div class="col-md-6 mb-2 offset-3">
                                                <div class="form-group">
                                                    <label class="mb-1 text-black" for="secret"><strong>City</strong><span class="text-danger">*</span> </label>
                                                    <input class="form-control" type="text" name="city" id="city" required>
                                                </div>
                                            </div>

                                            <div class="col-md-6 mb-2 offset-3">
                                                <div class="form-group">
                                                    <label class="mb-1 text-black" for="secret"><strong>State</strong><span class="text-danger">*</span> </label>
                                                    <select name="state" id="state" required>
                                                        <option value="" selected="selected">Select a State</option>
                                                        <option value="AL">Alabama</option>
                                                        <option value="AK">Alaska</option>
                                                        <option value="AZ">Arizona</option>
                                                        <option value="AR">Arkansas</option>
                                                        <option value="CA">California</option>
                                                        <option value="CO">Colorado</option>
                                                        <option value="CT">Connecticut</option>
                                                        <option value="DE">Delaware</option>
                                                        <option value="DC">District Of Columbia</option>
                                                        <option value="FL">Florida</option>
                                                        <option value="GA">Georgia</option>
                                                        <option value="HI">Hawaii</option>
                                                        <option value="ID">Idaho</option>
                                                        <option value="IL">Illinois</option>
                                                        <option value="IN">Indiana</option>
                                                        <option value="IA">Iowa</option>
                                                        <option value="KS">Kansas</option>
                                                        <option value="KY">Kentucky</option>
                                                        <option value="LA">Louisiana</option>
                                                        <option value="ME">Maine</option>
                                                        <option value="MD">Maryland</option>
                                                        <option value="MA">Massachusetts</option>
                                                        <option value="MI">Michigan</option>
                                                        <option value="MN">Minnesota</option>
                                                        <option value="MS">Mississippi</option>
                                                        <option value="MO">Missouri</option>
                                                        <option value="MT">Montana</option>
                                                        <option value="NE">Nebraska</option>
                                                        <option value="NV">Nevada</option>
                                                        <option value="NH">New Hampshire</option>
                                                        <option value="NJ">New Jersey</option>
                                                        <option value="NM">New Mexico</option>
                                                        <option value="NY">New York</option>
                                                        <option value="NC">North Carolina</option>
                                                        <option value="ND">North Dakota</option>
                                                        <option value="OH">Ohio</option>
                                                        <option value="OK">Oklahoma</option>
                                                        <option value="OR">Oregon</option>
                                                        <option value="PA">Pennsylvania</option>
                                                        <option value="RI">Rhode Island</option>
                                                        <option value="SC">South Carolina</option>
                                                        <option value="SD">South Dakota</option>
                                                        <option value="TN">Tennessee</option>
                                                        <option value="TX">Texas</option>
                                                        <option value="UT">Utah</option>
                                                        <option value="VT">Vermont</option>
                                                        <option value="VA">Virginia</option>
                                                        <option value="WA">Washington</option>
                                                        <option value="WV">West Virginia</option>
                                                        <option value="WI">Wisconsin</option>
                                                        <option value="WY">Wyoming</option>
                                                    </select>
                                                </div>
                                            </div>



                                            <div class="col-md-6 mb-2 offset-3">
                                                <div class="form-group">
                                                    <label class="mb-1 text-black" for="secret"><strong>City</strong><span class="text-danger">*</span> </label>
                                                    <input class="form-control" type="text" name="zip" id="zip" required>
                                                </div>
                                            </div>

                                        </div>
                                        <div class="row">


                                            <div class="col-md-6 mb-2 offset-3">
                                                <div class="form-group">
                                                    <label class="mb-1 text-black" for="secret"><strong>OTP</strong><span class="text-danger">*</span> Enter OTP as 000000 for testing</label>
                                                    <input class="form-control" type="text" name="secret" id="secret">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-4 mb-2 offset-4">
                                                <div class="form-group">
                                                    <div class="text-center mt-4">
                                                        <button type="submit" class="btn bg-primary text-white btn-block verify_otp"> Verify OTP</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-4 mb-2 offset-4">
                                                <div class="form-group">
                                                    <div class="text-center mt-4">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                                <div id="wizard_accept_agreement" class="tab-pane" role="tabpanel">
                                    <form action="cards/process_new_card_request" method="POST" id="process_new_card" name="process_new_card">
                                        <div class="row">
                                            <div class="col-lg-8 mb-2 offset-2">
                                                <div class="form-group">
                                                    <input type="hidden" class="user_token" name="user_token" value="" />
                                                    <input type="hidden" class="account_id" name="account_id" value="" />
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-12">
                                                <div class="agreement_load">

                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6 mb-2">
                                                <div class="form-group mb-0">
                                                    <div class="radio">
                                                        <label><input type="radio" name="user_action" value="ACCEPTED">Accept</label>
                                                    </div>
                                                    <div class="radio">
                                                        <label><input type="radio" name="user_action" value="DECLINED">Decline</label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-4 mb-2 offset-4">
                                                <div class="form-group">
                                                    <div class="text-center mt-4">
                                                        <button type="submit" disabled class="btn bg-primary text-white btn-block validate_sender"> Proceed</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                                <div id="wizard_card_issued" class="tab-pane" role="tabpanel">
                                    <div class="row">
                                        <div class="col-lg-12 mb-4">
                                            <div class="col-lg-6 offset-4 mb-4">
                                                <i style="font-size: 150px; color: green;" class="flaticon-381-success"></i>
                                                <p class="fs-18" style="text-transform: capitalize;">Card Issued Successfully</p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-lg-12 mb-4">
                                            <div class="col-lg-6 offset-4 mb-4">
                                                <p>Name on the Card: <b><span class="text-success" id="name_on_card"></span></b></p>
                                                <p>Last Four Digit: <b><span class="text-success" id="last_four"></span></b></p>
                                                <p>Card Network: <b><span class="text-success" id="card_network"></span></b></p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-12 mb-4">
                <div class="col-lg-12 offset-2 mb-4">
                    <div class="col-md-12">
                        <img src="https://thumbs.gfycat.com/BlackandwhiteComposedBarasinga-size_restricted.gif" style="max-width:100%">
                    </div>
                    <p><b><span class="text-warning">Currently we only support card issuance in United Sates of America. Please try again later for your country.</span></b></p>
                </div>
            </div>
        </div>

    </div>
</div>
<style>
    .sw-theme-arrows>.nav .nav-link.active {
        color: #fff;
        border-color: #1eaae7;
        background: #1eaae7;
        cursor: pointer;
    }

    .form-wizard .nav-wizard li .nav-link:after {
        position: absolute;
        top: 100%;
        left: 100%;
        height: 3px;
        transform: translateY(-50%);
        background: #f1f1f1 !important;
        z-index: 0;
        width: 100%;
    }

    .form-wizard .nav-wizard li .nav-link.done span {
        background-color: #f8f8f8;
        color: #1eaae7;
    }

    .sw-theme-arrows>.nav .nav-link.active::after {
        border-left-color: #1eaae7;
    }

    .form-wizard .nav-wizard li .nav-link.active:before {
        border-left-color: #1eaae7;
    }

    .sw-theme-arrows>.nav .nav-link::before {
        margin-left: 0;
        border-left-color: #f8f8f8;
    }

    .sw-theme-arrows>.nav .nav-link.done::before {
        margin-left: 0;
        border-left-color: #1eaae7;
    }

    .sw-theme-arrows>.nav .nav-link.done {
        color: #fff;
        border-color: #1eaae7;
        background: #1eaae7;
        cursor: pointer;
    }
</style>
@push('script')
<script>
    $('#apto_card_request_wizard a').on('click', function(e) {
        e.preventDefault()
        $(this).tab('show')

    });

    (function($) {
        "use strict";

        $('.copy-address').on('click', function() {
            var clipboard = new ClipboardJS('.copy-address');
            notify('success', 'Copied : ' + $(this).data('clipboard-text'))
        })
    })(jQuery);
</script>
@endpush
@endsection