@extends($activeTemplate.'layouts.auth_master')
@section('content')


<div class="container main-container" id="main-container">
    <div class="card m-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">Virtual Cards</h5>
                </div>
            </div>
        </div>
        <div class="row m-4">
            <div class="col-xl-12 col-xxl-12">
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-title">@lang('Disposable Virtual Bank Account')</h5><br>
                        <p>@lang('Your account can have many bank accounts. These accounts are one time use and locked to the amount displayed. When money is deposited to that bank account number, it can be loaded to your wallet.')</p>
                    </div>
                    <div class="card-body">
                        <div class="d-flex justify-content-center">
                            <form action="{{ route('user.bank.request') }}" method="POST">
                                @csrf
                                <div class="form-row mt-2 mb-3 ">
                                    <div class="form-group col-md-7 ">
                                        <label>@lang('Amount')</label>
                                        <input placeholder="Enter Amount" type="number" step="0.01" min="0" required name="amount" id="amount" class="form-control">
                                    </div>
                                    <div class="form-group col-md-5 mt-1">
                                        <div class="mt-4">
                                            <button type="submit" class="btn btn-primary"><i class="fa fa-bank" aria-hidden="true"></i> @lang('Add Bank')</button>
                                        </div>
                                    </div>
                                </div>
                                <p class="fs-12 text-gray">*@lang('Issuance Fees May Apply').</p>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row m-4">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-title">@lang('List of Issued Bank Accounts')</h5>
                        <br>
                        <p class="text-info">@lang('Certain countries / currencies may only have IBAN number')</p>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive--lg">
                            <table class="table mx-0 datatable1" id="datatable1">
                                <thead class="">
                                    <tr>
                                        <th class="desktop tablet mobile" data-priority="2">@lang('Email')</th>
                                        <th class="desktop tablet mobile" data-priority="2">@lang('Account Number')</th>
                                        <th class="desktop tablet mobile" data-priority="2">@lang('Bank Name')</th>
                                        <th class="desktop tablet mobile" data-priority="2">@lang('Amount')</th>
                                        <th class="desktop tablet " data-priority="2">@lang('Expiry')</th>
                                        <th class="desktop tablet " data-priority="2">@lang('View Transactions')</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    foreach ($bank as $buser) {
                                    ?>
                                        <tr>
                                            <td>
                                                <p class="fs-16 font-w600 mb-0">{{ $buser->email_id}}</p>
                                            </td>
                                            <td>
                                                <p class="fs-16 font-w600 mb-0">{{ $buser->account_number}}</p>
                                            </td>

                                            <td>
                                                <p class="fs-16 font-w600 mb-0">{{ $buser->bank_name}}</p>
                                            </td>
                                            <td>
                                                <p class="fs-16 font-w600 mb-0">NGN {{ $buser->amount}}</p>
                                            </td>
                                            <td>
                                                <p class="fs-16 font-w600 mb-0">{{ $buser->expiry}}</p>
                                            </td>
                                            <td>
                                                <a href="{{ route('user.bank.banktransactions') }}?tx_ref={{ $buser->tx_ref}}&account={{ $buser->account_number}}"> <i class="fa fa-eye"></i></a>
                                            </td>
                                        </tr>
                                    <?php } ?>
                                <tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection