@extends($activeTemplate.'layouts.auth_master')
@section('content')

<div class="container  main-container" id="main-container">
    <div class="card m-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">Bank Transactions</h5>
                </div>
            </div>
        </div>
        <div class="row m-4">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-title">AccountNo: {{ $account }}</h5>
                        <br>
                        <p>Bank Transaction History</p>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive--lg">
                            <table class="table mx-0 datatable1" id="datatable1">
                                <thead class="">
                                    <tr>
                                        <th class="desktop tablet mobile" data-priority="2">Type</th>
                                        <th class="desktop tablet " data-priority="2">Description</th>
                                        <th class="desktop tablet mobile" data-priority="2">Date</th>
                                        <th class="desktop tablet mobile" data-priority="2">Amount</th>
                                        <th class="desktop tablet mobile" data-priority="2">Fees</th>
                                        <th class="desktop tablet mobile" data-priority="2">Settlement Amount</th>
                                        <th class="desktop tablet mobile" data-priority="2">Trans ID</th>
                                        <th class="desktop tablet " data-priority="2">Status</th>
                                        <th class="desktop tablet " data-priority="2">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    if (isset($trxbank->data)) {
                                        foreach ($trxbank->data as $t) {
                                            $id = $t->id;
                                            $amount = $t->amount;
                                            $fee = $t->app_fee;
                                            $currency = $t->currency;
                                            $status = $t->status;
                                    ?>
                                            <tr>
                                                <td>
                                                    <svg width="35" height="35" viewBox="0 0 63 63" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                        <rect x="1.00002" y="1" width="61" height="61" rx="29" stroke="#2BC155" stroke-width="2" />
                                                        <g clip-path="url(#clip0)">
                                                            <path d="M35.2219 42.9875C34.8938 42.3094 35.1836 41.4891 35.8617 41.1609C37.7484 40.2531 39.3453 38.8422 40.4828 37.0758C41.6477 35.2656 42.2656 33.1656 42.2656 31C42.2656 24.7875 37.2125 19.7344 31 19.7344C24.7875 19.7344 19.7344 24.7875 19.7344 31C19.7344 33.1656 20.3523 35.2656 21.5117 37.0813C22.6437 38.8477 24.2461 40.2586 26.1328 41.1664C26.8109 41.4945 27.1008 42.3094 26.7727 42.993C26.4445 43.6711 25.6297 43.9609 24.9461 43.6328C22.6 42.5063 20.6148 40.7563 19.2094 38.5578C17.7656 36.3047 17 33.6906 17 31C17 27.2594 18.4547 23.743 21.1016 21.1016C23.743 18.4547 27.2594 17 31 17C34.7406 17 38.257 18.4547 40.8984 21.1016C43.5453 23.7484 45 27.2594 45 31C45 33.6906 44.2344 36.3047 42.7852 38.5578C41.3742 40.7508 39.3891 42.5063 37.0484 43.6328C36.3648 43.9555 35.55 43.6711 35.2219 42.9875Z" fill="#2BC155" />
                                                            <path d="M36.3211 31.7274C36.5891 31.9953 36.7203 32.3453 36.7203 32.6953C36.7203 33.0453 36.5891 33.3953 36.3211 33.6633L32.8812 37.1031C32.3781 37.6063 31.7109 37.8797 31.0055 37.8797C30.3 37.8797 29.6273 37.6008 29.1297 37.1031L25.6898 33.6633C25.1539 33.1274 25.1539 32.2633 25.6898 31.7274C26.2258 31.1914 27.0898 31.1914 27.6258 31.7274L29.6437 33.7453L29.6437 25.9742C29.6437 25.2196 30.2562 24.6071 31.0109 24.6071C31.7656 24.6071 32.3781 25.2196 32.3781 25.9742L32.3781 33.7508L34.3961 31.7328C34.9211 31.1969 35.7852 31.1969 36.3211 31.7274Z" fill="#2BC155" />
                                                        </g>
                                                        <defs>
                                                            <clipPath id="clip0">
                                                                <rect width="28" height="28" fill="white" transform="matrix(-4.37114e-08 1 1 4.37114e-08 17 17)" />
                                                            </clipPath>
                                                        </defs>
                                                    </svg>
                                                </td>
                                                <td>
                                                    <h6 class="fs-16 font-w600 mb-0">Payment Received</h6>
                                                    <span class="fs-14">Credit</span>
                                                </td>
                                                <td>
                                                    <h6 class="fs-16 text-black font-w400 mb-0"><?php echo $t->created_at; ?></h6>
                                                </td>
                                                <td><span class="fs-16 text-green"><?php echo $currency; ?> <?php echo $amount; ?></span></td>
                                                <td><span class="fs-16 text-red">-<?php echo $currency; ?> <?php echo $t->app_fee; ?></span></td>
                                                <td><span class="fs-16 text-green font-w500"><?php echo $currency; ?> <?php echo $t->amount_settled; ?></span></td>

                                                <td><span class="fs-16 text-black font-w400 mb-0"><?php echo $id; ?></span></td>
                                                <td><span class="btn btn-outline-dark btn-rounded"><?php echo ucfirst($status); ?></span></td>
                                                <td><span class="fs-16 text-black font-w400 mb-0"><a href="{{ route('user.bank.redeemtransaction') }}?transid=<?php echo $id; ?>">REDEEM</a></span></td>
                                            </tr>

                                    <?php  }
                                    } ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection