@extends($activeTemplate.'layouts.auth_master')
@section('content')


<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">Virtual Cards</h5>
                </div>
            </div>
        </div>
        <div class="row m-4">
            <div class="col-xl-8 offset-2">
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-title">Order USD Visa Prepaid </h5>
                    </div>
                    <div class="card-body">

                        <div class="justify-content-center">
                            <form action="{{ route('user.debit.prerequest') }}" method="POST">
                                @csrf
                                <div class="row">
                                    <div class="col-lg-10">
                                        <div class="profile-personal-info">
                                            <h5 class="text-primary mb-4 mt-4">Personal Information</h5>
                                            <div class="row mb-4 mb-sm-2">
                                                <div class="col-sm-3">
                                                    <h5 class="f-w-500">Name <span class="pull-right d-none d-sm-block">:</span>
                                                    </h5>
                                                </div>
                                                <div class="col-sm-9"><span>{{ $user->firstname }} {{ $user->lastname }}</span>
                                                </div>
                                            </div>

                                            <div class="row mb-4 mb-sm-2">
                                                <div class="col-sm-3">
                                                    <h5 class="f-w-500">Email <span class="pull-right d-none d-sm-block">:</span>
                                                    </h5>
                                                </div>
                                                <div class="col-sm-9"><span>{{ $user->email }}</span>
                                                </div>
                                            </div>
                                            <div class="row mb-4 mb-sm-2">
                                                <div class="col-sm-3">
                                                    <h5 class="f-w-500">Phone <span class="pull-right d-none d-sm-block">:</span>
                                                    </h5>
                                                </div>
                                                <div class="col-sm-9"><span>{{ $user->mobile }}</span>
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label class="mb-1 text-black" for="amount"><strong>Amount (Min $10 : Max $1000)</strong></label>
                                                    <input type="number" class="form-control" step="0.1" name="amount" id="amount" max="1000" min="10">

                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label class="mb-1 text-black" for="currency"><strong>Ussage</strong></label>
                                                    <select class="form-control" name="type" id="currency">
                                                        <option value="" selected>--Please Select--</option>

                                                        <option value="US">United States</option>
                                                        <option value="row">International</option>

                                                    </select>
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                    <div class="col-md-6 mb-2 text-left">
                                        <div class="form-group">
                                            <div class="mt-4">

                                                <button type="submit" class="btn btn-primary"> Proceed</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row m-4" style="clear:both">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-title">List of Purchased Cards</h5>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive-sm">
                        <table class="table mx-0 datatable2" id="datatable2">
                                <thead class="">
                                    <tr>
                                        <th class="desktop tablet mobile" data-priority="2">Date</th>
                                        <th class="desktop tablet mobile" data-priority="2">Amount</th>
                                        <th class="desktop tablet mobile" data-priority="2">Trans ID</th>
                                        <th class="desktop tablet  mobile" data-priority="2">View Card</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($cards as $c)
                                    <tr>
                                        <td>
                                            {{ $c->created_at }}
                                        </td>
                                        <td>
                                            ${{ $c->amount }}
                                        </td>
                                        <td>
                                            {{ $c->trx }}
                                        </td>
                                        <td>
                                            <a href="{{ $c->link }}" target="_blank"><i class="fa fa-credit-card"></i></a>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


@endsection