@extends($activeTemplate.'layouts.auth_master')
@php
$carddesign = getContent('carddesign.content', true);

if(isset($cards)){
$qr = array(
"card_hash" => $cards->card_hash,
"cvv" => $cards->cvv,
"expiration" => $cards->expiration,
"name_on_card" => $cards->name_on_card

);
$qrimg = json_encode($qr);
} else {
$qrimg = "No Card Found";
}
@endphp
@section('content')
<!-- Dashboard -->
<style>
    .box-icon {
        text-align: center;
        position: relative;
    }

    .box-icon>.image {
        position: relative;
        z-index: 2;
        margin: auto;
        width: 88px;
        height: 88px;
        border: 8px solid white;
        line-height: 88px;
        border-radius: 50%;
        background: #ff4c3b;
        vertical-align: middle;
    }

    .box-icon:hover>.image {
        background: #333;
    }

    .box-icon>.image>i {
        font-size: 36px !important;
        color: #fff !important;
        line-height: 1;
        display: inline-block;
    }

    .box-icon:hover>.image>i {
        color: white !important;
    }

    .box-icon>.info {
        margin-top: -24px;
        background: rgba(0, 0, 0, 0.04);
        border: 1px solid #e0e0e0;
        padding: 15px 0 10px 0;
    }

    .box-icon:hover>.info {
        background: rgba(0, 0, 0, 0.04);
        border-color: #e0e0e0;
        color: white;
    }

    .box-icon>.info>h3.title {
        font-family: "Roboto", sans-serif !important;
        font-size: 16px;
        color: #222;
        font-weight: 500;
    }

    .box-icon>.info>p {
        font-family: "Roboto", sans-serif !important;
        font-size: 13px;
        color: #666;
        line-height: 1.5em;
        margin: 20px;
    }

    .box-icon:hover>.info>h3.title,
    .box-icon:hover>.info>p,
    .box-icon:hover>.info>.more>a {
        color: #222;
    }

    .box-icon>.info>.more a {
        font-family: "Roboto", sans-serif !important;
        font-size: 12px;
        color: #222;
        line-height: 12px;
        text-transform: uppercase;
        text-decoration: none;
    }

    .box-icon:hover>.info>.more>a {
        color: #fff;
        padding: 6px 8px;
        background-color: #ff4c3b;
    }

    .box .space {
        height: 30px;
    }
</style>
<div class="container  main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2"> Mutli Currency Balances</h5>
                </div>
            </div>
        </div>

        <div class="col-lg-12 mt-4">
            <div class="col-md-2 float-right offset-10 mb-4">
                <a href="javascript:void(0)" class="btn btn-primary mb-4 btn-sm addBtn"><i class="fa fa-fw fa-plus"></i>@lang('Add New')</a>
            </div>
            <div class="card border-0">
                <div class="card-body" id="info">
                    <div class="counter-section mb-4">

                        <div class="row mt-4">
                            <h3>Mutli Currency Balances {{ $user->ewallet_id }} </h3>
                            <p><span style="font-size:12px; color:blue;">*Balances displayed are your balances available in different currencies</span></p>
                            @if(isset($balc))
                            @foreach($balc as $rate)

                            <div class="col-md-3 mb-2">
                                <div class="counter-box">
                                    <img height="35px" style="border-radius:25%;" src="{{ getImage(imagePath()['tatum']['path'].'/'. $rate['image']->image,imagePath()['tatum']['size'])}}" alt="@lang('image')">

                                    <div>
                                        <h3 class="title" data-counter-end=""> {{ number_format(($rate['balance']->accountBalance), 2) }}</h3>

                                    </div>
                                    <div class='actionbuttons'>
                                        <a href='{{ route('user.currencies.transfer',$rate['id']) }}' class='m-2' data-toggle="tooltip" data-placement="top" title="Transfer"><i class='fa fa-exchange'></i></a>
                                        <a href='{{ route('user.currencies.exchange',$rate['id']) }}' class='m-2' data-toggle="tooltip" data-placement="top" title="Withdraw"><i class='fa fa-upload'></i></a>
                                        <a href='{{ route('user.currencies.usdexchange',$rate['id']) }}' class='m-2' data-toggle="tooltip" data-placement="top" title="Deposit"><i class='fa fa-download'></i></a>
                                    </div>
                                </div>
                            </div>
                            @endforeach
                            @endif
                        </div>



                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
{{-- Add METHOD MODAL --}}
<div id="addcur" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"> @lang('Add Multi Currency Account')</h5>

            </div>
            <form action="{{route('user.currencies.wallet')}}" method="POST">
                @csrf
                <div class="modal-body">

                    <div class="form-group">
                        <label class="form-control-label font-weight-bold">@lang('Select Currency') <span class="text-danger">*</span></label>
                        <select class="form-control" required name="id">
                            <option value="">--- Please Select ---</option>

                            @foreach($posts as $w)

                            <option value="{{$w->id}}">{{$w->basePair}}</option><!-- comment -->


                            @endforeach


                        </select>

                    </div>


                </div>
                <div class="modal-footer">

                    <button type="submit" class="btn btn-primary">@lang('Add')</button>
                </div>
            </form>
        </div>
    </div>
</div>


@push('script')
<script>
    'use strict';

    $('.check-length').on('input', function() {
        let maxLength = $(this).data('length');
        let currentLength = $(this).val().length;

        let remain = maxLength - currentLength;
        let result = `${remain} @lang('characters remaining')`;
        let remainElement = $(this).parent('.form-group').find('.remaining');

        remainElement.css({
            fontWeight: 'bold',
            fontSize: '14px',
            display: 'block',
            textAlign: 'end',
        });

        if (remain <= 5) {
            remainElement.css('color', 'red');
        } else if (remain <= 20) {
            remainElement.css('color', 'green');
        } else {
            remainElement.css('color', 'black');
        }

        remainElement.html(`${remain} @lang('characters remaining')`);
    });

    $('.check-length').on('keypress', function() {
        let maxLength = $(this).data('length');
        let currentLength = $(this).val().length;

        if (currentLength >= maxLength) {
            return false;
        }
    });

    (function($) {
        $('.addBtn').on('click', function() {
            var modal = $('#addcur');

            modal.find('input[name=code]').on('input', function() {
                modal.find('.currency-symbol').text($(this).val());
            });

            modal.modal('show');
        });

        $('.updateBtn').on('click', function() {
            var modal = $('#updateBtn');

            var resourse = $(this).data('resourse');

            modal.find('.currency-symbol').text(resourse.code);

            modal.find('input[name=code]').on('input', function() {
                modal.find('.currency-symbol').text($(this).val());
            });

            var route = $(this).data('route');
            $('.name').val(resourse.name);
            $('.code').val(resourse.code);
            $('.symbol').val(resourse.symbol);
            $('.rate').val(parseFloat(resourse.rate).toFixed(8));

            if (resourse.status == 1) {
                modal.find('input[name=status]').bootstrapToggle('on');
            } else {
                modal.find('input[name=status]').bootstrapToggle('off');
            }

            $('.edit-route').attr('action', route);



        });

    })(jQuery);
</script>
@endpush
<!-- Dashboard -->
@endsection