 @extends($activeTemplate.'layouts.auth_master')
 @php
 $carddesign = getContent('carddesign.content', true);
 
 $advert = getContent('dashboardadverts.content', true);

 if(isset($cards)){
 $qr = array(
 "card_hash" => $cards->card_hash,
 "cvv" => $cards->cvv,
 "expiration" => $cards->expiration,
 "name_on_card" => $cards->name_on_card

 );
 $qrimg = json_encode($qr);
 } else {
 $qrimg = "No Card Found";
 }
 @endphp
 @section('content')

 <style>
     .creditcard{
         background: linear-gradient(-45deg, {{$carddesign->data_values->centertopshadowcolor}} 0%, {{$carddesign->data_values->centercolor}} 50%, {{$carddesign->data_values->centerbottomshadowcolor}} 100%)
     }
     .creditcard:after{
      background: linear-gradient(45deg, {{$carddesign->data_values->topcirclelinearcolor}} 0%, {{$carddesign->data_values->topcircleshadecolor}} 80%);   
     }
     .creditcard:before{
         background: linear-gradient(45deg, {{$carddesign->data_values->bottomcirclecolor}} 0%, {{$carddesign->data_values->bottomcircleshadowcolor}} 55%, {{$carddesign->data_values->bottomcircleshadecolor}} 80%);
     }
 </style>
 <!-- Dashboard -->
<div class="container main-container" id="main-container">
     <div class="row">
         <div class="col-12 col-md-6 col-lg-6 col-xl-6">
             <div class="card border-0 shadow-sm overflow-hidden mb-4">
                 <div class="card-body py-0">
                     <div class="row">
                         <div class="col py-2 pr-0">
                             <p>Total Deposit</p><br>
                             <h4 class="font-weight-light mb-0"><small>{{ __($general->cur_text) }}</small> {{showAmount($payment['total_deposit_amount']) ?? "0"}}</h4>
                         </div>
                         <div class="col-auto bg-primary  text-white py-2">
                             <p class="mb-0"><small>{{ __($general->cur_text) }} {{showAmount($payment['total_deposit_amount_month']) ?? "0"}}<span class="text-mute d-block">This Month</span></small></p>
                             <div class="summary-one"><canvas id="summary-one"></canvas></div>
                         </div>
                     </div>
                 </div>
             </div>
         </div>
         <div class="col-12 col-md-6 col-lg-6 col-xl-6">
             <div class="card border-0 shadow-sm overflow-hidden mb-4">
                 <div class="card-body py-0">
                     <div class="row">
                         <div class="col py-2 pr-0">
                             <p>Total Withdrawals</p><br>
                             <h4 class="font-weight-light mb-0"><small>{{ __($general->cur_text) }}</small> {{showAmount($payment['total_withdraw_amount']) ?? "0"}}</h4>
                         </div>
                         <div class="col-auto bg-danger  text-white py-2">
                             <p class="mb-0"><small>{{ __($general->cur_text) }} {{showAmount($payment['total_withdraw_amount_month']) ?? "0"}}<span class="text-mute d-block">This Month</span></small></p>
                             <div class="summary-one"><canvas id="summary-two"></canvas></div>
                         </div>
                     </div>
                 </div>
             </div>
         </div>

     </div>
     <div class="row">

         @if($general->cd && isset($cards->id))
         <div class="col-12 col-md-auto">
             <h5 class="title my-3">@lang('My Loyalty Card')</h5>
             <a href="#" class="creditcard-wrap mx-auto mb-2">
                 <div class="card border-0 creditcard shadow-sm">
                     <div class="card-body z-2">
                         <div class="row mb-3">
                             <div class="col-auto pr-0">
                                 <img src="https://api.qrserver.com/v1/create-qr-code/?size=75x75&bgcolor=5156be&color=fff&data={{ $qrimg }}" alt="" class="rounded" width="80px">
                             </div>
                             <div class="col text-right">
                                 <img src="{{getImage(imagePath()['logoIcon']['path'] .'/logo.png')}}" alt="" class="logo-image">
                                 <h6 class="my-2">{{ $cards->card_pan}}</h6>
                             </div>
                         </div>
                         <div class="row mb-3">
                             <div class="col">
                                 <p class="text-mute small mb-0">Card Holder</p>
                                 <p>{{ $cards->name_on_card}}</p>
                             </div>
                             <div class="col-auto text-right">
                                 <p class="text-mute small mb-0">Expires</p>
                                 <p>{{ $cards->expiration}}</p>
                             </div>
                         </div>
                         <p class="text-uppercase small">Loyalty Card</p>
                     </div>
                 </div>
                 <div class="card border-0 creditcard back shadow-sm">
                     <div class="card-body z-2">
                         <div class="row">
                             <div class="col"></div>
                             <div class="col-auto">
                                 <img src="{{getImage(imagePath()['logoIcon']['path'] .'/logo.png')}}" alt="" class="logo-image">
                             </div>
                         </div>

                         <div class="row align-items-center my-4">
                             <div class="col">
                                 <div class="stripes-card">
                                     <p class="text-mute small mb-0">CVV</p>
                                     <p>{{ $cards->cvv}}</p>
                                 </div>
                             </div>
                         </div>
                         <div class="row">
                             <div class="col-auto pr-0">
                                 <p class="text-mute small mb-0">Status</p>
                                 @if($cards->is_active == "ACT")
                                 <p><i class="bi bi-patch-check mr-1"></i> Active</p>
                                 @else
                                 <p><i class="bi bi-patch-exclamation mr-1"></i> Blocked</p>
                                 @endif

                             </div>
                             <div class="col-auto text-center pr-0">
                                 <p class="text-mute small mb-0">Network</p>
                                 <p>{{ __(@$carddesign->data_values->network_name) }}</p>
                             </div>
                             <div class="col text-right">
                                 <p class="text-mute small mb-0">Balance ({{ __($general->cur_text) }})</p>
                                 <p>{{ showAmount($user->balance) }}</p>
                             </div>
                         </div>
                     </div>
                 </div>
             </a>
             <p class=" text-right">
                 <a href="{{ route('user.debit.index') }}" class="btn btn-sm btn-link">Transaction History <i class="material-icons vm">arrow_forward</i></a>
             </p>
         </div>
         @endif
         <div class="col">
             <h5 class="title my-3">Forex Currency Balance</h5>
             <div class="row">
                 @foreach($fiats as $rate)
                 <div class="col-12 col-sm-6 col-md-6 col-xl-3">
                     <div class="card border-0    shadow-sm overflow-hidden mb-4 " style="height:9rem;">
                         <div class="card-body">
                             <div class="row mb-3">
                                 <div class="col pr-0">

                                 </div>
                                 <div class="col-auto ">

                                 </div>
                             </div>
                             <h5 class="mb-2"><small>{{ $rate->symbol }}</small> {{ number_format(($user->balance * $rate->rate), 2) }}</h5>
                             <div class="row align-items-center">
                                 <div class="col pr-0">
                                     <p class="text-mute mb-0">Fx: {{ __($general->cur_text) }}={{ $rate->code }} {{ number_format($rate->rate, 2) }} </p>
                                 </div>
                                 <div class="col-auto ">
                                     <p class="mb-0 text-success"></p>
                                 </div>
                             </div>
                         </div>
                     </div>
                 </div>
                 @endforeach
             </div>

         </div>
     </div>

     @if($general->crypto)
     <!-- crypto balance summary -->
     <h5 class="title my-3">Crypto Currency Balance</h5>
     <div class="row">
         @foreach ($wallets as $item)
         <div class="col-12 col-sm-6 col-md-6 col-xl-3">
             <div class="card border-0 shadow-sm overflow-hidden mb-4">
                 <div class="card-body">
                     <div class="row mb-3">
                         <div class="col-auto pr-0">
                             <div class="avatar avatar-50 rounded-circle border-0">
                                 <img src="{{ getImage(imagePath()['crypto']['path'].'/'. $item->crypto->image,imagePath()['crypto']['size'])}}" alt="" class="w-100">
                             </div>
                         </div>
                         <div class="col pr-0">
                             <p class="mb-2">{{__($item->crypto->code)}}</p>
                             <h5 class="mb-0">{{__($item->crypto->symbol)}} {{showAmount($item->balance,8)}}</h5>
                         </div>
                     </div>
                     <div class="row align-items-center">
                         <div class="col pr-0">
                             <p class="text-mute">Fx: {{ __($general->cur_text) }}: {{__($item->crypto->rate)}}</p>
                         </div>
                         <div class="col-auto ">

                         </div>
                     </div>
                 </div>
             </div>
         </div>
         @endforeach
     </div>
     @endif

     <!-- banner set background color as image bg -->
     <div class="row text-center mb-3" style="background-color: #ffc530;">
         <div class="col">
             <img src="{{ getImage('assets/images/frontend/dashboardadverts/' .@$advert->data_values->middle, '1024x129') }}" alt="" class="mw-100" />
         </div>
     </div>




     @if($general->crypto)
     <!-- grid datatable -->
     <div class="card mb-4">
         <div class="card-header">
             <div class="row">
                 <div class="col-12 col-sm">
                     <h5 class="title my-2">Latest Advertisements</h5>
                 </div>
                 <div class="col-12 col-sm-auto">

                 </div>
             </div>
         </div>
         <div class="card-body">
             <table class="table mx-0 datatable1" id="datatable1">
                 <thead class="">
                     <tr>
                         <th class="desktop tablet mobile" data-priority="2">Type</th>
                         <th class="desktop tablet mobile" data-priority="2">Currency</th>
                         <th class="desktop tablet" data-priority="2">Payment Method</th>
                         <th class="desktop tablet" data-priority="2">Margin</th>
                         <th class="desktop" data-priority="2">Rate</th>
                         <th class="desktop" data-priority="2">Payment Window</th>
                         <th class="desktop tablet mobile" data-priority="2">Status</th>
                         <th class="desktop tablet mobile" data-priority="2">Action</th>
                     </tr>
                 </thead>
                 <tbody>
                     @forelse ($latestAdds as $item)
                     <tr>
                         <td data-label="@lang('Type')">
                             @if ($item->type == 1)
                             <span class="badge text-white badge-success">@lang('Buy')</span>
                             @elseif($item->type == 2)
                             <span class="badge text-white badge-info">@lang('Sell')</span>
                             @else
                             @endif
                         </td>
                         <td data-label="@lang('Currency')">{{__($item->fiat->code)}}</td>
                         <td data-label="@lang('Payment Method')">{{__($item->fiatGateway->name)}}</b></td>
                         <td data-label="@lang('Margin')">{{$item->margin}} %</td>
                         <td data-label="@lang('Rate')">{{rate($item->type, $item->crypto->rate, $item->fiat->rate, $item->margin)}} {{__($item->fiat->code)}}/ {{__($item->crypto->code)}}</td>
                         <td data-label="@lang('Payment Window')">{{$item->window}} @lang('Minutes')</td>
                         <td data-label="@lang('Status')">
                             @if ($item->status == 1)
                             <span class="badge text-white badge-success">@lang('Open')</span>
                             @else
                             <span class="badge text-white badge-warning">@lang('Closed')</span>
                             @endif
                         </td>
                         <td data-label="@lang('Action')"><a href="{{route('user.advertisement.edit',$item->id)}}" class="btn btn-primary btn-xs"><i class="las la-edit"></i></a></td>
                     </tr>
                     @empty
                     <tr>
                         <td colspan="100%" class="text-center">@lang('No Data Found')</td>
                     </tr>
                     @endforelse
                 </tbody>
             </table>
         </div>
     </div>
     @endif
     <!-- banner set background color as image bg -->
     <div class="row text-center mb-3" style="background-color: #ffc530;">
         <div class="col">
             <img src="{{ getImage('assets/images/frontend/dashboardadverts/' .@$advert->data_values->bottom, '1024x129') }}" alt="" class="mw-100" />
         </div>
     </div>
     <!-- grid datatable -->
     <div class="card mb-4">
         <div class="card-header">
             <div class="row">
                 <div class="col-12 col-sm">
                     <h5 class="title my-2">Transactions</h5>
                 </div>
                 <div class="col-12 col-sm-auto">

                 </div>
             </div>
         </div>
         <div class="card-body">
             <table class="table datatable2" id="datatable2">
                 <thead class="">
                     <tr>
                         <th class="desktop tablet mobile">Date</th>
                         <th class="desktop tablet"> Txn</th>
                         <th class="desktop tablet mobile">Amount</th>
                         <th class="desktop tablet">Balance</th>
                         <th class="desktop ">Description</th>
                     </tr>
                 </thead>
                 <tbody>
                     @forelse($latestTrxs as $trx)
                     <tr>
                         <td data-label="@lang('Date')">
                             {{ showDateTime($trx->created_at) }}
                         </td>
                         <td data-label="@lang('Trx')">
                             {{ $trx->trx }}
                         </td>
                         <td data-label="@lang('Amount')">
                             <strong>
                                 {{ $trx->trx_type }}
                                 {{ showAmount($trx->amount, 2) }}
                                 {{ __($general->cur_text) }}
                             </strong>
                         </td>
                         <td data-label="@lang('Post Balance')">
                             <strong>
                                 {{ showAmount($trx->post_balance, 2) }}
                                 {{ __($general->cur_text) }}
                             </strong>
                         </td>
                         <td data-label="@lang('Details')">
                             {{ __($trx->details) }}
                         </td>
                     </tr>
                     @empty
                     <tr>
                         <td colspan="100%">@lang('Data Not Found')</td>
                     </tr>
                     @endforelse

                 </tbody>
             </table>
         </div>
     </div>


 </div>


 <!-- Dashboard -->
 @endsection

 <script>




 </script>
