@extends($activeTemplate.'layouts.auth_master')
@section('content')

<div class="container main-container" id="main-container">
    <div class="card m-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm ">
                    <a href="{{ route('user.dps.plans') }}" class="active btn btn-primary m-2">@lang('DPS Plans')</a>
                    <a href="{{ route('user.dps.list') }}" class="btn btn-secondary m-2">@lang('My DPS List')</a>
                </div>
            </div>
        </div>

        <section class="pt-0 pb-120 section--bg mt-0">
            <div class="container">
                <div class="plan-area mb-4 mt-4 ">
                    <div class="row justify-content-center gy-4">
                        @foreach($plans as $plan)
                        <div class="col-lg-4 col-md-6">

                            <div class="card rounded-3 wow fadeInUp">
                                <div class="card-header">

                                    <h5 class="plan-name">{{ __($plan->name) }}</h5>
                                    <h4 class="plan-price text-primary">
                                        {{ $general->cur_sym.getAmount($plan->per_installment) }}
                                        <sub>/{{ $plan->installment_interval }}@lang('Days')</sub>
                                    </h4>
                                </div>

                                <div class="card-body text-center">
                                    <ul class="plan-feature-list">
                                        <li class="d-flex flex-wrap justify-content-between">
                                            <span><i class="fa fa fa-check-circle-o" style="margin-right:5px"></i>
                                                @lang('Interest Rate')
                                            </span>
                                            {{ getAmount($plan->interest_rate) }}%
                                        </li>

                                        <li class="d-flex flex-wrap justify-content-between">
                                            <span><i class="fa fa fa-check-circle-o" style="margin-right:5px"></i>
                                                @lang('Installment Interval')
                                            </span>
                                            {{ $plan->installment_interval }} @lang('Days')
                                        </li>

                                        <li class="d-flex flex-wrap justify-content-between">
                                            <span><i class="fa fa fa-check-circle-o" style="margin-right:5px"></i>
                                                @lang('Total Installment')
                                            </span>
                                            {{ $plan->total_installment }}
                                        </li>

                                        <li class="d-flex flex-wrap justify-content-between">
                                            <span><i class="fa fa fa-check-circle-o" style="margin-right:5px"></i>
                                                @lang('Deposit Amount')
                                            </span>
                                            {{ $general->cur_sym.showAmount($plan->total_installment * $plan->per_installment) }}
                                        </li>

                                        <li class="d-flex flex-wrap justify-content-between">
                                            <span><i class="fa fa fa-check-circle-o" style="margin-right:5px"></i>
                                                @lang('You Will Get')
                                            </span>
                                            {{ $general->cur_sym.showAmount($plan->final_amount) }}
                                        </li>
                                    </ul>
                                </div>
                                <div class="plan-card__footer text-center mb-2">
                                    @auth
                                    <button type="button" data-id="{{ $plan->id }}" class="btn btn-primary dpsBtn mb-2">@lang('Apply Now')</button>
                                    @else
                                    <a href="{{route('user.login')}}" class="btn btn-primary mb-2">@lang('Apply Now')</a>
                                    @endauth
                                </div>
                            </div><!-- plan-card end -->
                        </div>
                        @endforeach
                    </div>

                    {{ $plans->links() }}

                </div>
            </div>
        </section>



        <div class="modal fade" id="dpsModal">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <strong class="modal-title method-name" id="exampleModalLabel">@lang('Apply to Open a DPS')</strong>
                        <button type="button" class="btn-close" data-dismiss="modal" aria-label="Close"></button>
                        </a>
                    </div>
                    <form action="{{ route('user.action') }}" method="post">
                        @csrf
                        <div class="modal-body">
                            <input type="hidden" name="id">
                            <input type="hidden" name="type" value="dps">

                            @lang('Are you sure to apply for this plan?')

                        </div>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">@lang('Close')</button>
                            <button type="submit" class="btn btn-primary">@lang('Confirm')</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('script')
<script>
    (function($) {
        "use strict";
        $('.dpsBtn').on('click', (e) => {
            var modal = $('#dpsModal');
            var $this = $(e.currentTarget);
            modal.find('input[name=id]').val($this.data('id'));
            modal.modal('show');
        });
    })(jQuery);
</script>
@endpush

@push('bottom-menu')

<a href="{{ route('user.dps.plans') }}" class="active btn btn-primary m-2">@lang('DPS Plans')</a>
<a href="{{ route('user.dps.list') }}" class="btn btn-secondary m-2">@lang('My DPS List')</a>

@endpush