@extends($activeTemplate.'layouts.auth_master')
@section('content')
@include($activeTemplate.'partials.breadcrumb')

 <section class="pt-0 pb-120 section--bg mt-0">
     
    <div class="container">
        <li>
    <a href="{{ route('user.dps.plans') }}" class="active btn btn-primary m-2">@lang('DPS Plans')</a>
</li>
<li>
    <a href="{{ route('user.dps.list') }}" class="btn btn-secondary m-2">@lang('My DPS List')</a>
</li>
        <div class="row justify-content-center mt-4">
            <div class="col-xl-7 col-lg-12">
                <div class="card border">
                    <div class="card-header">
                         <h5 class="text-center">
                            @lang('You have requested to invest in DPS')
                        </h5>
                        <h4 class="text-center text-primary">(@lang('Please Confirm'))</h4>
                    </div>
                    <div class="card-body">
                       

                        <ul class="caption-list-two mt-3">
                             <li class="w-100">
                                <span class="caption">@lang('Plan')</span>
                                <span class="value">@lang($plan->name)</span>
                            </li>

                             <li class="w-100">
                                <span class="caption">@lang('Installment Interval')</span>
                                <span class="value">{{ $plan->installment_interval }} @lang('Days')</span>
                            </li>

                             <li class="w-100">
                                <span class="caption">@lang('Total Installment')</span>
                                <span class="value">{{ $plan->total_installment }}</span>
                            </li>

                            <li>
                                <span class="caption">@lang('Per Installment')</span>
                                <span class="value">{{ $general->cur_sym.showAmount($plan->per_installment) }}</span>
                            </li>

                              <li class="w-100">
                                <span class="caption">@lang('Total Investment')</span>
                                <span class="value">{{ $general->cur_sym.showAmount($plan->per_installment * $plan->total_installment) }}</span>
                            </li>

                              <li class="w-100">
                                <span class="caption">@lang('Profit Rate')</span>
                                <span class="value">{{ getAmount($plan->interest_rate) }}%</span>
                            </li>

                              <li class="w-100">
                                <span class="caption">@lang('Total Investment')</span>
                                <span class="value fw-bold">{{ $general->cur_sym.showAmount($plan->final_amount) }}</span>
                            </li>

                        </ul>

                        <div class="d-flex justify-content-end mt-3">
                            <a href="{{ route('user.action.cancel') }}" class="btn btn-md btn--danger me-3">@lang('Cancel')</a>
                            <form action="" method="POST">
                                @csrf
                                <button type="submit" class="btn btn-primary">@lang('Confirm')</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
     </section>
@endsection

@push('bottom-menu')
<li>
    <a href="{{ route('user.dps.plans') }}" class="active btn btn-primary m-2">@lang('DPS Plans')</a>
</li>
<li>
    <a href="{{ route('user.dps.list') }}" class="btn btn-secondary m-2">@lang('My DPS List')</a>
</li>
@endpush
