@extends($activeTemplate.'layouts.auth_master')
@section('content')
@include($activeTemplate.'partials.breadcrumb')
  <section class="pt-0 pb-120 section--bg mt-0">
    <div class="container">
        <li>
        <a href="{{ route('user.fdr.plans') }}" class="active btn btn-primary m-2">@lang('FDR Plans')</a>
    </li>
    <li>
        <a href="{{ route('user.fdr.list') }}" class="btn btn-secondary m-2">@lang('My FDR List')</a>
    </li>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-xl-7 col-lg-12">
                <div class="card">
                    <div class="card-header">
                         <h5 class="text-center">
                            @lang('You have requested to invest in FDR')
                        </h5>
                         <h4 class="text-center text-primary">(@lang('Please Confirm'))</h4>
                    </div>
                    <div class="card-body">
                       

                        <ul class="caption-list-two mt-3">
                            <li class="w-100">
                                <span class="caption">@lang('Plan')</span>
                                <span class="value">@lang($plan->name)</span>
                            </li>
                             <li class="w-100">
                                <span class="caption">@lang('Profit Rate')</span>
                                <span class="value">{{ getAmount($plan->interest_rate) }}%</span>
                            </li>

                              <li class="w-100">
                                <span class="caption">@lang('Your Amount')</span>
                                <span class="value">{{ $general->cur_sym.showAmount($amount) }}</span>
                            </li>

                              <li class="w-100">
                                <span class="caption">@lang('Profit in Every') {{ $plan->interest_interval }} @lang('Days')</span>
                                <span class="value">{{ $general->cur_sym.showAmount($amount*$plan->interest_rate/100) }}</span>
                            </li>

                            <li class="text-danger">
                                <span class="caption">@lang('Can\'t Be Withdrawn Till')</span>
                                <span class="value">{{ showDateTime(Carbon\Carbon::now()->addDays($plan->locked_days), 'd M, Y') }}</span>
                            </li>

                        </ul>

                        <div class="d-flex justify-content-end mt-3">
                            <a href="{{ route('user.action.cancel') }}" class="btn btn-md btn--dark me-3">@lang('Cancel')</a>
                            <form action="" method="POST">
                                @csrf
                                <button type="submit" class="btn btn-primary">@lang('Confirm')</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
 </section>
@endsection


@push('bottom-menu')
    <li>
        <a href="{{ route('user.fdr.plans') }}" class="active btn btn-primary m-2">@lang('FDR Plans')</a>
    </li>
    <li>
        <a href="{{ route('user.fdr.list') }}" class="btn btn-secondary m-2">@lang('My FDR List')</a>
    </li>
@endpush