@extends($activeTemplate.'layouts.auth_master')
@php
$user = auth()->user();

@endphp
@section('content')
<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">NGN Bank Account</h5>
                </div>
            </div>
        </div>
        <div class="row m-4">
            <div class="col-xl-6 offset-3 ">
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-title">@lang('Request NGN Account')</h5>
                    </div>
                    <div class="card-body">
                        <div>
                            <form action="{{route('user.ngncreateva')}}" method="POST" enctype="multipart/form-data">
                                @csrf
                                <div class="row">
                                    <div class="col-lg-10 offset-1">
                                        <div class="profile-personal-info">
                                            <h4 class="text-primary mb-4 mt-4">@lang('Personal Information')</h4>
                                            <div class="row mb-4 mb-sm-2">
                                                <div class="col-sm-5">
                                                    <h5 class="f-w-500">@lang('Account Name') <span class="pull-right d-none d-sm-block">:</span>
                                                    </h5>
                                                </div>
                                                <div class="col-sm-7"><span><?php echo $user->firstname; ?> <?php echo $user->lastname; ?></span>
                                                </div>
                                            </div>

                                            <div class="row mb-4 mb-sm-2">
                                                <div class="col-sm-5">
                                                    <h5 class="f-w-500">@lang('Email') <span class="pull-right d-none d-sm-block">:</span>
                                                    </h5>
                                                </div>
                                                <div class="col-sm-7"><span><?php echo $user->email; ?></span>
                                                </div>
                                            </div>

                                            <div class='row'>

                                                <div class="col-md-6 mb-2">
                                                    <div class="form-group">
                                                        <label class="mb-1 text-black" for="secret"><strong>@lang('Phone - No country Code')</strong><span class="text-danger">*</span> </label>
                                                        <input class="form-control" type="number" name="mobile" id="mobile" value="{{old('mobile')}}" required maxlength="11" minlength="11">
                                                    </div>
                                                </div>
                                            </div>


                                            <div class="col mb-2">
                                                <div class="form-group ">
                                                    <div class="text-center mt-4">
                                                        <button type="submit" class="btn btn-primary"> @lang('Proceed')</button>
                                                    </div>
                                                </div>
                                                <!--      <p class="text-danger">* @lang('An Issuance fee of') {{ $general->cur_text }} {{ showAmount($general->ngn_fee) }} @lang('applies.')</p>-->
                                            </div>

                                        </div>
                                    </div>
                                </div>

                            </form>

                        </div>

                    </div>
                </div>
            </div>
        </div>

    </div>
</div>



@endsection