@extends($activeTemplate.'layouts.auth_master')
@section('content')




<!-- dashboard section start -->
<div class="container main-container" id="main-container">
    <div class="card m-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm ">
                    <a href="{{ route('user.loan.plans') }}" class="active btn btn-primary m-2">@lang('Loan Plans')</a>
                    <a href="{{ route('user.loan.list') }}" class="btn btn-secondary m-2">@lang('My Loan List')</a>
                </div>
            </div>
        </div>
        <section class="pt-0 pb-120 section--bg mt-0">
            <div class="container">
                <div class="plan-area mb-none-30 mt-5 mb-5">
                    <div class="row justify-content-center gy-4">
                        @forelse($plans as $plan)
                        <div class="col-lg-4 col-md-6">
                            <div class="card rounded-3 wow fadeInUp">
                                <div class="card-header">

                                    <h4 class="plan-name">{{ __($plan->name) }}</h4>
                                    <h5 class="plan-price text-primary">
                                        {{ getAmount($plan->per_installment) }}% <sub>/{{ $plan->installment_interval }} @lang('Days')</sub>
                                    </h5>
                                </div>
                                <div class="card-body text-center">
                                    <ul class="plan-feature-list">
                                        <li class="d-flex flex-wrap" style="margin-right:5px">
                                            <i class="fa fa fa-check-circle-o" style="margin-right:5px"></i>
                                            <span>@lang('Take Minimum')</span>
                                            {{ $general->cur_sym }}{{ showAmount($plan->minimum_amount) }}
                                        </li>

                                        <li class="d-flex flex-wrap" style="margin-right:5px">
                                            <i class="fa fa fa-check-circle-o" style="margin-right:5px"></i>
                                            <span>@lang('Take Maximum')</span>
                                            {{ $general->cur_sym }}{{ showAmount($plan->maximum_amount) }}
                                        </li>

                                        <li class="d-flex flex-wrap" style="margin-right:5px">
                                            <i class="fa fa fa-check-circle-o" style="margin-right:5px"></i>
                                            <span>
                                                @lang('Per Installment')
                                            </span>
                                            {{ getAmount($plan->per_installment) }}%
                                        </li>

                                        <li class="d-flex flex-wrap" style="margin-right:5px">
                                            <i class="fa fa fa-check-circle-o" style="margin-right:5px"></i>
                                            <span>
                                                @lang('Installment Interval')

                                            </span>
                                            {{ $plan->installment_interval }} @lang('Days')
                                        </li>

                                        <li class="d-flex flex-wrap" style="margin-right:5px">
                                            <i class="fa fa fa-check-circle-o" style="margin-right:5px"></i>
                                            <span>
                                                @lang('Total Installment')
                                            </span>
                                            {{ $plan->total_installment }}
                                        </li>


                                    </ul>
                                </div>
                                <div class="plan-card__footer text-center mb-2">
                                    <button type="button" data-id="{{ $plan->id }}" data-minimum="{{ $general->cur_sym }}{{ showAmount($plan->minimum_amount) }}" data-maximum="{{ $general->cur_sym }}{{ showAmount($plan->maximum_amount) }}" class="btn btn-primary loanBtn mb-2">@lang('Apply Now')</button>
                                </div>
                            </div><!-- plan-card end -->
                        </div>
                        @endforeach
                    </div>

                    {{ $plans->links() }}

                </div><!-- row end -->
            </div>
        </section>
    </div>
</div>
<!-- dashboard section end -->
@endsection

<div class="modal fade" id="loanModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <strong class="modal-title method-name" id="exampleModalLabel">@lang('Apply for Loan')</strong>
                <button type="button" class="btn-close" data-dismiss="modal" aria-label="Close"></button>
                </a>
            </div>
            <form action="{{ route('user.loan.apply') }}" method="post">
                @csrf
                <div class="modal-body">
                    <input type="hidden" name="id">
                    <div class="form-group">
                        <label for="">@lang('Amount')</label>
                        <input type="text" name="amount" class="form-control" placeholder="@lang('Enter An Amount')">
                        <p><small class="text--danger min-limit mt-2"></small></p>
                        <p><small class="text-danger max-limit"></small></p>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">@lang('Close')</button>
                    <button type="submit" class="btn btn-primary">@lang('Confirm')</button>
                </div>
            </form>
        </div>
    </div>
</div>


@push('script')
<script>
    (function($) {
        "use strict";
        $('.loanBtn').on('click', (e) => {
            var modal = $('#loanModal');
            var $this = $(e.currentTarget);
            modal.find('input[name=id]').val($this.data('id'));
            modal.find('.min-limit').text(`Minimum Amount ${$this.data('minimum')}`);
            modal.find('.max-limit').text(`Maximum Amount ${$this.data('maximum')}`);
            modal.modal('show');
        });
    })(jQuery);
</script>
@endpush



@push('bottom-menu')
<a href="{{ route('user.loan.plans') }}" class="active btn btn-primary m-2">@lang('Loan Plans')</a>
<a href="{{ route('user.loan.list') }}" class="btn btn-secondary m-2">@lang('My Loan List')</a>

@endpush