@extends($activeTemplate.'layouts.auth_master')
@section('content')
@include($activeTemplate.'partials.breadcrumb')
<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">Merchant Transactions</h5>
                </div>
            </div>
        </div>



        <div class="card-body">
            <table class="table mx-0 datatable1" id="datatable1">
                <thead class="">
                    <tr>
                        <th class="desktop tablet mobile" data-priority="2">@lang('Date')</th>
                        <th class="desktop tablet mobile" data-priority="2">@lang('Trx')</th>
                        <th class="desktop tablet mobile" data-priority="2">@lang('Amount')</th>
                        <th class="desktop tablet " data-priority="2">@lang('Charge')</th>
                        <th class="desktop tablet " data-priority="2">@lang('Post Balance')</th>
                        <th class="desktop tablet " data-priority="2">@lang('Paid By')</th>
                        <th class="desktop tablet " data-priority="2">@lang('Details')</th>
                    </tr>
                </thead>
                <tbody>

                    @forelse($logs as $index => $data)
                    @php

                    $paidby = App\Models\User::where('id',$data->user_id)->first();
                    @endphp
                    <tr>
                        <td data-label="@lang('Date')">
                            {{ showDateTime($data->created_at) }}
                        </td>
                        <td data-label="@lang('Trx')">{{ $data->trx }}</td>
                        <td data-label="@lang('Amount')">
                            <strong>
                                {{ $data->trx_type }}
                                {{ showAmount($data->amount) }}
                                {{ __($general->cur_text) }}
                            </strong>
                        </td>
                        <td data-label="@lang('Charge')">{{ showAmount($data->charge) }} {{ __($general->cur_text) }}</td>
                        <td data-label="@lang('Post Balance')">
                            <strong>
                                {{ showAmount($data->post_balance) }}
                                {{ __($general->cur_text) }}
                            </strong>
                        </td>
                        <td data-label="@lang('Paid By')">{{ $paidby->ewallet_id }}</td>
                        <td data-label="@lang('Details')">{{ __($data->details) }}</td>
                    </tr>
                    @empty
                    <tr>
                        <td colspan="100%">{{ __($emptyMessage) }}</td>
                    </tr>
                    @endforelse

                </tbody>
            </table>
        </div>




    </div>
</div>

@endsection