@extends($activeTemplate.'layouts.auth_master')

@section('content')
<div class="container main-container" id="main-container">
    <div class="card mb-4">

        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">Money Transfer</h5>
                </div>
                    
            </div>
        </div>

    <div class="row mt-4 ">
  
        <div class="card-body p-4">
            <div class="row justify-content-center">
                <div class="col-lg-8">
                    <form action="{{ route('user.transfer.confirm') }}" method="POST" id="form">
                        @csrf
                       
                        <div class="card mb-4  ">
                            <div class="card-header text-center">
                                <h5>@lang('Transfer Details')</h5>
                            </div>
                            <div class="card-body">

                               

                                <div class="p-4 border mt-3">
                                    <div class="row">
                                        <div class="col-lg-6 form-group">
                                              <div class="input-group mb-3">
                                              <label class="w-100">@lang('Amount') <span class="text-danger">*</span></label>
                                            <div class="input-group-prepend">
                                                                <div class="input-group-text"> {{ __($general->cur_text) }}</div>
                                                            </div>
                                            <input type="text" class="form-control style--two amount" name="amount" placeholder="0.00" required value="{{old('amount')}}">
                                            
                                             </div>
                                            <p>* {{ showAmount($general->tx_fee) }}% @lang('Transfer fees Apply')</p>
                                        </div>
                                        <div class="col-lg-6 form-group">
                                            <label class="w-100">@lang('Receiver Username / E-mail / Wallet ID')<span class="text--danger">*</span></label>
                                            <div class="input-group align-items-center border-bottom">
                                                <input type="text" class="form-control style--two checkUser border-bottom-0" id="username" name="user" placeholder="@lang('Receiver Username / E-mail')" value="{{old('user')}}" required>
                                                <button type="button" class="btn btn-info scan"><i class="las la-camera"></i></button>
                                            </div>
                                            <label class="exist text-end text-danger" style="font-weight: 700;"></label>
                                        </div>

                                    </div><!-- row end -->
                                </div>



                                @if($general->otp_verification && ($general->en || $general->sn || agent()->ts))
                                <div class="p-4 border mb-4">
                                    <div class="row">
                                        <div class="col-lg-12 form-group">
                                            @include($activeTemplate.'partials.otp_select')
                                        </div>

                                    </div><!-- row end -->
                                </div>
                                @endif
                            </div>
                            <div class="text-center m-3">
                            <button type="button" class="btn btn-primary btn--base mt-4 transfer">@lang('Transfer Now')</button>
                             
                        </div>
                        </div>
                        

                        <div class="modal fade" id="confirm" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered " role="document">
                            <div class="modal-content">
                                  <div class="modal-header">
                                    <h6 class="modal-title">@lang('Transfer Money Preview')</h6>
                                    
                                  </div>
                                    <div class="modal-body text-center p-0">
                                        <div class="d-widget border-start-0 shadow-sm">
                                            <div class="d-widget__content">
                                                <ul class="cmn-list-two text-center mt-4">
                                                    <li class="list-group-item">@lang('Transfering To'): <strong class="req_user"></strong></li>
                                                    <li class="list-group-item">@lang('Transfer Amount'): <strong class="req_amount"></strong></li>
                                                    
                                                </ul>
                                            </div>
                                            <div class="d-widget__footer text-center border-0 pb-3 m-5">
                                                <button type="submit" class="btn btn-primary d-block btn--base req_confirm">@lang('Confirm') <i class="las la-long-arrow-alt-right"></i></button>
                                            </div>
                                            <p>* {{ showAmount($general->tx_fee) }}% @lang('Transfer fees Apply')</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
 </div>
</div>

<div class="modal fade" id="scanModal" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
              <div class="modal-content">
                    <div class="modal-body text-center">
                        <video id="preview" class="p-1 border" style="width:300px;"></video>
                    </div>
                    <div class="modal-footer justify-content-center">
                      <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">@lang('close')</button>
                    </div>
              </div>
            </div>
</div>
@endsection



@push('script')
  <script src="https://rawgit.com/schmich/instascan-builds/master/instascan.min.js"></script>

     <script>
        //  'use strict'
            (function ($) {
                $('.scan').click(function(){
                    var scanner = new Instascan.Scanner({ video: document.getElementById('preview'), scanPeriod: 5, mirror: false });
                    scanner.addListener('scan',function(content){
                        
                        $("#username").val(content);
                                $("#username").focus();
                                $('#scanModal').modal('hide');
                       scanner.stop();
                    });

                    Instascan.Camera.getCameras().then(function (cameras){
                        if(cameras.length>0){
                            $('#scanModal').modal('show')
                             scanner.start(cameras[0]);
                        } else{
                           alert('No cameras found.');
                        }
                    }).catch(function(e){
                        alert('No cameras found.');
                    });
                });

$('.transfer').on('click',function () {

                 
                  var amount = parseFloat($('.amount').val())
                  var user = $('#username').val()
                  $('#confirm').find('.req_amount').text(amount)
                  $('#confirm').find('.req_user').text(user)
                  $('#confirm').modal('show')
                  
               });
               
 $('.req_confirm').on('click',function () {
                    $('#form').submit()
                    $(this).attr('disabled',true)
                });

                $('.checkUser').on('focusout',function(e){
                    var url = '{{ route('user.check.exist') }}';
                    var value = $(this).val();
                    var token = '{{ csrf_token() }}';

                    if ($(this).attr('name') == 'user') {
                        var data = {user:value,_token:token}
                    }
                    $.post(url,data,function(response) {
                        if(response.own){
                            if($('.exist').hasClass('text--success')){
                               $('.exist').removeClass('text--success');
                            }
                            $('.exist').addClass('text--danger').text(response.own);
                            $('.transfer').attr('disabled',true)
                            return false
                        }
                        if(response['data'] != null){
                            if($('.exist').hasClass('text--danger')){
                               $('.exist').removeClass('text--danger');
                            }
                            $('.exist').text(`Valid user for transaction.`).addClass('text--success');
                            $('.transfer').attr('disabled',false)
                        } else {
                            if($('.exist').hasClass('text--success')){
                               $('.exist').removeClass('text--success');
                            }
                            $('.exist').text('User doesn\'t  exists.').addClass('text--danger');

                        }
                    });
                });
            })(jQuery);
     </script>
@endpush







