@extends($activeTemplate.'layouts.auth_master')

@section('content')
<!-- Main container starts -->
<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">Add balance with easy step</h5>
                </div>
            </div>
        </div>
        <div class="container main-container" id="main-container">
            <div class="row justify-content-center mt-4">
                <div class="col-12 col-md-12 col-lg-7 col-xl-8">
                    <h5 class="mb-2">@lang('Select Payment gateway you would like to proceed with') </h5>
                    <p class="mb-4">Note: You Earn {{ $general->fiat_perpoints }}% points when you deposit over {{ __($general->cur_text) }} {{ showAmount($general->fiat_minpoints) }}. Points credited are rounded off.</p>

                    <div class="row text-center ">
                        @foreach($gatewayCurrency as $data)

                        <div class="col-6 col-sm-4 col-md-3 col-lg-4 col-xl-3 mb-4">
                            <div class="card shadow-sm selectable" id="payselectable" data-value="{{$loop->index + 1}}" data-name="{{$data->name}}" data-currency="{{$data->currency}}" data-method_code="{{$data->method_code}}" data-min_amount="{{showAmount($data->min_amount)}}" data-max_amount="{{showAmount($data->max_amount)}}" data-base_symbol="{{$data->baseSymbol()}}" data-fix_charge="{{showAmount($data->fixed_charge)}}" data-percent_charge="{{showAmount($data->percent_charge)}}">
                                <div class="card-body">
                                    <div class="avatar avatar-50 mb-2 bg-white p-1">
                                        <img src="{{ getImage(imagePath()['gateway']['path'].'/'. $data->image,imagePath()['gateway']['size'])}}" alt="" class="w-100" />
                                    </div>

                                    <p>{{__($data->name)}}<br><small class="text-mute">({{$data->currency}})</small></p>
                                </div>
                            </div>
                        </div>
                        @endforeach
                    </div>
                </div>
                <div class="col-12 col-md-12 col-lg-5 col-xl-4">
                    <form action="{{route('user.deposit.insert')}}" method="post">
                        @csrf
                        <div class="text-center mb-4">
                            <h5 class="mb-1">{{ __($general->cur_text) }} {{ showAmount(Auth::user()->balance, 2) }}</h5>
                            <p class="text-mute mb-4">Current Balance</p>
                        </div>
                        <input type="hidden" name="currency" class="edit-currency">
                        <input type="hidden" name="method_code" class="edit-method-code">
                        <input type="hidden" name="dp" class="" id="dp" value="dp">
                        <div class="card shadow-sm border-0 mb-3">
                            <div class="card-header">
                                <h5 class="text-center method-name"></h5>
                                <p class="text-center text-mute">Fees and Charges</p>
                            </div>
                            <div class=" card-body">
                                <div class="row">
                                    <div class="col-12 mb-3">
                                        <p class="mb-2 text-mute">Deposit Limit</p>
                                        <h6 class="depositLimit"></h6>
                                    </div>
                                    <div class="col-12 mb-3">
                                        <p class="mb-2 text-mute">Charge</p>
                                        <h6 class="depositCharge"></h6>
                                    </div>
                                </div>

                                <div class="form-group ">
                                    <label>Enter Amount ({{__($general->cur_text)}}):</label>
                                    <input id="amount" type="text" name="amount" required value="{{old('amount')}}" class="form-control form-control-lg" placeholder="">
                                </div>

                                <div class="row text-center">
                                    <div class="col-12">
                                        <button class="btn btn-primary">Confirm <i class="material-icons md-18">arrow_forward</i></button>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Main container ends -->
<div class="modal fade cmn--modal" id="depositModal">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <strong class="modal-title method-name" id="depositModalLabel"></strong>
                <button type="button" class="btn-close" data-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="{{route('user.deposit.insert')}}" method="post">
                @csrf
                <div class="modal-body">
                    <p class="text--base depositLimit"></p>
                    <p class="text--base depositCharge"></p>
                    <div class="form-group">
                        <input type="hidden" name="currency" class="edit-currency">
                        <input type="hidden" name="method_code" class="edit-method-code">
                        <input type="hidden" name="dp" class="" id="dp" value="dp">
                    </div>
                    <div class="form-group">
                        <label class="text--base">@lang('Enter Amount'):</label>
                        <div class="input-group">
                            <input id="amount" type="text" class="form-control form--control" name="amount" required value="{{old('amount')}}">
                            <span class="input-group-text bg--base">{{__($general->cur_text)}}</span>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn--md btn--danger" data-dismiss="modal">@lang('Close')</button>
                    <div class="prevent-double-click">
                        <button type="submit" class="btn btn-primary">@lang('Confirm')</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

@stop

@push('script')
<script>
    'use strict'
    $(document).ready(function() {
        $('.selectable').on('click', function() {
            var selected = $(this);
            var name = selected.data('name');
            var currency = selected.data('currency');
            var method_code = selected.data('method_code');
            var minAmount = selected.data('min_amount');
            var maxAmount = selected.data('max_amount');
            var baseSymbol = "{{$general->cur_text}}";
            var fixCharge = selected.data('fix_charge');
            var percentCharge = selected.data('percent_charge');
            var depositLimit = `@lang('Deposit Limit'): ${minAmount} - ${maxAmount}  ${baseSymbol}`;
            $('.depositLimit').text(depositLimit);
            var depositCharge = `@lang('Charge'): ${fixCharge} ${baseSymbol}  ${(0 < percentCharge) ? ' + ' +percentCharge + ' % ' : ''}`;
            $('.depositCharge').text(depositCharge);
            $('.method-name').text(`@lang('Payment By ') ${name}`);
            $('.currency-addon').text(baseSymbol);
            $('.edit-currency').val(currency);
            $('.edit-method-code').val(method_code);
            $('.selectable').removeClass('active')
            selected.addClass('active')
        })
    });
</script>

@endpush
