@extends($activeTemplate.'layouts.frontendnewreg')

@php
    $bgImage = getContent('authentication.content', true);
@endphp

@section('content')
<div class="background opac blur">
    <img src="{{ getImage('assets/images/frontend/authentication/' .@$bgImage->data_values->image, '1280x847') }}" alt="">
</div>
<div class="container main-container pb-120" id="main-container">
    <div class="card mb-4 border-0 shadow-lg blur">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">Pay Now</h5>
                </div>
            </div>
        </div>


        <!--section start-->
        <div class="container-fluid mt-4" id="">
            <div class="row justify-content-center">
                    <div class="col-lg-6">
                        <h3>Login - Pay By Wallet</h3>
                        <div class="theme-card">
                            <form class="theme-form" method="POST" action="{{ route('pg.login')}}">
                             @csrf
                                <input type="hidden" name="paylink" value="{{ $paylink }}">

                                <div class="form-group">
                                    <label for="username">Username</label>
                                    <input type="text" class="form-control" id="username"  name="username" placeholder="username" required="">
                                </div>
                                <div class="form-group">
                                    <label for="review">Password</label>
                                    <input id="password" name="password" type="password" class="form-control"
                                    placeholder="Enter your password" required="">
                                </div>
                                <button class="btn btn-primary">Login</button>
                            </form>
                        </div>
                    </div>

                    <div class="col-lg-6">
                        <h3>{{ $general->sitename }} Cards Only</h3>
                        <div class="theme-card">
                            <form class="form-horizontal" id="card-form" role="form" method="POST" action="{{   route('pg.processcard')}}">
                             @csrf
                              <input type="hidden" name="paylink" value="{{ $paylink }}">
                                <fieldset>

                                    <div class="form-group">
                                         <label class="col-sm-3 control-label" for="card-holder-name">Name</label>
                                        <div class="col-sm-9">
                                            <input type="text" class="form-control" name="name_on_card" id="name_on_card" placeholder="Card Holder's Name" required>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-sm-3 control-label" for="card-number">Number</label>
                                            <div class="col-sm-9">
                                                 <input type="text" class="form-control" name="card_pan" id="card_pan" placeholder="Debit Card Number" required>
                                            </div>
                                    </div>
                                    <div class="form-group">
                                         <label class="col-sm-3 control-label" for="month">Expiration / CVV</label>

                                        <div class="row">
                                            <div class="col-md-4">
                                                <select class="form-control" name="month" id="month" required>
                                                    <option value="">Month</option>
                                                    <option value="01">Jan (01)</option>
                                                    <option value="02">Feb (02)</option>
                                                    <option value="03">Mar (03)</option>
                                                    <option value="04">Apr (04)</option>
                                                    <option value="05">May (05)</option>
                                                    <option value="06">June (06)</option>
                                                    <option value="07">July (07)</option>
                                                    <option value="08">Aug (08)</option>
                                                    <option value="09">Sep (09)</option>
                                                    <option value="10">Oct (10)</option>
                                                    <option value="11">Nov (11)</option>
                                                    <option value="12">Dec (12)</option>
                                                </select>
                                            </div>
                                            <div class="col-md-4">
                                                <select class="form-control" name="year" id="year" required>
                                                    <option value="">Year</option>
                                                    <option value="22">2022</option>
                                                    <option value="23">2023</option>
                                                    <option value="24">2024</option>
                                                    <option value="25">2025</option>
                                                    <option value="26">2026</option>
                                                    <option value="27">2027</option>
                                                    <option value="28">2028</option>
                                                </select>
                                            </div>



                                            <div class="col-md-4">
                                                <input type="text" class="form-control" name="cvv" id="cvv" placeholder="CVV" required>
                                            </div>

                                        </div>

                                    </div>

                                        <br>
                                    <div class="form-group">
                                        <div class="col-sm-12">
                                            <button type="button" onclick="sendotp()" class="btn btn-primary" id="pay-now">GET OTP</button>
                                        </div>
                                        <div class="col-md-12 mt-2">
                                            <div id="error"></div>
                                        </div>
                                        <div class="col-md-12 mt-2">
                                            <div id="otp"></div>
                                         </div>
                                    </div>
                                </fieldset>
                            </form>
                        </div>
                    </div>

                </div>
            </div>

    </div>
</div>

@endsection

@push('script')
    <script>
        "use strict";
        function submitUserForm() {
            var response = grecaptcha.getResponse();
            if (response.length == 0) {
                document.getElementById('g-recaptcha-error').innerHTML = '<span class="text-danger">@lang("Captcha field is required.")</span>';
                return false;
            }
            return true;
        }

        $('#rc-anchor-container').css({
            width: '100% !important'
        });

        function sendotp(){
        var card_pan = $('#card_pan').val()
        var month = $('#month').val()
        var year = $('#year').val()
        var cvv = $('#cvv').val()
        var name_on_card = $('#name_on_card').val()

        if (card_pan == "") {
    alert("Card Number Must Be Filled");
    return false;
  }
  if (name_on_card == "") {
    alert("Name Must Be Filled");
    return false;
  }
   if (month == "") {
    alert("Month Must Be Filled");
    return false;
  }
    if (year == "") {
    alert("Year Must Be Filled");
    return false;
  }
    if (cvv == "") {
    alert("Security Code Must Be Filled");
    return false;
  }

        var card_hash = btoa(card_pan);
        var result_object = "";
         $.ajax({
            url :'{{ route('pg.sendotp') }}',
            type:'GET',
            dataType:'html',
            data :{

                'card_hash':card_hash,

            },
            success:function(data){
                result_object = jQuery.parseJSON(data);

                if(result_object.status === "success"){
                    console.log("received");
                    $('#otp').html('<label class="col-sm-3 control-label" for="card-holder-name">Enter OTP</label><input class="form-control" type="text" name="ver_code" id="ver_code" required><div class="col-sm-12 mt-2"><button type="button" onclick="verifyotp()" class="btn btn-primary" id="pay-now">Verify OTP</button></div>');
                    //$('#myform')[0].reset();
                }
                else{
                      console.log("error");
                    $('#error').html('<p class="text-danger">Sorry! Invalid Card Number</p>');
                   setTimeout(function () {
            window.location.reload();
        }, 500);

                }
            }
        });

        }

         function verifyotp(){
        var ver_code = $('#ver_code').val()
        var card_pan = $('#card_pan').val()
         var card_hash = btoa(card_pan);

        if (ver_code == "") {
    alert("OTP Must Be Filled");
    return false;
  }

  var result_object = "";
         $.ajax({
            url :'{{ route('pg.verifyotp') }}',
            type:'GET',
            dataType:'html',
            data :{
                'card_hash':card_hash,
                'ver_code':ver_code,

            },
            success:function(data){
                result_object = jQuery.parseJSON(data);
                debugger;
                if(result_object.status === "success"){
                    console.log("received");
                    $('#card-form').submit();
                }
                else{
                      console.log("error");
                     $('#error').html('<p class="text-danger">Invalid OTP</p>');

                     setTimeout(function () {
            window.location.reload();
        }, 500);
                }
            }
        });

    }
    </script>
@endpush
