@extends($activeTemplate.'layouts.auth_master')

@section('content')
<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">review</h5>
                </div>
            </div>
        </div>
        <section class="section-b-space blog-detail-page review-page">
            <div class="container">
                <div class="row">
                    <div class="col-md-3">
                   
                            <img class="w-100" src="{{$deposit->gatewayCurrency()->methodImage()}}" alt="Generic placeholder image">
                    </div>   
                
                    <div class="col-md-9">
                         <h3>
                         @lang('Paying To:') {{ $user->email }} 
                         </h3>
                        <p>@lang('Amount') {{showAmount($deposit->final_amo)}} {{__($deposit->method_currency)}}</p>
                        <p class="my-3">
                        @lang('Your Recipient Gets') {{showAmount($deposit->amount)}}  {{__($general->cur_text)}}
                        </p>
                    </div>

                    <div class="mt-4">
                        <button class="btn btn-primary" id="btn-confirm" onClick="payWithRave()">
                        @lang('Pay Now')
                         </button>
                    </div>
                    
                </div>
            </div>
            
        </section>
    </div>
</div>

@endsection
@push('script')
    <script src="https://api.ravepay.co/flwv3-pug/getpaidx/api/flwpbf-inline.js"></script>
    <script>
        "use strict"
        var btn = document.querySelector("#btn-confirm");
        btn.setAttribute("type", "button");
        const API_publicKey = "{{$data->API_publicKey}}";

        function payWithRave() {
            var x = getpaidSetup({
                PBFPubKey: API_publicKey,
                customer_email: "{{$data->customer_email}}",
                amount: "{{$data->amount }}",
                customer_phone: "{{$data->customer_phone}}",
                currency: "{{$data->currency}}",
                txref: "{{$data->txref}}",
                onclose: function () {
                },
                callback: function (response) {
                    var txref = response.tx.txRef;
                    var status = response.tx.status;
                    var chargeResponse = response.tx.chargeResponseCode;
                    if (chargeResponse == "00" || chargeResponse == "0") {
                        window.location = '{{ url('ipn/flutterwave') }}/' + txref + '/' + status;
                    } else {
                        window.location = '{{ url('ipn/flutterwave') }}/' + txref + '/' + status;
                    }
                        // x.close(); // use this to close the modal immediately after payment.
                    }
                });
        }
    </script>
@endpush
