@extends($activeTemplate.'layouts.auth_master')

@section('content')
<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">review</h5>
                </div>
            </div>
        </div>
        <div class="container">
            <div class="row justify-content-center g-4">
                <div class="col-lg-4 col-xl-3 col-sm-6">
                    <div class="deposit-item d-block">
                    <div class="deposit-thumb w-100">
                        <img src="{{$deposit->gatewayCurrency()->methodImage()}}" alt="@lang('Image')">
                    </div>

                    <div class="mt-4">
                        <p>
                        @lang('Please Pay') {{showAmount($deposit->final_amo)}} {{__($deposit->method_currency)}}
                        </p>
                        <p class="my-3">
                        @lang('Your Recipient Gets') {{showAmount($deposit->amount)}}  {{__($general->cur_text)}}
                        </p>
                    </div>

                    <div class="">
                        <form action="{{$data->url}}" method="{{$data->method}}">
                            @csrf
                                <input type="hidden" custom="{{$data->custom}}" name="hidden">
                                <script src="{{$data->checkout_js}}"
                                    @foreach($data->val as $key=>$value)
                                    data-{{$key}}="{{$value}}"
                                    @endforeach
                                >
                                </script>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>  
@endsection

@push('script')
    <script>
        (function ($) {
            "use strict";
            $('input[type="submit"]').addClass("ml-4 mt-4");
            $('.razorpay-payment-button').addClass("btn btn-primary w-100 justify-content-center").removeClass('razorpay-payment-button');
        })(jQuery);
    </script>
@endpush
