@extends($activeTemplate.'layouts.auth_master')
@section('content')



<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <h5 class="card-title">@lang('Personal Information')</h5>
        </div>
    <div class="row mt-2">
        <div class="col-12 col-md-5 col-lg-4 col-xl-4">
            <div class="card border-0 shadow-sm overflow-hidden mb-4">
                <div class="position-relative text-center rounded py-5">
                    <div class="background" style="background-image: url({{asset('assets/img/background-part.png')}});">
                        <img src="{{asset('assets/img/background-part.png')}}" alt="">
                    </div>
                </div>
                <div class="text-center mb-2 top-60 z-2">
                    <figure class="avatar avatar-100 mx-auto shadow position-relative">
                        <img src="{{ getImage(imagePath()['profile']['user']['path'].'/'. @$user->image,imagePath()['profile']['user']['size']) }}" alt="" class="w-100">

                    </figure>
                </div>
                <div class="card-body pb-0">
                    <div class="row">
                        <div class="col-12 col-md-12">
                            <div class="form-group">
                                <label for="nameoncard" class="mb-0">Name</label>
                                <p>{{$user->fullname }}</p>
                            </div>
                        </div>
                        <div class="col-12 col-md-12">
                            <label for="email" class="mb-0">Email Address</label>
                            <div class="form-group">
                                <p>{{$user->email}}</p>
                            </div>
                        </div>
                        <div class="col-12 col-md-12">
                            <div class="form-group">
                                <label for="phone" class="mb-0">Phone Number</label>
                                <p>{{$user->mobile}}</p>
                            </div>
                        </div>
                        <div class="col-12 col-md-12">
                            <div class="form-group">
                                <label for="email" class="mb-0">Username</label>
                                <p>{{$user->username }}</p>
                            </div>
                        </div>

                        <!-- kyc col-12 are condition visible at a time any one of three -->
                        @if(isset($kyc->status) && $kyc->status == "approved")
                        <div class="col-12 col-md-12">
                            <div class="form-group">
                                <label for="kycapproved" class="mb-0">KYC</label>
                                <p><i class="bi bi-patch-check mr-2 text-success"></i>Your KYC is <a href="{{ route('user.kyc.index') }}">Approved</a></p>
                            </div>
                        </div>
                        @elseif(isset($kyc->status) && $kyc->status == "resubmit")
                        <div class="col-12 col-md-12">
                            <div class="form-group">
                                <label for="kycnotdone" class="mb-0">KYC</label>
                                <p>Not Available: <a href="{{ route('user.kyc.index') }}">Update your KYC</a></p>
                            </div>
                        </div>
                       @endif
                        <!-- kyc col-12 are condition visible ends -->
                        <div class="col-12 col-md-12">
                            <div class="form-group">
                                <label for="email" class="mb-0">Wallet ID</label>
                                <p onclick="copyToClipboard('#copytext')"><span id="copytext">{{ $user->ewallet_id }}</span> <i class="bi bi-clipboard-check ml-1"></i></p>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
        <div class="col">

            <form class="profile-edit-form row" action="" method="post" enctype="multipart/form-data">
                @csrf
            <div class="row">
                <div class="col-12 col-lg-5">
                    <div class="form-group">
                        <label for="firstname">First Name</label>
                        <input id="firstname" type="text" class="form-control" name="firstname" value="{{$user->firstname}}" required="" placeholder="First Name">
                    </div>
                </div>
                <div class="col-12 col-lg-5">
                    <div class="form-group">
                        <label for="lastname">Last Name</label>
                        <input id="lastname" type="text" class="form-control" name="lastname" value="{{$user->lastname}}" required="" placeholder="Last Name">
                    </div>
                </div>
                <div class="col-12 col-lg-5">
                    <div class="form-group">
                        <label for="mobile">Mobile</label>
                        <div class="input-group">

                            <input type="text" name="mobile" id="mobile" value="{{$user->mobile}}" class="form-control checkUser" disabled>
                        </div>
                    </div>
                </div>
                <div class="col-12 col-lg-5">
                    <div class="form-group">
                    <label for="profile-image">@lang('Change Profile Picture')</label>
                    <input type="file" class="form-control" name="image" id="profile-image" accept="image/*">
                </div>
            </div>

                <div class="col-12 col-lg-5">
                    <div class="form-group">
                        <label for="username">Username</label>
                        <input id="username" type="text" class="form-control checkUser" name="username" value="{{$user->username}}" required="" disabled placeholder="Username">
                    </div>
                </div>
                <div class="col-12 col-lg-5">
                    <div class="form-group">
                        <label for="email">E-Mail Address</label>
                        <input id="email" type="email" class="form-control checkUser" name="email" value="{{$user->email}}" required="" placeholder="E-Mail Address" disabled>
                    </div>
                </div>
            </div>
            <div class="col-12 col-lg-12">
            <h5 class="title my-3">Address Information</h5>
            <hr>
            </div>
            <div class="row">
                <div class="col-12 col-lg-5">
                    <div class="form-group">
                        <label for="addressline1">Address Line 1</label>
                        <input type="text" name="address" id="address" value="{{@$user->address->address}}" class="form-control" required="">
                    </div>
                </div>




                <div class="col-12 col-lg-5">
                    <div class="form-group">
                        <label for="city">City</label>
                        <input id="city" type="text" class="form-control" name="city" value="{{@$user->address->city}}" required="">
                    </div>
                </div>
                <div class="col-12 col-lg-5">
                    <div class="form-group">
                        <label for="state">State</label>
                        <input id="state" type="text" class="form-control" name="state" value="{{@$user->address->state}}" required="">
                    </div>
                </div>

                <div class="col-12 col-lg-5">
                    <div class="form--group">
                        <label class="form--label" for="country">@lang('Country')</label>
                        <input class="form-control form--control" id="country" value="{{@$user->address->country}}" disabled>
                    </div>

                </div>
                <div class="col-12 col-lg-5">
                    <div class="form-group">
                        <label for="zip">Zip</label>
                        <input id="zip" type="text" class="form-control" name="zip" value="{{@$user->address->zip}}" required="" autocomplete="">
                    </div>
                </div>
            </div>

            <div class="text-left mb-4 col-12 col-lg-12">
                <button type="submit" class="btn btn-primary">Update Profile <i class="material-icons md-18">arrow_forward</i></button>
            </div>
        </form>
        </div>
    </div>
</div>
</div>



@endsection
@push('style-lib')
    <link href="{{ asset($activeTemplateTrue.'css/bootstrap-fileinput.css') }}" rel="stylesheet">
@endpush
@push('style')
    <link rel="stylesheet" href="{{asset('assets/admin/build/css/intlTelInput.css')}}">
    <style>
        .intl-tel-input {
            position: relative;
            display: inline-block;
            width: 100% !important;
        }
    </style>
@endpush
