@extends($activeTemplate.'layouts.auth_master')
@section('content')
<div class="container main-container" id="main-container">
    <div class="card m-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">Points Transactions</h5>
                </div>

            </div>
        </div>

        <div class="container mt-4">
            <div class=" row">
                <div class="col-md-6">
                    <div class="card">
                        <div class="col-md-12 mt-4 mx-2 mb-2">
                            <h6 class="title my-2">@lang('REF URL:')<span class='text-primary text-lowercase'> {{ route('home') }}@lang('?reference='){{$user->username}}</span> <a href="javascript:void(0)" class="btn btn-primary btn-sm copy-address" data-clipboard-text="{{ route('home') }}@lang('?reference='){{$user->username}}"><i class="las la-copy"></i></a></h6>
                        </div>
                        <div class="col-md-4">
                            <p class="active btn btn-primary m-2">@lang('Balance: '){{ $user->point_balance }} @lang('Points')</p>
                        </div>
                        <div class="col-md-4">
                            @if($general->redeem_minpoints > $user->point_balance)


                            <a href="" class="btn btn-secondary m-2 disabled">@lang('Required Points '){{ $general->redeem_minpoints }}</a>

                            <p class="text-primary m-2 ">@lang('You do not have sufficent points to redeem.')</p>
                            @else
                            <li>
                                <a href="{{ route('user.points.redeem') }}" class="btn btn-secondary m-2">@lang('Redeem Now')</a>
                            </li>
                            <p class="text-primary">Your points are worth {{ $general->cur_text }} {{showAmount($user->point_balance * $general->redeem_perpoints / 100)}}</p>
                            @endif
                        </div>

                    </div>
                </div>

                <div class="col-md-6">
                    <div class="card" style="height:18.9rem">
                        <div class="card-header">
                            <h5 class="title my-2">@lang('Point Earnings & Redemption')</h5>
                        </div>
                        <ul class="list-group list-group-flush">

                            <li class="list-group-item d-flex justify-content-between"><span class="mb-0">@lang('Fiat Earnings') :</span><strong>{{ $general->fiat_perpoints }} %</strong></li>

                            <li class="list-group-item d-flex justify-content-between"><span class="mb-0">@lang('Crypto Earnings') :</span><strong>{{ $general->crypto_perpoints }} %</strong></li>

                            <li class="list-group-item d-flex justify-content-between"><span class="mb-0">@lang('Min Redeem') :</span><strong>{{ __($general->redeem_minpoints) }} Points</strong></li>

                            <li class="list-group-item d-flex justify-content-between"><span class="mb-0">@lang('Redeem Value') :</span><strong>1 {{ $general->cur_text }} -> {{ $general->redeem_perpoints }} %</strong></li>

                        </ul>

                    </div>
                </div>
            </div>
            <div class="container mt-4">
                <div class="row justify-content-center mt-2">
                    <div class="col-md-12">
                        <div class="table-responsive-sm">
                            <table class="table mx-0 datatable2" id="datatable2">
                                <thead class="">
                                    <tr>
                                        <th class="desktop tablet mobile" data-priority="2">@lang('Date')</th>
                                        <th class="desktop tablet mobile" data-priority="2">@lang('Trx')</th>
                                        <th class="desktop tablet mobile" data-priority="2">@lang('Points')</th>
                                        <th class="desktop tablet" data-priority="2">@lang('Post Balance')</th>
                                        <th class="desktop tablet" data-priority="2">@lang('Details')</th>
                                    </tr>
                                </thead>
                                <tbody>

                                    @forelse($logs as $index => $data)
                                    <tr>
                                        <td data-label="@lang('Date')">
                                            {{ showDateTime($data->created_at) }}
                                        </td>
                                        <td data-label="@lang('Trx')">{{ $data->trx }}</td>
                                        <td data-label="@lang('Amount')">
                                            <strong>
                                                {{ $data->trx_type }}
                                                {{ showAmount($data->amount) }}
                                                @lang('Points')
                                            </strong>
                                        </td>

                                        <td data-label="@lang('Post Balance')">
                                            <strong>
                                                {{ showAmount($data->post_balance) }}
                                                @lang('Points')
                                            </strong>
                                        </td>
                                        <td data-label="@lang('Details')">{{ __($data->details) }}</td>
                                    </tr>
                                    @empty
                                    <tr>
                                        <td colspan="100%">{{ __($emptyMessage) }}</td>
                                    </tr>
                                    @endforelse

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>

            </div>




        </div>
    </div>

</div>


@endsection
@push('script-lib')
<script src="{{asset($activeTemplateTrue.'js/clipboard.min.js')}}"></script>
@endpush

@push('script')


<script>
    $('#myTab a').on('click', function(e) {
        e.preventDefault()
        $(this).tab('show')
    });

    (function($) {
        "use strict";

        $('.copy-address').on('click', function() {
            var clipboard = new ClipboardJS('.copy-address');
            notify('info', 'Copied : ' + $(this).data('clipboard-text'))
        })
    })(jQuery);
</script>
@endpush
