@extends($activeTemplate.'layouts.auth_master')
@section('content')
<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">Purchased Gift Card</h5>
                </div>
            </div>
        </div>

        <section class="pt-120 pb-120 mt-4">
            <div class="container">
                <div class="container mt-4">
                    <div class="row justify-content-center mt-2">
                        <div class="col-md-12">
                            <div class="card-body">
                                <div class="table-responsive-sm">
                                    <table class="table mx-0 datatable1" id="datatable1">
                                        <thead class="">
                                            <tr>
                                                <th class="desktop tablet mobile" data-priority="2">@lang('Date')</th>
                                                <th class="desktop tablet mobile" data-priority="2">@lang('Product Name')</th>
                                                 <th class="desktop tablet " data-priority="2">@lang('Details')</th>
                                                </tr>
                                        </thead>
                                        <tbody>
                                            @forelse ($purchaseHistory as $card)
                                            <tr>
                                                 <td data-label="@lang('Date')">{{$card->transaction_created_time}}</td>
                                                <td data-label="@lang('Product Name')">{{__($card->product_name)}}</td>
                                                
                                                <td data-label="@lang('Details')">
                                                    <a href="{{ route('user.giftcard.mycard.details', ['product_id' => $card->product_id]) }}" class="btn btn-primary">Details</a>
                                                </td>
                                            </tr>
                                            @empty
                                            <tr>
                                                <td colspan="100%" class="text-center">{{__($emptyMessage)}}</td>
                                            </tr>
                                            @endforelse

                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
@endsection