@extends($activeTemplate.'layouts.auth_master')

@section('content')
<div class="container-fluid main-container container" id="main-container">
    <h3 class="font-weight-light text-center mt-3 mb-4">Amazing Gift Cards listed <span class="text-template-primary">New</span> and <span class="text-template-primary-light">Latest</span></h3>
    <div class="col-lg-12  card">
        <div class="card-body">
            <section class="section-b-space ratio_asos ">
                <div class="collection-wrapper">
                    <div class="container">
                        <div class="row">
                            <div class="collection-content col">
                                <div class="page-main-content">
                                    <form action="" method="POST" enctype="multipart/form-data">
                                        @csrf
                                        <div class="row mb-3">
                                            <!-- auto apply filter no need to add filter button-->
                                            <div class="col-auto">
                                                <div class="form-group">
                                                    <label>Select Region</label>
                                                    <!-- Your Blade template -->
                                                    <select name="region_name" class="form-control">
                                                        <option value="">Select Region Name</option>
                                                        @foreach ($countries as $country)
                                                        <option value="{{ $country['isoName'] }}">{{ $country['name'] }}</option>
                                                        @endforeach
                                                    </select>

                                                </div>
                                            </div>

                                           

                                            <div class="col-12 col-md-4 col-lg-3 col-xl-2">
                                                <div class="form-group">
                                                    <button type="submit" class="btn btn-primary btn-xs mt-4" style=""><i class="fa fa-filter" aria-hidden="true"></i> Filter</button>

                                                </div>
                                            </div>
                                        </div>
                                    </form>

                                    <div class="row">
                                        <div class="col-lg-12">
                                            <div class="collection-product-wrapper">
                                                <div class=" d-flex row mt-4">

                                                    @if(count($giftCardProducts) > 0)
                                                    @foreach($giftCardProducts as $product)
                                                    <div class="col-12 col-sm-6 col-lg-4 col-xl-3">
                                                        <div class="card iq-mb-5 shadow-sm border-0 mb-4" style="height:25rem;">
                                                            <div class="card-img-top">
                                                                @if(isset($product['logoUrls']) && is_array($product['logoUrls']))

                                                                @foreach($product['logoUrls'] as $logoUrl)
                                                                <img src="{{ $logoUrl }}" class="card-img-top rounded" alt="Logo" style="width: 100%; height: auto;">
                                                                @endforeach

                                                                @else
                                                                <p class="card-text text-center">No logo available for this product.</p>
                                                                @endif


                                                            </div>
                                                            <div class="card-body">
                                                                <h6 class="template-primary text-truncate">{{ $product['productName'] }}</h6>
                                                                <div class="row my-3 align-items-center">

                                                                    <div class="col-auto">
                                                                        <h6 class="font-weight-light mb-0"><i class="bi bi-fire mr-1 text-warning"></i> @php echo rand(10,599) @endphp</h6>
                                                                        <p class="text-mute small">Orders in 24hrs</p>
                                                                    </div>
                                                                </div>
                                                                <div class="row mb-3">
                                                                    <div class="col-auto pr-0">

                                                                        <p class="text-warning mb-1"> @php $p = rand(3,5);
                                                                            $rating = number_format($p, 2); // Format $p to display with 1 decimal point
                                                                            @endphp
                                                                            @for ($i = 0; $i < $p; $i++) <i class="bi bi-star-fill text-warning"></i>
                                                                                @endfor
                                                                                <span class="ml-2 ">{{$rating}} </span>

                                                                        </p>
                                                                    </div>
                                                                    <div class="col-auto">
                                                                        <p class="text-mute">(@php echo rand(10,599) @endphp ratings)</p>
                                                                    </div>
                                                                </div>
                                                                <div class="row align-items-center">
                                                                    <div class="col">

                                                                    </div>
                                                                    <div class="col-auto">
                                                                        <a href="{{ isset($product['productId']) ? route('user.giftcard.details', ['productId' => $product['productId']]) : '#' }}" class="btn btn-primary"><i class="material-icons mr-2">local_mall</i>View</a>
                                                                    </div>
                                                                </div>

                                                            </div>
                                                        </div>
                                                    </div>
                                                    @endforeach
                                                    @else
                                                    <h6 class="text-center">{{ $emptyMessage }}</h6>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>

        </div>
        <div class="card-footer">
            <div class="product-pagination mt-4">
                <div class="theme-paggination-block">
                    <div class="container-fluid p-0">
                        <div class="row">
                            <div class="col-md-12">
                                @if ($totalPages > 1)
                                <ul class="pagination">
                                    @php
                                    $range = 3; // Number of pages to show before and after the current page
                                    $start = max($currentPage - $range, 1);
                                    $end = min($currentPage + $range, $totalPages);
                                    @endphp

                                    

                                    <!-- Previous Page -->
                                    <li class="{{ ($currentPage == 1) ? 'disabled' : '' }}">
                                        <a href="{{ route('user.giftcard', ['page' => ($currentPage - 1)]) }}">Previous</a>
                                    </li>

                                    <!-- Ellipsis for before pages -->
                                    @if ($start > 1)
                                    <li><a href="#">...</a></li>
                                    @endif

                                    <!-- Page numbers -->
                                    @for ($i = $start; $i <= $end; $i++) <li class="{{ ($currentPage == $i) ? 'active' : '' }}">
                                        <a href="{{ route('user.giftcard', ['page' => $i]) }}">{{ $i }}</a>
                                        </li>
                                        @endfor

                                        <!-- Ellipsis for after pages -->
                                        @if ($end < $totalPages) <li><a href="#">...</a></li>
                                            @endif

                                            <!-- Next Page -->
                                            <li class="{{ ($currentPage == $totalPages) ? 'disabled' : '' }}">
                                                <a href="{{ route('user.giftcard', ['page' => ($currentPage + 1)]) }}">Next</a>
                                            </li>

                                </ul>
                                @endif

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<style>
    .product-pagination mt-4 {
        list-style: none;
        padding: 0;
        margin: 20px 0;
        text-align: center;
    }

    .pagination li {
        display: inline-block;
        margin: 0 5px;
    }

    .pagination li.active a {
        background-color: #007bff;
        color: #fff;
        border-radius: 3px;
        padding: 6px 10px;
    }

    .pagination li a {
        text-decoration: none;
        color: #007bff;
        padding: 6px 10px;
        border: 1px solid #007bff;
        border-radius: 3px;
    }

    .pagination li.disabled a {
        color: #6c757d;
        border-color: #6c757d;
        cursor: not-allowed;
    }
</style>
@endsection