@extends($activeTemplate.'layouts.auth_master')
@section('content')
<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">Gift Cards</h5>
                </div>
            </div>
        </div>

        <section class="pt-120 pb-120 mt-4">
            <div class="container">
                <div class="container mt-4">
                    <div class="row justify-content-center mt-2">
                        <div class="col-md-12">
                            <div class="card-body">
                                <div class="container">

                                    @if(isset($giftCardProducts) && !empty($giftCardProducts))
                                    <div class="row ">
                                        <!-- Left side for gift card details -->
                                        <div class="col-md-6 d-flex  justify-content-center flex-column">
                                            <!-- Display logo URLs -->

                                            @if(isset($giftCardProducts['logoUrls']))

                                            <div class="logo-container">
                                                @foreach($giftCardProducts['logoUrls'] as $logoUrl)
                                                <img src="{{ $logoUrl }}" class="card-img-top" alt="Logo" style="border-radius: 10px;box-shadow: 0px 2px 10px black;width: 80%; height: auto;">

                                                @endforeach
                                            </div>
                                            @else
                                            <p>No logo available for this product.</p>
                                            @endif
                                            <div class="align-items-left mt-4">
                                                <h5 class='text-info'>Redemption Instructions</h5>
                                                <p>{{$giftCardProducts['redeemInstruction']['verbose'] ?? ""}}</p>
                                            </div>

                                        </div>
                                        <!-- Right side for additional details -->
                                        <div class="col-md-6">

                                            <h3 class="card-title">{{ $giftCardProducts['productName'] }}</h3>
                                            <h6 class="font-weight-light mb-0"><i class="bi bi-fire mr-1 text-warning"></i>@php echo rand(10,599) @endphp </h6>
                                                                        <p class="text-mute small"> Orders in 24hrs</p>
                                            <!-- @if(isset($giftCardProducts['country']))
                                                <h5>Country : {{ $giftCardProducts['country']['name'] }}</h5>

                                                <h5>ISO Name : {{ $giftCardProducts['country']['isoName'] }}</h5> -->
                                            <!-- Display flag URL -->
                                            <!-- @if(isset($giftCardProducts['country']['flagUrl']))
                                                <img src="{{ $giftCardProducts['country']['flagUrl'] }}" alt="Flag" class="card-img-top" style="width: 30px; height: auto;">
                                                @else
                                                <p>No flag available for this country.</p>
                                                @endif
                                                @else
                                                <p>No country information available for this product.</p>
                                                @endif -->
                                            <!-- Display additional details here -->

                                            <form action="{{ route('user.giftcard.order') }}" method="POST" enctype="multipart/form-data">
                                                @csrf
                                               @foreach($giftCardProducts['logoUrls'] as $logoUrl)
                                                                    <input type="hidden" class="logo_url" name="logo_urls[]" value="{{ $logoUrl }}">
                                                                    @endforeach
                                                <div class="row mb-2">
                                                    <!-- auto apply filter no need to add filter button-->
                                                   

                                                    <div class="col-12">
                                                        @if ($giftCardProducts['denominationType'] == 'FIXED')
                                                        <div class="form-row">
                                                        <div class='col-md-6'>
                                                        <div class="form-group">
                                                            <label for="amount">Amount:</label>
                                                            <select class="form-control" id="amountInput" name="amount" required>
                                                              <option value="">Select Amount</option>
                                                                @foreach ($fixedRecipientToSenderDenominationsMap as $value => $label)
                                                                <option value="{{ $value }}">@if($giftCardProducts['recipientCurrencyCode'] != "USD" ){{ $giftCardProducts['recipientCurrencyCode'] }}{{ $value }} | @endif{{ $giftCardProducts['senderCurrencyCode'] }}{{ $label }}</option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                            </div>
                                                        <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label for="quantity">Quantity:</label>
                                                            <input type="number" min="1" class="form-control" id="quantity" name="quantity"  required>
                                                            <input type="hidden" class="product_id" name="product_id"  value="{{ $giftCardProducts['productId'] }}">
                                                            <input type="hidden" class="currency_code" name="currency_code"  value="{{ $giftCardProducts['recipientCurrencyCode'] }}">
                                                            
</div>
                                                        </div>
                                                    </div>
                                                        @else
                                                          <div class="form-row">
                                                        <div  class='col-md-12'>Min Amount ({{ $giftCardProducts['senderCurrencyCode'] }}): {{ $giftCardProducts['minSenderDenomination'] }} | Max Amount ({{ $giftCardProducts['senderCurrencyCode'] }}): {{ $giftCardProducts['maxSenderDenomination'] }}</div>
                                                        
                                                        
                                                          </div>
                                                        <div class="form-row">
                                                            <div class='col-md-6'>
                                                                <div class="form-group">
                                                            <label for="amount">Amount:</label>
                                                            <input type="number" class="form-control" id="amount" name="amount" required min='{{ $giftCardProducts['minSenderDenomination'] }}' max='{{ $giftCardProducts['maxSenderDenomination'] }}'>
                                                            </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label for="quantity">Quantity:</label>
                                                            <input type="number" min="1" class="form-control" id="quantity" name="quantity"  required>
                                                            <input type="hidden" class="product_id" name="product_id"  value="{{ $giftCardProducts['productId'] }}">
                                                            <input type="hidden" class="currency_code" name="currency_code"  value="{{ $giftCardProducts['recipientCurrencyCode'] }}">
                                                            

                                                        </div>
                                                    </div>
                                                        </div>
                                                        @endif



                                                    </div>
                                                     
                                                </div>
                                               
                                                <div class="row mb-3">
                                                     
                                                                    <div class="col-auto pr-0">

                                                                        <p class="text-warning mb-1"> @php $p = rand(3,5);
                                                                            $rating = number_format($p, 2); // Format $p to display with 1 decimal point
                                                                            @endphp
                                                                            @for ($i = 0; $i < $p; $i++) <i class="bi bi-star-fill text-warning"></i>
                                                                                @endfor
                                                                                <span class="ml-2 ">{{$rating}} </span>

                                                                        </p>
                                                                    </div>
                                                                    <div class="col-auto">
                                                                        <p class="text-mute">(@php echo rand(10,599) @endphp ratings)</p>
                                                                    </div>
                                                                </div>
                                                <!-- Checkbox for terms and conditions -->
                                                <div class="form-check mb-3">
                                                    <input type="checkbox" class="form-check-input" id="termsCheckbox" name="termsCheckbox" style="transform: scale(1.3);" required>
                                                    <label class="form-check-label" for="termsCheckbox">I agree to the terms and conditions</label>
                                                </div>
                                                <div class="row mb-3">
                                                    <div class="col-lg-12 ">
                                                        <div class="form-group">
                                                            <button type="submit" class="btn btn-primary rounded-2  mt-4" id="buyGiftCardBtn" style=" border-radius: 8px; width: 250px; "></i> Buy now</button>

                                                        </div>
                                                    </div>
                                                </div>
                                            </form>
 <div class="col-auto mb-3" style="font-size: 16px; font-weight: bold; color: white;">
                                                        A Purchase fee of USD <span style="color:white;">{{$general->reloadly_fee}}</span> applies for each card purchased.
                                                    </div>
                                        </div>
                                    </div>
                                    @else
                                    <p>{{ $emptyMessage }}</p>
                                    @endif
                                    <hr>
                                </div>
                            </div>
                        </div>
                    </div>


                </div>
            </div>
        </section>
    </div>



</div>


@endsection
@push('scripts')
<script>
    document.addEventListener("DOMContentLoaded", function() {
        const amountInput = document.getElementById('amountInput');
        const buyGiftCardBtn = document.getElementById('buyGiftCardBtn');

        buyGiftCardBtn.addEventListener('click', function() {
            const amount = amountInput.value;
            // Here you can proceed to buy the gift card with the entered amount
            alert("You want to buy a gift card with amount: " + amount);
            // Add your logic to proceed with the purchase
        });
    });
</script>
@endpush