@extends($activeTemplate.'layouts.auth_master')
@section('content')

<div class="container main-container" id="main-container">


        <div class="card mb-4">
            <div class="card-header">
                <div class="row">
                    <div class="col-12 col-sm">
                        <h5 class="title my-2">MoneyTransfer History</h5>
                    </div>
                    <div class="col-12 col-sm-auto">

                    </div>
                </div>
            </div>
            <div class="card-body">
                <table class="table mx-0 datatable1" id="datatable1">
                    <thead class="">
                        <tr>
                            <th class="desktop tablet mobile" data-priority="2">@lang('Trx ID')</th>
                            <th class="desktop tablet" data-priority="2">@lang('Sent Amount') </th>
                            <th class="desktop tablet mobile" data-priority="2">@lang('Recipient')</th>
                            <th class="desktop tablet" data-priority="2">@lang('Receivable')</th>
                            <th class="desktop tablet" data-priority="2">@lang('Send | Received')</th>
                            <th class="desktop tablet" data-priority="2">@lang('Status')</th>
                            <th class="desktop tablet mobile" data-priority="2">@lang('Action')</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($transfers as $transfer)
                            <tr>
                                <td>
                                    {{ $transfer->trx }}</td>
                                <td>
                                    <strong>{{ showAmount($transfer->sending_amount) }} {{ __($transfer->sending_currency) }}</strong>
                                </td>
                                <td>
                                    {{ $transfer->recipient->name }}
                                    <br>
                                    {{ __($transfer->recipient_country) }}
                                </td>
                                <td>
                                    {{ showAmount($transfer->recipient_amount) }} {{ __($transfer->recipient_currency) }}
                                </td>
                                <td>
                                    {{ showDateTime($transfer->created_at, 'd M, y h:i a') }}
                                    <br />
                                    {{ $transfer->received_at ? showDateTime($transfer->received_at, 'd M, y h:i a') : 'N/A' }}
                                </td>
                                <td>
                                    @if ($transfer->status == 1)
                                        <span class="badge bg-primary">@lang('Sent')</span>
                                    @elseif($transfer->status == 2)
                                        <span class="badge bg-success">@lang('Admin Processed')</span>
                                    @elseif($transfer->status == 3)
                                        <span class="badge bg-danger">@lang('Refunded')</span>
                                    @elseif($transfer->status == 4)
                                        <span class="badge bg-info">@lang('Payment Pending')</span>
                                    @else
                                        <span class="badge bg-warning">@lang('Initiated')</span>
                                    @endif

                                    @if ($transfer->admin_feedback != null)
                                        <button class="btn-info btn-rounded badge feedbackBtn" data-admin_feedback="{{ $transfer->admin_feedback }}"><i class="fa fa-info"></i></button>
                                    @endif
                                </td>
                                @php
                                    $details = $transfer->detail != null ? json_encode($transfer->detail) : null;
                                @endphp

                                <td>
                                    <button class="btn btn-secondary detailBtn" data-info="{{ $details }}" data-id="{{ encrypt($transfer->id) }}" data-name="{{ $transfer->recipient->name }}" data-mobile="{{ $transfer->recipient->mobile }}" data-address="{{ $transfer->recipient->address }}" data-country="{{ $transfer->recipient_country }}" data-trx="{{ $transfer->trx }}"
                                            data-status="{{ $transfer->status }}"
                                            data-bank="{{ $transfer->recipient->bank }}"
                                            data-account="{{ $transfer->recipient->account }}"
                                            data-routing="{{ $transfer->recipient->routing ?? "" }}"
                                            data-additional="{{ $transfer->recipient->additional ?? "" }}"
                                            data-email="{{ $transfer->recipient->email ?? "" }}"
                                             data-otp="{{ $transfer->otp }}"
                                            >
                                        <i class="fa fa-desktop"></i>
                                    </button>
                                </td>
                            </tr>

                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>


</div>


    {{-- Details MODAL --}}
    <div id="detailsModal" class="modal custom--modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">@lang('Details')</h5>
                    <button type="button" class="close btn btn--danger btn-sm close-button" data-dismiss="modal" aria-label="Close">
                        <i class="la la-times" aria-hidden="true"></i>
                    </button>
                </div>
                <div class="modal-body">
                    <ul class="list-group list-group-flush">
                        <li class="list-group-item d-flex justify-content-between">@lang('Recipient Name') : <span class="name fw-bold"></span></li>
                         <li class="list-group-item d-flex justify-content-between">@lang('Recipient Email') : <span class="email fw-bold"></span></li>
                        <li class="list-group-item d-flex justify-content-between">@lang('Recipient Number') : <span class="mobile fw-bold"></span></li>
                        <li class="list-group-item d-flex justify-content-between">@lang('Recipient Address') : <span class="address fw-bold"></span></li>
                        <li class="list-group-item d-flex justify-content-between">@lang('Recipient Country') : <span class="country fw-bold"></span></li>
                        <li class="list-group-item d-flex justify-content-between">@lang('Recipient Bank') : <span class="bank fw-bold"></span></li><!-- comment -->
                        <li class="list-group-item d-flex justify-content-between">@lang('Recipient Account') : <span class="account fw-bold"></span></li><!-- comment -->
                        <li class="list-group-item d-flex justify-content-between">@lang('Recipient Routing') : <span class="routing fw-bold"></span></li>

                        <li class="list-group-item d-flex justify-content-between">@lang('Additional Info') : <span class="additional fw-bold"></span></li>
                         <li class="list-group-item d-flex justify-content-between">@lang('Transaction/MTCN No') : <span class="trx fw-bold"></span></li>
                         <li class="list-group-item d-flex justify-content-between">@lang('Agent OTP') : <span class="otp fw-bold"></span></li>
                    </ul>
                </div>
                <div class="modal-footer">
                    <form action="{{ route('user.send.money.pay') }}" method="POST" class="w-100">
                        @csrf
                        <input type="hidden" name="id">
                        <button class="btn btn--base w-100 btn--xl">
                            @lang('Pay Now')
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    {{-- feedback MODAL --}}
    <div id="feedbackModal" class="modal custom--modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">@lang('Admin Transaction Notes')</h5>
                    <button type="button" class="close btn btn--danger btn-sm close-button" data-dismiss="modal" aria-label="Close">
                        <i class="la la-times" aria-hidden="true"></i>
                    </button>
                </div>
                <div class="modal-body text-center">
                    <span class="admin_feedback"></span>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('script')
    <script>
        (function($) {
            "use strict";
            $('.detailBtn').on('click', function() {
                var modal = $('#detailsModal');
                modal.find('.name').text($(this).data('name'));
                modal.find('.mobile').text($(this).data('mobile'));
                modal.find('.country').text($(this).data('country'));
                modal.find('.address').text($(this).data('address'));
                modal.find('.trx').text($(this).data('trx'));
                 modal.find('.otp').text($(this).data('otp'));
                modal.find('.email').text($(this).data('email'));
                modal.find('.bank').text($(this).data('bank'));
                modal.find('.routing').text($(this).data('routing'));
                modal.find('.account').text($(this).data('account'));
                modal.find('.additional').text($(this).data('additional'));
                if ($(this).data('status') == 0) {
                    modal.find('.modal-footer form [name=id]').val($(this).data('id'));
                    modal.find('.modal-footer form :submit').removeAttr('disabled');
                    modal.find('.modal-footer').show();
                } else {
                    modal.find('.modal-footer form [name=id]').val('');
                    modal.find('.modal-footer').hide();
                }
                modal.modal('show');
            });
            $('.feedbackBtn').on('click', function() {
                var modal = $('#feedbackModal');
                modal.find('.admin_feedback').text($(this).data('admin_feedback'));
                modal.modal('show');
            });
        })(jQuery);
    </script>
@endpush
