@extends($activeTemplate.'layouts.auth_master')

@section('content')

<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">

                    <h5 class="title my-2">Support Tickets</h5>

                </div>
              
            </div>
        </div>



        <div class="card-body">
            <table class="table mx-0 datatable2" id="datatable2">
                <thead  class="">
                    <tr>
                        <th class="desktop tablet mobile" data-priority="2">@lang('Subject')</th>
                        <th class="desktop tablet mobile" data-priority="2">@lang('Status')</th>
                        <th class="desktop tablet mobile" data-priority="2">@lang('Priority')</th>
                        <th class="desktop tablet " data-priority="2">@lang('Last Reply')</th>
                        <th class="desktop tablet " data-priority="2">@lang('Action')</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($supports as $key => $support)
                    <tr>
                        <td data-label="@lang('Subject')"> <a href="{{ route('ticket.view', $support->ticket) }}" class="font-weight-bold text--base"> [@lang('Ticket')#{{ $support->ticket }}] {{ __($support->subject) }} </a></td>
                        <td data-label="@lang('Status')">
                            @if($support->status == 0)
                            <span class="text-danger">@lang('Open')</span>
                            @elseif($support->status == 1)
                            <span class="text-primary">@lang('Answered')</span>
                            @elseif($support->status == 2)
                            <span class="text-info">@lang('Customer Reply')</span>
                            @elseif($support->status == 3)
                            <span class="text-success">@lang('Closed')</span>
                            @endif
                        </td>
                        <td data-label="@lang('Priority')">
                            @if($support->priority == 1)
                            <span class="text-info">@lang('Low')</span>
                            @elseif($support->priority == 2)
                            <span class="text-primary">@lang('Medium')</span>
                            @elseif($support->priority == 3)
                            <span class="text-danger">@lang('High')</span>
                            @endif
                        </td>
                        <td data-label="@lang('Last Reply')">{{ \Carbon\Carbon::parse($support->last_reply)->diffForHumans() }} </td>

                        <td data-label="@lang('Action')">
                            <a href="{{ route('ticket.view', $support->ticket) }}" class="bg--primary btn-sm">
                                <i class="fa fa-desktop"></i>
                            </a>
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
        
    </div>
</div>


@endsection