@extends($activeTemplate.'layouts.auth_master')

@section('content')

<div class="container main-container" id="main-container">
    <div class="card mb-4">

            <div class="card-header ">
                <div class="row">
                    <div class="col-12 col-sm">
                        <h5>Ticket Details</h5>
                    </div>

                </div>
            </div>



            <div class=" card offset-3 col-sm-6  container {{ Auth::user() ? '' : 'pt-80       pb-80' }} mt-4 mb-6">

                <div class=" card-header col-sm-12 mx-0,my-o">
                    <div class="row">
                        <div class="">
                            <h5 class="title">
                                @if($my_ticket->status == 0)
                                <span class="text-danger">@lang('Open')</span>
                                @elseif($my_ticket->status == 1)
                                <span class="text-primary">@lang('Answered')</span>
                                @elseif($my_ticket->status == 2)
                                <span class="text-info mx-3">@lang('Replied')</span>
                                @elseif($my_ticket->status == 3)
                                <span class="text-success">@lang('Closed')</span>
                                @endif
                                <span class="text--base">#{{ $my_ticket->ticket }}</span>
                            </h5>
                            @if($my_ticket->status != 3)
                            <a href="#0" class="btn btn-primary mb-2 mx-3" data-bs-toggle="modal" data-bs-target="#DelModal">@lang('Close')</a>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
            <div class=" card offset-3 col-sm-6 mt-2  mb-6 ">
                <div class="card-body ">
                    <form ass="form-horizontal" method="post" action="{{ route('ticket.reply', $my_ticket->id) }}" enctype="multipart/form-data">
                        @csrf
                        <input type="hidden" name="replayTicket" value="1">
                        <div class="row ">
                            <div class="form--group col-sm-12">
                                <textarea class="form-control form--control" name="message"></textarea>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form--group col-sm-12 mt-2 pd-0">
                                <div class="d-flex">
                                    <div class="left-group col p-0">
                                        <label for="file" class="form--label mx-1">@lang('Attachments')</label>
                                        <input type="file" class="overflow-hidden form-control form--control mb-2" name="attachments[]" id="inputAttachments">
                                        <span class="info fs--14 mt-2 mx-1">
                                            @lang('Allowed File Extensions'): .@lang('jpg'), .@lang('jpeg'), .@lang('png'), .@lang('pdf'), .@lang('doc'), .@lang('docx')
                                        </span>
                                    </div>
                                    <div class="add-area">
                                        <label class="form--label d-block">&nbsp;</label>
                                        <button class="btn btn-primary form--control ms-2 ms-md-4 addFile" type="button"><i class="las la-plus"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div id="fileUploadsContainer"></div>

                            <div class="form--group col-sm-12 mt-2 mb-0">
                                <button type="submit" class="btn btn-primary ">@lang('Reply')</button>
                            </div>
                        </div>
                    </form>

                </div>
            </div>


            <div class="card-body mt-4 ">
                <table class="table mx-0 datatable2" id="datatable2">
                    <thead class="">

                        <tr>
                            <th class="desktop tablet mobile" data-priority="2">Date</th>
                            <th class="desktop tablet mobile" data-priority="2">name</th>
                            <th class="desktop tablet mobile" data-priority="2">Message</th>
                            <th class="desktop tablet mobile" data-priority="2">Attachment</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($messages as $message)
                        @if($message->admin_id == 0)
                        <tr>
                            <td>{{ $message->created_at->format('l, dS F Y @ H:i') }}</td>
                            <td>{{ $message->ticket->name }}</td>
                            <td>{{$message->message}}</td>
                            @if($message->attachments()->count() > 0)
                            <td>
                                <div class="mt-2">
                                    @foreach($message->attachments as $k=> $image)
                                    <a href="{{route('ticket.download',encrypt($image->id))}}" class="mr-3"><i class="fa fa-file"></i> @lang('Attachment') {{++$k}} </a>
                                    @endforeach
                            </td>
                            @endif
                        </tr>
                            @else
                        <tr>
                            <td>{{ $message->created_at->format('l, dS F Y @ H:i') }}</td>
                            <td>{{ $message->admin->name }}</td>
                            <td>{{$message->message}}</td>
                            @if($message->attachments()->count() > 0)
                            <td>
                                <div class="mt-2">
                                    @foreach($message->attachments as $k=> $image)
                                    <a href="{{route('ticket.download',encrypt($image->id))}}" class="mr-3"><i class="fa fa-file"></i> @lang('Attachment') {{++$k}} </a>
                                    @endforeach
                                </td>
                            @endif
                        </tr>

                        @endif
                        @endforeach
                    </tbody>
                </table>
        </div>
        
    </div>
</div>


<div class="modal fade cmn--modal" id="DelModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <form method="post" action="{{ route('ticket.reply', $my_ticket->id) }}">
                @csrf
                <input type="hidden" name="replayTicket" value="2">
                <div class="modal-header">
                    <h5 class="modal-title"> @lang('Confirmation')!</h5>
                    <button type="button" class="btn-close" data-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <strong>@lang('Are you sure you want to close this support ticket')?</strong>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn--md btn--danger" data-dismiss="modal">@lang('Close')</button>
                    <button type="submit" class="btn btn-primary">@lang("Confirm")
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection

@push('script')
<script>
    (function($) {
        "use strict";
        $('.delete-message').on('click', function(e) {
            $('.message_id').val($(this).data('id'));
        });

        $('.addFile').on('click', function() {
            $("#fileUploadsContainer").append(
                `<div class="form--group col-sm-12">
                    <div class="d-flex">
                        <div class="left-group col p-0">
                            <input type="file" class="overflow-hidden form-control form--control mb-2" name="attachments[]" id="inputAttachments">
                        </div>
                        <div class="add-area">
                            <button class="btn btn-primary btn--sm bg-danger form--control ms-2 ms-md-4 remove-btn" type="button"><i class="las la-times"></i></button>
                        </div>
                    </div>
                </div>`
            )
        });

        $(document).on('click', '.remove-btn', function() {
            $(this).closest('.form--group').remove();
        });
    })(jQuery);
</script>
@endpush
