@extends($activeTemplate.'layouts.auth_master')
@section('content')

<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">Trade Request</h5>
                </div>
            </div>
        </div>


        <section class="pt-120 pb-120">
            <div class="container">
                <div class="row mt-4">
                    <div class="col-xl-12">
                        <div class="card mb-3">
                            <div class="card-header">
                                <h5>@lang('Running Trades')</h5>
                            </div>
                            <div class="custom--card mt-4">
                                <div class="card-body p-0">
                                    <div class="table-responsive-sm">
                                        <table class="table  datatable1" id="datatable1">
                                            <thead class="">
                                                <tr>
                                                    <th class="desktop tablet mobile" data-priority="2">@lang('With')</th>
                                                    <th class="desktop tablet mobile" data-priority="2">@lang('Type')</th>
                                                    <th class="desktop tablet mobile" data-priority="2">@lang('Currency')</th>
                                                    <th class="desktop tablet mobile" data-priority="2">@lang('Payment Method')</th>
                                                    <th class="desktop tablet mobile" data-priority="2">@lang('Rate')</th>
                                                    <th class="desktop tablet mobile" data-priority="2">@lang('Status')</th>
                                                    <th class="desktop tablet mobile" data-priority="2">@lang('Requested At')</th>
                                                    <th class="desktop tablet mobile" data-priority="2">@lang('Action')</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @forelse ($runningTradeRequests as $item)
                                                <tr>
                                                    <td data-label="@lang('With')">
                                                        @if ($item->buyer_id == Auth::user()->id)
                                                        {{__($item->seller->fullname)}}
                                                        @endif

                                                        @if ($item->seller_id == Auth::user()->id)
                                                        {{__($item->buyer->fullname)}}
                                                        @endif
                                                    </td>
                                                    <td data-label="@lang('Type')">
                                                        @if ($item->buyer_id == Auth::user()->id)
                                                        <span class="badge text-white badge--released">@lang('Buy')</span>
                                                        @endif

                                                        @if ($item->seller_id == Auth::user()->id)
                                                        <span class="badge text-white badge--fund">@lang('Sell')</span>
                                                        @endif
                                                    </td>
                                                    <td data-label="@lang('Currency')">{{__($item->fiat->code)}}</td>
                                                    <td data-label="@lang('Payment Method')">{{__($item->fiatGateway->name)}}</b></td>
                                                    <td data-label="@lang('Rate')">{{showAmount($item->exchange_rate,2)}} {{__($item->fiat->code)}}/ {{__($item->crypto->code)}}</td>
                                                    <td data-label="@lang('Status')">
                                                        @if ($item->status == 0)
                                                        <span class="badge text-white badge--pending">@lang('Escrow Funded')</span>
                                                        @elseif($item->status == 9)
                                                        <span class="badge text-white badge--cancel">@lang('Canceled')</span>
                                                        @elseif($item->status == 2)
                                                        <span class="badge text-white badge--paid">@lang('Buyer Paid')</span>
                                                        @elseif($item->status == 8)
                                                        <span class="badge text-white badge--reported">@lang('Reported')</span>
                                                        @elseif($item->status == 1)
                                                        <span class="badge text-white badge--completed">@lang('Completed')</span>
                                                        @endif
                                                    </td>
                                                    <td data-label="@lang('Requested At')">{{$item->created_at->diffForHumans()}}</td>
                                                    <td data-label="@lang('Action')"><a href="{{route('user.trade.request.details',$item->uid)}}" class="btn btn-primary btn-sm"><i class="las la-info-circle"></i></a></td>
                                                </tr>
                                                @empty
                                                <tr>
                                                    <td colspan="100%" class="text-center">{{__($emptyMessage)}}</td>
                                                </tr>
                                                @endforelse

                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row mt-4">
                    <div class="col-xl-12 mt-4 mb-4">
                        <div class="card">
                            <div class="card-header mb-4">
                                <h5>@lang('Completed Trades')</h5>
                            </div>
                            <div class="custom--card">
                                <div class="card-body p-0">
                                    <div class="table-responsive-sm">
                                        <table class="table mx-0 datatable2" id="datatable2">
                                            <thead class="">
                                                <tr>
                                                    <th class="desktop tablet mobile" data-priority="2">@lang('With')</th>
                                                    <th class="desktop tablet mobile" data-priority="2">@lang('Type')</th>
                                                    <th class="desktop tablet mobile" data-priority="2">@lang('Currency')</th>
                                                    <th class="desktop tablet " data-priority="2">@lang('Payment Method')</th>
                                                    <th class="desktop tablet " data-priority="2">@lang('Rate')</th>
                                                    <th class="desktop tablet " data-priority="2">@lang('Status')</th>
                                                    <th class="desktop tablet " data-priority="2">@lang('Requested At')</th>
                                                    <th class="desktop tablet " data-priority="2">@lang('Action')</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @forelse ($endedTradeRequests as $item)
                                                <tr>
                                                    <td data-label="@lang('With')">
                                                        @if ($item->buyer_id == Auth::user()->id)
                                                        {{__($item->seller->fullname)}}
                                                        @endif

                                                        @if ($item->seller_id == Auth::user()->id)
                                                        {{__($item->buyer->fullname)}}
                                                        @endif
                                                    </td>
                                                    <td data-label="@lang('Type')">
                                                        @if ($item->buyer_id == Auth::user()->id)
                                                        <span class="badge text-white badge--released">@lang('Buy')</span>
                                                        @endif

                                                        @if ($item->seller_id == Auth::user()->id)
                                                        <span class="badge text-white badge--fund">@lang('Sell')</span>
                                                        @endif
                                                    </td>
                                                    <td data-label="@lang('Currency')">{{__($item->fiat->code)}}</td>
                                                    <td data-label="@lang('Payment Method')">{{__($item->fiatGateway->name)}}</b></td>
                                                    <td data-label="@lang('Rate')">{{showAmount($item->exchange_rate,2)}} {{__($item->fiat->code)}}/ {{__($item->crypto->code)}}</td>
                                                    <td data-label="@lang('Status')">
                                                        @if ($item->status == 0)
                                                        <span class="badge text-white badge--pending">@lang('Escrow Funded')</span>
                                                        @elseif($item->status == 9)
                                                        <span class="badge text-white badge--cancel">@lang('Canceled')</span>
                                                        @elseif($item->status == 2)
                                                        <span class="badge text-white badge--paid">@lang('Buyer Paid')</span>
                                                        @elseif($item->status == 8)
                                                        <span class="badge text-white badge--reported">@lang('Reported')</span>
                                                        @elseif($item->status == 1)
                                                        <span class="badge text-white badge--completed">@lang('Completed')</span>
                                                        @endif
                                                    </td>
                                                    <td data-label="@lang('Requested At')">{{$item->created_at->diffForHumans()}}</td>
                                                    <td data-label="@lang('Action')"><a href="{{route('user.trade.request.details',$item->uid)}}" class="btn btn-primary btn-sm"><i class="las la-info-circle"></i></a></td>
                                                </tr>
                                                @empty
                                                <tr>
                                                    <td colspan="100%" class="text-center">{{__($emptyMessage)}}</td>
                                                </tr>
                                                @endforelse

                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
@endsection
