@extends($activeTemplate.'layouts.auth_master')

@section('content')

<div class="container main-container" id="main-container">
    <div class="card m-4">
        <div class="card-header text-right mb-2">
            <div class="row">
                <div class="col-12 col-sm">
                    <a href="{{ route('user.interest.log') }}" class="btn btn-primary">@lang('Interest Logs')</a>
                </div>
            </div>
        </div>

        <section class="pt-0 pb-120 section--bg mt-0">
            <div class="container">
                <div class="card-body">
                    <div class="col-md-12">
                        <div class="table-responsive--sm ">
                            <table class="table mx-0 datatable2" id="datatable2">
                                <thead class="">
                                    <tr>
                                        <th class="desktop tablet mobile" data-priority="2">@lang('Date')</th>
                                        <th class="desktop tablet mobile" data-priority="2">@lang('Trx')</th>
                                        <th class="desktop tablet " data-priority="2">@lang('Details')</th>
                                        <th class="desktop tablet mobile" data-priority="2">@lang('Amount')</th>
                                        <th class="desktop tablet " data-priority="2">@lang('Remaining balance')</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse($logs as $k=>$data)
                                    <tr>
                                        <td data-label="@lang('Date')">
                                            {{ showDateTime($data->created_at) }}
                                        </td>
                                        <td data-label="@lang('Trx')">{{ $data->trx }}</td>
                                        <td data-label="@lang('Details')">{{ $data->details }}</td>
                                        <td data-label="@lang('Amount')">
                                            <strong @if($data->trx_type == '+') class="text-success" @else class="text-danger" @endif> {{($data->trx_type == '+') ? '+':'-'}} {{getAmount($data->amount)}} {{$general->cur_text}}</strong>
                                        </td>
                                        <td data-label="@lang('Remaining balance')">
                                            <strong>{{getAmount( $data->post_balance )}} {{ $general->cur_text }}</strong>
                                        </td>
                                    </tr>
                                    @empty
                                    <tr>
                                        <td colspan="100%">{{__($empty_message)}}</td>
                                    </tr>
                                    @endforelse

                                </tbody>
                            </table>

                        
                        </div>

                    </div>
                </div>
            </div>

        </section>
    </div>
</div>
@endsection


@push('script')

@endpush