@extends($activeTemplate.'layouts.auth_master')
@php
$carddesign = getContent('carddesign.content', true);

if(isset($cards)){

$qrimg = json_encode($cards->card_hash);
} else {
$qrimg = "No Card Found";
}
@endphp
@section('content')
 <style>
     .creditcard{
         background: linear-gradient(-45deg, {{$carddesign->data_values->centertopshadowcolor}} 0%, {{$carddesign->data_values->centercolor}} 50%, {{$carddesign->data_values->centerbottomshadowcolor}} 100%)
     }
     .creditcard:after{
      background: linear-gradient(45deg, {{$carddesign->data_values->topcirclelinearcolor}} 0%, {{$carddesign->data_values->topcircleshadecolor}} 80%);   
     }
     .creditcard:before{
         background: linear-gradient(45deg, {{$carddesign->data_values->bottomcirclecolor}} 0%, {{$carddesign->data_values->bottomcircleshadowcolor}} 55%, {{$carddesign->data_values->bottomcircleshadecolor}} 80%);
     }
 </style>
<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header ">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">@lang('Crypto Debit Card')</h5>
                </div>
                <div class="col-12 col-sm-auto">

                </div>
            </div>
        </div>

        <div class="row m-4">
            <!-- master card preview -->
            <div class="col-12 col-md-auto">
                <div class="creditcard-wrap ">
                    <div class="card border-0 creditcard shadow-sm">
                        <div class="card-body z-2">
                            <div class="row">
                                <div class="col"></div>
                                <div class="col-auto">
                                    <img src="{{getImage(imagePath()['logoIcon']['path'] .'/logo.png')}}" alt="" class="logo-image">
                                </div>
                            </div>
                            <h5 class="text-center my-3">{{ $cards->card_pan}}</h5>
                            <div class="row mb-3">
                                <div class="col">
                                    <p class="text-mute small mb-0">Card Holder</p>
                                    <p>{{ $cards->name_on_card}}</p>
                                </div>
                                <div class="col-auto text-right">
                                    <p class="text-mute small mb-0">Expires</p>
                                    <p>{{ $cards->expiration}}</p>
                                </div>
                            </div>
                            <p class="text-uppercase small">Loyalty Card</p>
                        </div>
                    </div>
                    <div class="card border-0 creditcard back shadow-sm">
                        <div class="card-body z-2">
                            <div class="row">
                                <div class="col"></div>
                                <div class="col-auto">
                                    <img src="{{getImage(imagePath()['logoIcon']['path'] .'/logo.png')}}" alt="" class="logo-image">
                                </div>
                            </div>

                            <div class="row align-items-center my-4">
                                <div class="col">
                                    <div class="stripes-card">
                                        <p class="text-mute small mb-0">CVV</p>
                                        <p>{{ $cards->cvv}}</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <div class="col">
                <div class="row m-4">

                    <div class="col-auto mb-3">
                        <p class="text-mute mb-1">Status</p>
                        @if($cards->is_active == "ACT")
                        <h5><i class="bi bi-patch-check mr-1 text-success"></i> Active</h5>
                        @else
                        <h5><i class="bi bi-patch-exclamation mr-1 text-danger"></i> Blocked</h5>
                        @endif
                    </div>
                    <div class="col-auto mb-3">
                        <p class="text-mute mb-1">Network</p>
                        <h5>{{ __(@$carddesign->data_values->network_name) }}</h5>
                    </div>
                    <div class="col-auto mb-3">
                        <div class="row">
                            <div class="col-auto mb-3">
                                <button class="btn btn-primary mt-3" data-toggle="modal" data-target="#instore">InStore</button>
                            </div>


                            <div class="col-auto mb-3">

                                <?php if ($cards->is_active == "BLCK") { ?>
                                    <a href="{{ route('user.debit.vunblockcard') }}?card_id=<?php echo $cards->card_id; ?>" class="btn btn-primary mt-3 un_block_card">@lang('UnBlock')</a>
                                <?php } else { ?>
                                    <a href="{{ route('user.debit.vblockcard') }}?card_id=<?php echo $cards->card_id; ?>" class="btn btn-primary mt-3 block_card">@lang('Block')</a>

                                <?php } ?>
                            </div>

                        </div>
                    </div>


                </div>
                <div class="row m-4">
                    <div class="col mt-4">
                        <form action="{{ route('user.crypto.changepin') }}" method="POST" class="row">
                          @csrf
                          <input type="hidden" name="card_id" value="{{ $cards->card_id }}">
                          <div class="col-md-12">

                            <label class="mb-1 text-black" for="secret"><strong>Change Pin(4 Digit)</strong><span class="text-danger">*</span> </label>
                            <input class="form-control" type="text" pattern="[0-9]{1,4}" minlength="4" maxlength="4" name="pin" id="pin" required>

                          </div>
                          <div class="col-md-3 mt-4">
                            <button type="submit" class="btn btn-primary">Change</button>
                          </div>
                        </form>
                      </div>
                </div>
            </div>

        </div>
    </div>









    @if($general->crypto)
    <div class="card mb-4">
        <div class="card-header ">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">@lang('Crypto Balances')</h5>
                </div>
                <div class="col-12 col-sm-auto">

                </div>
            </div>
        </div>

        <div class="row mt-4 iq-card p-4" style="justify-content: left !important;">

      @foreach ($wallets as $item)
      <div class="col-sm-6 col-md-6 col-lg-3">
        <div class="iq-card iq-card-block iq-card-stretch iq-card-height">
          <div class="iq-card-body iq-box-relative">
            <div class="card m-2">
              <div class="card-header">
                <div class="iq-box-absolute icon iq-icon-box rounded-circle iq-bg-info">
                  <img style='height:25px;' src="{{ getImage(imagePath()['crypto']['path'].'/'. $item->crypto->image,imagePath()['crypto']['size'])}}" alt="@lang('image')">
                </div>
                <p class="text-secondary mt-2">{{__($item->crypto->code)}} @lang('Balance')</p>
              </div>
              <div class="d-flex align-items-center justify-content-between mt-3 " style='flex-direction:column;'>
                <h6><b>{{__($item->crypto->code)}} {{showAmount($item->balance,8)}}</b></h6>
                <span class="text-primary mb-3"><b>Fx: {{ __($general->cur_text) }}: {{__($item->crypto->rate)}} </b></span>
              </div>
            </div>
          </div>
        </div>
      </div>

      @endforeach
    </div>
</div>
    @endif

    <div class="row mt-4 mb-4" style="clear:both">
      <div class="col-12">
        <div class="card">
          <div class="card-header">
            <h5 class="card-title">Transaction History</h5>
          </div>

          <div class="card-body">
            <div class="table-responsive-sm">
              <table class="table mx-0 datatable2" id="datatable2">
                <thead class="">
                  <tr>
                    <th class="desktop tablet mobile" data-priority="2">Type</th>
                    <th class="desktop tablet mobile" data-priority="2">Date</th>
                    <th class="desktop tablet mobile" data-priority="2">Trans ID</th>
                    <th class="desktop tablet " data-priority="2">Description</th>
                  </tr>
                </thead>
                <tbody>
                  <?php

                  $str = file_get_contents('mcc_codes.json');
                  $mcc = json_decode($str, true);

                  foreach ($transactions as $t) {
                    foreach ($mcc as $m) {
                      if ($t['mcc'] == $m['mcc']) {
                        $category = $m['irs_description'];
                      } else {
                        $category = null;
                      }
                    }

                    $id = $t['trx'];
                    $description = $t['details'];
                    $currency = $general->cur_text;
                    //$type = $t['merchant_name_location'];
                    $amount = round($t['amount'], 2);
                    $dates = date_create($t['created_at']);

                    $created_at = date_format($dates, "F j, Y");
                    $created_at_time = date_format($dates, "H:i");

                    $balance_type = $t['trx_type'];
                    //$bin = $t['bin'];
                    $status = $t['status'];

                  ?>
                    <tr>
                      <td>
                        <?php if ($balance_type == "+") { ?>
                          <svg width="35" height="35" viewBox="0 0 63 63" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <rect x="1.00002" y="1" width="61" height="61" rx="29" stroke="#2BC155" stroke-width="2" />
                            <g clip-path="url(#clip0)">
                              <path d="M35.2219 42.9875C34.8938 42.3094 35.1836 41.4891 35.8617 41.1609C37.7484 40.2531 39.3453 38.8422 40.4828 37.0758C41.6477 35.2656 42.2656 33.1656 42.2656 31C42.2656 24.7875 37.2125 19.7344 31 19.7344C24.7875 19.7344 19.7344 24.7875 19.7344 31C19.7344 33.1656 20.3523 35.2656 21.5117 37.0813C22.6437 38.8477 24.2461 40.2586 26.1328 41.1664C26.8109 41.4945 27.1008 42.3094 26.7727 42.993C26.4445 43.6711 25.6297 43.9609 24.9461 43.6328C22.6 42.5063 20.6148 40.7563 19.2094 38.5578C17.7656 36.3047 17 33.6906 17 31C17 27.2594 18.4547 23.743 21.1016 21.1016C23.743 18.4547 27.2594 17 31 17C34.7406 17 38.257 18.4547 40.8984 21.1016C43.5453 23.7484 45 27.2594 45 31C45 33.6906 44.2344 36.3047 42.7852 38.5578C41.3742 40.7508 39.3891 42.5063 37.0484 43.6328C36.3648 43.9555 35.55 43.6711 35.2219 42.9875Z" fill="#2BC155" />
                              <path d="M36.3211 31.7274C36.5891 31.9953 36.7203 32.3453 36.7203 32.6953C36.7203 33.0453 36.5891 33.3953 36.3211 33.6633L32.8812 37.1031C32.3781 37.6063 31.7109 37.8797 31.0055 37.8797C30.3 37.8797 29.6273 37.6008 29.1297 37.1031L25.6898 33.6633C25.1539 33.1274 25.1539 32.2633 25.6898 31.7274C26.2258 31.1914 27.0898 31.1914 27.6258 31.7274L29.6437 33.7453L29.6437 25.9742C29.6437 25.2196 30.2562 24.6071 31.0109 24.6071C31.7656 24.6071 32.3781 25.2196 32.3781 25.9742L32.3781 33.7508L34.3961 31.7328C34.9211 31.1969 35.7852 31.1969 36.3211 31.7274Z" fill="#2BC155" />
                            </g>
                            <defs>
                              <clipPath id="clip0">
                                <rect width="28" height="28" fill="white" transform="matrix(-4.37114e-08 1 1 4.37114e-08 17 17)" />
                              </clipPath>
                            </defs>
                          </svg>
                        <?php } else { ?>
                          <svg width="35" height="35" viewBox="0 0 63 63" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <rect x="1" y="1" width="61" height="61" rx="29" stroke="#FF2E2E" stroke-width="2" />
                            <g clip-path="url(#clip1)">
                              <path d="M35.2219 19.0125C34.8937 19.6906 35.1836 20.5109 35.8617 20.8391C37.7484 21.7469 39.3453 23.1578 40.4828 24.9242C41.6476 26.7344 42.2656 28.8344 42.2656 31C42.2656 37.2125 37.2125 42.2656 31 42.2656C24.7875 42.2656 19.7344 37.2125 19.7344 31C19.7344 28.8344 20.3523 26.7344 21.5117 24.9187C22.6437 23.1523 24.2461 21.7414 26.1328 20.8336C26.8109 20.5055 27.1008 19.6906 26.7726 19.007C26.4445 18.3289 25.6297 18.0391 24.9461 18.3672C22.6 19.4937 20.6148 21.2437 19.2094 23.4422C17.7656 25.6953 17 28.3094 17 31C17 34.7406 18.4547 38.257 21.1015 40.8984C23.743 43.5453 27.2594 45 31 45C34.7406 45 38.257 43.5453 40.8984 40.8984C43.5453 38.2516 45 34.7406 45 31C45 28.3094 44.2344 25.6953 42.7851 23.4422C41.3742 21.2492 39.389 19.4937 37.0484 18.3672C36.3648 18.0445 35.55 18.3289 35.2219 19.0125Z" fill="#FF2E2E" />
                              <path d="M36.3211 30.2726C36.589 30.0047 36.7203 29.6547 36.7203 29.3047C36.7203 28.9547 36.589 28.6047 36.3211 28.3367L32.8812 24.8969C32.3781 24.3937 31.7109 24.1203 31.0055 24.1203C30.3 24.1203 29.6273 24.3992 29.1297 24.8969L25.6898 28.3367C25.1539 28.8726 25.1539 29.7367 25.6898 30.2726C26.2258 30.8086 27.0898 30.8086 27.6258 30.2726L29.6437 28.2547L29.6437 36.0258C29.6437 36.7804 30.2562 37.3929 31.0109 37.3929C31.7656 37.3929 32.3781 36.7804 32.3781 36.0258L32.3781 28.2492L34.3961 30.2672C34.9211 30.8031 35.7851 30.8031 36.3211 30.2726Z" fill="#FF2E2E" />
                            </g>
                            <defs>
                              <clipPath id="clip1">
                                <rect width="28" height="28" fill="white" transform="translate(17 45) rotate(-90)" />
                              </clipPath>
                            </defs>
                          </svg>
                        <?php } ?>
                      <td>
                        <h6 class="fs-16 text-black font-w400 mb-0"><?php echo $created_at; ?> <?php echo $created_at_time; ?></h6>

                      </td>
                      </td>
                      <td><span class="fs-16 text-black font-w400 mb-0"><?php echo $id; ?></span></td>
                      <td>
                        <h6 class="fs-16 font-w600 mb-0"><?php echo $description; ?></h6>

                        <span class="fs-14"><?php echo $category; ?></span>
                      </td>
                    </tr>

                  <?php  } ?>

                </tbody>
              </table>
            </div>
          </div>

        </div>
      </div>

    </div>


    <div class="modal fade" id="instore" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header" style="display:block">
            <h4 class="modal-title" id="exampleModalLabel">InStore Payments</h4>
            <p>Request Merchant To Scan QR Code In Merchant App</p>

          </div>
          <div class="modal-body">
            <div class="col-md-12 text-center">
              <img class="mw-100" src="https://api.qrserver.com/v1/create-qr-code/?data={{ $qrimg }}">
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-solid" data-dismiss="modal">Close</button>

          </div>
        </div>
      </div>
    </div>
</div>

    <script>
      $(document).ready(function() {
        $("img").error(function() {
          $(this).hide();
        });
      });

      function viewcard() {


        $('#svgnumber').text('{{ $cards->card_pan }}');
        $('#view').html('<button onclick="return hidecard();" class="btn btn-secondary bg-color-info text-white fw-100 text-uppercase border-none br-radius-5 mt-3">Hide</button>')
        $('.back').toggle();
      }

      function hidecard() {
        $('#svgnumber').text('{{ $cards->masked_pan }}');
        $('#view').html('<button onclick="return viewcard();" class="btn btn-secondary bg-color-info text-white fw-100 text-uppercase border-none br-radius-5 mt-3">View</button>')
        $('.back').toggle();
      }
    </script>


    @endsection
