@extends($activeTemplate.'layouts.auth_master')
@php
$carddesign = getContent('carddesign.content', true);

if(isset($virtualcard)){
$qr = array(
"card_hash" => $virtualcard->card_hash,
"cvv" => $virtualcard->cvv,
"expiration" => $virtualcard->expiration,
"name_on_card" => $virtualcard->name_on_card

);
$qrimg = json_encode($qr);
} else {
$qrimg = "No Card Found";
}
@endphp
@section('content')



@if(empty($virtualcard->id))
<div class="row mt-4">
    <div class="col-xl-12 col-xxl-12">
        <div class="card">
            <div class="card-header">
                <h4 class="card-title">@lang('Request Virtual Card')</h4>
            </div>
            <div class="card-body">

                <div class="">
                    <div>
                        <form action="{{ route('user.virtualcards.new') }}" method="POST">
                            @csrf
                            <div class="row">
                                <div class="col-lg-10 offset-1">
                                    <div class="profile-personal-info">
                                        <h4 class="text-primary mb-4 mt-4">@lang('Personal Information')</h4>
                                        <div class="row mb-4 mb-sm-2">
                                            <div class="col-sm-3">
                                                <h5 class="f-w-500">@lang('Name on card') <span class="pull-right d-none d-sm-block">:</span>
                                                </h5>
                                            </div>
                                            <div class="col-sm-9">
                                                <span>{{ $user->firstname }} {{ $user->lastname }}</span>
                                                <input type="hidden" name="first_name" value="{{ $user->firstname }}">
                                                <input type="hidden" name="last_name" value="{{ $user->lastname }}">
                                            </div>
                                        </div>

                                        <div class="row mb-4 mb-sm-2">
                                            <div class="col-sm-3">
                                                <h5 class="f-w-500">@lang('Email') <span class="pull-right d-none d-sm-block">:</span>
                                                </h5>
                                            </div>
                                            <div class="col-sm-9">
                                                <span>{{ $user->email }}</span>
                                                <input type="hidden" name="email" value="{{ $user->email }}">
                                            </div>
                                        </div>
                                        <div class="row mb-4 mb-sm-2">
                                            <div class="col-sm-3">
                                                <h5 class="f-w-500">@lang('Phone') <span class="pull-right d-none d-sm-block">:</span>
                                                </h5>
                                            </div>
                                            <div class="col-sm-9">
                                                <span>{{ $user->mobile }}</span>
                                                <input type="hidden" name="phone" value="{{ $user->mobile }}">
                                            </div>
                                        </div>
                                        <!-- Added new input fields here -->
                                        <div class="row mb-4 mb-sm-2">
                                            <div class="col-sm-3">
                                                <h5 class="f-w-500">@lang('Date of Birth') <span class="pull-right d-none d-sm-block">:</span></h5>
                                            </div>
                                            <div class="col-sm-9">
                                                <input type="date" name="date_of_birth" class="form-control" required>
                                            </div>
                                        </div>
                                        <div class="row mb-4 mb-sm-2">
                                            <div class="col-sm-3">
                                                <h5 class="f-w-500">@lang('Currency') <span class="pull-right d-none d-sm-block">:</span></h5>
                                            </div>
                                            <div class="col-sm-9">
                                                <input type="text" name="currency" class="form-control" required>
                                            </div>
                                        </div>
                                        <div class="row mb-4 mb-sm-2">
                                            <div class="col-sm-3">
                                                <h5 class="f-w-500">@lang('Amount') <span class="pull-right d-none d-sm-block">:</span></h5>
                                            </div>
                                            <div class="col-sm-9">
                                                <input type="number" name="amount" class="form-control" required>
                                            </div>
                                        </div>
                                        <div class="row mb-4 mb-sm-2">
                                            <div class="col-sm-3">
                                                <h5 class="f-w-500">@lang('Title') <span class="pull-right d-none d-sm-block">:</span></h5>
                                            </div>
                                            <div class="col-sm-9">
                                                <select name="title" class="form-control" required>
                                                    <option value="">Select Title</option>
                                                    <option value="MR">Mr.</option>
                                                    <option value="MRS">Mrs.</option>
                                                    <option value="MISS">Miss</option>
                                                    <!-- Add more options as needed -->
                                                </select>
                                            </div>
                                        </div>
                                        <div class="row mb-4 mb-sm-2">
                                            <div class="col-sm-3">
                                                <h5 class="f-w-500">@lang('Gender') <span class="pull-right d-none d-sm-block">:</span></h5>
                                            </div>
                                            <div class="col-sm-9">
                                                <select name="gender" class="form-control" required>
                                                    <option value="">Select Gender</option>
                                                    <option value="M">Male</option>
                                                    <option value="F">Female</option>
                                                    <option value="O">Other</option>
                                                </select>
                                            </div>
                                        </div>


                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-10 mb-2">
                                    <div class="form-group">
                                        <div class="mt-4">
                                            <p class="text-primary">*@lang('Virtual Card Issuance Fee') {{ $general->cur_text }} {{ showAmount($general->flutter_issue) }} will be debited from your wallet.</p>
                                            <button type="submit" class="btn btn-primary"> @lang('Proceed')</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@else
<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header ">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">@lang('My Virtual Card')</h5>
                </div>
                <div class="col-12 col-sm-auto">

                </div>
            </div>
        </div>

        <div class="row m-4">
            <!-- master card preview -->
            <div class="col-12 col-md-auto">
                <div class="creditcard-wrap ">
                    <div class="card border-0 creditcard shadow-sm">
                        <div class="card-body z-2">
                            <div class="row">
                                <div class="col"></div>
                                <div class="col-auto">
                                    <img src="{{getImage(imagePath()['logoIcon']['path'] .'/logo.png')}}" alt="" class="logo-image">
                                </div>
                            </div>
                            <h5 class="text-center my-3">{{ $virtualcard->card_pan}}</h5>
                            <div class="row mb-3">
                                <div class="col">
                                    <p class="text-mute small mb-0">Card Holder</p>
                                    <p>{{ $virtualcard->name_on_card}}</p>
                                </div>
                                <div class="col-auto text-right">
                                    <p class="text-mute small mb-0">Expires</p>
                                    <p>{{ $virtualcard->expiration}}</p>
                                </div>
                            </div>
                            <p class="text-uppercase small">Virtual Card</p>
                        </div>
                    </div>
                    <div class="card border-0 creditcard back shadow-sm">
                        <div class="card-body z-2">
                            <div class="row">
                                <div class="col"></div>
                                <div class="col-auto">
                                    <img src="{{getImage(imagePath()['logoIcon']['path'] .'/logo.png')}}" alt="" class="logo-image">
                                </div>
                            </div>

                            <div class="row align-items-center my-4">
                                <div class="col">
                                    <div class="stripes-card">
                                        <p class="text-mute small mb-0">CVV</p>
                                        <p>{{ $virtualcard->cvv}}</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <div class="col">
                <div class="row m-4">

                    <div class="col-12  mb-3">
                        <p class="text-mute mb-1">Balance (USD)</p>
                        <h5>{{showAmount($user->balance) }}</h5>
                    </div>
                    <div class="col-auto mb-3">
                        <p class="text-mute mb-1">Status</p>
                        @if($virtualcard->is_active == true)
                        <h5><i class="bi bi-patch-check mr-1 text-success"></i> Active</h5>
                        @else
                        <h5><i class="bi bi-patch-exclamation mr-1 text-danger"></i> Blocked</h5>
                        @endif
                    </div>
                    <div class="col-auto mb-3">
                        <p class="text-mute mb-1">Network</p>
                        <h5>{{ __(@$carddesign->data_values->network_name) }}</h5>
                    </div>
                    <div class="col-auto mb-3">
                        <div class="row">
                            <!-- <div class="col-auto mb-3">
                                <button class="btn btn-primary mt-3" data-toggle="modal" data-target="#instore">InStore</button>
                            </div> -->

                            <div class="col-auto mb-3">
                                <button class="btn btn-primary mt-3" id="fund" data-toggle="modal" data-target="#loadfunds">Load Funds</button>
                            </div>
                            <div class="col-auto mb-3">

                                <?php if ($virtualcard->is_active == false) { ?>
                                    <a href="{{ route('user.virtualcards.unblock') }}?card_id=<?php echo $virtualcard->card_id; ?>" class="btn btn-primary mt-3 un_block_card">@lang('UnBlock')</a>
                                <?php } else { ?>
                                     <a href="{{ route('user.virtualcards.block') }}?card_id=<?php echo $virtualcard->card_id; ?>" class="btn btn-primary mt-3 block_card " onclick="return confirm('Are you sure you want to block the card?')">@lang('Block')</a>

                                <?php } ?>
                            </div>

                        </div>
                    </div>
                </div>

            </div>

        </div>
    </div>
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">@lang('Card Transaction History')</h5>
                </div>
                <div class="col-12 col-sm-auto">

                </div>
            </div>
        </div>
        <div class="card-body">
            <table class="table datatable2" id="datatable2">
                <thead class="">

                    <tr>
                        <!-- <th class="desktop tablet mobile">@lang('Type')</th> -->
                        <th class="desktop tablet mobile">@lang('Date')</th>
                        <th class="desktop tablet">@lang('Trans ID')</th>
                        <th class="desktop tablet">@lang('Description')</th>

                        <th class="desktop tablet mobile">@lang('Amount')</th>


                    </tr>
                </thead>
                <tbody>
                    @if(isset($decodedTransactions['data']))
                    @foreach($decodedTransactions['data'] as $transaction)
                    <tr>
                
                        <td>{{ \Carbon\Carbon::parse($transaction['created_at'])->format('F d, Y H:i') }}</td>
                        <td>{{ $transaction['id'] }}</td>
                        <td>{{ $transaction['response_message'] }}</td>
                        <td>USD {{ number_format($transaction['amount']*0.00072, 2) }} </td>
                    </tr>
                    @endforeach
                    @else
                    <tr>
                        <td colspan="5">No transactions found</td>
                    </tr>
                    @endif

                </tbody>
            </table>
        </div>
    </div>


</div>

<div class="modal fade" id="loadfunds">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header d-block">
                <h3 class="modal-title">@lang('Load Funds')</h3>
                <p class="fs-12">@lang('Load funds to your card')</p>
            </div>

            <div class="modal-body">
                <form class="form-group" method="POST" action="{{ route('user.virtualcards.loadfunds') }}">
                    @csrf
                    <input type='hidden' name='card_id' value='{{ $virtualcard->card_id }}'>
                    <input type='hidden' name='currency' value='USD'>

                    <div class="form-group col-md-12">
                        <label class="mb-1"><strong>@lang('Enter Amount') (USD)</strong></label>
                        <input type="text" class="form-control" name="amount" id="amount" step='0.01' min='5' required />

                    </div>


                    <div class="form-group">

                        <input type="submit" value="submit" class="btn btn-primary">

                    </div>

                </form>

            </div>
            <div class="modal-footer">



            </div>

        </div>
    </div>
</div>

<div class="modal fade" id="instore" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header" style="display:block">
                <h4 class="modal-title" id="exampleModalLabel">@lang('InStore Payments')</h4>
                <p>@lang('Request Merchant To Scan QR Code In Merchant App')</p>

            </div>
            <div class="modal-body">
                <div class="col-md-12 text-center">
                    <img class="mw-100" src="https://api.qrserver.com/v1/create-qr-code/?data={{ $qrimg }}">
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>

            </div>
        </div>
    </div>
</div>
<script>
    $(document).ready(function() {
        $('#fund').on('click', function() {
            $('#loadfunds').modal('show');
        })
    })

    function viewcard() {


        $('#svgnumber').text('{{ $virtualcard->card_pan }}');
        $('#view').html('<button onclick="return hidecard();" class="btn btn-secondary bg-color-info text-white fw-100 text-uppercase border-none br-radius-5 mt-3">Hide</button>')
        $('.back').toggle();
    }

    function hidecard() {
        $('#svgnumber').text('{{ $virtualcard->masked_pan }}');
        $('#view').html('<button onclick="return viewcard();" class="btn btn-secondary bg-color-info text-white fw-100 text-uppercase border-none br-radius-5 mt-3">View</button>')
        $('.back').toggle();
    }
</script>
@endif


@endsection