@extends($activeTemplate.'layouts.auth_master')
@section('content')

<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="row">
            <div class="col-md-6  p-3">
                <form action="{{ route('user.vouchers.buy') }}" method="POST" id="form">
                    @csrf
                    <div class="card m-4" style="height:15rem;">
                        <div class="card-header">
                            <h5>Buy E-Voucher</h5>
                        </div>
                        <div class="form-row">
                            <div class="col-md-8 offset-2">
                                <div class="input-group mb-3 mt-3">
                                    <label class="w-100">@lang('Amount') <span class="text-danger">*</span></label>
                                    <div class="input-group-prepend">
                                        <div class="input-group-text"> {{ __($general->cur_text) }}</div>
                                    </div>
                                    <input type="text" class="form-control style--two amount" name="amount" placeholder="0.00" required value="{{old('amount')}}">

                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="text-center">
                                    <button type="submit" class="btn btn-primary btn--base mt-4">@lang('Buy Now')</button>

                                </div>
                            </div>
                        </div>
                    </div>

                </form>
            </div>
            <div class="col-md-6   p-3">
                <div class="card m-4" style="height:15rem;">
                    <form action="{{ route('user.vouchers.redeem') }}" method="POST" id="form">
                        @csrf
                        <div class="card-header">
                            <h5>Redeem E-Voucher</h5>
                        </div>

                        <div class="form-row">
                            <div class="col-md-8 offset-2">
                                <div class="input-group mb-3 mt-3">
                                    <label class="w-100">@lang('Enter E-voucher Code') <span class="text-danger">*</span></label>
                                    <input type="text" class="form-control style--two" name="voucher" required>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="text-center">
                                    <button type="submit" class="btn btn-primary btn--base mt-4">@lang('Redeem')</button>

                                </div>
                                <p>*{{ showAmount($general->ev_fee) }}% Redemption Fees Apply.</p>

                            </div>
                        </div>

                    </form>
                </div>
            </div>
        </div>

    </div>


    <div class="row mt-4">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h4 class="card-title my-2">@lang('E-Vouchers')</h4>
                    <p class="my-2">@lang('Your Purchased Vouchers')</p>
                </div>
                <div class="card-body">
                <table class="table mx-0 datatable2" id="datatable2">
                        <thead class="">
                            <tr>
                                <th class="desktop tablet mobile" data-priority="2">@lang('Date')</th>
                                <th class="desktop tablet mobile" data-priority="2">@lang('Voucher ID')</th>
                                <th class="desktop tablet mobile" data-priority="2">@lang('Amount')</th>
                                <th class="desktop tablet " data-priority="2">@lang('Status')</th>

                            </tr>
                        </thead>
                        <tbody>

                            <?php
                            foreach ($vouchers as $buser) {
                            ?>
                                <tr>
                                    <td>
                                        <p class="fs-16 font-w600 mb-0">{{ $buser->created_at}}</p>

                                    </td>
                                    <td>
                                        <p class="fs-16 font-w600 mb-0">{{ $buser->vouchercode}}</p>

                                    </td>
                                    <td>
                                        <p class="fs-16 font-w600 mb-0">{{ $buser->currency }} {{ showAmount($buser->amount) }}</p>

                                    </td>
                                    <td>
                                        @if($buser->status == "open")
                                        <span class="btn btn-outline-dark btn-rounded">{{ $buser->status }}</span>
                                        @else
                                        <span class="btn btn-outline-dark btn-rounded text-success">{{ $buser->status }}</span>
                                        @endif
                                    </td>
                                </tr>
                            <?php } ?>

                        <tbody>
                    </table>
                </div>
            </div>

        </div>
        
    
        
    </div>
</div>
<div class="modal fade cmn--modal" id="depositModal">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <strong class="modal-title method-name" id="depositModalLabel"></strong>
                <button type="button" class="btn-close" data-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="{{route('user.transfer.addlink')}}" method="post">
                @csrf
                <div class="modal-body">
                    <p class="text--base depositLimit"></p>
                    <p class="text--base depositCharge"></p>
                    <div class="form-group">
                        <input type="hidden" name="currency" class="edit-currency">
                        <input type="hidden" name="method_code" class="edit-method-code">

                    </div>
                    <div class="form-group">
                        <label class="text--base">@lang('Amount'):</label>
                        <div class="input-group">
                            <input id="amount" type="text" class="form-control form--control" name="amount" required>
                            <span class="input-group-text bg--base text-white rc-currency"></span>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn--md btn--danger" data-dismiss="modal">@lang('Close')</button>
                    <div class="prevent-double-click">
                        <button type="submit" class="btn btn-primary">@lang('Confirm')</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

@stop

@push('script')

<script src="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/js/lightbox.min.js" integrity="sha512-k2GFCTbp9rQU412BStrcD/rlwv1PYec9SNrkbQlo6RZCf75l6KcC3UwDY8H5n5hl4v77IDtIPwOk9Dqjs/mMBQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/css/lightbox.min.css" integrity="sha512-ZKX+BvQihRJPA8CROKBhDNvoc2aDMOdAlcm7TUQY+35XYtrd3yh95QOOhsPDQY9QnKE0Wqag9y38OIgEvb88cA==" crossorigin="anonymous" referrerpolicy="no-referrer" />

<script>
    (function($) {
        "use strict";

        $('.deposit').on('click', function() {

            var selected = $(".method option:selected");

            if (!selected.val()) {
                return false;
            }

            var name = selected.data('name');
            var currency = selected.data('currency');
            var method_code = selected.data('method_code');
            var minAmount = selected.data('min_amount');
            var maxAmount = selected.data('max_amount');
            var baseSymbol = "{{$general->cur_text}}";
            var fixCharge = selected.data('fix_charge');
            var percentCharge = selected.data('percent_charge');

            var depositLimit = `@lang('Deposit Limit'): ${minAmount} - ${maxAmount}  ${baseSymbol}`;
            $('.depositLimit').text(depositLimit);
            var depositCharge = `@lang('Charge'): ${fixCharge} ${baseSymbol}  ${(0 < percentCharge) ? ' + ' +percentCharge + ' % ' : ''}`;
            $('.depositCharge').text(depositCharge);
            $('.method-name').text(`@lang('Payment By ') ${name}`);
            $('.currency-addon').text(baseSymbol);
            $('.edit-currency').val(currency);
            $('.edit-method-code').val(method_code);
            $('.rc-currency').text(currency);
            $('#depositModal').modal('show');

        });

    })(jQuery);
</script>
@endpush