@extends($activeTemplate.'layouts.auth_master')
@section('content')
<link href="{{asset($activeTemplateTrue.'vendor/swiper/css/swiper.min.css')}}" rel="stylesheet">
<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <section class="pt-0 pb-120 section--bg">
            <div class="container">

                <div class="container main-container" id="main-container">
                    <div class="row justify-content-center mt-3">
                        <div class="col-12 col-md-12 col-lg-7 col-xl-8">
                            <h4 class="mb-2">Crypto Wallets</h4>
                            <p class="mb-4">@lang('Note: You Earn') {{ $general->crypto_perpoints }}% @lang('points when you deposit any crypto. Points credited are rounded off.')</p>
                <div class="row text-center ">
                    <div class="col-12">
                        <div class="swiper-container gallery-currency">
                            <ul class="swiper-wrapper nav nav-tabs" id="myTab" role="tablist">
                                <!-- tabs 1 -->
                                <li class="swiper-slide nav-item" role="presentation">
                                    <button class="nav-link card active" id="allTab-tab" data-toggle="tab" data-target="#allTab" type="button" role="tab" aria-controls="allTab" aria-selected="true">
                                        <div class="card-body">
                                            <div class="avatar avatar-50 rounded-circle mb-2">
                                                <i class="bi bi-wallet h4 vm"></i>
                                            </div>
                                            <p>All<br><span class="text-mute mw-100 text-truncate d-block">Wallets</span></p>
                                        </div>
                                    </button>
                                </li>
                                <!-- tabs 1 ends -->
                                @foreach ($wallets as $item)
                                <li class="swiper-slide nav-item" role="presentation">
                                    <button class="nav-link card" id="bnbTab-tab" data-toggle="tab" data-target="#{{ str_replace(array('.','-','/'),"",$item->crypto->code)}}" type="button" role="tab" aria-controls="bnbTab" aria-selected="false">
                                        <div class="card-body">
                                            <div class="avatar avatar-50 rounded-circle mb-2">
                                                <img src="{{ getImage(imagePath()['crypto']['path'].'/'. $item->crypto->image,imagePath()['crypto']['size'])}}" alt="" class="w-100" />
                                            </div>
                                            <p>{{__($item->crypto->code)}} ( {{ $cryptoWallets->where('crypto_id',$item->crypto_id)->count()}} )<br><span class="text-mute mw-100 text-truncate d-block">{{showAmount($item->balance,8)}}</span></p>
                                        </div>
                                    </button>
                                </li>
                           @endforeach
                            </ul>
                            <div class="swiper-pagination b-0"></div>
                        </div>

                    </div>
                </div>

                <div class="tab-content" id="walletTabContent">
                    <!-- tabs 1 data -->
                    <div class="tab-pane fade show active" id="allTab" role="tabpanel" aria-labelledby="allTab-tab">
                        <div class="card border-0 shadow-sm mb-4">
                            <div class="card-header">
                                <h5 class="my-2">All Wallet</h5>
                            </div>
                            <div class="card-body">
                                <div class="table-responsive--lg">
                                    <table class="table mx-0 datatable2" id="datatable2">
                                        <thead class="">
                                            <tr>
                                                <th class="desktop tablet mobile" data-priority="2">@lang('Currency')</th>
                                                <th class="desktop tablet mobile" data-priority="2">@lang('Generated at')</th>
                                                <th class="desktop tablet " data-priority="2">@lang('Wallet Address')</th>
                                                <th class="desktop tablet " data-priority="2">@lang('Action')</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @forelse ($cryptoWallets as $wallet)
                                            <tr>
                                                <td data-label="@lang('Currency')">{{$wallet->crypto->code}}</td>
                                                <td data-label="@lang('Generated at')">{{showDateTime($wallet->created_at)}}</b></td>
                                                <td data-label="@lang('Wallet Address')">{{$wallet->wallet_address}}</td>
                                                <td data-label="@lang('Action')"><a href="javascript:void(0)" class="btn btn-primary btn-sm copy-address" data-clipboard-text="{{$wallet->wallet_address}}"><i class="las la-copy"></i>@lang('Copy Address')</a></td>
                                            </tr>
                                            @empty
                                            <tr>
                                                <td colspan="100%" class="text-center">@lang('No Wallet Yet!')</td>
                                            </tr>
                                            @endforelse
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- tabs 1 data ends -->
                    @foreach ($wallets as $item)
                    <div class="tab-pane fade" id="{{str_replace(array('.','-','/'),"",$item->crypto->code)}}" role="tabpanel" aria-labelledby="{{str_replace(".","",$item->crypto->code)}}-tab">
                        <div class="card border-0 shadow-sm mb-4">
                            <div class="card-header">
                                <div class="row">
                                    <div class="col my-1">
                                        <h4 class="">{{showAmount($item->balance,8)}}</h4>
                                        <h5 class="font-weight-normal">Wallet Balance</h5>
                                        <p class="text-mute">@lang('Deposit Charge is') @if($item->crypto->dc_fixed > 0) {{$item->crypto->dc_fixed}} {{$item->crypto->code}} + @endif {{$item->crypto->dc_percent}}%</p>
                                    </div>
                                    <div class="col-12 col-md-auto ">
                                          @if($item->crypto->erc20 == true || $item->crypto->bep20 == true)
                                        <a href="{{route('user.wallets.ercgenerate',$item->crypto->code)}}" class="btn btn-primary m-2"><i class="las la-plus"></i> @lang('Generate New') {{$item->crypto->code}} @lang('Address')</a>
                                        @else
                                        <a href="{{route('user.wallets.generate',$item->crypto->code)}}" class="btn btn-primary m-2"><i class="las la-plus"></i> @lang('Generate New') {{$item->crypto->code}} @lang('Address')</a>
                                        @endif
                                        <a href="{{route('user.withdrawc',$item->crypto->code)}}" class="btn btn-primary ml-1 my-1"><i class="bi bi-bank vm mr-1"></i>@lang('Withdraw') {{$item->crypto->code}}</a>
                                    </div>
                                </div>

                            </div>
                            <div class=" card-body">

                                <!-- ==================================================-->
                                <!-- ==================================================-->
                                <!-- == Spcific wallet currency column not required ===-->
                                <!-- ==================================================-->
                                <!-- ==================================================-->

                                <table class="table mx-0 datatable3" id="datatable3">
                                    <thead class="">
                                        <tr>
                                            <th class="desktop tablet mobile" data-priority="2">@lang('Currency')</th>
                                            <th class="desktop tablet " data-priority="2">@lang('Generated at')</th>
                                            <th class="desktop tablet mobile" data-priority="2">@lang('Wallet Address')</th>
                                            <th class="desktop tablet" data-priority="2">@lang('Action')</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @forelse ($cryptoWallets->where('crypto_id',$item->crypto_id) as $wallet)
                                        <tr>
                                            <td data-label="@lang('Currency')">{{$wallet->crypto->code}}</td>
                                            <td data-label="@lang('Generated at')">{{showDateTime($wallet->created_at)}}</b></td>
                                            <td data-label="@lang('Wallet Address')" id="address-{{$wallet->id}}">{{$wallet->wallet_address}}</td>
                                            <td data-label="@lang('Action')"><a href="javascript:void(0)" class="btn btn-primary btn-sm copy-address" data-clipboard-text="{{$wallet->wallet_address}}"><i class="las la-copy"></i>@lang('Copy Address')</a></td>
                                        </tr>
                                        @empty
                                        <tr>
                                            <td colspan="100%" class="text-center">@lang('No Wallet Yet!')</td>
                                        </tr>
                                        @endforelse
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    @endforeach
                </div>

            </div>
            <div class="col-12 col-md-12 col-lg-5 col-xl-4 px-0">
                <iframe style="--border-radius: 10px; border-radius: var(--border-radius); margin: auto; width:100%" src="https://widget.onramper.com?color=266677&amp;apiKey=pk_test_RZuPL0n_RmlcirB0x2Llwuj0DG0XVrGrdnkKAfjHZPw0" height="660px" width="482px" title="Onramper widget" frameborder="0" allow="accelerometer; autoplay; camera; gyroscope; payment">
                </iframe>

            </div>
        </div>
    </div>
    <!-- Main container ends -->

            </div>
        </section>
    </div>
</div>
@endsection

@push('script-lib')
<script src="{{asset($activeTemplateTrue.'vendor/swiper/js/swiper.min.js')}}"></script>
<script src="{{asset($activeTemplateTrue.'js/clipboard.min.js')}}"></script>
@endpush

@push('script')


<script>


    (function($) {
        "use strict";

        $('.copy-address').on('click', function() {
            var clipboard = new ClipboardJS('.copy-address');
            notify('success', 'Copied : ' + $(this).data('clipboard-text'))
        })
    })(jQuery);
</script>

<!-- Customized page level js -->
<script>
    'use strict'
    $(document).ready(function () {
        $('.selectable').on('click', function () {
            var currentselection = $(this);

            $('.selectable').removeClass('active')
            currentselection.addClass('active')
        });



        var galleryCurrency = new Swiper('.gallery-currency', {
            spaceBetween: 10,
            slidesPerView: 'auto',
            freeMode: true,
            pagination: {
                el: ".swiper-pagination",
            },
            watchSlidesVisibility: true,
            watchSlidesProgress: true,
        });


    });

</script>
@endpush
